-- Version: 7.2 7.2.0.31

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity PLL_6_1 is

    port(SYS_RESET_int_i, \VCC\, \GND\, clk_int : in std_logic; 
        GLB_c, GLA_c : out std_logic);

end PLL_6_1;

architecture DEF_ARCH of PLL_6_1 is 

  component VCC
    port(Y : out std_logic);
  end component;

  component PLL
    generic (VCOFREQUENCY:real := 0.0);

    port(CLKA, EXTFB, POWERDOWN : in std_logic := 'U'; GLA, LOCK, 
        GLB, YB, GLC, YC : out std_logic; OADIV0, OADIV1, OADIV2, 
        OADIV3, OADIV4, OADIVHALF, OADIVRST, OAMUX0, OAMUX1, 
        OAMUX2, DLYGLA0, DLYGLA1, DLYGLA2, DLYGLA3, DLYGLA4, 
        OBDIV0, OBDIV1, OBDIV2, OBDIV3, OBDIV4, OBMUX0, OBMUX1, 
        OBMUX2, DLYYB0, DLYYB1, DLYYB2, DLYYB3, DLYYB4, DLYGLB0, 
        DLYGLB1, DLYGLB2, DLYGLB3, DLYGLB4, OCDIV0, OCDIV1, 
        OCDIV2, OCDIV3, OCDIV4, OCMUX0, OCMUX1, OCMUX2, DLYYC0, 
        DLYYC1, DLYYC2, DLYYC3, DLYYC4, DLYGLC0, DLYGLC1, DLYGLC2, 
        DLYGLC3, DLYGLC4, FINDIV0, FINDIV1, FINDIV2, FINDIV3, 
        FINDIV4, FINDIV5, FINDIV6, FBDIV0, FBDIV1, FBDIV2, FBDIV3, 
        FBDIV4, FBDIV5, FBDIV6, FBDLY0, FBDLY1, FBDLY2, FBDLY3, 
        FBDLY4, FBSEL0, FBSEL1, XDLYSEL, VCOSEL0, VCOSEL1, 
        VCOSEL2 : in std_logic := 'U');
  end component;

  component GND
    port(Y : out std_logic);
  end component;

    signal VCC_net_1, GND_net_1, Core_GLC, LOCK, Core_YB, 
        Core_YC, GND_net_2, VCC_net_2 : std_logic;

begin 

    VCC_net_1 <= \VCC\;
    GND_net_1 <= \GND\;

    VCC_i_0 : VCC
      port map(Y => VCC_net_2);
    
    Core : PLL
      generic map(VCOFREQUENCY => 40.000000)

      port map(CLKA => clk_int, EXTFB => GND_net_1, POWERDOWN => 
        VCC_net_1, GLA => GLA_c, LOCK => LOCK, GLB => GLB_c, YB
         => Core_YB, GLC => Core_GLC, YC => Core_YC, OADIV0 => 
        GND_net_1, OADIV1 => GND_net_1, OADIV2 => GND_net_1, 
        OADIV3 => GND_net_1, OADIV4 => GND_net_1, OADIVHALF => 
        GND_net_1, OADIVRST => SYS_RESET_int_i, OAMUX0 => 
        GND_net_1, OAMUX1 => GND_net_1, OAMUX2 => VCC_net_1, 
        DLYGLA0 => GND_net_1, DLYGLA1 => GND_net_1, DLYGLA2 => 
        GND_net_1, DLYGLA3 => GND_net_1, DLYGLA4 => GND_net_1, 
        OBDIV0 => VCC_net_1, OBDIV1 => VCC_net_1, OBDIV2 => 
        VCC_net_1, OBDIV3 => VCC_net_1, OBDIV4 => VCC_net_1, 
        OBMUX0 => GND_net_1, OBMUX1 => GND_net_1, OBMUX2 => 
        VCC_net_1, DLYYB0 => GND_net_1, DLYYB1 => GND_net_1, 
        DLYYB2 => GND_net_1, DLYYB3 => GND_net_1, DLYYB4 => 
        GND_net_1, DLYGLB0 => GND_net_1, DLYGLB1 => GND_net_1, 
        DLYGLB2 => GND_net_1, DLYGLB3 => GND_net_1, DLYGLB4 => 
        GND_net_1, OCDIV0 => GND_net_1, OCDIV1 => GND_net_1, 
        OCDIV2 => GND_net_1, OCDIV3 => GND_net_1, OCDIV4 => 
        GND_net_1, OCMUX0 => GND_net_1, OCMUX1 => GND_net_1, 
        OCMUX2 => GND_net_1, DLYYC0 => GND_net_1, DLYYC1 => 
        GND_net_1, DLYYC2 => GND_net_1, DLYYC3 => GND_net_1, 
        DLYYC4 => GND_net_1, DLYGLC0 => GND_net_1, DLYGLC1 => 
        GND_net_1, DLYGLC2 => GND_net_1, DLYGLC3 => GND_net_1, 
        DLYGLC4 => GND_net_1, FINDIV0 => VCC_net_1, FINDIV1 => 
        VCC_net_1, FINDIV2 => GND_net_1, FINDIV3 => GND_net_1, 
        FINDIV4 => VCC_net_1, FINDIV5 => GND_net_1, FINDIV6 => 
        GND_net_1, FBDIV0 => VCC_net_1, FBDIV1 => VCC_net_1, 
        FBDIV2 => VCC_net_1, FBDIV3 => GND_net_1, FBDIV4 => 
        GND_net_1, FBDIV5 => GND_net_1, FBDIV6 => GND_net_1, 
        FBDLY0 => GND_net_1, FBDLY1 => GND_net_1, FBDLY2 => 
        GND_net_1, FBDLY3 => GND_net_1, FBDLY4 => GND_net_1, 
        FBSEL0 => VCC_net_1, FBSEL1 => GND_net_1, XDLYSEL => 
        GND_net_1, VCOSEL0 => GND_net_1, VCOSEL1 => GND_net_1, 
        VCOSEL2 => GND_net_1);
    
    GND_i_0 : GND
      port map(Y => GND_net_2);
    
    VCC_i : VCC
      port map(Y => VCC_net_1);
    
    GND_i : GND
      port map(Y => GND_net_1);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity nbnjbfrkqwq is

    port(EV_RAM_ADDR_B_net : out std_logic_vector(8 to 8); 
        ADC_CHNUMBER_net : in std_logic_vector(4 downto 0); 
        ASSC_SEQOUT_net : in std_logic_vector(5 to 5); 
        EV_ASSCADDR_net : out std_logic_vector(8 to 8); 
        EV_RAM_DI_B_net : out std_logic_vector(8 to 8); 
        TR_EV_ADDR_net : in std_logic_vector(8 to 8); 
        EV_RAM_ADDR_A_net : out std_logic_vector(8 to 8); 
        INIT_ADDR_int : in std_logic_vector(8 downto 0); 
        ASSC_RAM_DOUT_bus : in std_logic_vector(8 downto 0); 
        EV_CHHOLD_net : out std_logic_vector(4 to 4); 
        EV_RAM_DO_B_net : in std_logic_vector(8 to 8); 
        rdgwgtpkbgc_0_3 : out std_logic; rdgwgtpkbgc_3 : in
         std_logic; \Z\\EV_RAM_ADDR_B_net\\\, 
        EV_RAM_ADDR_B_net_net_2, EV_RAM_ADDR_B_net_net_4, 
        EV_RAM_ADDR_B_net_net_7 : out std_logic; 
        \Z\\ASSC_SEQOUT_net\\\ : in std_logic; 
        \Z\\EV_ASSCADDR_net\\\ : out std_logic; 
        ASSC_SEQOUT_net_net_1 : in std_logic; 
        EV_ASSCADDR_net_net_1 : out std_logic; 
        ASSC_SEQOUT_net_net_2 : in std_logic; 
        EV_ASSCADDR_net_net_2 : out std_logic; 
        ASSC_SEQOUT_net_net_3 : in std_logic; 
        EV_ASSCADDR_net_net_3 : out std_logic; 
        ASSC_SEQOUT_net_net_4 : in std_logic; 
        EV_ASSCADDR_net_net_4, EV_EVFLAG_net, EV_DONE_net, 
        EV_RAM_WR_BUSY_B_net, EV_RAM_DI_B_net_net_7, 
        EV_RAM_DI_B_net_net_1, \Z\\EV_RAM_DI_B_net\\\ : out
         std_logic; TR_EV_RD_net : in std_logic; EV_RAM_CSN_A_net : 
        out std_logic; TR_EV_ADDR_net_net_6 : in std_logic; 
        EV_RAM_ADDR_A_net_net_6 : out std_logic; 
        \Z\\TR_EV_ADDR_net\\\ : in std_logic; 
        \Z\\EV_RAM_ADDR_A_net\\\ : out std_logic; 
        TR_EV_ADDR_net_net_1 : in std_logic; 
        EV_RAM_ADDR_A_net_net_1 : out std_logic; 
        TR_EV_ADDR_net_net_2 : in std_logic; 
        EV_RAM_ADDR_A_net_net_2 : out std_logic; 
        TR_EV_ADDR_net_net_3 : in std_logic; 
        EV_RAM_ADDR_A_net_net_3 : out std_logic; 
        TR_EV_ADDR_net_net_4 : in std_logic; 
        EV_RAM_ADDR_A_net_net_4 : out std_logic; 
        TR_EV_ADDR_net_net_5 : in std_logic; 
        EV_RAM_ADDR_A_net_net_5 : out std_logic; 
        TR_EV_ADDR_net_net_7 : in std_logic; 
        EV_RAM_ADDR_A_net_net_7, EV_CHHOLD_net_net_1, 
        EV_CHHOLD_net_net_2, EV_CHHOLD_net_net_3 : out std_logic; 
        EV_RAM_DO_B_net_net_2, EV_RAM_DO_B_net_net_3, 
        \Z\\EV_RAM_DO_B_net\\\, INIT_EV_WEN_int : in std_logic; 
        EV_RAM_RW_A_net : out std_logic; ktwrhqstzjg, N_266, 
        ASSC_SAMPFLAG_net, ASSC_DONE_c : in std_logic; 
        EV_RAM_DI_B_net_net_2, EV_RAM_DI_B_net_net_3, 
        EV_RAM_DI_B_net_net_4, EV_RAM_DI_B_net_net_5, 
        EV_RAM_DI_B_net_net_6, EV_RAM_CSN_B_net : out std_logic; 
        EV_RAM_DO_B_net_net_4, INIT_DONE_c : in std_logic; 
        \Z\\EV_CHHOLD_net\\\, EV_RAM_ADDR_B_net_net_1, 
        EV_RAM_ADDR_B_net_net_5, EV_RAM_ADDR_B_net_net_3, 
        EV_RAM_ADDR_B_net_net_6 : out std_logic; 
        EV_RAM_DO_B_net_net_5, EV_RAM_DO_B_net_net_6, 
        EV_RAM_DO_B_net_net_7, SYS_RESET_global, GLA_c : in
         std_logic; EV_DONE_net_0, bskrjhjvqpf_1_sqmuxa_0, 
        EV_ASSCADDR_net_net_5, EV_ASSC_RD_net : out std_logic; 
        \Z\\EV_RAM_DO_B_net\\_0\ : in std_logic; 
        bskrjhjvqpf_1_sqmuxa : out std_logic; 
        EV_RAM_DO_B_net_net_1 : in std_logic);

end nbnjbfrkqwq;

architecture DEF_ARCH of nbnjbfrkqwq is 

  component DFN1E1C0
    port(D, CLK, CLR, E : in std_logic := 'U'; Q : out std_logic);
        
  end component;

  component OR2A
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR3A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component XNOR3
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR2B
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component DFN1E0C0
    port(D, CLK, CLR, E : in std_logic := 'U'; Q : out std_logic);
        
  end component;

  component NOR3C
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component MX2
    port(A, B, S : in std_logic := 'U'; Y : out std_logic);
  end component;

  component XNOR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component XAI1A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AOI1A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OAI1
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component XOR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AO18
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AOI1
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR2A
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component DFN1C0
    port(D, CLK, CLR : in std_logic := 'U'; Q : out std_logic);
  end component;

  component OR3
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR3C
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component MX2B
    port(A, B, S : in std_logic := 'U'; Y : out std_logic);
  end component;

  component MX2A
    port(A, B, S : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AO13
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR2B
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR3A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OA1C
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR3B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AND2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AND2A
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AX1D
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AO1B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AOI1B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component MX2C
    port(A, B, S : in std_logic := 'U'; Y : out std_logic);
  end component;

  component XOR3
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AX1A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AO1
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AO1C
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OA1A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component OA1
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component XA1A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR3B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AND3
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OA1B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component MAJ3
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR3
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component DFN1P0
    port(D, CLK, PRE : in std_logic := 'U'; Q : out std_logic);
  end component;

  component AO1A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AX1E
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AXOI7
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component MIN3
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component XA1B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AXOI5
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component VCC
    port(Y : out std_logic);
  end component;

    signal \EV_RAM_ADDR_B_net[8]\, \EV_CHHOLD_net[4]\, 
        \Z\\EV_RAM_ADDR_B_net\\_net_1\, \EV_RAM_ADDR_B_net_net_2\, 
        \EV_RAM_ADDR_B_net_net_4\, \EV_RAM_ADDR_B_net_net_7\, 
        \EV_CHHOLD_net_net_1\, \EV_CHHOLD_net_net_2\, 
        \EV_CHHOLD_net_net_3\, \Z\\EV_CHHOLD_net\\_net_1\, 
        \EV_RAM_ADDR_B_net_net_1\, \EV_RAM_ADDR_B_net_net_5\, 
        \EV_RAM_ADDR_B_net_net_3\, \EV_RAM_ADDR_B_net_net_6\, 
        \bskrjhjvqpf_1_sqmuxa_0\, \EV_ASSCADDR_net_net_5\, 
        \bskrjhjvqpf_1_sqmuxa\, N_240, \tkcbxxqbtfx[12]_net_1\, 
        bskrjhjvqpf_6_sqmuxa, \rdgwgtpkbgc_2[0]_net_1\, 
        \rdgwgtpkbgc_1[0]_net_1\, \rdgwgtpkbgc_0[0]_net_1\, 
        \rdgwgtpkbgc_1[1]_net_1\, \rdgwgtpkbgc_0[1]_net_1\, 
        \rdgwgtpkbgc_2[2]_net_1\, \rdgwgtpkbgc_1[2]_net_1\, 
        \rdgwgtpkbgc_0[2]_net_1\, \tkcbxxqbtfx_1[4]_net_1\, 
        \tkcbxxqbtfx_ns_i[13]_net_1\, \tkcbxxqbtfx_0[4]_net_1\, 
        \DWACT_ADD_CI_0_g_array_2[0]\, 
        \DWACT_ADD_CI_0_g_array_1[0]\, 
        \DWACT_ADD_CI_0_pog_array_1[0]\, 
        \DWACT_ADD_CI_0_g_array_3[0]\, 
        \DWACT_ADD_CI_0_pog_array_2[0]\, 
        \DWACT_ADD_CI_0_g_array_11[0]\, 
        \DWACT_ADD_CI_0_pog_array_1_1[0]\, 
        \DWACT_ADD_CI_0_TMP[0]\, \DWACT_ADD_CI_0_g_array_12_1[0]\, 
        \DWACT_ADD_CI_0_g_array_12[0]\, 
        \DWACT_ADD_CI_0_g_array_12_2[0]\, 
        \zbqggxmnpbs_0_iv_0[1]_net_1\, \fqkdsnjfpdb[7]\, 
        \tkcbxxqbtfx[5]_net_1\, \ckghxwbsztp_m[0]_net_1\, 
        \zbqggxmnpbs_0_iv_1[0]_net_1\, un2_pbzxzjhqhwz_m, 
        \tddhwjzbsrj_m\, \fqkdsnjfpdb_m[6]_net_1\, 
        \zbqggxmnpbs_0_iv_0[2]_net_1\, \fqkdsnjfpdb[17]\, 
        \ckghxwbsztp_m[1]_net_1\, ADD_18x18_medium_I108_Y_0, 
        \G_163_0\, N_320, N_322, ADD_18x18_medium_I106_Y_0, 
        \G_153_0\, N_310, N_312, ADD_18x18_medium_I107_Y_0, N_317, 
        N_313, \zbqggxmnpbs_0_iv_0[3]_net_1\, \fqkdsnjfpdb[0]\, 
        \ckghxwbsztp_m[2]_net_1\, ADD_18x18_medium_I109_Y_2, 
        ADD_18x18_medium_I109_Y_1, N_323_i, 
        \bnvtvdkcnpp[11]_net_1\, \rqrqhcwpqdn[11]_net_1\, 
        gjkdbmpgrtc75, ADD_18x18_medium_I102_Y_0, N_292, N_288, 
        \zbqggxmnpbs_0_iv_0[5]_net_1\, \fqkdsnjfpdb[2]\, 
        \ckghxwbsztp_m[4]_net_1\, ADD_18x18_medium_I67_Y_0, N287, 
        N288, N286, ADD_18x18_medium_I75_Y_3, I51_un1_Y, 
        ADD_18x18_medium_I75_Y_1, I75_un1_Y_i, I18_un1_Y, N279, 
        I35_un1_Y, ADD_18x18_medium_I99_Y_0, N_277, N_273, 
        ADD_18x18_medium_I98_Y_0, \G_113_0\, N_270, N_272, 
        ADD_18x18_medium_I97_Y_0, N_267, N_263, 
        ADD_18x18_medium_I96_Y_0, \G_103_0\, N_260, N_262, 
        ADD_18x18_medium_I75_un1_Y_0, N300, N330, 
        \dhzrwbnrbpw_7_iv_0[7]\, N_199_i_0, 
        \qrbxknbdvjj_m[7]_net_1\, \dhzrwbnrbpw_7_iv_0[6]\, 
        \qrbxknbdvjj_m[6]_net_1\, \dhzrwbnrbpw_7_iv_0[8]\, 
        \qrbxknbdvjj_m[8]_net_1\, \dhzrwbnrbpw_7_iv_0[5]\, 
        \rgmpzqrbghh\, \qrbxknbdvjj_m[5]_net_1\, 
        \dhzrwbnrbpw_7_iv_0[4]\, \qrbxknbdvjj_m[4]_net_1\, 
        ADD_18x18_medium_I93_Y_0, \gjkdbmpgrtc[1]\, \G_89_0\, 
        \bnwcvzjbgtc[1]\, \dhzrwbnrbpw_7_iv_1[3]\, 
        \qrbxknbdvjj_m[3]_net_1\, \mtbjcfqsbqf_m[2]_net_1\, 
        \jrgzmrqhbkv_m[3]_net_1\, \dhzrwbnrbpw_7_iv_1[2]\, 
        \qrbxknbdvjj_m[2]_net_1\, \mtbjcfqsbqf_m[1]_net_1\, 
        \jrgzmrqhbkv_m[2]_net_1\, ADD_18x18_medium_I9_P0N_0, 
        \bnwcvzjbgtc[8]\, \bnvtvdkcnpp[2]_net_1\, N_287, 
        ADD_18x18_medium_I8_P0N_0, \bnwcvzjbgtc[7]\, 
        \bnvtvdkcnpp[1]_net_1\, N_282, ADD_18x18_medium_I13_P0N_0, 
        \bnwcvzjbgtc[12]\, \bnvtvdkcnpp[6]_net_1\, N_307, 
        \dhzrwbnrbpw_7_iv_1[1]\, \qrbxknbdvjj_m[1]_net_1\, 
        \mtbjcfqsbqf_m[0]_net_1\, \jrgzmrqhbkv_m[1]_net_1\, 
        \G_124_0\, \gjkdbmpgrtc[8]\, \G_109_0\, 
        \ftbkrvpxdbp[5]_net_1\, \gjkdbmpgrtc[5]\, \G_139_0\, 
        \bnvtvdkcnpp[5]_net_1\, \gjkdbmpgrtc[11]\, \G_144_0\, 
        \gjkdbmpgrtc[12]\, \ftbkrvpxdbp[1]_net_1\, 
        \ftbkrvpxdbp[0]_net_1\, \tkcbxxqbtfx_ns_0[4]_net_1\, 
        N_239, \tkcbxxqbtfx_ns_a3_0_0[4]_net_1\, N_228, 
        \kkjrqmngvjc_0_0\, \tkcbxxqbtfx[1]_net_1\, N_191_2, 
        \bskrjhjvqpf_i_0\, \tkcbxxqbtfx[15]_net_1\, 
        \tkcbxxqbtfx[9]_net_1\, N_227_1, 
        \tkcbxxqbtfx_ns_a3_0[6]_net_1\, N_205, 
        \gjkdbmpgrtc75_0_a3_0_0\, \bskrjhjvqpf_6_sqmuxa_0_a3_0\, 
        \un1_fskhwddcbbg_i_o3_0\, \tkcbxxqbtfx[3]_net_1\, 
        \tkcbxxqbtfx[0]_net_1\, \gpjgkmhxbkn_NE_2\, 
        gpjgkmhxbkn_3_i, gpjgkmhxbkn_4_i, gpjgkmhxbkn_0_i, 
        \gpjgkmhxbkn_NE_1\, \rqrqhcwpqdn[3]_net_1\, 
        gpjgkmhxbkn_1_i, \wqpbnjzjqsx_NE_2\, wqpbnjzjqsx_3_i, 
        wqpbnjzjqsx_4_i, wqpbnjzjqsx_0_i, \wqpbnjzjqsx_NE_1\, 
        \bnvtvdkcnpp[3]_net_1\, wqpbnjzjqsx_1_i, 
        \bskrjhjvqpf_i_2_1\, \tkcbxxqbtfx[6]_net_1\, 
        \tkcbxxqbtfx[17]_net_1\, N268, N_302, N_300, \G_143_0\, 
        N274, \tkcbxxqbtfx_ns[14]\, N_241, 
        \tkcbxxqbtfx_ns[4]_net_1\, N_216, I67_un1_Y, N309, N351, 
        N305, N343, I53_un1_Y, I68_un1_Y, N311, N307, N354, N345, 
        I55_un1_Y, N306, N303, \dhzrwbnrbpw_7[5]\, 
        \jrgzmrqhbkv_m[5]_net_1\, \un1_dhzrwbnrbpw_m[6]_net_1\, 
        \dhzrwbnrbpw_7[4]\, \jrgzmrqhbkv_m[4]_net_1\, 
        \un1_dhzrwbnrbpw_m[5]_net_1\, \dhzrwbnrbpw_7[3]\, 
        N_201_i_0, I_37, \dhzrwbnrbpw_7[2]\, I_35, 
        \dhzrwbnrbpw_7[1]\, I_32, \bskrjhjvqpf_i\, N_234, 
        \tkcbxxqbtfx_ns[6]\, N_252, \gjkdbmpgrtc[2]\, 
        \ftbkrvpxdbp[2]_net_1\, \bnwcvzjbgtc[2]\, N_257_i, 
        \gjkdbmpgrtc[3]\, \ftbkrvpxdbp[3]_net_1\, 
        \bnwcvzjbgtc[3]\, \gjkdbmpgrtc[4]\, 
        \ftbkrvpxdbp[4]_net_1\, \bnwcvzjbgtc[4]\, 
        \bnwcvzjbgtc[5]\, \gjkdbmpgrtc[6]\, 
        \bnvtvdkcnpp[0]_net_1\, \bnwcvzjbgtc[6]\, 
        \gjkdbmpgrtc[7]\, \gjkdbmpgrtc[9]\, \bnwcvzjbgtc[9]\, 
        \gjkdbmpgrtc[10]\, \bnvtvdkcnpp[4]_net_1\, 
        \bnwcvzjbgtc[10]\, \gjkdbmpgrtc[13]\, 
        \bnvtvdkcnpp[7]_net_1\, \bnwcvzjbgtc[13]\, 
        \gjkdbmpgrtc[14]\, \bnvtvdkcnpp[8]_net_1\, 
        \bnwcvzjbgtc[14]\, \dhzrwbnrbpw_7[8]\, I_36, 
        \dhzrwbnrbpw_7[7]\, I_34_0, \dhzrwbnrbpw_7[6]\, I_38, 
        \dhzrwbnrbpw_7[0]\, \jrgzmrqhbkv_m[0]_net_1\, 
        \qrbxknbdvjj_m[0]_net_1\, \un1_dhzrwbnrbpw_m[1]_net_1\, 
        \gjkdbmpgrtc[0]\, \bnwcvzjbgtc[0]\, \fqkdsnjfpdb[1]\, 
        N_248, N403_i, \fqkdsnjfpdb[4]\, N401_i, \fqkdsnjfpdb[5]\, 
        \fqkdsnjfpdb[6]\, N399_i, \fqkdsnjfpdb[8]\, N_278, N397_i, 
        \fqkdsnjfpdb[9]\, N_283, N349, \fqkdsnjfpdb[10]\, N395, 
        \fqkdsnjfpdb[13]\, N_303_i, \fqkdsnjfpdb[14]\, N270, 
        I85_un1_Y_i, \fqkdsnjfpdb[15]\, \fqkdsnjfpdb[16]\, N389_i, 
        I65_un1_Y, \gjkdbmpgrtc[15]\, \bnvtvdkcnpp[9]_net_1\, 
        \bnwcvzjbgtc[15]\, N_297, \bnwcvzjbgtc[11]\, 
        \gjkdbmpgrtc[16]\, \bnvtvdkcnpp[10]_net_1\, 
        \bnwcvzjbgtc[16]\, \tkcbxxqbtfx_ns_i[1]_net_1\, N_215, 
        \fqkdsnjfpdb[12]\, N_298, N393_i, \fqkdsnjfpdb[11]\, 
        N_293, N347, \fqkdsnjfpdb[3]\, N_253_i, N316, 
        \fqkdsnjfpdb_m[1]_net_1\, \ckghxwbsztp_m[3]_net_1\, 
        \fqkdsnjfpdb_m[10]_net_1\, I69_un1_Y, N308_i, I57_un1_Y_i, 
        N313, N_209, N244, N247, N_265, \G_108_0\, N250, N253, 
        N_275, \G_118_0\, N259, \G_128_0\, N262, N_290, \G_133_0\, 
        N_789, N_753, \bnwcvzjbgtc_11_d[11]_net_1\, 
        \bnwcvzjbgtc_11_s[6]_net_1\, N_967, N_787, N_751, 
        \bnwcvzjbgtc_11_d[9]_net_1\, \tkcbxxqbtfx_ns_a3_0[16]\, 
        N_237, \tkcbxxqbtfx_ns[16]\, \tkcbxxqbtfx_ns_1[16]\, 
        \tkcbxxqbtfx_ns[15]\, N_785, N_749, 
        \bnwcvzjbgtc_11_d[7]_net_1\, \bnwcvzjbgtc_11_d[5]_net_1\, 
        \bnwcvzjbgtc_11_d_d[5]_net_1\, 
        \bnwcvzjbgtc_11_d_s[5]_net_1\, 
        \bnwcvzjbgtc_11_d[2]_net_1\, 
        \bnwcvzjbgtc_11_d_d[2]_net_1\, 
        \bnwcvzjbgtc_11_d_s[4]_net_1\, 
        \bnwcvzjbgtc_12_d_0[4]_net_1\, N_782, N_654, N_646, 
        \bnwcvzjbgtc_12_s[4]_net_1\, N_778, N_744, 
        \bnwcvzjbgtc_11_d[0]_net_1\, \bnwcvzjbgtc_11_s[5]_net_1\, 
        N_727, N_784, N_748, \bnwcvzjbgtc_11_d[6]_net_1\, N_750, 
        \bnwcvzjbgtc_11_d[4]_net_1\, 
        \bnwcvzjbgtc_11_d_d[4]_net_1\, N_780, N_746, N_783, 
        \G_123_0\, \G_148_0\, N_959, \hmzcpnxsdwg\, \qmmwhjxxxmv\, 
        \mvnkctvqsgp\, \rfrdbqfdrhx[1]_net_1\, 
        \rfrdbqfdrhx[0]_net_1\, \kkgccghmrzf\, \un1_mvnkctvqsgp\, 
        \tkcbxxqbtfx[8]_net_1\, \un1_xkwrgrspmcf\, 
        \un1_kkgccghmrzf\, \un1_qvqqfftqsfc\, \un3_qvqqfftqsfc\, 
        \ftbkrvpxdbp_1_sqmuxa\, un2_bmkwsvgbnqv, 
        \tkcbxxqbtfx_ns_i[2]_net_1\, \tkcbxxqbtfx[16]_net_1\, 
        \tkcbxxqbtfx_ns_i[3]_net_1\, \tkcbxxqbtfx_ns_i[5]_net_1\, 
        \tkcbxxqbtfx[13]_net_1\, \tkcbxxqbtfx_ns_i[7]_net_1\, 
        \tkcbxxqbtfx[11]_net_1\, \tkcbxxqbtfx_ns_i[8]_net_1\, 
        \tkcbxxqbtfx[10]_net_1\, \tkcbxxqbtfx_ns_i[9]_net_1\, 
        \tkcbxxqbtfx_ns_i[11]_net_1\, \tkcbxxqbtfx[14]_net_1\, 
        N_203, N_207, \tkcbxxqbtfx[2]_net_1\, N234, N235, N237, 
        N240, N243, N246, N249, N252, N255, N258, N261, N277, 
        N280, N273, N290, N291, I26_un1_Y, N292, N293, N294, N295, 
        N296, N297, I32_un1_Y, N298, N299, N265, I39_un1_Y, 
        I41_un1_Y, I43_un1_Y, N312, I47_un1_Y, N314, N315, 
        I49_un1_Y, I59_un1_Y, N329, I61_un1_Y, I62_un1_Y_i, 
        \fqkdsnjfpdb_m[15]_net_1\, \tddhwjzbsrj\, N_443, N_938_1, 
        N_541, N_444, N_540, N_542, N_445, N_543, N_446, N_544, 
        N_447, N_545, N_448, N_546, N_449, N_547, N_450, N_548, 
        N_451, N_549, N_452, N_550, N_453, N_969, N_509, N_938, 
        N_510, N_947_1, N_511, N_512, N_514, N_968, N_515, N_939, 
        \rqrqhcwpqdn[0]_net_1\, \rqrqhcwpqdn[1]_net_1\, 
        \rqrqhcwpqdn[2]_net_1\, \rqrqhcwpqdn[4]_net_1\, 
        \rqrqhcwpqdn[5]_net_1\, \rqrqhcwpqdn[6]_net_1\, 
        \rqrqhcwpqdn[7]_net_1\, \rqrqhcwpqdn[8]_net_1\, 
        \rqrqhcwpqdn[9]_net_1\, \rqrqhcwpqdn[10]_net_1\, N_580, 
        N_582, N_583, N_584, N_585, N_892, N_949, N_950, N_951, 
        N_952, N_940, N_941, N_944, N_910, N_946, N_590, N_608, 
        N_609, N_625, N_626, N_642, N_643, N_644, N_645, N_728, 
        N_647, N_745, N_648, N_649, N_747, N_650, N_651, N_652, 
        \rdgwgtpkbgc[1]_net_1\, N_653, N_752, N_655, N_656, N_754, 
        N_657, N_710, N_711, N_712, N_713, N_715, N_716, N_717, 
        N_718, N_719, N_953, \rdgwgtpkbgc[0]_net_1\, N_779, N_786, 
        N_966, N_788, N_790, N_781, N_954, N_955, N_956, N_960, 
        N_794, N_814, N_815, N_816, N_817, N_818, N_819, N_820, 
        N_821, N_822, N_823, \qrbxknbdvjj[0]_net_1\, 
        \DWACT_ADD_CI_0_partial_sum[0]\, \qrbxknbdvjj[1]_net_1\, 
        \qrbxknbdvjj[2]_net_1\, \qrbxknbdvjj[3]_net_1\, 
        \qrbxknbdvjj[4]_net_1\, I_30, \qrbxknbdvjj[5]_net_1\, 
        I_33, \qrbxknbdvjj[6]_net_1\, \qrbxknbdvjj[7]_net_1\, 
        \qrbxknbdvjj[8]_net_1\, \ftbkrvpxdbp_5[0]_net_1\, 
        \ftbkrvpxdbp_5[1]_net_1\, \ftbkrvpxdbp_5[2]_net_1\, 
        \ftbkrvpxdbp_5[3]_net_1\, \ftbkrvpxdbp_5[4]_net_1\, 
        \ftbkrvpxdbp_5[5]_net_1\, N_957, N_924, 
        bskrjhjvqpf_0_sqmuxa, dbdctxjdvkp_2_sqmuxa, N_947, N_890, 
        N_888, N_965, N_958, N_948, N_945, N_943, N_942, N_589, 
        N_792, N_793, N_791, \rdgwgtpkbgc[2]_net_1\, N_587, N_586, 
        N_513, N_581, \bnvtvdkcnpp_5[1]_net_1\, 
        \bnvtvdkcnpp_5[0]_net_1\, \un1_bskrjhjvqpf_6_sqmuxa_1\, 
        N_211, N_923, \spbznmtdmpd\, gcqsptsqnzg, 
        \ckghxwbsztp_3[4]\, I_20, \ckghxwbsztp_3[3]\, I_13, 
        \ckghxwbsztp_3[0]\, N_838, \rqrqhcwpqdn_9[11]_net_1\, 
        N_837, \rqrqhcwpqdn_9[10]_net_1\, N_836, 
        \rqrqhcwpqdn_9[9]_net_1\, N_835, 
        \tkcbxxqbtfx_ns_i[17]_net_1\, 
        \tkcbxxqbtfx_ns_i[12]_net_1\, \tkcbxxqbtfx_ns[0]_net_1\, 
        \tkcbxxqbtfx_ns[10]\, \bnvtvdkcnpp_5[3]_net_1\, 
        \bnvtvdkcnpp_5[4]_net_1\, \bnvtvdkcnpp_5[5]_net_1\, 
        \bnvtvdkcnpp_5[7]_net_1\, \bnvtvdkcnpp_9[10]_net_1\, 
        \bnvtvdkcnpp_8[10]_net_1\, \bnvtvdkcnpp_8[9]_net_1\, 
        \ckghxwbsztp_3[2]\, I_9, \ckghxwbsztp_3[1]\, I_5, 
        \bnvtvdkcnpp_8[11]_net_1\, \bnvtvdkcnpp_9[11]_net_1\, 
        \bnvtvdkcnpp_9[9]_net_1\, \bnvtvdkcnpp_9[8]_net_1\, 
        \bnvtvdkcnpp_5[8]_net_1\, \bnvtvdkcnpp_9[7]_net_1\, 
        \bnvtvdkcnpp_9[6]_net_1\, \bnvtvdkcnpp_5[6]_net_1\, 
        \bnvtvdkcnpp_9[5]_net_1\, \bnvtvdkcnpp_9[4]_net_1\, 
        \tkcbxxqbtfx[4]_net_1\, \bnvtvdkcnpp_9[3]_net_1\, 
        \bnvtvdkcnpp_9[2]_net_1\, \bnvtvdkcnpp_5[2]_net_1\, 
        \bnvtvdkcnpp_9[1]_net_1\, \bnvtvdkcnpp_9[0]_net_1\, 
        \fqkdsnjfpdb_m[5]_net_1\, \fqkdsnjfpdb_m[4]_net_1\, 
        \fqkdsnjfpdb_m[12]_net_1\, \ckghxwbsztp[4]_net_1\, 
        \ckghxwbsztp[3]_net_1\, \ckghxwbsztp[2]_net_1\, 
        \ckghxwbsztp[1]_net_1\, \ckghxwbsztp[0]_net_1\, 
        un2_pbzxzjhqhwz, N264, N267_i, N_196, N_206, N_12, N_4, 
        \DWACT_FINC_E[0]\, N_9, \DWACT_COMP0_E[1]\, 
        \DWACT_COMP0_E[2]\, \DWACT_COMP0_E[0]\, 
        \DWACT_CMPLE_PO2_DWACT_COMP0_E[1]\, 
        \DWACT_CMPLE_PO2_DWACT_COMP0_E[2]\, 
        \DWACT_CMPLE_PO2_DWACT_COMP0_E[0]\, \ACT_LT4_E[3]\, 
        \ACT_LT4_E[6]\, \ACT_LT4_E[10]\, \ACT_LT4_E[7]\, 
        \ACT_LT4_E[8]\, \ACT_LT4_E[5]\, \ACT_LT4_E[4]\, 
        \ACT_LT4_E[0]\, \ACT_LT4_E[1]\, \ACT_LT4_E[2]\, 
        \ACT_LT3_E[3]\, \ACT_LT3_E[4]\, \ACT_LT3_E[5]\, 
        \ACT_LT3_E[0]\, \ACT_LT3_E[1]\, \ACT_LT3_E[2]\, 
        \DWACT_BL_EQUAL_0_E[2]\, \DWACT_BL_EQUAL_0_E[1]\, 
        \DWACT_BL_EQUAL_0_E[0]\, N_37, N_36, N_35, N_32, N_34, 
        N_33, N_31, N_28, N_29, N_30, 
        \DWACT_BL_EQUAL_0_DWACT_ANDTREE_E[1]\, 
        \DWACT_BL_EQUAL_0_DWACT_ANDTREE_E[0]\, 
        \DWACT_BL_EQUAL_0_E[4]\, \DWACT_BL_EQUAL_0_E[3]\, 
        \DWACT_BL_EQUAL_0_E_0[0]\, \DWACT_BL_EQUAL_0_E_0[1]\, 
        \DWACT_BL_EQUAL_0_E_0[2]\, 
        \DWACT_ADD_CI_0_pog_array_1_2[0]\, \VCC\, \GND\, 
        GND_net_1, VCC_net_1 : std_logic;

begin 

    EV_RAM_ADDR_B_net(8) <= \EV_RAM_ADDR_B_net[8]\;
    EV_CHHOLD_net(4) <= \EV_CHHOLD_net[4]\;
    \Z\\EV_RAM_ADDR_B_net\\\ <= \Z\\EV_RAM_ADDR_B_net\\_net_1\;
    EV_RAM_ADDR_B_net_net_2 <= \EV_RAM_ADDR_B_net_net_2\;
    EV_RAM_ADDR_B_net_net_4 <= \EV_RAM_ADDR_B_net_net_4\;
    EV_RAM_ADDR_B_net_net_7 <= \EV_RAM_ADDR_B_net_net_7\;
    EV_CHHOLD_net_net_1 <= \EV_CHHOLD_net_net_1\;
    EV_CHHOLD_net_net_2 <= \EV_CHHOLD_net_net_2\;
    EV_CHHOLD_net_net_3 <= \EV_CHHOLD_net_net_3\;
    \Z\\EV_CHHOLD_net\\\ <= \Z\\EV_CHHOLD_net\\_net_1\;
    EV_RAM_ADDR_B_net_net_1 <= \EV_RAM_ADDR_B_net_net_1\;
    EV_RAM_ADDR_B_net_net_5 <= \EV_RAM_ADDR_B_net_net_5\;
    EV_RAM_ADDR_B_net_net_3 <= \EV_RAM_ADDR_B_net_net_3\;
    EV_RAM_ADDR_B_net_net_6 <= \EV_RAM_ADDR_B_net_net_6\;
    bskrjhjvqpf_1_sqmuxa_0 <= \bskrjhjvqpf_1_sqmuxa_0\;
    EV_ASSCADDR_net_net_5 <= \EV_ASSCADDR_net_net_5\;
    bskrjhjvqpf_1_sqmuxa <= \bskrjhjvqpf_1_sqmuxa\;

    \qrbxknbdvjj[4]\ : DFN1E1C0
      port map(D => \EV_RAM_ADDR_B_net_net_3\, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \tkcbxxqbtfx[11]_net_1\, Q => 
        \qrbxknbdvjj[4]_net_1\);
    
    \bnwcvzjbgtc_11_s[5]\ : OR2A
      port map(A => \rdgwgtpkbgc_0[1]_net_1\, B => rdgwgtpkbgc_3, 
        Y => \bnwcvzjbgtc_11_s[5]_net_1\);
    
    \bnwcvzjbgtc_6_0_a3[9]\ : NOR3A
      port map(A => \bnvtvdkcnpp[11]_net_1\, B => 
        \rdgwgtpkbgc[0]_net_1\, C => \rdgwgtpkbgc[1]_net_1\, Y
         => N_953);
    
    G_134 : XNOR3
      port map(A => \gjkdbmpgrtc[10]\, B => 
        \bnvtvdkcnpp[4]_net_1\, C => \bnwcvzjbgtc[10]\, Y => 
        N_292);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I25_Y : OR2B
      port map(A => N262, B => N259, Y => N291);
    
    \rdgwgtpkbgc[2]\ : DFN1E0C0
      port map(D => EV_RAM_DO_B_net_net_5, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \bskrjhjvqpf_1_sqmuxa\, Q => 
        \rdgwgtpkbgc[2]_net_1\);
    
    \gjkdbmpgrtc_3_0_a3[3]\ : NOR3C
      port map(A => \rdgwgtpkbgc[0]_net_1\, B => 
        \rqrqhcwpqdn[0]_net_1\, C => \rdgwgtpkbgc[1]_net_1\, Y
         => N_938);
    
    \bnvtvdkcnpp_5[1]\ : MX2
      port map(A => \bnvtvdkcnpp[1]_net_1\, B => 
        EV_RAM_DO_B_net_net_6, S => \un3_qvqqfftqsfc\, Y => 
        \bnvtvdkcnpp_5[1]_net_1\);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_1 : XNOR2
      port map(A => \bnvtvdkcnpp[8]_net_1\, B => 
        \rqrqhcwpqdn[8]_net_1\, Y => \DWACT_BL_EQUAL_0_E_0[1]\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I1_P0N : XAI1A
      port map(A => \gjkdbmpgrtc[1]\, B => \G_89_0\, C => 
        \bnwcvzjbgtc[1]\, Y => N235);
    
    \gjkdbmpgrtc_11[12]\ : MX2
      port map(A => N_968, B => \rqrqhcwpqdn[6]_net_1\, S => 
        rdgwgtpkbgc_3, Y => N_586);
    
    \gjkdbmpgrtc_11[13]\ : MX2
      port map(A => N_939, B => \rqrqhcwpqdn[7]_net_1\, S => 
        rdgwgtpkbgc_3, Y => N_587);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_58 : AOI1A
      port map(A => \ACT_LT4_E[0]\, B => \ACT_LT4_E[1]\, C => 
        \ACT_LT4_E[2]\, Y => \ACT_LT4_E[3]\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I27_Y : OAI1
      port map(A => \G_123_0\, B => ADD_18x18_medium_I8_P0N_0, C
         => N253, Y => N293);
    
    un3_ckghxwbsztp_I_5 : XOR2
      port map(A => \rqrqhcwpqdn[1]_net_1\, B => 
        \rqrqhcwpqdn[2]_net_1\, Y => I_5);
    
    G_168 : AO18
      port map(A => \bnvtvdkcnpp[10]_net_1\, B => 
        \bnwcvzjbgtc[16]\, C => \gjkdbmpgrtc[16]\, Y => N_323_i);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I24_Y : AOI1
      port map(A => N258, B => N262, C => N261, Y => N290);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_35 : XNOR2
      port map(A => \bnvtvdkcnpp[5]_net_1\, B => 
        \rqrqhcwpqdn[5]_net_1\, Y => \DWACT_BL_EQUAL_0_E[1]\);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_60 : NOR2A
      port map(A => \rqrqhcwpqdn[3]_net_1\, B => 
        \bnvtvdkcnpp[3]_net_1\, Y => \ACT_LT4_E[5]\);
    
    tddhwjzbsrj : DFN1E1C0
      port map(D => gcqsptsqnzg, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \tkcbxxqbtfx[1]_net_1\, Q => 
        \tddhwjzbsrj\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I11_P0N : OR2
      port map(A => N_297, B => N_293, Y => N265);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_20 : OR2A
      port map(A => \rqrqhcwpqdn[11]_net_1\, B => 
        \bnvtvdkcnpp[11]_net_1\, Y => N_31);
    
    \rfrdbqfdrhx[0]\ : DFN1E1C0
      port map(D => EV_RAM_DO_B_net_net_3, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => bskrjhjvqpf_0_sqmuxa, Q => 
        \rfrdbqfdrhx[0]_net_1\);
    
    \bnwcvzjbgtc_7[2]\ : MX2
      port map(A => N_644, B => N_652, S => rdgwgtpkbgc_3, Y => 
        N_712);
    
    \bnwcvzjbgtc_9[3]\ : MX2
      port map(A => \bnvtvdkcnpp[3]_net_1\, B => 
        \bnvtvdkcnpp[4]_net_1\, S => \rdgwgtpkbgc_2[0]_net_1\, Y
         => N_747);
    
    \tkcbxxqbtfx_0[4]\ : DFN1C0
      port map(D => \tkcbxxqbtfx_ns_i[13]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \tkcbxxqbtfx_0[4]_net_1\);
    
    rgmpzqrbghh : DFN1C0
      port map(D => \hmzcpnxsdwg\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \rgmpzqrbghh\);
    
    \gjkdbmpgrtc_12[9]\ : MX2
      port map(A => N_515, B => N_583, S => 
        \rdgwgtpkbgc_0[2]_net_1\, Y => \gjkdbmpgrtc[9]\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I6_P0N : OR3
      port map(A => N_272, B => N_270, C => \G_113_0\, Y => N250);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I69_un1_Y : OR3C
      port map(A => N309, B => N313, C => N316, Y => I69_un1_Y);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I4_P0N : OR3
      port map(A => N_262, B => N_260, C => \G_103_0\, Y => N244);
    
    \bnwcvzjbgtc_11_d[4]\ : MX2B
      port map(A => \bnvtvdkcnpp[3]_net_1\, B => 
        \bnwcvzjbgtc_11_d_d[4]_net_1\, S => 
        \bnwcvzjbgtc_11_d_s[4]_net_1\, Y => 
        \bnwcvzjbgtc_11_d[4]_net_1\);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_46 : OR2A
      port map(A => \rqrqhcwpqdn[6]_net_1\, B => 
        \bnvtvdkcnpp[6]_net_1\, Y => \ACT_LT3_E[4]\);
    
    \bnwcvzjbgtc_11[11]\ : MX2
      port map(A => N_753, B => \bnwcvzjbgtc_11_d[11]_net_1\, S
         => \bnwcvzjbgtc_11_s[6]_net_1\, Y => N_789);
    
    \qrbxknbdvjj[2]\ : DFN1E1C0
      port map(D => \EV_RAM_ADDR_B_net_net_5\, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \tkcbxxqbtfx[11]_net_1\, Q => 
        \qrbxknbdvjj[2]_net_1\);
    
    \rqrqhcwpqdn_9[9]\ : MX2A
      port map(A => N_835, B => \rqrqhcwpqdn[9]_net_1\, S => 
        N_838, Y => \rqrqhcwpqdn_9[9]_net_1\);
    
    \gjkdbmpgrtc_11_0_a3[2]\ : NOR2A
      port map(A => N_444, B => rdgwgtpkbgc_3, Y => N_949);
    
    G_138 : AO13
      port map(A => \bnvtvdkcnpp[4]_net_1\, B => 
        \gjkdbmpgrtc[10]\, C => \bnwcvzjbgtc[10]\, Y => N_293);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I42_Y : NOR2
      port map(A => N293, B => N291, Y => N309);
    
    \gjkdbmpgrtc_7[6]\ : MX2
      port map(A => N_444, B => N_452, S => rdgwgtpkbgc_3, Y => 
        N_512);
    
    \gjkdbmpgrtc_7_0_a3[14]\ : NOR2A
      port map(A => N_452, B => rdgwgtpkbgc_3, Y => N_944);
    
    \bnvtvdkcnpp_5[4]\ : MX2
      port map(A => \bnvtvdkcnpp[4]_net_1\, B => 
        EV_RAM_DO_B_net_net_3, S => \un3_qvqqfftqsfc\, Y => 
        \bnvtvdkcnpp_5[4]_net_1\);
    
    un1_dhzrwbnrbpw_I_47 : NOR2B
      port map(A => \DWACT_ADD_CI_0_g_array_2[0]\, B => 
        \EV_RAM_ADDR_B_net_net_3\, Y => 
        \DWACT_ADD_CI_0_g_array_12_1[0]\);
    
    \bnwcvzjbgtc_9[5]\ : MX2
      port map(A => \bnvtvdkcnpp[5]_net_1\, B => 
        \bnvtvdkcnpp[6]_net_1\, S => \rdgwgtpkbgc_2[0]_net_1\, Y
         => N_749);
    
    \bnwcvzjbgtc_3[8]\ : MX2
      port map(A => N_746, B => N_748, S => 
        \rdgwgtpkbgc_1[1]_net_1\, Y => N_650);
    
    \bnwcvzjbgtc_11[9]\ : MX2
      port map(A => N_751, B => \bnwcvzjbgtc_11_d[9]_net_1\, S
         => \bnwcvzjbgtc_11_s[6]_net_1\, Y => N_787);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I75_Y_3 : NOR3C
      port map(A => I51_un1_Y, B => ADD_18x18_medium_I75_Y_1, C
         => I75_un1_Y_i, Y => ADD_18x18_medium_I75_Y_3);
    
    \bnwcvzjbgtc_3[14]\ : MX2
      port map(A => N_752, B => N_754, S => 
        \rdgwgtpkbgc[1]_net_1\, Y => N_656);
    
    \bnwcvzjbgtc_9[1]\ : MX2
      port map(A => \bnvtvdkcnpp[1]_net_1\, B => 
        \bnvtvdkcnpp[2]_net_1\, S => \rdgwgtpkbgc_2[0]_net_1\, Y
         => N_745);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I36_Y : OR3A
      port map(A => N287, B => N277, C => N280, Y => N303);
    
    \ckghxwbsztp_3_0_a3[3]\ : NOR2B
      port map(A => I_13, B => N_923, Y => \ckghxwbsztp_3[3]\);
    
    bskrjhjvqpf_6_sqmuxa_0_a3_0 : OR2B
      port map(A => EV_RAM_DO_B_net_net_1, B => 
        EV_RAM_DO_B_net(8), Y => \bskrjhjvqpf_6_sqmuxa_0_a3_0\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I75_Y_1 : NOR3C
      port map(A => I18_un1_Y, B => N279, C => I35_un1_Y, Y => 
        ADD_18x18_medium_I75_Y_1);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_5 : XNOR2
      port map(A => \bnvtvdkcnpp[7]_net_1\, B => 
        \rqrqhcwpqdn[7]_net_1\, Y => \DWACT_BL_EQUAL_0_E_0[0]\);
    
    un1_dhzrwbnrbpw_I_33 : XOR2
      port map(A => \EV_RAM_ADDR_B_net_net_2\, B => 
        \DWACT_ADD_CI_0_g_array_12_1[0]\, Y => I_33);
    
    \bnwcvzjbgtc_11[2]\ : MX2
      port map(A => N_746, B => \bnwcvzjbgtc_11_d[2]_net_1\, S
         => \bnwcvzjbgtc_11_s[5]_net_1\, Y => N_780);
    
    un3_ckghxwbsztp_I_19 : NOR2B
      port map(A => \rqrqhcwpqdn[4]_net_1\, B => 
        \DWACT_FINC_E[0]\, Y => N_4);
    
    \bnwcvzjbgtc_11[16]\ : NOR2B
      port map(A => rdgwgtpkbgc_3, B => \bnvtvdkcnpp[10]_net_1\, 
        Y => N_794);
    
    \tkcbxxqbtfx_ns_o3[0]\ : NOR2A
      port map(A => INIT_DONE_c, B => bskrjhjvqpf_6_sqmuxa, Y => 
        N_211);
    
    \tkcbxxqbtfx_ns_o2[4]\ : OR3
      port map(A => N_209, B => \tkcbxxqbtfx[2]_net_1\, C => 
        N_207, Y => N_216);
    
    un1_dhzrwbnrbpw_I_44 : NOR2B
      port map(A => \DWACT_ADD_CI_0_TMP[0]\, B => 
        \EV_RAM_ADDR_B_net_net_6\, Y => 
        \DWACT_ADD_CI_0_g_array_1[0]\);
    
    \mtbjcfqsbqf_m[2]\ : OR2B
      port map(A => \EV_CHHOLD_net_net_1\, B => \rgmpzqrbghh\, Y
         => \mtbjcfqsbqf_m[2]_net_1\);
    
    \gjkdbmpgrtc_9[9]\ : MX2
      port map(A => \rqrqhcwpqdn[9]_net_1\, B => 
        \rqrqhcwpqdn[10]_net_1\, S => \rdgwgtpkbgc_1[0]_net_1\, Y
         => N_549);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_17 : OR2A
      port map(A => \rqrqhcwpqdn[8]_net_1\, B => 
        \bnvtvdkcnpp[8]_net_1\, Y => N_28);
    
    \bnwcvzjbgtc_3[4]\ : MX2
      port map(A => N_727, B => N_744, S => 
        \rdgwgtpkbgc_1[1]_net_1\, Y => N_646);
    
    \bnvtvdkcnpp_9[2]\ : MX2
      port map(A => \bnvtvdkcnpp_5[2]_net_1\, B => 
        \fqkdsnjfpdb[8]\, S => \tkcbxxqbtfx[4]_net_1\, Y => 
        \bnvtvdkcnpp_9[2]_net_1\);
    
    gcqsptsqnzg_iv_0 : OA1C
      port map(A => N_924, B => \spbznmtdmpd\, C => N_965, Y => 
        gcqsptsqnzg);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I41_un1_Y : OR2A
      port map(A => N292, B => N291, Y => I41_un1_Y);
    
    bskrjhjvqpf_1_sqmuxa_0_a2_0 : OR2B
      port map(A => N_240, B => \Z\\EV_RAM_DO_B_net\\_0\, Y => 
        \bskrjhjvqpf_1_sqmuxa_0\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I6_G0N : OAI1
      port map(A => \G_113_0\, B => N_270, C => N_272, Y => N249);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I40_Y : NOR3B
      port map(A => N265, B => N268, C => N291, Y => N307);
    
    G_133 : OR2
      port map(A => N_290, B => \G_133_0\, Y => N_288);
    
    \dhzrwbnrbpw[0]\ : DFN1C0
      port map(D => \dhzrwbnrbpw_7[0]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \EV_RAM_ADDR_B_net_net_7\);
    
    un1_kkgccghmrzf : OR2B
      port map(A => \tkcbxxqbtfx[8]_net_1\, B => \kkgccghmrzf\, Y
         => \un1_kkgccghmrzf\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I34_Y : AO18
      port map(A => \bnwcvzjbgtc[0]\, B => \gjkdbmpgrtc[0]\, C
         => \ftbkrvpxdbp[0]_net_1\, Y => N300);
    
    \bnwcvzjbgtc_9_0_a2[11]\ : NOR2A
      port map(A => \bnvtvdkcnpp[11]_net_1\, B => 
        \rdgwgtpkbgc[0]_net_1\, Y => N_967);
    
    un1_dhzrwbnrbpw_I_53 : AND2
      port map(A => \EV_RAM_ADDR_B_net_net_3\, B => 
        \EV_RAM_ADDR_B_net_net_2\, Y => 
        \DWACT_ADD_CI_0_pog_array_1_1[0]\);
    
    \zbqggxmnpbs_0_iv[4]\ : OR3C
      port map(A => \fqkdsnjfpdb_m[1]_net_1\, B => 
        \ckghxwbsztp_m[3]_net_1\, C => \fqkdsnjfpdb_m[10]_net_1\, 
        Y => EV_RAM_DI_B_net_net_3);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_36 : XNOR2
      port map(A => \bnvtvdkcnpp[6]_net_1\, B => 
        \rqrqhcwpqdn[6]_net_1\, Y => \DWACT_BL_EQUAL_0_E[2]\);
    
    \bnvtvdkcnpp_5[3]\ : MX2
      port map(A => \bnvtvdkcnpp[3]_net_1\, B => 
        EV_RAM_DO_B_net_net_4, S => \un3_qvqqfftqsfc\, Y => 
        \bnvtvdkcnpp_5[3]_net_1\);
    
    \bnwcvzjbgtc_12[2]\ : MX2
      port map(A => N_712, B => N_780, S => 
        \rdgwgtpkbgc_1[2]_net_1\, Y => \bnwcvzjbgtc[2]\);
    
    \gjkdbmpgrtc_12[3]\ : MX2
      port map(A => N_509, B => N_950, S => 
        \rdgwgtpkbgc_0[2]_net_1\, Y => \gjkdbmpgrtc[3]\);
    
    xwhwqsjfmgh_0 : DFN1C0
      port map(D => bskrjhjvqpf_6_sqmuxa, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => EV_DONE_net_0);
    
    \jrgzmrqhbkv_m[4]\ : OR2B
      port map(A => EV_RAM_DO_B_net_net_3, B => N_199_i_0, Y => 
        \jrgzmrqhbkv_m[4]_net_1\);
    
    \bnvtvdkcnpp[5]\ : DFN1C0
      port map(D => \bnvtvdkcnpp_9[5]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, Q => \bnvtvdkcnpp[5]_net_1\);
    
    \tkcbxxqbtfx_ns_a3_0_1[4]\ : NOR2B
      port map(A => EV_RAM_DO_B_net_net_1, B => 
        \tkcbxxqbtfx[12]_net_1\, Y => N_227_1);
    
    \qrbxknbdvjj_m[2]\ : OR2B
      port map(A => \qrbxknbdvjj[2]_net_1\, B => un2_bmkwsvgbnqv, 
        Y => \qrbxknbdvjj_m[2]_net_1\);
    
    \rdgwgtpkbgc_1[2]\ : DFN1E0C0
      port map(D => EV_RAM_DO_B_net_net_5, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \bskrjhjvqpf_1_sqmuxa_0\, Q => 
        \rdgwgtpkbgc_1[2]_net_1\);
    
    \ckghxwbsztp[1]\ : DFN1E1C0
      port map(D => \ckghxwbsztp_3[1]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \tkcbxxqbtfx[1]_net_1\, Q => 
        \ckghxwbsztp[1]_net_1\);
    
    un1_dhzrwbnrbpw_I_49 : NOR2B
      port map(A => \DWACT_ADD_CI_0_g_array_1[0]\, B => 
        \EV_RAM_ADDR_B_net_net_5\, Y => 
        \DWACT_ADD_CI_0_g_array_12[0]\);
    
    \bnwcvzjbgtc_8[1]\ : MX2
      port map(A => \ftbkrvpxdbp[5]_net_1\, B => 
        \bnvtvdkcnpp[0]_net_1\, S => \rdgwgtpkbgc_1[0]_net_1\, Y
         => N_728);
    
    \pptwzsjcmcz_dhzrwbnrbpw_7_iv_1[2]\ : NOR3C
      port map(A => \qrbxknbdvjj_m[2]_net_1\, B => 
        \mtbjcfqsbqf_m[1]_net_1\, C => \jrgzmrqhbkv_m[2]_net_1\, 
        Y => \dhzrwbnrbpw_7_iv_1[2]\);
    
    \rdgwgtpkbgc_1[1]\ : DFN1E0C0
      port map(D => EV_RAM_DO_B_net_net_6, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \bskrjhjvqpf_1_sqmuxa_0\, Q => 
        \rdgwgtpkbgc_1[1]_net_1\);
    
    \ftbkrvpxdbp[4]\ : DFN1E0C0
      port map(D => \ftbkrvpxdbp_5[4]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \ftbkrvpxdbp_1_sqmuxa\, Q => 
        \ftbkrvpxdbp[4]_net_1\);
    
    \gjkdbmpgrtc_3[9]\ : MX2
      port map(A => N_543, B => N_545, S => 
        \rdgwgtpkbgc_0[1]_net_1\, Y => N_447);
    
    \bnwcvzjbgtc_12[7]\ : MX2
      port map(A => N_717, B => N_785, S => 
        \rdgwgtpkbgc_2[2]_net_1\, Y => \bnwcvzjbgtc[7]\);
    
    gcqsptsqnzg_iv_0_a2 : AOI1
      port map(A => \wqpbnjzjqsx_NE_1\, B => \wqpbnjzjqsx_NE_2\, 
        C => \rqrqhcwpqdn[0]_net_1\, Y => N_965);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I59_un1_Y : NOR2B
      port map(A => N314, B => N311, Y => I59_un1_Y);
    
    \bnwcvzjbgtc_3[1]\ : MX2
      port map(A => N_609, B => N_626, S => 
        \rdgwgtpkbgc_1[1]_net_1\, Y => N_643);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_57 : AND2A
      port map(A => \rqrqhcwpqdn[1]_net_1\, B => 
        \bnvtvdkcnpp[1]_net_1\, Y => \ACT_LT4_E[2]\);
    
    \bnwcvzjbgtc_12[12]\ : MX2
      port map(A => N_956, B => N_790, S => 
        \rdgwgtpkbgc_2[2]_net_1\, Y => \bnwcvzjbgtc[12]\);
    
    \bnwcvzjbgtc_3_0_a2[16]\ : NOR2A
      port map(A => N_754, B => \rdgwgtpkbgc[1]_net_1\, Y => 
        N_966);
    
    \kkkmkxwwscv[0]\ : DFN1E0C0
      port map(D => ASSC_SEQOUT_net_net_4, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \qmmwhjxxxmv\, Q => 
        EV_ASSCADDR_net_net_4);
    
    \bnwcvzjbgtc_11[7]\ : MX2
      port map(A => N_749, B => \bnwcvzjbgtc_11_d[7]_net_1\, S
         => \bnwcvzjbgtc_11_s[6]_net_1\, Y => N_785);
    
    \bnvtvdkcnpp_9[4]\ : MX2
      port map(A => \bnvtvdkcnpp_5[4]_net_1\, B => 
        \fqkdsnjfpdb[10]\, S => \tkcbxxqbtfx[4]_net_1\, Y => 
        \bnvtvdkcnpp_9[4]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I7_G0N : NOR2B
      port map(A => N_277, B => N_273, Y => N252);
    
    un1_bskrjhjvqpf_6_sqmuxa_1 : NOR2B
      port map(A => \qmmwhjxxxmv\, B => N_211, Y => 
        \un1_bskrjhjvqpf_6_sqmuxa_1\);
    
    \rqrqhcwpqdn[2]\ : DFN1E1C0
      port map(D => N_816, CLK => GLA_c, CLR => SYS_RESET_global, 
        E => N_823, Q => \rqrqhcwpqdn[2]_net_1\);
    
    \gjkdbmpgrtc_3[12]\ : MX2
      port map(A => N_546, B => N_548, S => 
        \rdgwgtpkbgc_0[1]_net_1\, Y => N_450);
    
    \jrgzmrqhbkv_m[5]\ : OR2B
      port map(A => EV_RAM_DO_B_net_net_2, B => N_199_i_0, Y => 
        \jrgzmrqhbkv_m[5]_net_1\);
    
    \bnwcvzjbgtc_7[5]\ : MX2
      port map(A => N_647, B => N_655, S => rdgwgtpkbgc_3, Y => 
        N_715);
    
    \tkcbxxqbtfx[2]\ : DFN1C0
      port map(D => \tkcbxxqbtfx_ns[15]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \tkcbxxqbtfx[2]_net_1\);
    
    \gjkdbmpgrtc_7_0_a3[11]\ : NOR2A
      port map(A => N_449, B => rdgwgtpkbgc_3, Y => N_941);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I89_Y : AOI1
      port map(A => N247, B => N354, C => N246, Y => N399_i);
    
    \bnvtvdkcnpp_9[10]\ : MX2
      port map(A => \bnvtvdkcnpp_8[10]_net_1\, B => 
        \fqkdsnjfpdb[16]\, S => \tkcbxxqbtfx_1[4]_net_1\, Y => 
        \bnvtvdkcnpp_9[10]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I96_Y_0 : AX1D
      port map(A => \G_103_0\, B => N_260, C => N_262, Y => 
        ADD_18x18_medium_I96_Y_0);
    
    xwhwqsjfmgh : DFN1C0
      port map(D => bskrjhjvqpf_6_sqmuxa, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => EV_DONE_net);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I99_Y : XOR2
      port map(A => ADD_18x18_medium_I99_Y_0, B => N351, Y => 
        \fqkdsnjfpdb[7]\);
    
    \fqkdsnjfpdb_m[1]\ : OR2B
      port map(A => \tkcbxxqbtfx[4]_net_1\, B => \fqkdsnjfpdb[1]\, 
        Y => \fqkdsnjfpdb_m[1]_net_1\);
    
    \ckghxwbsztp_3_0_a3[2]\ : NOR2B
      port map(A => I_9, B => N_923, Y => \ckghxwbsztp_3[2]\);
    
    gcqsptsqnzg_iv_0_o2 : AO1B
      port map(A => \gpjgkmhxbkn_NE_1\, B => \gpjgkmhxbkn_NE_2\, 
        C => \rqrqhcwpqdn[0]_net_1\, Y => N_924);
    
    un1_dhzrwbnrbpw_I_37 : XOR2
      port map(A => \EV_RAM_ADDR_B_net_net_4\, B => 
        \DWACT_ADD_CI_0_g_array_12[0]\, Y => I_37);
    
    \gjkdbmpgrtc_7[8]\ : MX2
      port map(A => N_446, B => N_968, S => rdgwgtpkbgc_3, Y => 
        N_514);
    
    un3_ckghxwbsztp_I_20 : XOR2
      port map(A => N_4, B => \rqrqhcwpqdn[5]_net_1\, Y => I_20);
    
    \ftbkrvpxdbp_5[3]\ : MX2
      port map(A => EV_RAM_DO_B_net_net_1, B => \fqkdsnjfpdb[3]\, 
        S => \tkcbxxqbtfx_1[4]_net_1\, Y => 
        \ftbkrvpxdbp_5[3]_net_1\);
    
    \tkcbxxqbtfx_ns_a3_0[15]\ : NOR2A
      port map(A => INIT_DONE_c, B => N_237, Y => 
        \tkcbxxqbtfx_ns_a3_0[16]\);
    
    \mkmkbnghgkd[5]\ : MX2
      port map(A => INIT_ADDR_int(5), B => TR_EV_ADDR_net_net_2, 
        S => INIT_DONE_c, Y => EV_RAM_ADDR_A_net_net_2);
    
    \tkcbxxqbtfx[13]\ : DFN1C0
      port map(D => \tkcbxxqbtfx_ns[4]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, Q => \tkcbxxqbtfx[13]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I15_P0N : NOR2A
      port map(A => N_313, B => N_317, Y => N277);
    
    \tkcbxxqbtfx_ns_i[8]\ : NOR2B
      port map(A => INIT_DONE_c, B => \tkcbxxqbtfx[10]_net_1\, Y
         => \tkcbxxqbtfx_ns_i[8]_net_1\);
    
    \zbqggxmnpbs_0_iv_0[2]\ : AOI1B
      port map(A => \fqkdsnjfpdb[17]\, B => 
        \tkcbxxqbtfx_0[4]_net_1\, C => \ckghxwbsztp_m[1]_net_1\, 
        Y => \zbqggxmnpbs_0_iv_0[2]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I102_Y : XOR2
      port map(A => ADD_18x18_medium_I102_Y_0, B => N395, Y => 
        \fqkdsnjfpdb[10]\);
    
    \bnwcvzjbgtc_3[3]\ : MX2
      port map(A => N_626, B => N_728, S => 
        \rdgwgtpkbgc_1[1]_net_1\, Y => N_645);
    
    \gjkdbmpgrtc_3[5]\ : MX2
      port map(A => N_938_1, B => N_541, S => 
        \rdgwgtpkbgc_0[1]_net_1\, Y => N_443);
    
    \tkcbxxqbtfx_ns_a3[10]\ : NOR2A
      port map(A => INIT_DONE_c, B => \bskrjhjvqpf_1_sqmuxa\, Y
         => \tkcbxxqbtfx_ns[10]\);
    
    \bnwcvzjbgtc_11[4]\ : MX2C
      port map(A => N_748, B => \bnwcvzjbgtc_11_d[4]_net_1\, S
         => \bnwcvzjbgtc_11_s[5]_net_1\, Y => N_782);
    
    un1_dhzrwbnrbpw_I_34 : XOR2
      port map(A => \Z\\EV_RAM_ADDR_B_net\\_net_1\, B => 
        \DWACT_ADD_CI_0_g_array_12_2[0]\, Y => I_34_0);
    
    \bnwcvzjbgtc_11[13]\ : MX2
      port map(A => N_953, B => \bnvtvdkcnpp[7]_net_1\, S => 
        rdgwgtpkbgc_3, Y => N_791);
    
    un1_xkwrgrspmcf : NOR2B
      port map(A => \tkcbxxqbtfx[9]_net_1\, B => \mvnkctvqsgp\, Y
         => \un1_xkwrgrspmcf\);
    
    \jrgzmrqhbkv_m[2]\ : OR2B
      port map(A => EV_RAM_DO_B_net_net_5, B => N_199_i_0, Y => 
        \jrgzmrqhbkv_m[2]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I101_Y : XOR3
      port map(A => N_283, B => N_287, C => N349, Y => 
        \fqkdsnjfpdb[9]\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I69_Y : OR3C
      port map(A => I69_un1_Y, B => N308_i, C => I57_un1_Y_i, Y
         => N347);
    
    \ftbkrvpxdbp[5]\ : DFN1E0C0
      port map(D => \ftbkrvpxdbp_5[5]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \ftbkrvpxdbp_1_sqmuxa\, Q => 
        \ftbkrvpxdbp[5]_net_1\);
    
    \bnwcvzjbgtc_12[8]\ : MX2
      port map(A => N_718, B => N_786, S => rdgwgtpkbgc_3, Y => 
        \bnwcvzjbgtc[8]\);
    
    \gjkdbmpgrtc_11_0_a3[1]\ : NOR2A
      port map(A => N_443, B => rdgwgtpkbgc_3, Y => N_948);
    
    wqpbnjzjqsx_1 : XNOR2
      port map(A => \rqrqhcwpqdn[2]_net_1\, B => 
        \bnvtvdkcnpp[2]_net_1\, Y => wqpbnjzjqsx_1_i);
    
    \rqrqhcwpqdn_5_0[6]\ : MX2
      port map(A => ASSC_RAM_DOUT_bus(6), B => 
        EV_RAM_DO_B_net_net_1, S => \un1_xkwrgrspmcf\, Y => N_820);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I106_Y : AX1A
      port map(A => N270, B => I85_un1_Y_i, C => 
        ADD_18x18_medium_I106_Y_0, Y => \fqkdsnjfpdb[14]\);
    
    kkjrqmngvjc_0_a2 : NOR3A
      port map(A => \tkcbxxqbtfx[12]_net_1\, B => 
        EV_RAM_DO_B_net_net_1, C => EV_RAM_DO_B_net(8), Y => 
        N_240);
    
    \qrbxknbdvjj_m[4]\ : OR2B
      port map(A => \qrbxknbdvjj[4]_net_1\, B => un2_bmkwsvgbnqv, 
        Y => \qrbxknbdvjj_m[4]_net_1\);
    
    G_99 : XOR3
      port map(A => \gjkdbmpgrtc[3]\, B => \ftbkrvpxdbp[3]_net_1\, 
        C => \bnwcvzjbgtc[3]\, Y => N_257_i);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_72 : AO1
      port map(A => \DWACT_CMPLE_PO2_DWACT_COMP0_E[1]\, B => 
        \DWACT_CMPLE_PO2_DWACT_COMP0_E[2]\, C => 
        \DWACT_CMPLE_PO2_DWACT_COMP0_E[0]\, Y => 
        \DWACT_COMP0_E[2]\);
    
    \ckghxwbsztp[0]\ : DFN1E1C0
      port map(D => \ckghxwbsztp_3[0]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \tkcbxxqbtfx[1]_net_1\, Q => 
        \ckghxwbsztp[0]_net_1\);
    
    \bnvtvdkcnpp_5[7]\ : MX2
      port map(A => \bnvtvdkcnpp[7]_net_1\, B => 
        \Z\\EV_RAM_DO_B_net\\\, S => \un3_qvqqfftqsfc\, Y => 
        \bnvtvdkcnpp_5[7]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I35_un1_Y : OR3A
      port map(A => N286, B => N277, C => N280, Y => I35_un1_Y);
    
    \gjkdbmpgrtc_11_0_a3[4]\ : NOR2A
      port map(A => N_446, B => rdgwgtpkbgc_3, Y => N_951);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_61 : NOR2A
      port map(A => \ACT_LT4_E[4]\, B => \ACT_LT4_E[5]\, Y => 
        \ACT_LT4_E[6]\);
    
    \bnwcvzjbgtc_11[10]\ : MX2
      port map(A => N_656, B => \bnvtvdkcnpp[4]_net_1\, S => 
        rdgwgtpkbgc_3, Y => N_788);
    
    \bnwcvzjbgtc_7_0_a3[11]\ : NOR2A
      port map(A => N_653, B => rdgwgtpkbgc_3, Y => N_955);
    
    un1_dhzrwbnrbpw_I_54 : AND2
      port map(A => \EV_RAM_ADDR_B_net_net_1\, B => 
        \Z\\EV_RAM_ADDR_B_net\\_net_1\, Y => 
        \DWACT_ADD_CI_0_pog_array_1_2[0]\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I48_Y : NOR2A
      port map(A => N299, B => N297, Y => N315);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_21 : AO1C
      port map(A => \rqrqhcwpqdn[8]_net_1\, B => 
        \bnvtvdkcnpp[8]_net_1\, C => N_30, Y => N_32);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I2_G0N : OR2B
      port map(A => N_252, B => N_248, Y => N237);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I109_Y_1 : MX2
      port map(A => \bnvtvdkcnpp[11]_net_1\, B => 
        \rqrqhcwpqdn[11]_net_1\, S => gjkdbmpgrtc75, Y => 
        ADD_18x18_medium_I109_Y_1);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I9_P0N : OR2
      port map(A => ADD_18x18_medium_I9_P0N_0, B => \G_128_0\, Y
         => N259);
    
    \rqrqhcwpqdn_9[10]\ : MX2A
      port map(A => N_836, B => \rqrqhcwpqdn[10]_net_1\, S => 
        N_838, Y => \rqrqhcwpqdn_9[10]_net_1\);
    
    \bnwcvzjbgtc_11[1]\ : MX2
      port map(A => N_647, B => \ftbkrvpxdbp[1]_net_1\, S => 
        rdgwgtpkbgc_3, Y => N_779);
    
    wqpbnjzjqsx_4 : XNOR2
      port map(A => \rqrqhcwpqdn[5]_net_1\, B => 
        \bnvtvdkcnpp[5]_net_1\, Y => wqpbnjzjqsx_4_i);
    
    \tkcbxxqbtfx[10]\ : DFN1C0
      port map(D => \tkcbxxqbtfx_ns_i[7]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \tkcbxxqbtfx[10]_net_1\);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_m : OR2B
      port map(A => un2_pbzxzjhqhwz, B => dbdctxjdvkp_2_sqmuxa, Y
         => un2_pbzxzjhqhwz_m);
    
    \mtbjcfqsbqf[1]\ : DFN1E0C0
      port map(D => ADC_CHNUMBER_net(1), CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \qmmwhjxxxmv\, Q => 
        \EV_CHHOLD_net_net_2\);
    
    \tkcbxxqbtfx[7]\ : DFN1C0
      port map(D => \tkcbxxqbtfx_ns[10]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \EV_ASSCADDR_net_net_5\);
    
    \bnvtvdkcnpp_5[2]\ : MX2
      port map(A => \bnvtvdkcnpp[2]_net_1\, B => 
        EV_RAM_DO_B_net_net_5, S => \un3_qvqqfftqsfc\, Y => 
        \bnvtvdkcnpp_5[2]_net_1\);
    
    G_128_0 : OA1A
      port map(A => \bnwcvzjbgtc[8]\, B => \bnvtvdkcnpp[2]_net_1\, 
        C => \gjkdbmpgrtc[8]\, Y => \G_128_0\);
    
    gpjgkmhxbkn_NE_2 : NOR3C
      port map(A => gpjgkmhxbkn_3_i, B => gpjgkmhxbkn_4_i, C => 
        gpjgkmhxbkn_0_i, Y => \gpjgkmhxbkn_NE_2\);
    
    zcjzqnkdqwb_iv : MX2C
      port map(A => INIT_EV_WEN_int, B => TR_EV_RD_net, S => 
        INIT_DONE_c, Y => EV_RAM_CSN_A_net);
    
    \pptwzsjcmcz_dhzrwbnrbpw_7_iv[8]\ : AO1B
      port map(A => N_201_i_0, B => I_36, C => 
        \dhzrwbnrbpw_7_iv_0[8]\, Y => \dhzrwbnrbpw_7[8]\);
    
    \bnwcvzjbgtc_11_d[6]\ : MX2
      port map(A => N_750, B => \bnvtvdkcnpp[0]_net_1\, S => 
        rdgwgtpkbgc_3, Y => \bnwcvzjbgtc_11_d[6]_net_1\);
    
    \dhzrwbnrbpw[2]\ : DFN1C0
      port map(D => \dhzrwbnrbpw_7[2]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \EV_RAM_ADDR_B_net_net_5\);
    
    \ckghxwbsztp_m[1]\ : OR2B
      port map(A => \tkcbxxqbtfx[0]_net_1\, B => 
        \ckghxwbsztp[1]_net_1\, Y => \ckghxwbsztp_m[1]_net_1\);
    
    \rqrqhcwpqdn[3]\ : DFN1E1C0
      port map(D => N_817, CLK => GLA_c, CLR => SYS_RESET_global, 
        E => N_823, Q => \rqrqhcwpqdn[3]_net_1\);
    
    \dhzrwbnrbpw[1]\ : DFN1C0
      port map(D => \dhzrwbnrbpw_7[1]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \EV_RAM_ADDR_B_net_net_6\);
    
    \bnwcvzjbgtc_11_d[5]\ : MX2A
      port map(A => \bnwcvzjbgtc_11_d_d[5]_net_1\, B => 
        \bnvtvdkcnpp[3]_net_1\, S => 
        \bnwcvzjbgtc_11_d_s[5]_net_1\, Y => 
        \bnwcvzjbgtc_11_d[5]_net_1\);
    
    \bnvtvdkcnpp[8]\ : DFN1C0
      port map(D => \bnvtvdkcnpp_9[8]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, Q => \bnvtvdkcnpp[8]_net_1\);
    
    \tkcbxxqbtfx[15]\ : DFN1C0
      port map(D => \tkcbxxqbtfx_ns_i[2]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \tkcbxxqbtfx[15]_net_1\);
    
    G_143_0 : OA1A
      port map(A => \bnwcvzjbgtc[11]\, B => 
        \bnvtvdkcnpp[5]_net_1\, C => \gjkdbmpgrtc[11]\, Y => 
        \G_143_0\);
    
    \un1_dhzrwbnrbpw_m[5]\ : OR2B
      port map(A => I_30, B => N_201_i_0, Y => 
        \un1_dhzrwbnrbpw_m[5]_net_1\);
    
    GND_i : GND
      port map(Y => \GND\);
    
    \ftbkrvpxdbp_5[5]\ : MX2
      port map(A => EV_RAM_DO_B_net(8), B => \fqkdsnjfpdb[5]\, S
         => \tkcbxxqbtfx_1[4]_net_1\, Y => 
        \ftbkrvpxdbp_5[5]_net_1\);
    
    \tkcbxxqbtfx_ns_i[5]\ : NOR2B
      port map(A => INIT_DONE_c, B => \tkcbxxqbtfx[13]_net_1\, Y
         => \tkcbxxqbtfx_ns_i[5]_net_1\);
    
    \bnwcvzjbgtc_12_d_0[4]\ : MX2C
      port map(A => N_654, B => N_646, S => 
        \bnwcvzjbgtc_12_s[4]_net_1\, Y => 
        \bnwcvzjbgtc_12_d_0[4]_net_1\);
    
    \bnvtvdkcnpp[2]\ : DFN1C0
      port map(D => \bnvtvdkcnpp_9[2]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, Q => \bnvtvdkcnpp[2]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I12_P0N : OR3
      port map(A => N_302, B => N_300, C => \G_143_0\, Y => N268);
    
    gpjgkmhxbkn_3 : XNOR2
      port map(A => EV_RAM_DO_B_net_net_3, B => 
        \rqrqhcwpqdn[4]_net_1\, Y => gpjgkmhxbkn_3_i);
    
    \rqrqhcwpqdn_9_0[9]\ : MX2C
      port map(A => ASSC_RAM_DOUT_bus(0), B => 
        EV_RAM_DO_B_net_net_7, S => \un1_mvnkctvqsgp\, Y => N_835);
    
    \rdgwgtpkbgc_1[0]\ : DFN1E0C0
      port map(D => EV_RAM_DO_B_net_net_7, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \bskrjhjvqpf_1_sqmuxa_0\, Q => 
        \rdgwgtpkbgc_1[0]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I14_G0N : OA1
      port map(A => \G_153_0\, B => N_310, C => N_312, Y => N273);
    
    gpjgkmhxbkn_NE_1 : XA1A
      port map(A => \rqrqhcwpqdn[3]_net_1\, B => 
        EV_RAM_DO_B_net_net_4, C => gpjgkmhxbkn_1_i, Y => 
        \gpjgkmhxbkn_NE_1\);
    
    \rqrqhcwpqdn[5]\ : DFN1E1C0
      port map(D => N_819, CLK => GLA_c, CLR => SYS_RESET_global, 
        E => N_823, Q => \rqrqhcwpqdn[5]_net_1\);
    
    \bnwcvzjbgtc_12[11]\ : MX2
      port map(A => N_955, B => N_789, S => 
        \rdgwgtpkbgc_2[2]_net_1\, Y => \bnwcvzjbgtc[11]\);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_64 : AOI1A
      port map(A => \ACT_LT4_E[7]\, B => \ACT_LT4_E[8]\, C => 
        \ACT_LT4_E[5]\, Y => \ACT_LT4_E[10]\);
    
    \pptwzsjcmcz_dhzrwbnrbpw_7_iv_0[6]\ : AOI1B
      port map(A => N_199_i_0, B => EV_RAM_DO_B_net_net_1, C => 
        \qrbxknbdvjj_m[6]_net_1\, Y => \dhzrwbnrbpw_7_iv_0[6]\);
    
    \pptwzsjcmcz_dhzrwbnrbpw_7_iv[1]\ : AO1B
      port map(A => N_201_i_0, B => I_32, C => 
        \dhzrwbnrbpw_7_iv_1[1]\, Y => \dhzrwbnrbpw_7[1]\);
    
    G_113_0 : OA1A
      port map(A => \bnwcvzjbgtc[5]\, B => \ftbkrvpxdbp[5]_net_1\, 
        C => \gjkdbmpgrtc[5]\, Y => \G_113_0\);
    
    \bnwcvzjbgtc_7_0_a3[15]\ : OR2A
      port map(A => N_657, B => rdgwgtpkbgc_3, Y => N_959);
    
    \bnwcvzjbgtc_11_d_s[4]\ : OR2A
      port map(A => \rdgwgtpkbgc_0[0]_net_1\, B => rdgwgtpkbgc_3, 
        Y => \bnwcvzjbgtc_11_d_s[4]_net_1\);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_24 : OR2A
      port map(A => \bnvtvdkcnpp[11]_net_1\, B => 
        \rqrqhcwpqdn[11]_net_1\, Y => N_35);
    
    \tkcbxxqbtfx[0]\ : DFN1C0
      port map(D => \tkcbxxqbtfx_ns_i[17]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \tkcbxxqbtfx[0]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I105_Y : XNOR3
      port map(A => N_303_i, B => N_307, C => N345, Y => 
        \fqkdsnjfpdb[13]\);
    
    \pptwzsjcmcz_dhzrwbnrbpw_7_iv[4]\ : OR3C
      port map(A => \jrgzmrqhbkv_m[4]_net_1\, B => 
        \dhzrwbnrbpw_7_iv_0[4]\, C => 
        \un1_dhzrwbnrbpw_m[5]_net_1\, Y => \dhzrwbnrbpw_7[4]\);
    
    zbcrjjxqjgg_i_o3 : AO1
      port map(A => N_203, B => \tkcbxxqbtfx[12]_net_1\, C => 
        \tkcbxxqbtfx[5]_net_1\, Y => N_206);
    
    bskrjhjvqpf_i_o2_0 : OR2
      port map(A => \tkcbxxqbtfx[14]_net_1\, B => 
        \tkcbxxqbtfx[8]_net_1\, Y => N_207);
    
    \rdgwgtpkbgc_2[2]\ : DFN1E0C0
      port map(D => EV_RAM_DO_B_net_net_5, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \bskrjhjvqpf_1_sqmuxa_0\, Q => 
        \rdgwgtpkbgc_2[2]_net_1\);
    
    \tkcbxxqbtfx_ns_a3_1[4]\ : OR3B
      port map(A => INIT_DONE_c, B => N_240, C => 
        \Z\\EV_RAM_DO_B_net\\_0\, Y => N_228);
    
    \bnwcvzjbgtc_3[13]\ : MX2
      port map(A => N_751, B => N_753, S => 
        \rdgwgtpkbgc[1]_net_1\, Y => N_655);
    
    G_108_0 : OA1
      port map(A => \bnwcvzjbgtc[4]\, B => \ftbkrvpxdbp[4]_net_1\, 
        C => \gjkdbmpgrtc[4]\, Y => \G_108_0\);
    
    \bnwcvzjbgtc_12[16]\ : MX2
      port map(A => N_960, B => N_794, S => 
        \rdgwgtpkbgc_2[2]_net_1\, Y => \bnwcvzjbgtc[16]\);
    
    bskrjhjvqpf_i_2 : OR2B
      port map(A => \bskrjhjvqpf_i_2_1\, B => N_215, Y => N_191_2);
    
    \mkmkbnghgkd[0]\ : MX2
      port map(A => INIT_ADDR_int(0), B => TR_EV_ADDR_net_net_7, 
        S => INIT_DONE_c, Y => EV_RAM_ADDR_A_net_net_7);
    
    \tkcbxxqbtfx_ns_a3[14]\ : NOR3A
      port map(A => INIT_DONE_c, B => N_241, C => N_205, Y => 
        \tkcbxxqbtfx_ns[14]\);
    
    \zbqggxmnpbs_0_iv_0[5]\ : AOI1B
      port map(A => \fqkdsnjfpdb[2]\, B => 
        \tkcbxxqbtfx_0[4]_net_1\, C => \ckghxwbsztp_m[4]_net_1\, 
        Y => \zbqggxmnpbs_0_iv_0[5]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I65_un1_Y : OR3B
      port map(A => N307, B => N329, C => N303, Y => I65_un1_Y);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I10_G0N : NOR2B
      port map(A => N_292, B => N_288, Y => N261);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I85_un1_Y : OAI1
      port map(A => \G_148_0\, B => ADD_18x18_medium_I13_P0N_0, C
         => N345, Y => I85_un1_Y_i);
    
    bskrjhjvqpf_5_sqmuxa_0_a2 : OR2A
      port map(A => \tkcbxxqbtfx[12]_net_1\, B => 
        EV_RAM_DO_B_net_net_1, Y => N_237);
    
    bskrjhjvqpf_i_0 : OR2
      port map(A => \tkcbxxqbtfx[15]_net_1\, B => 
        \tkcbxxqbtfx[9]_net_1\, Y => \bskrjhjvqpf_i_0\);
    
    \pptwzsjcmcz_dhzrwbnrbpw_7_iv[2]\ : AO1B
      port map(A => N_201_i_0, B => I_35, C => 
        \dhzrwbnrbpw_7_iv_1[2]\, Y => \dhzrwbnrbpw_7[2]\);
    
    \bnwcvzjbgtc_3[2]\ : MX2
      port map(A => N_625, B => N_727, S => 
        \rdgwgtpkbgc_1[1]_net_1\, Y => N_644);
    
    \bnwcvzjbgtc_11_d[0]\ : MX2
      port map(A => N_727, B => \ftbkrvpxdbp[0]_net_1\, S => 
        rdgwgtpkbgc_3, Y => \bnwcvzjbgtc_11_d[0]_net_1\);
    
    un1_dhzrwbnrbpw_I_21 : XOR2
      port map(A => \EV_RAM_ADDR_B_net_net_7\, B => 
        \bskrjhjvqpf_i\, Y => \DWACT_ADD_CI_0_partial_sum[0]\);
    
    \gjkdbmpgrtc_11[7]\ : MX2
      port map(A => N_449, B => \rqrqhcwpqdn[1]_net_1\, S => 
        rdgwgtpkbgc_3, Y => N_581);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I49_un1_Y : NOR2B
      port map(A => N300, B => N299, Y => I49_un1_Y);
    
    \gjkdbmpgrtc_7[5]\ : MX2
      port map(A => N_443, B => N_451, S => rdgwgtpkbgc_3, Y => 
        N_511);
    
    \gjkdbmpgrtc_7_0_a3[12]\ : NOR2A
      port map(A => N_450, B => rdgwgtpkbgc_3, Y => N_942);
    
    \rqrqhcwpqdn[8]\ : DFN1E1C0
      port map(D => N_822, CLK => GLA_c, CLR => SYS_RESET_global, 
        E => N_823, Q => \rqrqhcwpqdn[8]_net_1\);
    
    \qrbxknbdvjj[8]\ : DFN1E1C0
      port map(D => \EV_RAM_ADDR_B_net[8]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \tkcbxxqbtfx[11]_net_1\, Q => 
        \qrbxknbdvjj[8]_net_1\);
    
    \dhzrwbnrbpw[7]\ : DFN1C0
      port map(D => \dhzrwbnrbpw_7[7]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \Z\\EV_RAM_ADDR_B_net\\_net_1\);
    
    \bnwcvzjbgtc_11_d[9]\ : MX2
      port map(A => N_753, B => \bnvtvdkcnpp[3]_net_1\, S => 
        rdgwgtpkbgc_3, Y => \bnwcvzjbgtc_11_d[9]_net_1\);
    
    \gjkdbmpgrtc_12[16]\ : MX2
      port map(A => N_946, B => N_590, S => 
        \rdgwgtpkbgc_1[2]_net_1\, Y => \gjkdbmpgrtc[16]\);
    
    \gjkdbmpgrtc_12[15]\ : MX2
      port map(A => N_945, B => N_589, S => 
        \rdgwgtpkbgc[2]_net_1\, Y => \gjkdbmpgrtc[15]\);
    
    \rdgwgtpkbgc_0[2]\ : DFN1E0C0
      port map(D => EV_RAM_DO_B_net_net_5, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \bskrjhjvqpf_1_sqmuxa_0\, Q => 
        \rdgwgtpkbgc_0[2]_net_1\);
    
    \bnwcvzjbgtc_9[10]\ : MX2
      port map(A => \bnvtvdkcnpp[10]_net_1\, B => 
        \bnvtvdkcnpp[11]_net_1\, S => \rdgwgtpkbgc[0]_net_1\, Y
         => N_754);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I29_Y : OR2B
      port map(A => N250, B => N247, Y => N295);
    
    \bnvtvdkcnpp[3]\ : DFN1C0
      port map(D => \bnvtvdkcnpp_9[3]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, Q => \bnvtvdkcnpp[3]_net_1\);
    
    \pptwzsjcmcz_dhzrwbnrbpw_7_iv_1[3]\ : NOR3C
      port map(A => \qrbxknbdvjj_m[3]_net_1\, B => 
        \mtbjcfqsbqf_m[2]_net_1\, C => \jrgzmrqhbkv_m[3]_net_1\, 
        Y => \dhzrwbnrbpw_7_iv_1[3]\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I67_un1_Y : NOR3B
      port map(A => N309, B => N351, C => N305, Y => I67_un1_Y);
    
    \gjkdbmpgrtc_11[8]\ : MX2
      port map(A => N_450, B => \rqrqhcwpqdn[2]_net_1\, S => 
        rdgwgtpkbgc_3, Y => N_582);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I92_Y : XOR3
      port map(A => \gjkdbmpgrtc[0]\, B => \ftbkrvpxdbp[0]_net_1\, 
        C => \bnwcvzjbgtc[0]\, Y => \fqkdsnjfpdb[0]\);
    
    dbdctxjdvkp_2_sqmuxa_0_a3 : NOR2B
      port map(A => N_239, B => N_227_1, Y => 
        dbdctxjdvkp_2_sqmuxa);
    
    \mkmkbnghgkd[8]\ : MX2
      port map(A => INIT_ADDR_int(8), B => TR_EV_ADDR_net(8), S
         => INIT_DONE_c, Y => EV_RAM_ADDR_A_net(8));
    
    wqpbnjzjqsx_3 : XNOR2
      port map(A => \rqrqhcwpqdn[4]_net_1\, B => 
        \bnvtvdkcnpp[4]_net_1\, Y => wqpbnjzjqsx_3_i);
    
    \gjkdbmpgrtc_3[7]\ : MX2
      port map(A => N_541, B => N_543, S => 
        \rdgwgtpkbgc_0[1]_net_1\, Y => N_445);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I70_Y : AO1
      port map(A => N300, B => N330, C => N329, Y => N349);
    
    \bnwcvzjbgtc_7[3]\ : MX2
      port map(A => N_645, B => N_653, S => rdgwgtpkbgc_3, Y => 
        N_713);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_55 : NOR2A
      port map(A => \rqrqhcwpqdn[0]_net_1\, B => 
        \bnvtvdkcnpp[0]_net_1\, Y => \ACT_LT4_E[0]\);
    
    \qrbxknbdvjj[7]\ : DFN1E1C0
      port map(D => \Z\\EV_RAM_ADDR_B_net\\_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, E => \tkcbxxqbtfx[11]_net_1\, Q
         => \qrbxknbdvjj[7]_net_1\);
    
    \zbqggxmnpbs_0_iv_0[1]\ : AOI1B
      port map(A => \fqkdsnjfpdb[7]\, B => \tkcbxxqbtfx[5]_net_1\, 
        C => \ckghxwbsztp_m[0]_net_1\, Y => 
        \zbqggxmnpbs_0_iv_0[1]_net_1\);
    
    \gjkdbmpgrtc_11_i[14]\ : NOR2B
      port map(A => \rqrqhcwpqdn[8]_net_1\, B => rdgwgtpkbgc_3, Y
         => N_910);
    
    \bnvtvdkcnpp_8[10]\ : MX2
      port map(A => EV_RAM_DO_B_net_net_6, B => 
        \bnvtvdkcnpp[10]_net_1\, S => \un1_kkgccghmrzf\, Y => 
        \bnvtvdkcnpp_8[10]_net_1\);
    
    \ckghxwbsztp_3_0_o2[0]\ : MX2A
      port map(A => N_924, B => N_965, S => \spbznmtdmpd\, Y => 
        N_923);
    
    \gjkdbmpgrtc_11[9]\ : MX2
      port map(A => N_451, B => \rqrqhcwpqdn[3]_net_1\, S => 
        rdgwgtpkbgc_3, Y => N_583);
    
    \ckghxwbsztp_m[3]\ : OR2B
      port map(A => \tkcbxxqbtfx[0]_net_1\, B => 
        \ckghxwbsztp[3]_net_1\, Y => \ckghxwbsztp_m[3]_net_1\);
    
    bskrjhjvqpf_6_sqmuxa_0_a3 : NOR2
      port map(A => \bskrjhjvqpf_6_sqmuxa_0_a3_0\, B => N_241, Y
         => bskrjhjvqpf_6_sqmuxa);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I41_Y : NOR2B
      port map(A => N290, B => I41_un1_Y, Y => N308_i);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_7 : AND2
      port map(A => \DWACT_BL_EQUAL_0_E[4]\, B => 
        \DWACT_BL_EQUAL_0_E[3]\, Y => 
        \DWACT_BL_EQUAL_0_DWACT_ANDTREE_E[1]\);
    
    \tkcbxxqbtfx[4]\ : DFN1C0
      port map(D => \tkcbxxqbtfx_ns_i[13]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \tkcbxxqbtfx[4]_net_1\);
    
    \fqkdsnjfpdb_m[12]\ : OR2B
      port map(A => \tkcbxxqbtfx[5]_net_1\, B => 
        \fqkdsnjfpdb[12]\, Y => \fqkdsnjfpdb_m[12]_net_1\);
    
    \gjkdbmpgrtc_12[11]\ : MX2
      port map(A => N_941, B => N_585, S => 
        \rdgwgtpkbgc_1[2]_net_1\, Y => \gjkdbmpgrtc[11]\);
    
    \tkcbxxqbtfx_ns_a3[16]\ : NOR2B
      port map(A => \tkcbxxqbtfx_ns_a3_0[16]\, B => 
        \tkcbxxqbtfx_ns_1[16]\, Y => \tkcbxxqbtfx_ns[16]\);
    
    \gjkdbmpgrtc_11[6]\ : MX2
      port map(A => N_448, B => \rqrqhcwpqdn[0]_net_1\, S => 
        rdgwgtpkbgc_3, Y => N_580);
    
    un1_dhzrwbnrbpw_I_42 : NOR2B
      port map(A => \DWACT_ADD_CI_0_g_array_2[0]\, B => 
        \DWACT_ADD_CI_0_pog_array_1_1[0]\, Y => 
        \DWACT_ADD_CI_0_g_array_11[0]\);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_62 : NOR2A
      port map(A => \bnvtvdkcnpp[2]_net_1\, B => 
        \rqrqhcwpqdn[2]_net_1\, Y => \ACT_LT4_E[7]\);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_8 : AND2
      port map(A => \DWACT_BL_EQUAL_0_DWACT_ANDTREE_E[1]\, B => 
        \DWACT_BL_EQUAL_0_DWACT_ANDTREE_E[0]\, Y => 
        \DWACT_COMP0_E[1]\);
    
    G_141 : NOR2A
      port map(A => \bnvtvdkcnpp[5]_net_1\, B => 
        \bnwcvzjbgtc[11]\, Y => N_300);
    
    G_149 : XNOR3
      port map(A => \gjkdbmpgrtc[13]\, B => 
        \bnvtvdkcnpp[7]_net_1\, C => \bnwcvzjbgtc[13]\, Y => 
        N_307);
    
    \gjkdbmpgrtc_12[10]\ : MX2
      port map(A => N_940, B => N_584, S => 
        \rdgwgtpkbgc_0[2]_net_1\, Y => \gjkdbmpgrtc[10]\);
    
    \rqrqhcwpqdn[9]\ : DFN1C0
      port map(D => \rqrqhcwpqdn_9[9]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, Q => \rqrqhcwpqdn[9]_net_1\);
    
    \rqrqhcwpqdn_5_0[7]\ : MX2
      port map(A => ASSC_RAM_DOUT_bus(7), B => 
        \Z\\EV_RAM_DO_B_net\\\, S => \un1_xkwrgrspmcf\, Y => 
        N_821);
    
    G_153_0 : OA1A
      port map(A => \bnwcvzjbgtc[13]\, B => 
        \bnvtvdkcnpp[7]_net_1\, C => \gjkdbmpgrtc[13]\, Y => 
        \G_153_0\);
    
    \gjkdbmpgrtc_11_0_a3_1[0]\ : NOR2B
      port map(A => \rdgwgtpkbgc[1]_net_1\, B => N_540, Y => 
        N_947_1);
    
    \tkcbxxqbtfx[3]\ : DFN1C0
      port map(D => \tkcbxxqbtfx_ns[14]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \tkcbxxqbtfx[3]_net_1\);
    
    G_133_0 : OA1A
      port map(A => \bnwcvzjbgtc[9]\, B => \bnvtvdkcnpp[3]_net_1\, 
        C => \gjkdbmpgrtc[9]\, Y => \G_133_0\);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_22 : OA1A
      port map(A => \bnvtvdkcnpp[10]_net_1\, B => 
        \rqrqhcwpqdn[10]_net_1\, C => N_29, Y => N_33);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I93_Y_0 : XNOR3
      port map(A => \gjkdbmpgrtc[1]\, B => \G_89_0\, C => 
        \bnwcvzjbgtc[1]\, Y => ADD_18x18_medium_I93_Y_0);
    
    \mtbjcfqsbqf_m[1]\ : OR2B
      port map(A => \EV_CHHOLD_net_net_2\, B => \rgmpzqrbghh\, Y
         => \mtbjcfqsbqf_m[1]_net_1\);
    
    \gjkdbmpgrtc_9_0_a2[11]\ : NOR2A
      port map(A => \rqrqhcwpqdn[11]_net_1\, B => 
        \rdgwgtpkbgc[0]_net_1\, Y => N_969);
    
    \bnwcvzjbgtc_12[0]\ : MX2
      port map(A => N_710, B => N_778, S => 
        \rdgwgtpkbgc_1[2]_net_1\, Y => \bnwcvzjbgtc[0]\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I62_Y : OR2A
      port map(A => I62_un1_Y_i, B => N314, Y => N354);
    
    \rqrqhcwpqdn_9[11]\ : MX2A
      port map(A => N_837, B => \rqrqhcwpqdn[11]_net_1\, S => 
        N_838, Y => \rqrqhcwpqdn_9[11]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I10_P0N : OR3
      port map(A => N_292, B => N_290, C => \G_133_0\, Y => N262);
    
    \bnwcvzjbgtc_12[4]\ : MX2
      port map(A => \bnwcvzjbgtc_12_d_0[4]_net_1\, B => N_782, S
         => \rdgwgtpkbgc_0[2]_net_1\, Y => \bnwcvzjbgtc[4]\);
    
    \bnwcvzjbgtc_11_s[6]\ : OR2
      port map(A => rdgwgtpkbgc_3, B => \rdgwgtpkbgc_0[1]_net_1\, 
        Y => \bnwcvzjbgtc_11_s[6]_net_1\);
    
    \kkkmkxwwscv[1]\ : DFN1E0C0
      port map(D => ASSC_SEQOUT_net_net_3, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \qmmwhjxxxmv\, Q => 
        EV_ASSCADDR_net_net_3);
    
    \bnwcvzjbgtc_11_d_d[2]\ : MX2C
      port map(A => \bnvtvdkcnpp[0]_net_1\, B => 
        \ftbkrvpxdbp[2]_net_1\, S => rdgwgtpkbgc_3, Y => 
        \bnwcvzjbgtc_11_d_d[2]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I90_Y : AO13
      port map(A => N_253_i, B => N_257_i, C => N316, Y => N401_i);
    
    \tkcbxxqbtfx[6]\ : DFN1C0
      port map(D => \tkcbxxqbtfx_ns_i[11]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \tkcbxxqbtfx[6]_net_1\);
    
    \tkcbxxqbtfx[12]\ : DFN1C0
      port map(D => \tkcbxxqbtfx_ns_i[5]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \tkcbxxqbtfx[12]_net_1\);
    
    \gjkdbmpgrtc_9[4]\ : MX2
      port map(A => \rqrqhcwpqdn[4]_net_1\, B => 
        \rqrqhcwpqdn[5]_net_1\, S => \rdgwgtpkbgc_0[0]_net_1\, Y
         => N_544);
    
    \bnwcvzjbgtc_7_0_a3[14]\ : NOR2A
      port map(A => N_656, B => rdgwgtpkbgc_3, Y => N_958);
    
    \rqrqhcwpqdn_5_0[8]\ : MX2
      port map(A => ASSC_RAM_DOUT_bus(8), B => EV_RAM_DO_B_net(8), 
        S => \un1_xkwrgrspmcf\, Y => N_822);
    
    wqpbnjzjqsx_NE_1 : XA1A
      port map(A => \bnvtvdkcnpp[3]_net_1\, B => 
        \rqrqhcwpqdn[3]_net_1\, C => wqpbnjzjqsx_1_i, Y => 
        \wqpbnjzjqsx_NE_1\);
    
    \gjkdbmpgrtc_7[7]\ : MX2
      port map(A => N_445, B => N_453, S => rdgwgtpkbgc_3, Y => 
        N_513);
    
    \rqrqhcwpqdn[4]\ : DFN1E1C0
      port map(D => N_818, CLK => GLA_c, CLR => SYS_RESET_global, 
        E => N_823, Q => \rqrqhcwpqdn[4]_net_1\);
    
    \jrgzmrqhbkv_m[3]\ : OR2B
      port map(A => EV_RAM_DO_B_net_net_4, B => N_199_i_0, Y => 
        \jrgzmrqhbkv_m[3]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I55_un1_Y : OA1
      port map(A => I43_un1_Y, B => N292, C => N307, Y => 
        I55_un1_Y);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_44 : AND2A
      port map(A => \rqrqhcwpqdn[5]_net_1\, B => 
        \bnvtvdkcnpp[5]_net_1\, Y => \ACT_LT3_E[2]\);
    
    un3_ckghxwbsztp_I_16 : AND3
      port map(A => \rqrqhcwpqdn[1]_net_1\, B => 
        \rqrqhcwpqdn[2]_net_1\, C => \rqrqhcwpqdn[3]_net_1\, Y
         => \DWACT_FINC_E[0]\);
    
    \qrbxknbdvjj_m[1]\ : OR2B
      port map(A => \qrbxknbdvjj[1]_net_1\, B => un2_bmkwsvgbnqv, 
        Y => \qrbxknbdvjj_m[1]_net_1\);
    
    \bnwcvzjbgtc_9[0]\ : MX2
      port map(A => \bnvtvdkcnpp[0]_net_1\, B => 
        \bnvtvdkcnpp[1]_net_1\, S => \rdgwgtpkbgc_2[0]_net_1\, Y
         => N_744);
    
    \bnwcvzjbgtc_11_d_d[4]\ : MX2C
      port map(A => \bnvtvdkcnpp[2]_net_1\, B => 
        \ftbkrvpxdbp[4]_net_1\, S => rdgwgtpkbgc_3, Y => 
        \bnwcvzjbgtc_11_d_d[4]_net_1\);
    
    \qrbxknbdvjj[6]\ : DFN1E1C0
      port map(D => \EV_RAM_ADDR_B_net_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \tkcbxxqbtfx[11]_net_1\, Q => 
        \qrbxknbdvjj[6]_net_1\);
    
    \bnvtvdkcnpp[9]\ : DFN1C0
      port map(D => \bnvtvdkcnpp_9[9]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, Q => \bnvtvdkcnpp[9]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I67_Y_0 : AO1
      port map(A => N287, B => N288, C => N286, Y => 
        ADD_18x18_medium_I67_Y_0);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I39_Y : OR2A
      port map(A => I39_un1_Y, B => N288, Y => N306);
    
    bskrjhjvqpf_i_o2 : OR2A
      port map(A => EV_RAM_DO_B_net_net_1, B => 
        EV_RAM_DO_B_net(8), Y => N_205);
    
    dhzrwbnrbpw_0_sqmuxa_i : OA1B
      port map(A => \tkcbxxqbtfx[11]_net_1\, B => 
        \tkcbxxqbtfx[14]_net_1\, C => \rgmpzqrbghh\, Y => 
        N_199_i_0);
    
    \gjkdbmpgrtc_6_0_a3[9]\ : NOR3A
      port map(A => \rqrqhcwpqdn[11]_net_1\, B => 
        \rdgwgtpkbgc[0]_net_1\, C => \rdgwgtpkbgc[1]_net_1\, Y
         => N_939);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I103_Y : XOR3
      port map(A => N_293, B => N_297, C => N347, Y => 
        \fqkdsnjfpdb[11]\);
    
    \bnwcvzjbgtc_12[13]\ : MX2
      port map(A => N_957, B => N_791, S => 
        \rdgwgtpkbgc[2]_net_1\, Y => \bnwcvzjbgtc[13]\);
    
    \gjkdbmpgrtc_11_0_a3[5]\ : NOR2A
      port map(A => N_447, B => rdgwgtpkbgc_3, Y => N_952);
    
    \bnwcvzjbgtc_2[1]\ : MX2
      port map(A => \ftbkrvpxdbp[3]_net_1\, B => 
        \ftbkrvpxdbp[4]_net_1\, S => \rdgwgtpkbgc_1[0]_net_1\, Y
         => N_626);
    
    \tkcbxxqbtfx[11]\ : DFN1C0
      port map(D => \tkcbxxqbtfx_ns[6]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \tkcbxxqbtfx[11]_net_1\);
    
    \kkkmkxwwscv[2]\ : DFN1E0C0
      port map(D => ASSC_SEQOUT_net_net_2, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \qmmwhjxxxmv\, Q => 
        EV_ASSCADDR_net_net_2);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I60_Y : NOR2B
      port map(A => N315, B => N311, Y => N330);
    
    un1_fskhwddcbbg_i : OR2
      port map(A => N_209, B => N_206, Y => N_196);
    
    \pptwzsjcmcz_dhzrwbnrbpw_7_iv_0[7]\ : AOI1B
      port map(A => \Z\\EV_RAM_DO_B_net\\_0\, B => N_199_i_0, C
         => \qrbxknbdvjj_m[7]_net_1\, Y => 
        \dhzrwbnrbpw_7_iv_0[7]\);
    
    \gjkdbmpgrtc_12[7]\ : MX2
      port map(A => N_513, B => N_581, S => 
        \rdgwgtpkbgc[2]_net_1\, Y => \gjkdbmpgrtc[7]\);
    
    un3_ckghxwbsztp_I_13 : XOR2
      port map(A => N_9, B => \rqrqhcwpqdn[4]_net_1\, Y => I_13);
    
    \tkcbxxqbtfx_ns_i[9]\ : NOR2B
      port map(A => INIT_DONE_c, B => \tkcbxxqbtfx[9]_net_1\, Y
         => \tkcbxxqbtfx_ns_i[9]_net_1\);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_77 : AO1
      port map(A => \DWACT_COMP0_E[1]\, B => \DWACT_COMP0_E[2]\, 
        C => \DWACT_COMP0_E[0]\, Y => un2_pbzxzjhqhwz);
    
    \tkcbxxqbtfx[14]\ : DFN1C0
      port map(D => \tkcbxxqbtfx_ns_i[3]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \tkcbxxqbtfx[14]_net_1\);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_56 : OR2A
      port map(A => \rqrqhcwpqdn[1]_net_1\, B => 
        \bnvtvdkcnpp[1]_net_1\, Y => \ACT_LT4_E[1]\);
    
    gpjgkmhxbkn_1 : XNOR2
      port map(A => EV_RAM_DO_B_net_net_5, B => 
        \rqrqhcwpqdn[2]_net_1\, Y => gpjgkmhxbkn_1_i);
    
    \bnwcvzjbgtc_3[5]\ : MX2
      port map(A => N_728, B => N_745, S => 
        \rdgwgtpkbgc_1[1]_net_1\, Y => N_647);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I57_un1_Y : OR2B
      port map(A => N312, B => N309, Y => I57_un1_Y_i);
    
    \bnvtvdkcnpp_9[5]\ : MX2
      port map(A => \bnvtvdkcnpp_5[5]_net_1\, B => 
        \fqkdsnjfpdb[11]\, S => \tkcbxxqbtfx_1[4]_net_1\, Y => 
        \bnvtvdkcnpp_9[5]_net_1\);
    
    \ftbkrvpxdbp[2]\ : DFN1E0C0
      port map(D => \ftbkrvpxdbp_5[2]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \ftbkrvpxdbp_1_sqmuxa\, Q => 
        \ftbkrvpxdbp[2]_net_1\);
    
    \mkmkbnghgkd[6]\ : MX2
      port map(A => INIT_ADDR_int(6), B => TR_EV_ADDR_net_net_1, 
        S => INIT_DONE_c, Y => EV_RAM_ADDR_A_net_net_1);
    
    \tkcbxxqbtfx_1[4]\ : DFN1C0
      port map(D => \tkcbxxqbtfx_ns_i[13]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \tkcbxxqbtfx_1[4]_net_1\);
    
    \pptwzsjcmcz_dhzrwbnrbpw_7_iv_0[4]\ : AOI1B
      port map(A => \Z\\EV_CHHOLD_net\\_net_1\, B => 
        \rgmpzqrbghh\, C => \qrbxknbdvjj_m[4]_net_1\, Y => 
        \dhzrwbnrbpw_7_iv_0[4]\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I75_un1_Y : OR3B
      port map(A => N307, B => ADD_18x18_medium_I75_un1_Y_0, C
         => N303, Y => I75_un1_Y_i);
    
    \bnwcvzjbgtc_3[11]\ : MX2
      port map(A => N_749, B => N_751, S => 
        \rdgwgtpkbgc[1]_net_1\, Y => N_653);
    
    \bnwcvzjbgtc_12[10]\ : MX2
      port map(A => N_954, B => N_788, S => 
        \rdgwgtpkbgc_2[2]_net_1\, Y => \bnwcvzjbgtc[10]\);
    
    \gjkdbmpgrtc_3_0_a3_1[3]\ : NOR2B
      port map(A => \rqrqhcwpqdn[0]_net_1\, B => 
        \rdgwgtpkbgc[0]_net_1\, Y => N_938_1);
    
    kkjrqmngvjc_0_0 : OR2
      port map(A => \tkcbxxqbtfx[1]_net_1\, B => N_191_2, Y => 
        \kkjrqmngvjc_0_0\);
    
    \gjkdbmpgrtc_7_i[0]\ : NOR2B
      port map(A => rdgwgtpkbgc_3, B => N_446, Y => N_888);
    
    G_93 : MAJ3
      port map(A => \ftbkrvpxdbp[1]_net_1\, B => \gjkdbmpgrtc[1]\, 
        C => \ftbkrvpxdbp[0]_net_1\, Y => N_248);
    
    G_98 : AO18
      port map(A => \ftbkrvpxdbp[2]_net_1\, B => \bnwcvzjbgtc[2]\, 
        C => \gjkdbmpgrtc[2]\, Y => N_253_i);
    
    \gjkdbmpgrtc_12[12]\ : MX2
      port map(A => N_942, B => N_586, S => 
        \rdgwgtpkbgc[2]_net_1\, Y => \gjkdbmpgrtc[12]\);
    
    \qrbxknbdvjj[1]\ : DFN1E1C0
      port map(D => \EV_RAM_ADDR_B_net_net_6\, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \tkcbxxqbtfx[11]_net_1\, Q => 
        \qrbxknbdvjj[1]_net_1\);
    
    G_144_0 : XOR2
      port map(A => \bnvtvdkcnpp[6]_net_1\, B => 
        \gjkdbmpgrtc[12]\, Y => \G_144_0\);
    
    \gjkdbmpgrtc_7_i[1]\ : NOR2B
      port map(A => rdgwgtpkbgc_3, B => N_447, Y => N_890);
    
    \gjkdbmpgrtc_12[13]\ : MX2
      port map(A => N_943, B => N_587, S => 
        \rdgwgtpkbgc[2]_net_1\, Y => \gjkdbmpgrtc[13]\);
    
    \bnwcvzjbgtc_11[14]\ : NOR2B
      port map(A => rdgwgtpkbgc_3, B => \bnvtvdkcnpp[8]_net_1\, Y
         => N_792);
    
    \tkcbxxqbtfx_ns_i[17]\ : NOR2B
      port map(A => INIT_DONE_c, B => \tkcbxxqbtfx[1]_net_1\, Y
         => \tkcbxxqbtfx_ns_i[17]_net_1\);
    
    \pptwzsjcmcz_dhzrwbnrbpw_7_iv[3]\ : AO1B
      port map(A => N_201_i_0, B => I_37, C => 
        \dhzrwbnrbpw_7_iv_1[3]\, Y => \dhzrwbnrbpw_7[3]\);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_34 : XNOR2
      port map(A => \bnvtvdkcnpp[4]_net_1\, B => 
        \rqrqhcwpqdn[4]_net_1\, Y => \DWACT_BL_EQUAL_0_E[0]\);
    
    \kkkmkxwwscv[3]\ : DFN1E0C0
      port map(D => ASSC_SEQOUT_net_net_1, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \qmmwhjxxxmv\, Q => 
        EV_ASSCADDR_net_net_1);
    
    \gjkdbmpgrtc_9[3]\ : MX2
      port map(A => \rqrqhcwpqdn[3]_net_1\, B => 
        \rqrqhcwpqdn[4]_net_1\, S => \rdgwgtpkbgc_0[0]_net_1\, Y
         => N_543);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I18_un1_Y : OR3A
      port map(A => N_317, B => N_313, C => N280, Y => I18_un1_Y);
    
    \bnwcvzjbgtc_3[0]\ : MX2
      port map(A => N_608, B => N_625, S => 
        \rdgwgtpkbgc_1[1]_net_1\, Y => N_642);
    
    \rqrqhcwpqdn[11]\ : DFN1C0
      port map(D => \rqrqhcwpqdn_9[11]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, Q => \rqrqhcwpqdn[11]_net_1\);
    
    gpjgkmhxbkn_4 : XNOR2
      port map(A => EV_RAM_DO_B_net_net_2, B => 
        \rqrqhcwpqdn[5]_net_1\, Y => gpjgkmhxbkn_4_i);
    
    \gjkdbmpgrtc_9[10]\ : MX2
      port map(A => \rqrqhcwpqdn[10]_net_1\, B => 
        \rqrqhcwpqdn[11]_net_1\, S => \rdgwgtpkbgc_1[0]_net_1\, Y
         => N_550);
    
    ddbbjvkdkcq_0 : OR2A
      port map(A => \bskrjhjvqpf_1_sqmuxa\, B => 
        \EV_ASSCADDR_net_net_5\, Y => EV_ASSC_RD_net);
    
    \bnvtvdkcnpp[6]\ : DFN1C0
      port map(D => \bnvtvdkcnpp_9[6]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, Q => \bnvtvdkcnpp[6]_net_1\);
    
    G_144 : XNOR2
      port map(A => \G_144_0\, B => \bnwcvzjbgtc[12]\, Y => N_302);
    
    un1_dhzrwbnrbpw_I_32 : XOR2
      port map(A => \EV_RAM_ADDR_B_net_net_6\, B => 
        \DWACT_ADD_CI_0_TMP[0]\, Y => I_32);
    
    G_139_0 : XOR2
      port map(A => \bnvtvdkcnpp[5]_net_1\, B => 
        \gjkdbmpgrtc[11]\, Y => \G_139_0\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I46_Y : NOR2
      port map(A => N297, B => N295, Y => N313);
    
    \ckghxwbsztp[4]\ : DFN1E1C0
      port map(D => \ckghxwbsztp_3[4]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \tkcbxxqbtfx[1]_net_1\, Q => 
        \ckghxwbsztp[4]_net_1\);
    
    \tkcbxxqbtfx_ns_a3_0[6]\ : OR2A
      port map(A => INIT_DONE_c, B => N_205, Y => 
        \tkcbxxqbtfx_ns_a3_0[6]_net_1\);
    
    \rqrqhcwpqdn_5_0[3]\ : MX2
      port map(A => ASSC_RAM_DOUT_bus(3), B => 
        EV_RAM_DO_B_net_net_4, S => \un1_xkwrgrspmcf\, Y => N_817);
    
    \gjkdbmpgrtc_7_0_a3[10]\ : NOR2A
      port map(A => N_448, B => rdgwgtpkbgc_3, Y => N_940);
    
    un1_qvqqfftqsfc : OR2B
      port map(A => \tkcbxxqbtfx[9]_net_1\, B => \kkgccghmrzf\, Y
         => \un1_qvqqfftqsfc\);
    
    \gjkdbmpgrtc_9[6]\ : MX2
      port map(A => \rqrqhcwpqdn[6]_net_1\, B => 
        \rqrqhcwpqdn[7]_net_1\, S => \rdgwgtpkbgc_0[0]_net_1\, Y
         => N_546);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I16_P0N : NOR3
      port map(A => \G_163_0\, B => N_320, C => N_322, Y => N280);
    
    \bnvtvdkcnpp[4]\ : DFN1C0
      port map(D => \bnvtvdkcnpp_9[4]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, Q => \bnvtvdkcnpp[4]_net_1\);
    
    ftbkrvpxdbp_1_sqmuxa : NOR2A
      port map(A => \un1_kkgccghmrzf\, B => 
        \tkcbxxqbtfx_0[4]_net_1\, Y => \ftbkrvpxdbp_1_sqmuxa\);
    
    \qrbxknbdvjj_m[7]\ : OR2B
      port map(A => \qrbxknbdvjj[7]_net_1\, B => un2_bmkwsvgbnqv, 
        Y => \qrbxknbdvjj_m[7]_net_1\);
    
    \tkcbxxqbtfx[17]\ : DFN1P0
      port map(D => \tkcbxxqbtfx_ns[0]_net_1\, CLK => GLA_c, PRE
         => SYS_RESET_global, Q => \tkcbxxqbtfx[17]_net_1\);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_42 : NOR2A
      port map(A => \rqrqhcwpqdn[4]_net_1\, B => 
        \bnvtvdkcnpp[4]_net_1\, Y => \ACT_LT3_E[0]\);
    
    \bnwcvzjbgtc_12[6]\ : MX2
      port map(A => N_716, B => N_784, S => 
        \rdgwgtpkbgc_2[2]_net_1\, Y => \bnwcvzjbgtc[6]\);
    
    \qrbxknbdvjj_m[6]\ : OR2B
      port map(A => \qrbxknbdvjj[6]_net_1\, B => un2_bmkwsvgbnqv, 
        Y => \qrbxknbdvjj_m[6]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I45_Y : AO1A
      port map(A => N295, B => N296, C => N294, Y => N312);
    
    \rdgwgtpkbgc_0[0]\ : DFN1E0C0
      port map(D => EV_RAM_DO_B_net_net_7, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \bskrjhjvqpf_1_sqmuxa_0\, Q => 
        \rdgwgtpkbgc_0[0]_net_1\);
    
    \bnwcvzjbgtc_11[6]\ : MX2
      port map(A => N_748, B => \bnwcvzjbgtc_11_d[6]_net_1\, S
         => \bnwcvzjbgtc_11_s[6]_net_1\, Y => N_784);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_63 : OR2A
      port map(A => \bnvtvdkcnpp[3]_net_1\, B => 
        \rqrqhcwpqdn[3]_net_1\, Y => \ACT_LT4_E[8]\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I13_P0N_0 : AO1A
      port map(A => \bnwcvzjbgtc[12]\, B => 
        \bnvtvdkcnpp[6]_net_1\, C => N_307, Y => 
        ADD_18x18_medium_I13_P0N_0);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I5_P0N : OR3
      port map(A => N_267, B => N_265, C => \G_108_0\, Y => N247);
    
    \ckghxwbsztp_m[4]\ : OR2B
      port map(A => \tkcbxxqbtfx[0]_net_1\, B => 
        \ckghxwbsztp[4]_net_1\, Y => \ckghxwbsztp_m[4]_net_1\);
    
    njhxtffzjds : DFN1E0C0
      port map(D => N_211, CLK => GLA_c, CLR => SYS_RESET_global, 
        E => \un1_bskrjhjvqpf_6_sqmuxa_1\, Q => EV_EVFLAG_net);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I88_Y : AOI1
      port map(A => N253, B => N351, C => N252, Y => N397_i);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_23 : AO1C
      port map(A => \bnvtvdkcnpp[9]_net_1\, B => 
        \rqrqhcwpqdn[9]_net_1\, C => N_28, Y => N_34);
    
    \gjkdbmpgrtc_9[5]\ : MX2
      port map(A => \rqrqhcwpqdn[5]_net_1\, B => 
        \rqrqhcwpqdn[6]_net_1\, S => \rdgwgtpkbgc_0[0]_net_1\, Y
         => N_545);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I13_G0N : NOR2A
      port map(A => N_307, B => N_303_i, Y => N270);
    
    \ckghxwbsztp_3_0_a3[4]\ : NOR2B
      port map(A => I_20, B => N_923, Y => \ckghxwbsztp_3[4]\);
    
    \mkmkbnghgkd[7]\ : MX2
      port map(A => INIT_ADDR_int(7), B => \Z\\TR_EV_ADDR_net\\\, 
        S => INIT_DONE_c, Y => \Z\\EV_RAM_ADDR_A_net\\\);
    
    \un1_dhzrwbnrbpw_m[1]\ : OR2B
      port map(A => \DWACT_ADD_CI_0_partial_sum[0]\, B => 
        N_201_i_0, Y => \un1_dhzrwbnrbpw_m[1]_net_1\);
    
    un1_dhzrwbnrbpw_I_52 : AND2
      port map(A => \EV_RAM_ADDR_B_net_net_5\, B => 
        \EV_RAM_ADDR_B_net_net_4\, Y => 
        \DWACT_ADD_CI_0_pog_array_1[0]\);
    
    \kkkmkxwwscv[4]\ : DFN1E0C0
      port map(D => \Z\\ASSC_SEQOUT_net\\\, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \qmmwhjxxxmv\, Q => 
        \Z\\EV_ASSCADDR_net\\\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I47_Y : OR2
      port map(A => N296, B => I47_un1_Y, Y => N314);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I98_Y : XNOR2
      port map(A => ADD_18x18_medium_I98_Y_0, B => N399_i, Y => 
        \fqkdsnjfpdb[6]\);
    
    \bnvtvdkcnpp[11]\ : DFN1C0
      port map(D => \bnvtvdkcnpp_9[11]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, Q => \bnvtvdkcnpp[11]_net_1\);
    
    rqrqhcwpqdn_9_sn_m1 : NOR2
      port map(A => \un1_mvnkctvqsgp\, B => 
        \tkcbxxqbtfx[6]_net_1\, Y => N_838);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I44_Y : NOR2
      port map(A => N295, B => N293, Y => N311);
    
    \zbqggxmnpbs_0_iv[8]\ : AO1B
      port map(A => \fqkdsnjfpdb[14]\, B => 
        \tkcbxxqbtfx[5]_net_1\, C => \fqkdsnjfpdb_m[5]_net_1\, Y
         => EV_RAM_DI_B_net(8));
    
    \bnwcvzjbgtc_11_d[11]\ : MX2
      port map(A => N_967, B => \bnvtvdkcnpp[5]_net_1\, S => 
        rdgwgtpkbgc_3, Y => \bnwcvzjbgtc_11_d[11]_net_1\);
    
    un3_ckghxwbsztp_I_8 : NOR2B
      port map(A => \rqrqhcwpqdn[2]_net_1\, B => 
        \rqrqhcwpqdn[1]_net_1\, Y => N_12);
    
    G_148 : OA1C
      port map(A => \bnvtvdkcnpp[6]_net_1\, B => 
        \bnwcvzjbgtc[12]\, C => \G_148_0\, Y => N_303_i);
    
    \rqrqhcwpqdn[1]\ : DFN1E1C0
      port map(D => N_815, CLK => GLA_c, CLR => SYS_RESET_global, 
        E => N_823, Q => \rqrqhcwpqdn[1]_net_1\);
    
    \ftbkrvpxdbp[3]\ : DFN1E0C0
      port map(D => \ftbkrvpxdbp_5[3]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \ftbkrvpxdbp_1_sqmuxa\, Q => 
        \ftbkrvpxdbp[3]_net_1\);
    
    \bnvtvdkcnpp_5[6]\ : MX2
      port map(A => \bnvtvdkcnpp[6]_net_1\, B => 
        EV_RAM_DO_B_net_net_1, S => \un3_qvqqfftqsfc\, Y => 
        \bnvtvdkcnpp_5[6]_net_1\);
    
    \zbqggxmnpbs_0_iv[1]\ : AO1B
      port map(A => \fqkdsnjfpdb[16]\, B => 
        \tkcbxxqbtfx_0[4]_net_1\, C => 
        \zbqggxmnpbs_0_iv_0[1]_net_1\, Y => EV_RAM_DI_B_net_net_6);
    
    un1_dhzrwbnrbpw_I_35 : XOR2
      port map(A => \EV_RAM_ADDR_B_net_net_5\, B => 
        \DWACT_ADD_CI_0_g_array_1[0]\, Y => I_35);
    
    \zbqggxmnpbs_0_iv[7]\ : AO1B
      port map(A => \fqkdsnjfpdb[13]\, B => 
        \tkcbxxqbtfx[5]_net_1\, C => \fqkdsnjfpdb_m[4]_net_1\, Y
         => \Z\\EV_RAM_DI_B_net\\\);
    
    kkjrqmngvjc_0 : OR3
      port map(A => bskrjhjvqpf_6_sqmuxa, B => \kkjrqmngvjc_0_0\, 
        C => N_240, Y => EV_RAM_CSN_B_net);
    
    \bnwcvzjbgtc_7[1]\ : MX2
      port map(A => N_643, B => N_651, S => rdgwgtpkbgc_3, Y => 
        N_711);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_6 : AND3
      port map(A => \DWACT_BL_EQUAL_0_E_0[0]\, B => 
        \DWACT_BL_EQUAL_0_E_0[1]\, C => \DWACT_BL_EQUAL_0_E_0[2]\, 
        Y => \DWACT_BL_EQUAL_0_DWACT_ANDTREE_E[0]\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I22_Y : AO1B
      port map(A => N264, B => N268, C => N267_i, Y => N288);
    
    \qrbxknbdvjj[3]\ : DFN1E1C0
      port map(D => \EV_RAM_ADDR_B_net_net_4\, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \tkcbxxqbtfx[11]_net_1\, Q => 
        \qrbxknbdvjj[3]_net_1\);
    
    \bnwcvzjbgtc_11_d_s[5]\ : NOR2
      port map(A => rdgwgtpkbgc_3, B => \rdgwgtpkbgc_0[0]_net_1\, 
        Y => \bnwcvzjbgtc_11_d_s[5]_net_1\);
    
    \bnvtvdkcnpp_5[5]\ : MX2
      port map(A => \bnvtvdkcnpp[5]_net_1\, B => 
        EV_RAM_DO_B_net_net_2, S => \un3_qvqqfftqsfc\, Y => 
        \bnvtvdkcnpp_5[5]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I108_Y_0 : AX1D
      port map(A => \G_163_0\, B => N_320, C => N_322, Y => 
        ADD_18x18_medium_I108_Y_0);
    
    \bnwcvzjbgtc_9[4]\ : MX2
      port map(A => \bnvtvdkcnpp[4]_net_1\, B => 
        \bnvtvdkcnpp[5]_net_1\, S => \rdgwgtpkbgc_2[0]_net_1\, Y
         => N_748);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_2 : XNOR2
      port map(A => \bnvtvdkcnpp[11]_net_1\, B => 
        \rqrqhcwpqdn[11]_net_1\, Y => \DWACT_BL_EQUAL_0_E[4]\);
    
    \mkmkbnghgkd[1]\ : MX2
      port map(A => INIT_ADDR_int(1), B => TR_EV_ADDR_net_net_6, 
        S => INIT_DONE_c, Y => EV_RAM_ADDR_A_net_net_6);
    
    \qrbxknbdvjj_m[3]\ : OR2B
      port map(A => \qrbxknbdvjj[3]_net_1\, B => un2_bmkwsvgbnqv, 
        Y => \qrbxknbdvjj_m[3]_net_1\);
    
    G_163_0 : OA1
      port map(A => N_959, B => \bnvtvdkcnpp[9]_net_1\, C => 
        \gjkdbmpgrtc[15]\, Y => \G_163_0\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I68_Y : OR3
      port map(A => I55_un1_Y, B => N306, C => I68_un1_Y, Y => 
        N345);
    
    \ckghxwbsztp_m[0]\ : OR2B
      port map(A => \tkcbxxqbtfx[0]_net_1\, B => 
        \ckghxwbsztp[0]_net_1\, Y => \ckghxwbsztp_m[0]_net_1\);
    
    \fqkdsnjfpdb_m[6]\ : OR2B
      port map(A => \tkcbxxqbtfx[5]_net_1\, B => \fqkdsnjfpdb[6]\, 
        Y => \fqkdsnjfpdb_m[6]_net_1\);
    
    \rqrqhcwpqdn[6]\ : DFN1E1C0
      port map(D => N_820, CLK => GLA_c, CLR => SYS_RESET_global, 
        E => N_823, Q => \rqrqhcwpqdn[6]_net_1\);
    
    G_151 : NOR2A
      port map(A => \bnvtvdkcnpp[7]_net_1\, B => 
        \bnwcvzjbgtc[13]\, Y => N_310);
    
    G_159 : XNOR3
      port map(A => \gjkdbmpgrtc[15]\, B => 
        \bnvtvdkcnpp[9]_net_1\, C => \bnwcvzjbgtc[15]\, Y => 
        N_317);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I9_P0N_0 : AO1A
      port map(A => \bnwcvzjbgtc[8]\, B => \bnvtvdkcnpp[2]_net_1\, 
        C => N_287, Y => ADD_18x18_medium_I9_P0N_0);
    
    mvnkctvqsgp : NOR2
      port map(A => \rfrdbqfdrhx[1]_net_1\, B => 
        \rfrdbqfdrhx[0]_net_1\, Y => \mvnkctvqsgp\);
    
    G_143 : OR2
      port map(A => N_300, B => \G_143_0\, Y => N_298);
    
    \bnvtvdkcnpp[10]\ : DFN1C0
      port map(D => \bnvtvdkcnpp_9[10]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, Q => \bnvtvdkcnpp[10]_net_1\);
    
    un1_dhzrwbnrbpw_I_46 : NOR2B
      port map(A => \DWACT_ADD_CI_0_g_array_2[0]\, B => 
        \DWACT_ADD_CI_0_pog_array_2[0]\, Y => 
        \DWACT_ADD_CI_0_g_array_3[0]\);
    
    \ftbkrvpxdbp[1]\ : DFN1E0C0
      port map(D => \ftbkrvpxdbp_5[1]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \ftbkrvpxdbp_1_sqmuxa\, Q => 
        \ftbkrvpxdbp[1]_net_1\);
    
    \rqrqhcwpqdn_5_0[5]\ : MX2
      port map(A => ASSC_RAM_DOUT_bus(5), B => 
        EV_RAM_DO_B_net_net_2, S => \un1_xkwrgrspmcf\, Y => N_819);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I20_Y : AO1
      port map(A => N270, B => N274, C => N273, Y => N286);
    
    \gjkdbmpgrtc_7_0_a3[15]\ : NOR2A
      port map(A => N_453, B => rdgwgtpkbgc_3, Y => N_945);
    
    \tkcbxxqbtfx_ns_i[13]\ : NOR2B
      port map(A => INIT_DONE_c, B => \tkcbxxqbtfx[5]_net_1\, Y
         => \tkcbxxqbtfx_ns_i[13]_net_1\);
    
    \mtbjcfqsbqf[0]\ : DFN1E0C0
      port map(D => ADC_CHNUMBER_net(0), CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \qmmwhjxxxmv\, Q => 
        \EV_CHHOLD_net_net_3\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I8_P0N_0 : AO1A
      port map(A => \bnwcvzjbgtc[7]\, B => \bnvtvdkcnpp[1]_net_1\, 
        C => N_282, Y => ADD_18x18_medium_I8_P0N_0);
    
    \fqkdsnjfpdb_m[5]\ : OR2B
      port map(A => \tkcbxxqbtfx[4]_net_1\, B => \fqkdsnjfpdb[5]\, 
        Y => \fqkdsnjfpdb_m[5]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I16_G0N : OAI1
      port map(A => \G_163_0\, B => N_320, C => N_322, Y => N279);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I106_Y_0 : AX1D
      port map(A => \G_153_0\, B => N_310, C => N_312, Y => 
        ADD_18x18_medium_I106_Y_0);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I104_Y : XNOR3
      port map(A => N_298, B => N_302, C => N393_i, Y => 
        \fqkdsnjfpdb[12]\);
    
    \bnwcvzjbgtc_9[2]\ : MX2
      port map(A => \bnvtvdkcnpp[2]_net_1\, B => 
        \bnvtvdkcnpp[3]_net_1\, S => \rdgwgtpkbgc_2[0]_net_1\, Y
         => N_746);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I53_un1_Y : NOR2
      port map(A => N308_i, B => N305, Y => I53_un1_Y);
    
    un3_qvqqfftqsfc : AO1C
      port map(A => N_237, B => \tkcbxxqbtfx_ns_1[16]\, C => 
        \un1_qvqqfftqsfc\, Y => \un3_qvqqfftqsfc\);
    
    \gjkdbmpgrtc_7[3]\ : MX2
      port map(A => N_938, B => N_449, S => rdgwgtpkbgc_3, Y => 
        N_509);
    
    \bnvtvdkcnpp_9[9]\ : MX2
      port map(A => \bnvtvdkcnpp_8[9]_net_1\, B => 
        \fqkdsnjfpdb[15]\, S => \tkcbxxqbtfx_1[4]_net_1\, Y => 
        \bnvtvdkcnpp_9[9]_net_1\);
    
    \gjkdbmpgrtc_3_0_a2[16]\ : NOR2A
      port map(A => N_550, B => \rdgwgtpkbgc[1]_net_1\, Y => 
        N_968);
    
    \pptwzsjcmcz_dhzrwbnrbpw_7_iv_0[5]\ : AOI1B
      port map(A => \rgmpzqrbghh\, B => \EV_CHHOLD_net[4]\, C => 
        \qrbxknbdvjj_m[5]_net_1\, Y => \dhzrwbnrbpw_7_iv_0[5]\);
    
    un3_ckghxwbsztp_I_12 : AND3
      port map(A => \rqrqhcwpqdn[1]_net_1\, B => 
        \rqrqhcwpqdn[2]_net_1\, C => \rqrqhcwpqdn[3]_net_1\, Y
         => N_9);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I32_Y : OR2B
      port map(A => N237, B => I32_un1_Y, Y => N298);
    
    un1_dhzrwbnrbpw_I_51 : AND2
      port map(A => \DWACT_ADD_CI_0_pog_array_1_1[0]\, B => 
        \DWACT_ADD_CI_0_pog_array_1_2[0]\, Y => 
        \DWACT_ADD_CI_0_pog_array_2[0]\);
    
    \tkcbxxqbtfx[5]\ : DFN1C0
      port map(D => \tkcbxxqbtfx_ns_i[12]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \tkcbxxqbtfx[5]_net_1\);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_27 : OA1
      port map(A => N_37, B => N_36, C => N_35, Y => 
        \DWACT_COMP0_E[0]\);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_48 : AOI1A
      port map(A => \ACT_LT3_E[3]\, B => \ACT_LT3_E[4]\, C => 
        \ACT_LT3_E[5]\, Y => \DWACT_CMPLE_PO2_DWACT_COMP0_E[0]\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I9_G0N : NOR2B
      port map(A => N_287, B => N_283, Y => N258);
    
    \bnwcvzjbgtc_7_0_a3[16]\ : NOR2A
      port map(A => N_966, B => rdgwgtpkbgc_3, Y => N_960);
    
    \gjkdbmpgrtc_7[4]\ : MX2
      port map(A => N_947_1, B => N_450, S => rdgwgtpkbgc_3, Y
         => N_510);
    
    \fqkdsnjfpdb_m[10]\ : OR2B
      port map(A => \tkcbxxqbtfx[5]_net_1\, B => 
        \fqkdsnjfpdb[10]\, Y => \fqkdsnjfpdb_m[10]_net_1\);
    
    \bnvtvdkcnpp_9[0]\ : MX2
      port map(A => \bnvtvdkcnpp_5[0]_net_1\, B => 
        \fqkdsnjfpdb[6]\, S => \tkcbxxqbtfx[4]_net_1\, Y => 
        \bnvtvdkcnpp_9[0]_net_1\);
    
    \tkcbxxqbtfx_ns[0]\ : AO1C
      port map(A => \rgmpzqrbghh\, B => \tkcbxxqbtfx[17]_net_1\, 
        C => N_211, Y => \tkcbxxqbtfx_ns[0]_net_1\);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_43 : OR2A
      port map(A => \rqrqhcwpqdn[5]_net_1\, B => 
        \bnvtvdkcnpp[5]_net_1\, Y => \ACT_LT3_E[1]\);
    
    \pptwzsjcmcz_dhzrwbnrbpw_7_iv_1[1]\ : NOR3C
      port map(A => \qrbxknbdvjj_m[1]_net_1\, B => 
        \mtbjcfqsbqf_m[0]_net_1\, C => \jrgzmrqhbkv_m[1]_net_1\, 
        Y => \dhzrwbnrbpw_7_iv_1[1]\);
    
    \bnvtvdkcnpp_9[1]\ : MX2
      port map(A => \bnvtvdkcnpp_5[1]_net_1\, B => 
        \fqkdsnjfpdb[7]\, S => \tkcbxxqbtfx[4]_net_1\, Y => 
        \bnvtvdkcnpp_9[1]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I7_P0N : OR3
      port map(A => N_277, B => N_275, C => \G_118_0\, Y => N253);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I47_un1_Y : NOR2A
      port map(A => N298, B => N297, Y => I47_un1_Y);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I93_Y : XOR2
      port map(A => ADD_18x18_medium_I93_Y_0, B => N300, Y => 
        \fqkdsnjfpdb[1]\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I32_un1_Y : OAI1
      port map(A => N_248, B => N_252, C => N234, Y => I32_un1_Y);
    
    \bnvtvdkcnpp[1]\ : DFN1C0
      port map(D => \bnvtvdkcnpp_9[1]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, Q => \bnvtvdkcnpp[1]_net_1\);
    
    qmmwhjxxxmv : OAI1
      port map(A => N_266, B => ktwrhqstzjg, C => 
        ASSC_SAMPFLAG_net, Y => \qmmwhjxxxmv\);
    
    \tkcbxxqbtfx_ns_a3_0_0[4]\ : NOR2B
      port map(A => N_227_1, B => INIT_DONE_c, Y => 
        \tkcbxxqbtfx_ns_a3_0_0[4]_net_1\);
    
    \ckghxwbsztp_m[2]\ : OR2B
      port map(A => \tkcbxxqbtfx[0]_net_1\, B => 
        \ckghxwbsztp[2]_net_1\, Y => \ckghxwbsztp_m[2]_net_1\);
    
    \bnvtvdkcnpp_5[0]\ : MX2
      port map(A => \bnvtvdkcnpp[0]_net_1\, B => 
        EV_RAM_DO_B_net_net_7, S => \un3_qvqqfftqsfc\, Y => 
        \bnvtvdkcnpp_5[0]_net_1\);
    
    frhjqwkkhgk_0 : NOR3
      port map(A => N_209, B => \tkcbxxqbtfx[2]_net_1\, C => 
        N_206, Y => EV_RAM_WR_BUSY_B_net);
    
    un1_dhzrwbnrbpw_I_1 : AND2
      port map(A => \EV_RAM_ADDR_B_net_net_7\, B => 
        \bskrjhjvqpf_i\, Y => \DWACT_ADD_CI_0_TMP[0]\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I109_Y : AX1E
      port map(A => I65_un1_Y, B => ADD_18x18_medium_I75_Y_3, C
         => ADD_18x18_medium_I109_Y_2, Y => \fqkdsnjfpdb[17]\);
    
    \ckghxwbsztp_3_0_a3[0]\ : NOR2A
      port map(A => N_923, B => \rqrqhcwpqdn[1]_net_1\, Y => 
        \ckghxwbsztp_3[0]\);
    
    \pptwzsjcmcz_dhzrwbnrbpw_7_iv_0[8]\ : AOI1B
      port map(A => N_199_i_0, B => EV_RAM_DO_B_net(8), C => 
        \qrbxknbdvjj_m[8]_net_1\, Y => \dhzrwbnrbpw_7_iv_0[8]\);
    
    un1_fskhwddcbbg_i_o3 : OR2
      port map(A => \un1_fskhwddcbbg_i_o3_0\, B => 
        \tkcbxxqbtfx_0[4]_net_1\, Y => N_209);
    
    \gjkdbmpgrtc_9[7]\ : MX2
      port map(A => \rqrqhcwpqdn[7]_net_1\, B => 
        \rqrqhcwpqdn[8]_net_1\, S => \rdgwgtpkbgc_1[0]_net_1\, Y
         => N_547);
    
    \bnvtvdkcnpp[0]\ : DFN1C0
      port map(D => \bnvtvdkcnpp_9[0]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, Q => \bnvtvdkcnpp[0]_net_1\);
    
    \tkcbxxqbtfx_ns_a3_1[16]\ : NOR2B
      port map(A => EV_RAM_DO_B_net(8), B => 
        \Z\\EV_RAM_DO_B_net\\\, Y => \tkcbxxqbtfx_ns_1[16]\);
    
    \dhzrwbnrbpw[3]\ : DFN1C0
      port map(D => \dhzrwbnrbpw_7[3]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \EV_RAM_ADDR_B_net_net_4\);
    
    bskrjhjvqpf_i_o3 : NOR3
      port map(A => \tkcbxxqbtfx[8]_net_1\, B => 
        \tkcbxxqbtfx[14]_net_1\, C => \tkcbxxqbtfx[11]_net_1\, Y
         => N_215);
    
    un1_dhzrwbnrbpw_I_38 : XOR2
      port map(A => \EV_RAM_ADDR_B_net_net_1\, B => 
        \DWACT_ADD_CI_0_g_array_11[0]\, Y => I_38);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I97_Y_0 : XOR2
      port map(A => N_267, B => N_263, Y => 
        ADD_18x18_medium_I97_Y_0);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I30_Y : AO1B
      port map(A => N240, B => N244, C => N243, Y => N296);
    
    \qrbxknbdvjj_m[8]\ : OR2B
      port map(A => \qrbxknbdvjj[8]_net_1\, B => un2_bmkwsvgbnqv, 
        Y => \qrbxknbdvjj_m[8]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I102_Y_0 : XOR2
      port map(A => N_292, B => N_288, Y => 
        ADD_18x18_medium_I102_Y_0);
    
    un3_ckghxwbsztp_I_9 : XOR2
      port map(A => N_12, B => \rqrqhcwpqdn[3]_net_1\, Y => I_9);
    
    \tkcbxxqbtfx_ns_a3[6]\ : NOR3A
      port map(A => \tkcbxxqbtfx[12]_net_1\, B => 
        \Z\\EV_RAM_DO_B_net\\_0\, C => 
        \tkcbxxqbtfx_ns_a3_0[6]_net_1\, Y => \tkcbxxqbtfx_ns[6]\);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_4 : XNOR2
      port map(A => \bnvtvdkcnpp[10]_net_1\, B => 
        \rqrqhcwpqdn[10]_net_1\, Y => \DWACT_BL_EQUAL_0_E[3]\);
    
    \bnwcvzjbgtc_11[15]\ : NOR2B
      port map(A => rdgwgtpkbgc_3, B => \bnvtvdkcnpp[9]_net_1\, Y
         => N_793);
    
    G_154 : XNOR3
      port map(A => \gjkdbmpgrtc[14]\, B => 
        \bnvtvdkcnpp[8]_net_1\, C => \bnwcvzjbgtc[14]\, Y => 
        N_312);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I59_Y : OR3
      port map(A => I43_un1_Y, B => N292, C => I59_un1_Y, Y => 
        N329);
    
    G_101 : NOR2A
      port map(A => \ftbkrvpxdbp[3]_net_1\, B => \bnwcvzjbgtc[3]\, 
        Y => N_260);
    
    G_109 : XNOR2
      port map(A => \G_109_0\, B => \bnwcvzjbgtc[5]\, Y => N_267);
    
    \fqkdsnjfpdb_m[15]\ : OR2B
      port map(A => \tkcbxxqbtfx_0[4]_net_1\, B => 
        \fqkdsnjfpdb[15]\, Y => \fqkdsnjfpdb_m[15]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I91_Y : AOI1
      port map(A => N235, B => N300, C => N234, Y => N403_i);
    
    \bnwcvzjbgtc_7[7]\ : MX2
      port map(A => N_649, B => N_657, S => rdgwgtpkbgc_3, Y => 
        N_717);
    
    \zbqggxmnpbs_0_iv[5]\ : AO1B
      port map(A => \fqkdsnjfpdb[11]\, B => 
        \tkcbxxqbtfx[5]_net_1\, C => 
        \zbqggxmnpbs_0_iv_0[5]_net_1\, Y => EV_RAM_DI_B_net_net_2);
    
    \pptwzsjcmcz_dhzrwbnrbpw_7_iv[5]\ : OR3C
      port map(A => \jrgzmrqhbkv_m[5]_net_1\, B => 
        \dhzrwbnrbpw_7_iv_0[5]\, C => 
        \un1_dhzrwbnrbpw_m[6]_net_1\, Y => \dhzrwbnrbpw_7[5]\);
    
    \mkmkbnghgkd[4]\ : MX2
      port map(A => INIT_ADDR_int(4), B => TR_EV_ADDR_net_net_3, 
        S => INIT_DONE_c, Y => EV_RAM_ADDR_A_net_net_3);
    
    un1_dhzrwbnrbpw_I_36 : XOR2
      port map(A => \EV_RAM_ADDR_B_net[8]\, B => 
        \DWACT_ADD_CI_0_g_array_3[0]\, Y => I_36);
    
    \tkcbxxqbtfx_ns_a3[15]\ : NOR2B
      port map(A => \tkcbxxqbtfx_ns_a3_0[16]\, B => N_239, Y => 
        \tkcbxxqbtfx_ns[15]\);
    
    \gjkdbmpgrtc_7[9]\ : MX2
      port map(A => N_447, B => N_939, S => rdgwgtpkbgc_3, Y => 
        N_515);
    
    \rdgwgtpkbgc[0]\ : DFN1E0C0
      port map(D => EV_RAM_DO_B_net_net_7, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \bskrjhjvqpf_1_sqmuxa\, Q => 
        \rdgwgtpkbgc[0]_net_1\);
    
    kkgccghmrzf : NOR2A
      port map(A => \rfrdbqfdrhx[0]_net_1\, B => 
        \rfrdbqfdrhx[1]_net_1\, Y => \kkgccghmrzf\);
    
    \bnwcvzjbgtc_7[8]\ : MX2
      port map(A => N_650, B => N_654, S => 
        \rdgwgtpkbgc_1[2]_net_1\, Y => N_718);
    
    \bnwcvzjbgtc_3[12]\ : MX2
      port map(A => N_750, B => N_752, S => 
        \rdgwgtpkbgc[1]_net_1\, Y => N_654);
    
    \gjkdbmpgrtc_11_0_a3[0]\ : NOR2A
      port map(A => N_947_1, B => rdgwgtpkbgc_3, Y => N_947);
    
    \bnwcvzjbgtc_9[7]\ : MX2
      port map(A => \bnvtvdkcnpp[7]_net_1\, B => 
        \bnvtvdkcnpp[8]_net_1\, S => \rdgwgtpkbgc_2[0]_net_1\, Y
         => N_751);
    
    \bnwcvzjbgtc_3[6]\ : MX2
      port map(A => N_744, B => N_746, S => 
        \rdgwgtpkbgc_1[1]_net_1\, Y => N_648);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I107_Y : XOR2
      port map(A => ADD_18x18_medium_I107_Y_0, B => N343, Y => 
        \fqkdsnjfpdb[15]\);
    
    pfbntnkqtmt : OR2A
      port map(A => INIT_EV_WEN_int, B => INIT_DONE_c, Y => 
        EV_RAM_RW_A_net);
    
    G_129 : XNOR3
      port map(A => \gjkdbmpgrtc[9]\, B => \bnvtvdkcnpp[3]_net_1\, 
        C => \bnwcvzjbgtc[9]\, Y => N_287);
    
    \bnwcvzjbgtc_7_0_a3[12]\ : NOR2A
      port map(A => N_654, B => rdgwgtpkbgc_3, Y => N_956);
    
    \gjkdbmpgrtc_12[6]\ : MX2
      port map(A => N_512, B => N_580, S => 
        \rdgwgtpkbgc_0[2]_net_1\, Y => \gjkdbmpgrtc[6]\);
    
    \bnwcvzjbgtc_1[0]\ : MX2
      port map(A => \ftbkrvpxdbp[0]_net_1\, B => 
        \ftbkrvpxdbp[1]_net_1\, S => \rdgwgtpkbgc_1[0]_net_1\, Y
         => N_608);
    
    un1_dhzrwbnrbpw_I_30 : XOR2
      port map(A => \EV_RAM_ADDR_B_net_net_3\, B => 
        \DWACT_ADD_CI_0_g_array_2[0]\, Y => I_30);
    
    \bnvtvdkcnpp_9[11]\ : MX2
      port map(A => \bnvtvdkcnpp_8[11]_net_1\, B => 
        \fqkdsnjfpdb[17]\, S => \tkcbxxqbtfx_1[4]_net_1\, Y => 
        \bnvtvdkcnpp_9[11]_net_1\);
    
    \gjkdbmpgrtc_9[1]\ : MX2
      port map(A => \rqrqhcwpqdn[1]_net_1\, B => 
        \rqrqhcwpqdn[2]_net_1\, S => \rdgwgtpkbgc_0[0]_net_1\, Y
         => N_541);
    
    \bnwcvzjbgtc_12_s[4]\ : OR2A
      port map(A => rdgwgtpkbgc_3, B => \rdgwgtpkbgc_0[2]_net_1\, 
        Y => \bnwcvzjbgtc_12_s[4]_net_1\);
    
    \bnvtvdkcnpp_9[3]\ : MX2
      port map(A => \bnvtvdkcnpp_5[3]_net_1\, B => 
        \fqkdsnjfpdb[9]\, S => \tkcbxxqbtfx[4]_net_1\, Y => 
        \bnvtvdkcnpp_9[3]_net_1\);
    
    \dhzrwbnrbpw[8]\ : DFN1C0
      port map(D => \dhzrwbnrbpw_7[8]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \EV_RAM_ADDR_B_net[8]\);
    
    un3_bmkwsvgbnqv_1_i : NOR2A
      port map(A => N_215, B => \rgmpzqrbghh\, Y => N_201_i_0);
    
    \bnwcvzjbgtc_12[14]\ : MX2
      port map(A => N_958, B => N_792, S => 
        \rdgwgtpkbgc_2[2]_net_1\, Y => \bnwcvzjbgtc[14]\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I61_Y : OR2
      port map(A => N312, B => I61_un1_Y, Y => N351);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I11_G0N : NOR2B
      port map(A => N_297, B => N_293, Y => N264);
    
    G_158 : AO18
      port map(A => \bnvtvdkcnpp[8]_net_1\, B => 
        \bnwcvzjbgtc[14]\, C => \gjkdbmpgrtc[14]\, Y => N_313);
    
    \bnwcvzjbgtc_9[6]\ : MX2
      port map(A => \bnvtvdkcnpp[6]_net_1\, B => 
        \bnvtvdkcnpp[7]_net_1\, S => \rdgwgtpkbgc_2[0]_net_1\, Y
         => N_750);
    
    \mtbjcfqsbqf[4]\ : DFN1E0C0
      port map(D => ADC_CHNUMBER_net(4), CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \qmmwhjxxxmv\, Q => 
        \EV_CHHOLD_net[4]\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I28_Y : AO1B
      port map(A => N246, B => N250, C => N249, Y => N294);
    
    \zbqggxmnpbs_0_iv[2]\ : AO1B
      port map(A => \fqkdsnjfpdb[8]\, B => \tkcbxxqbtfx[5]_net_1\, 
        C => \zbqggxmnpbs_0_iv_0[2]_net_1\, Y => 
        EV_RAM_DI_B_net_net_5);
    
    \qrbxknbdvjj_m[5]\ : OR2B
      port map(A => \qrbxknbdvjj[5]_net_1\, B => un2_bmkwsvgbnqv, 
        Y => \qrbxknbdvjj_m[5]_net_1\);
    
    \tkcbxxqbtfx_ns_i[12]\ : NOR2B
      port map(A => INIT_DONE_c, B => \tkcbxxqbtfx[6]_net_1\, Y
         => \tkcbxxqbtfx_ns_i[12]_net_1\);
    
    \fqkdsnjfpdb_m[4]\ : OR2B
      port map(A => \tkcbxxqbtfx[4]_net_1\, B => \fqkdsnjfpdb[4]\, 
        Y => \fqkdsnjfpdb_m[4]_net_1\);
    
    \bnwcvzjbgtc_9[9]\ : MX2
      port map(A => \bnvtvdkcnpp[9]_net_1\, B => 
        \bnvtvdkcnpp[10]_net_1\, S => \rdgwgtpkbgc_2[0]_net_1\, Y
         => N_753);
    
    G_148_0 : OA1A
      port map(A => \bnwcvzjbgtc[12]\, B => 
        \bnvtvdkcnpp[6]_net_1\, C => \gjkdbmpgrtc[12]\, Y => 
        \G_148_0\);
    
    \bnvtvdkcnpp_9[8]\ : MX2
      port map(A => \bnvtvdkcnpp_5[8]_net_1\, B => 
        \fqkdsnjfpdb[14]\, S => \tkcbxxqbtfx_1[4]_net_1\, Y => 
        \bnvtvdkcnpp_9[8]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I107_Y_0 : XNOR2
      port map(A => N_317, B => N_313, Y => 
        ADD_18x18_medium_I107_Y_0);
    
    \mtbjcfqsbqf[2]\ : DFN1E0C0
      port map(D => ADC_CHNUMBER_net(2), CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \qmmwhjxxxmv\, Q => 
        \EV_CHHOLD_net_net_1\);
    
    gjkdbmpgrtc75_0 : AXOI7
      port map(A => \gjkdbmpgrtc75_0_a3_0_0\, B => 
        \rdgwgtpkbgc_2[2]_net_1\, C => rdgwgtpkbgc_3, Y => 
        gjkdbmpgrtc75);
    
    \ckghxwbsztp[2]\ : DFN1E1C0
      port map(D => \ckghxwbsztp_3[2]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \tkcbxxqbtfx[1]_net_1\, Q => 
        \ckghxwbsztp[2]_net_1\);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_3 : XNOR2
      port map(A => \bnvtvdkcnpp[9]_net_1\, B => 
        \rqrqhcwpqdn[9]_net_1\, Y => \DWACT_BL_EQUAL_0_E_0[2]\);
    
    \bnvtvdkcnpp_5[8]\ : MX2
      port map(A => \bnvtvdkcnpp[8]_net_1\, B => 
        EV_RAM_DO_B_net(8), S => \un3_qvqqfftqsfc\, Y => 
        \bnvtvdkcnpp_5[8]_net_1\);
    
    \dhzrwbnrbpw[5]\ : DFN1C0
      port map(D => \dhzrwbnrbpw_7[5]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \EV_RAM_ADDR_B_net_net_2\);
    
    \rfrdbqfdrhx[1]\ : DFN1E1C0
      port map(D => EV_RAM_DO_B_net_net_2, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => bskrjhjvqpf_0_sqmuxa, Q => 
        \rfrdbqfdrhx[1]_net_1\);
    
    un1_dhzrwbnrbpw_I_50 : NOR2B
      port map(A => \DWACT_ADD_CI_0_g_array_11[0]\, B => 
        \EV_RAM_ADDR_B_net_net_1\, Y => 
        \DWACT_ADD_CI_0_g_array_12_2[0]\);
    
    \tkcbxxqbtfx_ns_0[4]\ : AOI1B
      port map(A => N_239, B => \tkcbxxqbtfx_ns_a3_0_0[4]_net_1\, 
        C => N_228, Y => \tkcbxxqbtfx_ns_0[4]_net_1\);
    
    \bnwcvzjbgtc_1[1]\ : MX2
      port map(A => \ftbkrvpxdbp[1]_net_1\, B => 
        \ftbkrvpxdbp[2]_net_1\, S => \rdgwgtpkbgc_1[0]_net_1\, Y
         => N_609);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_47 : AND2A
      port map(A => \rqrqhcwpqdn[6]_net_1\, B => 
        \bnvtvdkcnpp[6]_net_1\, Y => \ACT_LT3_E[5]\);
    
    un1_mvnkctvqsgp : NOR2B
      port map(A => \tkcbxxqbtfx[8]_net_1\, B => \mvnkctvqsgp\, Y
         => \un1_mvnkctvqsgp\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I14_P0N : OR3
      port map(A => N_312, B => N_310, C => \G_153_0\, Y => N274);
    
    \tkcbxxqbtfx_ns_i[3]\ : NOR2B
      port map(A => INIT_DONE_c, B => \tkcbxxqbtfx[15]_net_1\, Y
         => \tkcbxxqbtfx_ns_i[3]_net_1\);
    
    \rdgwgtpkbgc[1]\ : DFN1E0C0
      port map(D => EV_RAM_DO_B_net_net_6, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \bskrjhjvqpf_1_sqmuxa\, Q => 
        \rdgwgtpkbgc[1]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I62_un1_Y : OR2B
      port map(A => N315, B => N300, Y => I62_un1_Y_i);
    
    G_118_0 : OA1A
      port map(A => \bnwcvzjbgtc[6]\, B => \bnvtvdkcnpp[0]_net_1\, 
        C => \gjkdbmpgrtc[6]\, Y => \G_118_0\);
    
    \rdgwgtpkbgc_2[0]\ : DFN1E0C0
      port map(D => EV_RAM_DO_B_net_net_7, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \bskrjhjvqpf_1_sqmuxa_0\, Q => 
        \rdgwgtpkbgc_2[0]_net_1\);
    
    \bnwcvzjbgtc_9[8]\ : MX2
      port map(A => \bnvtvdkcnpp[8]_net_1\, B => 
        \bnvtvdkcnpp[9]_net_1\, S => \rdgwgtpkbgc_2[0]_net_1\, Y
         => N_752);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I3_G0N : NOR2
      port map(A => N_257_i, B => N_253_i, Y => N240);
    
    \ftbkrvpxdbp_5[1]\ : MX2
      port map(A => EV_RAM_DO_B_net_net_3, B => \fqkdsnjfpdb[1]\, 
        S => \tkcbxxqbtfx_0[4]_net_1\, Y => 
        \ftbkrvpxdbp_5[1]_net_1\);
    
    bskrjhjvqpf_i : NOR3
      port map(A => N_191_2, B => \bskrjhjvqpf_i_0\, C => N_234, 
        Y => \bskrjhjvqpf_i\);
    
    \gjkdbmpgrtc_3[6]\ : MX2
      port map(A => N_540, B => N_542, S => 
        \rdgwgtpkbgc_0[1]_net_1\, Y => N_444);
    
    G_89_0 : XOR2
      port map(A => \ftbkrvpxdbp[1]_net_1\, B => 
        \ftbkrvpxdbp[0]_net_1\, Y => \G_89_0\);
    
    \kkkmkxwwscv[5]\ : DFN1E0C0
      port map(D => ASSC_SEQOUT_net(5), CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \qmmwhjxxxmv\, Q => 
        EV_ASSCADDR_net(8));
    
    \gjkdbmpgrtc_12[2]\ : MX2
      port map(A => N_892, B => N_949, S => 
        \rdgwgtpkbgc_0[2]_net_1\, Y => \gjkdbmpgrtc[2]\);
    
    \dhzrwbnrbpw[6]\ : DFN1C0
      port map(D => \dhzrwbnrbpw_7[6]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \EV_RAM_ADDR_B_net_net_1\);
    
    \rqrqhcwpqdn_9_0[10]\ : MX2C
      port map(A => ASSC_RAM_DOUT_bus(1), B => 
        EV_RAM_DO_B_net_net_6, S => \un1_mvnkctvqsgp\, Y => N_836);
    
    \rqrqhcwpqdn_5_0[0]\ : MX2
      port map(A => ASSC_RAM_DOUT_bus(0), B => 
        EV_RAM_DO_B_net_net_7, S => \un1_xkwrgrspmcf\, Y => N_814);
    
    \gjkdbmpgrtc_12[8]\ : MX2
      port map(A => N_514, B => N_582, S => 
        \rdgwgtpkbgc_0[2]_net_1\, Y => \gjkdbmpgrtc[8]\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I75_un1_Y_0 : NOR2B
      port map(A => N300, B => N330, Y => 
        ADD_18x18_medium_I75_un1_Y_0);
    
    \gjkdbmpgrtc_12[0]\ : MX2
      port map(A => N_888, B => N_947, S => 
        \rdgwgtpkbgc[2]_net_1\, Y => \gjkdbmpgrtc[0]\);
    
    \un1_dhzrwbnrbpw_m[6]\ : OR2B
      port map(A => I_33, B => N_201_i_0, Y => 
        \un1_dhzrwbnrbpw_m[6]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I68_un1_Y : NOR3C
      port map(A => N311, B => N307, C => N354, Y => I68_un1_Y);
    
    \zbqggxmnpbs_0_iv[6]\ : AO1B
      port map(A => \fqkdsnjfpdb[3]\, B => \tkcbxxqbtfx[4]_net_1\, 
        C => \fqkdsnjfpdb_m[12]_net_1\, Y => 
        EV_RAM_DI_B_net_net_1);
    
    G_104 : XOR3
      port map(A => \gjkdbmpgrtc[4]\, B => \ftbkrvpxdbp[4]_net_1\, 
        C => \bnwcvzjbgtc[4]\, Y => N_262);
    
    \jrgzmrqhbkv_m[0]\ : OR2B
      port map(A => EV_RAM_DO_B_net_net_7, B => N_199_i_0, Y => 
        \jrgzmrqhbkv_m[0]_net_1\);
    
    \mkmkbnghgkd[3]\ : MX2
      port map(A => INIT_ADDR_int(3), B => TR_EV_ADDR_net_net_4, 
        S => INIT_DONE_c, Y => EV_RAM_ADDR_A_net_net_4);
    
    \bnwcvzjbgtc_3[10]\ : MX2
      port map(A => N_748, B => N_750, S => 
        \rdgwgtpkbgc[1]_net_1\, Y => N_652);
    
    bskrjhjvqpf_6_sqmuxa_0_a2 : OR2B
      port map(A => \tkcbxxqbtfx[12]_net_1\, B => 
        \Z\\EV_RAM_DO_B_net\\_0\, Y => N_241);
    
    \pptwzsjcmcz_dhzrwbnrbpw_7_iv[7]\ : AO1B
      port map(A => N_201_i_0, B => I_34_0, C => 
        \dhzrwbnrbpw_7_iv_0[7]\, Y => \dhzrwbnrbpw_7[7]\);
    
    G_123_0 : OA1A
      port map(A => \bnwcvzjbgtc[7]\, B => \bnvtvdkcnpp[1]_net_1\, 
        C => \gjkdbmpgrtc[7]\, Y => \G_123_0\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I86_Y : MIN3
      port map(A => N_293, B => N_297, C => N347, Y => N393_i);
    
    \zbqggxmnpbs_r[0]\ : AOI1B
      port map(A => \fqkdsnjfpdb_m[15]_net_1\, B => 
        \zbqggxmnpbs_0_iv_1[0]_net_1\, C => N_196, Y => 
        EV_RAM_DI_B_net_net_7);
    
    \gjkdbmpgrtc_12[1]\ : MX2
      port map(A => N_890, B => N_948, S => 
        \rdgwgtpkbgc[2]_net_1\, Y => \gjkdbmpgrtc[1]\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I38_Y : OR3C
      port map(A => N265, B => N268, C => N287, Y => N305);
    
    \bnvtvdkcnpp_9[7]\ : MX2
      port map(A => \bnvtvdkcnpp_5[7]_net_1\, B => 
        \fqkdsnjfpdb[13]\, S => \tkcbxxqbtfx_1[4]_net_1\, Y => 
        \bnvtvdkcnpp_9[7]_net_1\);
    
    \bnwcvzjbgtc_2[0]\ : MX2
      port map(A => \ftbkrvpxdbp[2]_net_1\, B => 
        \ftbkrvpxdbp[3]_net_1\, S => \rdgwgtpkbgc_1[0]_net_1\, Y
         => N_625);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    \ftbkrvpxdbp_5[0]\ : MX2
      port map(A => EV_RAM_DO_B_net_net_4, B => \fqkdsnjfpdb[0]\, 
        S => \tkcbxxqbtfx_0[4]_net_1\, Y => 
        \ftbkrvpxdbp_5[0]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I96_Y : XNOR2
      port map(A => ADD_18x18_medium_I96_Y_0, B => N401_i, Y => 
        \fqkdsnjfpdb[4]\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I43_un1_Y : NOR2A
      port map(A => N294, B => N293, Y => I43_un1_Y);
    
    gpjgkmhxbkn_0 : XNOR2
      port map(A => EV_RAM_DO_B_net_net_6, B => 
        \rqrqhcwpqdn[1]_net_1\, Y => gpjgkmhxbkn_0_i);
    
    \bnwcvzjbgtc_3[15]\ : MX2
      port map(A => N_753, B => N_967, S => 
        \rdgwgtpkbgc[1]_net_1\, Y => N_657);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_37 : AND3
      port map(A => \DWACT_BL_EQUAL_0_E[2]\, B => 
        \DWACT_BL_EQUAL_0_E[1]\, C => \DWACT_BL_EQUAL_0_E[0]\, Y
         => \DWACT_CMPLE_PO2_DWACT_COMP0_E[1]\);
    
    \ftbkrvpxdbp_5[2]\ : MX2
      port map(A => EV_RAM_DO_B_net_net_2, B => \fqkdsnjfpdb[2]\, 
        S => \tkcbxxqbtfx_0[4]_net_1\, Y => 
        \ftbkrvpxdbp_5[2]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I61_un1_Y : NOR2B
      port map(A => N316, B => N313, Y => I61_un1_Y);
    
    G_124 : XNOR2
      port map(A => \G_124_0\, B => \bnwcvzjbgtc[8]\, Y => N_282);
    
    pptwzsjcmcz_un2_bmkwsvgbnqv_0_a3 : NOR2A
      port map(A => \tkcbxxqbtfx[8]_net_1\, B => \rgmpzqrbghh\, Y
         => un2_bmkwsvgbnqv);
    
    \ftbkrvpxdbp[0]\ : DFN1E0C0
      port map(D => \ftbkrvpxdbp_5[0]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \ftbkrvpxdbp_1_sqmuxa\, Q => 
        \ftbkrvpxdbp[0]_net_1\);
    
    G_106 : NOR2B
      port map(A => \ftbkrvpxdbp[4]_net_1\, B => \bnwcvzjbgtc[4]\, 
        Y => N_265);
    
    spbznmtdmpd : DFN1E1C0
      port map(D => un2_pbzxzjhqhwz, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => dbdctxjdvkp_2_sqmuxa, Q => 
        \spbznmtdmpd\);
    
    \gjkdbmpgrtc_9[0]\ : MX2
      port map(A => \rqrqhcwpqdn[0]_net_1\, B => 
        \rqrqhcwpqdn[1]_net_1\, S => \rdgwgtpkbgc_0[0]_net_1\, Y
         => N_540);
    
    rqrqhcwpqdn_5_sn_m1 : OR2
      port map(A => \EV_ASSCADDR_net_net_5\, B => 
        \un1_xkwrgrspmcf\, Y => N_823);
    
    \bnwcvzjbgtc_11[8]\ : MX2
      port map(A => N_966, B => \bnvtvdkcnpp[2]_net_1\, S => 
        \rdgwgtpkbgc_1[2]_net_1\, Y => N_786);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I95_Y : XOR3
      port map(A => N_253_i, B => N_257_i, C => N316, Y => 
        \fqkdsnjfpdb[3]\);
    
    bskrjhjvqpf_0_sqmuxa_0_a3 : NOR3A
      port map(A => \tkcbxxqbtfx[12]_net_1\, B => 
        \Z\\EV_RAM_DO_B_net\\\, C => N_205, Y => 
        bskrjhjvqpf_0_sqmuxa);
    
    \rdgwgtpkbgc_0[1]\ : DFN1E0C0
      port map(D => EV_RAM_DO_B_net_net_6, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \bskrjhjvqpf_1_sqmuxa_0\, Q => 
        \rdgwgtpkbgc_0[1]_net_1\);
    
    \bnwcvzjbgtc_12[1]\ : MX2
      port map(A => N_711, B => N_779, S => 
        \rdgwgtpkbgc_1[2]_net_1\, Y => \bnwcvzjbgtc[1]\);
    
    \bnwcvzjbgtc_3[7]\ : MX2
      port map(A => N_745, B => N_747, S => 
        \rdgwgtpkbgc_1[1]_net_1\, Y => N_649);
    
    G_108 : OR2
      port map(A => N_265, B => \G_108_0\, Y => N_263);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I4_G0N : OAI1
      port map(A => \G_103_0\, B => N_260, C => N_262, Y => N243);
    
    \ckghxwbsztp_3_0_a3[1]\ : NOR2B
      port map(A => I_5, B => N_923, Y => \ckghxwbsztp_3[1]\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I87_Y : AO1
      port map(A => N259, B => N349, C => N258, Y => N395);
    
    \bnwcvzjbgtc_11_d_d[5]\ : MX2C
      port map(A => \bnvtvdkcnpp[4]_net_1\, B => 
        \ftbkrvpxdbp[5]_net_1\, S => rdgwgtpkbgc_3, Y => 
        \bnwcvzjbgtc_11_d_d[5]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I84_Y : AO18
      port map(A => N_317, B => N_313, C => N343, Y => N389_i);
    
    dbdctxjdvkp_2_sqmuxa_0_a2 : NOR2A
      port map(A => EV_RAM_DO_B_net(8), B => 
        \Z\\EV_RAM_DO_B_net\\_0\, Y => N_239);
    
    \gjkdbmpgrtc_11_0_a3[3]\ : NOR2A
      port map(A => N_445, B => rdgwgtpkbgc_3, Y => N_950);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I97_Y : XOR2
      port map(A => ADD_18x18_medium_I97_Y_0, B => N354, Y => 
        \fqkdsnjfpdb[5]\);
    
    G_111 : NOR2A
      port map(A => \ftbkrvpxdbp[5]_net_1\, B => \bnwcvzjbgtc[5]\, 
        Y => N_270);
    
    G_119 : XNOR3
      port map(A => \gjkdbmpgrtc[7]\, B => \bnvtvdkcnpp[1]_net_1\, 
        C => \bnwcvzjbgtc[7]\, Y => N_277);
    
    \tkcbxxqbtfx[16]\ : DFN1C0
      port map(D => \tkcbxxqbtfx_ns_i[1]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \tkcbxxqbtfx[16]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I94_Y : XNOR3
      port map(A => N_248, B => N_252, C => N403_i, Y => 
        \fqkdsnjfpdb[2]\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I8_G0N : OR2B
      port map(A => N_282, B => N_278, Y => N255);
    
    \gjkdbmpgrtc_3[13]\ : MX2
      port map(A => N_547, B => N_549, S => 
        \rdgwgtpkbgc_0[1]_net_1\, Y => N_451);
    
    \bnwcvzjbgtc_3[9]\ : MX2
      port map(A => N_747, B => N_749, S => 
        \rdgwgtpkbgc_1[1]_net_1\, Y => N_651);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_65 : AOI1A
      port map(A => \ACT_LT4_E[3]\, B => \ACT_LT4_E[6]\, C => 
        \ACT_LT4_E[10]\, Y => \DWACT_CMPLE_PO2_DWACT_COMP0_E[2]\);
    
    bskrjhjvqpf_i_a3 : NOR2A
      port map(A => N_205, B => N_241, Y => N_234);
    
    \gjkdbmpgrtc_12[14]\ : MX2
      port map(A => N_944, B => N_910, S => 
        \rdgwgtpkbgc_1[2]_net_1\, Y => \gjkdbmpgrtc[14]\);
    
    G_128 : AO1A
      port map(A => \bnwcvzjbgtc[8]\, B => \bnvtvdkcnpp[2]_net_1\, 
        C => \G_128_0\, Y => N_283);
    
    \rqrqhcwpqdn_5_0[4]\ : MX2
      port map(A => ASSC_RAM_DOUT_bus(4), B => 
        EV_RAM_DO_B_net_net_3, S => \un1_xkwrgrspmcf\, Y => N_818);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_25 : AO1C
      port map(A => \bnvtvdkcnpp[10]_net_1\, B => 
        \rqrqhcwpqdn[10]_net_1\, C => N_31, Y => N_36);
    
    \mkmkbnghgkd[2]\ : MX2
      port map(A => INIT_ADDR_int(2), B => TR_EV_ADDR_net_net_5, 
        S => INIT_DONE_c, Y => EV_RAM_ADDR_A_net_net_5);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I49_Y : OR2
      port map(A => N298, B => I49_un1_Y, Y => N316);
    
    G_103_0 : OA1A
      port map(A => \bnwcvzjbgtc[3]\, B => \ftbkrvpxdbp[3]_net_1\, 
        C => \gjkdbmpgrtc[3]\, Y => \G_103_0\);
    
    \gjkdbmpgrtc_3[15]\ : MX2
      port map(A => N_549, B => N_969, S => 
        \rdgwgtpkbgc_1[1]_net_1\, Y => N_453);
    
    \gjkdbmpgrtc_12[5]\ : MX2
      port map(A => N_511, B => N_952, S => 
        \rdgwgtpkbgc_0[2]_net_1\, Y => \gjkdbmpgrtc[5]\);
    
    \bnwcvzjbgtc_11[3]\ : MX2
      port map(A => N_649, B => \ftbkrvpxdbp[3]_net_1\, S => 
        rdgwgtpkbgc_3, Y => N_781);
    
    \mtbjcfqsbqf[3]\ : DFN1E0C0
      port map(D => ADC_CHNUMBER_net(3), CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \qmmwhjxxxmv\, Q => 
        \Z\\EV_CHHOLD_net\\_net_1\);
    
    \tkcbxxqbtfx[1]\ : DFN1C0
      port map(D => \tkcbxxqbtfx_ns[16]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \tkcbxxqbtfx[1]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I1_G0N : XA1B
      port map(A => \gjkdbmpgrtc[1]\, B => \G_89_0\, C => 
        \bnwcvzjbgtc[1]\, Y => N234);
    
    \rqrqhcwpqdn_9_0[11]\ : MX2C
      port map(A => ASSC_RAM_DOUT_bus(2), B => 
        EV_RAM_DO_B_net_net_5, S => \un1_mvnkctvqsgp\, Y => N_837);
    
    \rqrqhcwpqdn[0]\ : DFN1E1C0
      port map(D => N_814, CLK => GLA_c, CLR => SYS_RESET_global, 
        E => N_823, Q => \rqrqhcwpqdn[0]_net_1\);
    
    \bnvtvdkcnpp_9[6]\ : MX2
      port map(A => \bnvtvdkcnpp_5[6]_net_1\, B => 
        \fqkdsnjfpdb[12]\, S => \tkcbxxqbtfx_1[4]_net_1\, Y => 
        \bnvtvdkcnpp_9[6]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I21_Y : OA1
      port map(A => \G_148_0\, B => ADD_18x18_medium_I13_P0N_0, C
         => N274, Y => N287);
    
    tddhwjzbsrj_m : OR2B
      port map(A => \tkcbxxqbtfx[0]_net_1\, B => \tddhwjzbsrj\, Y
         => \tddhwjzbsrj_m\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I67_Y : OR3
      port map(A => I53_un1_Y, B => ADD_18x18_medium_I67_Y_0, C
         => I67_un1_Y, Y => N343);
    
    \ckghxwbsztp[3]\ : DFN1E1C0
      port map(D => \ckghxwbsztp_3[3]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \tkcbxxqbtfx[1]_net_1\, Q => 
        \ckghxwbsztp[3]_net_1\);
    
    zbcrjjxqjgg_i_o2 : AXOI5
      port map(A => EV_RAM_DO_B_net_net_1, B => 
        \Z\\EV_RAM_DO_B_net\\\, C => EV_RAM_DO_B_net(8), Y => 
        N_203);
    
    \pptwzsjcmcz_dhzrwbnrbpw_7_iv[6]\ : AO1B
      port map(A => N_201_i_0, B => I_38, C => 
        \dhzrwbnrbpw_7_iv_0[6]\, Y => \dhzrwbnrbpw_7[6]\);
    
    G_161 : NOR2A
      port map(A => \bnvtvdkcnpp[9]_net_1\, B => 
        \bnwcvzjbgtc[15]\, Y => N_320);
    
    bskrjhjvqpf_i_2_1 : NOR3
      port map(A => \tkcbxxqbtfx[6]_net_1\, B => 
        \tkcbxxqbtfx[17]_net_1\, C => \EV_ASSCADDR_net_net_5\, Y
         => \bskrjhjvqpf_i_2_1\);
    
    \bnwcvzjbgtc_7[9]\ : MX2
      port map(A => N_651, B => N_953, S => rdgwgtpkbgc_3, Y => 
        N_719);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I99_Y_0 : XOR2
      port map(A => N_277, B => N_273, Y => 
        ADD_18x18_medium_I99_Y_0);
    
    \bnwcvzjbgtc_7[6]\ : MX2
      port map(A => N_648, B => N_656, S => rdgwgtpkbgc_3, Y => 
        N_716);
    
    \rdgwgtpkbgc[3]\ : DFN1E0C0
      port map(D => EV_RAM_DO_B_net_net_4, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \bskrjhjvqpf_1_sqmuxa\, Q => 
        rdgwgtpkbgc_0_3);
    
    wqpbnjzjqsx_NE_2 : NOR3C
      port map(A => wqpbnjzjqsx_3_i, B => wqpbnjzjqsx_4_i, C => 
        wqpbnjzjqsx_0_i, Y => \wqpbnjzjqsx_NE_2\);
    
    \rqrqhcwpqdn_5_0[2]\ : MX2
      port map(A => ASSC_RAM_DOUT_bus(2), B => 
        EV_RAM_DO_B_net_net_5, S => \un1_xkwrgrspmcf\, Y => N_816);
    
    \ftbkrvpxdbp_5[4]\ : MX2
      port map(A => \Z\\EV_RAM_DO_B_net\\\, B => \fqkdsnjfpdb[4]\, 
        S => \tkcbxxqbtfx_1[4]_net_1\, Y => 
        \ftbkrvpxdbp_5[4]_net_1\);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_19 : NOR2A
      port map(A => \rqrqhcwpqdn[7]_net_1\, B => 
        \bnvtvdkcnpp[7]_net_1\, Y => N_30);
    
    \pptwzsjcmcz_dhzrwbnrbpw_7_iv[0]\ : OR3C
      port map(A => \jrgzmrqhbkv_m[0]_net_1\, B => 
        \qrbxknbdvjj_m[0]_net_1\, C => 
        \un1_dhzrwbnrbpw_m[1]_net_1\, Y => \dhzrwbnrbpw_7[0]\);
    
    \qrbxknbdvjj[5]\ : DFN1E1C0
      port map(D => \EV_RAM_ADDR_B_net_net_2\, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \tkcbxxqbtfx[11]_net_1\, Q => 
        \qrbxknbdvjj[5]_net_1\);
    
    \bnwcvzjbgtc_12[5]\ : MX2
      port map(A => N_715, B => N_783, S => 
        \rdgwgtpkbgc_1[2]_net_1\, Y => \bnwcvzjbgtc[5]\);
    
    \gjkdbmpgrtc_3[11]\ : MX2
      port map(A => N_545, B => N_547, S => 
        \rdgwgtpkbgc_0[1]_net_1\, Y => N_449);
    
    \mtbjcfqsbqf_m[0]\ : OR2B
      port map(A => \EV_CHHOLD_net_net_3\, B => \rgmpzqrbghh\, Y
         => \mtbjcfqsbqf_m[0]_net_1\);
    
    G_123 : AO1A
      port map(A => \bnwcvzjbgtc[7]\, B => \bnvtvdkcnpp[1]_net_1\, 
        C => \G_123_0\, Y => N_278);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I12_G0N : OR2B
      port map(A => N_302, B => N_298, Y => N267_i);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I51_un1_Y : OR2A
      port map(A => N306, B => N303, Y => I51_un1_Y);
    
    \bnwcvzjbgtc_11[12]\ : MX2
      port map(A => N_966, B => \bnvtvdkcnpp[6]_net_1\, S => 
        rdgwgtpkbgc_3, Y => N_790);
    
    \gjkdbmpgrtc_11[16]\ : NOR2B
      port map(A => \rqrqhcwpqdn[10]_net_1\, B => rdgwgtpkbgc_3, 
        Y => N_590);
    
    \gjkdbmpgrtc_11[15]\ : NOR2B
      port map(A => \rqrqhcwpqdn[9]_net_1\, B => rdgwgtpkbgc_3, Y
         => N_589);
    
    \bnwcvzjbgtc_8[0]\ : MX2
      port map(A => \ftbkrvpxdbp[4]_net_1\, B => 
        \ftbkrvpxdbp[5]_net_1\, S => \rdgwgtpkbgc_1[0]_net_1\, Y
         => N_727);
    
    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    \jrgzmrqhbkv_m[1]\ : OR2B
      port map(A => EV_RAM_DO_B_net_net_6, B => N_199_i_0, Y => 
        \jrgzmrqhbkv_m[1]_net_1\);
    
    G_131 : NOR2A
      port map(A => \bnvtvdkcnpp[3]_net_1\, B => \bnwcvzjbgtc[9]\, 
        Y => N_290);
    
    G_139 : XNOR2
      port map(A => \G_139_0\, B => \bnwcvzjbgtc[11]\, Y => N_297);
    
    \tkcbxxqbtfx_ns_i[11]\ : NOR2B
      port map(A => INIT_DONE_c, B => \EV_ASSCADDR_net_net_5\, Y
         => \tkcbxxqbtfx_ns_i[11]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I33_Y : OA1
      port map(A => N_248, B => N_252, C => N235, Y => N299);
    
    \bnwcvzjbgtc_7_0_a3[10]\ : NOR2A
      port map(A => N_652, B => rdgwgtpkbgc_3, Y => N_954);
    
    \bnwcvzjbgtc_11[5]\ : MX2
      port map(A => N_749, B => \bnwcvzjbgtc_11_d[5]_net_1\, S
         => \bnwcvzjbgtc_11_s[5]_net_1\, Y => N_783);
    
    \gjkdbmpgrtc_12[4]\ : MX2
      port map(A => N_510, B => N_951, S => 
        \rdgwgtpkbgc_0[2]_net_1\, Y => \gjkdbmpgrtc[4]\);
    
    \bnwcvzjbgtc_12[15]\ : MX2A
      port map(A => N_959, B => N_793, S => 
        \rdgwgtpkbgc_2[2]_net_1\, Y => \bnwcvzjbgtc[15]\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I26_un1_Y : OAI1
      port map(A => \G_123_0\, B => ADD_18x18_medium_I8_P0N_0, C
         => N252, Y => I26_un1_Y);
    
    bskrjhjvqpf_1_sqmuxa_0_a2 : OR2B
      port map(A => N_240, B => \Z\\EV_RAM_DO_B_net\\_0\, Y => 
        \bskrjhjvqpf_1_sqmuxa\);
    
    hmzcpnxsdwg : NOR2B
      port map(A => ASSC_DONE_c, B => ASSC_SAMPFLAG_net, Y => 
        \hmzcpnxsdwg\);
    
    wqpbnjzjqsx_0 : XNOR2
      port map(A => \rqrqhcwpqdn[1]_net_1\, B => 
        \bnvtvdkcnpp[1]_net_1\, Y => wqpbnjzjqsx_0_i);
    
    \tkcbxxqbtfx[9]\ : DFN1C0
      port map(D => \tkcbxxqbtfx_ns_i[8]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \tkcbxxqbtfx[9]_net_1\);
    
    \bnvtvdkcnpp_8[11]\ : MX2
      port map(A => EV_RAM_DO_B_net_net_5, B => 
        \bnvtvdkcnpp[11]_net_1\, S => \un1_kkgccghmrzf\, Y => 
        \bnvtvdkcnpp_8[11]_net_1\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I108_Y : XNOR2
      port map(A => ADD_18x18_medium_I108_Y_0, B => N389_i, Y => 
        \fqkdsnjfpdb[16]\);
    
    \tkcbxxqbtfx_ns[4]\ : AO1B
      port map(A => N_216, B => INIT_DONE_c, C => 
        \tkcbxxqbtfx_ns_0[4]_net_1\, Y => 
        \tkcbxxqbtfx_ns[4]_net_1\);
    
    \gjkdbmpgrtc_7_i[2]\ : NOR2B
      port map(A => rdgwgtpkbgc_3, B => N_448, Y => N_892);
    
    \bnwcvzjbgtc_7_0_a3[13]\ : NOR2A
      port map(A => N_655, B => rdgwgtpkbgc_3, Y => N_957);
    
    \tkcbxxqbtfx[8]\ : DFN1C0
      port map(D => \tkcbxxqbtfx_ns_i[9]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \tkcbxxqbtfx[8]_net_1\);
    
    \gjkdbmpgrtc_11[11]\ : MX2
      port map(A => N_453, B => \rqrqhcwpqdn[5]_net_1\, S => 
        rdgwgtpkbgc_3, Y => N_585);
    
    \bnwcvzjbgtc_11[0]\ : MX2
      port map(A => N_744, B => \bnwcvzjbgtc_11_d[0]_net_1\, S
         => \bnwcvzjbgtc_11_s[5]_net_1\, Y => N_778);
    
    \tkcbxxqbtfx_ns_i[2]\ : NOR2B
      port map(A => INIT_DONE_c, B => \tkcbxxqbtfx[16]_net_1\, Y
         => \tkcbxxqbtfx_ns_i[2]_net_1\);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_59 : OR2A
      port map(A => \rqrqhcwpqdn[2]_net_1\, B => 
        \bnvtvdkcnpp[2]_net_1\, Y => \ACT_LT4_E[4]\);
    
    un1_fskhwddcbbg_i_o3_0 : OR2
      port map(A => \tkcbxxqbtfx[3]_net_1\, B => 
        \tkcbxxqbtfx[0]_net_1\, Y => \un1_fskhwddcbbg_i_o3_0\);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_26 : OA1A
      port map(A => N_32, B => N_34, C => N_33, Y => N_37);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I39_un1_Y : OR3B
      port map(A => N265, B => N268, C => N290, Y => I39_un1_Y);
    
    \gjkdbmpgrtc_7_0_a3[16]\ : NOR2A
      port map(A => N_968, B => rdgwgtpkbgc_3, Y => N_946);
    
    \gjkdbmpgrtc_11[10]\ : MX2
      port map(A => N_452, B => \rqrqhcwpqdn[4]_net_1\, S => 
        rdgwgtpkbgc_3, Y => N_584);
    
    G_114 : XNOR3
      port map(A => \gjkdbmpgrtc[6]\, B => \bnvtvdkcnpp[0]_net_1\, 
        C => \bnwcvzjbgtc[6]\, Y => N_272);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I31_Y : AO1B
      port map(A => N_253_i, B => N_257_i, C => N244, Y => N297);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I5_G0N : NOR2B
      port map(A => N_267, B => N_263, Y => N246);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    \qrbxknbdvjj_m[0]\ : OR2B
      port map(A => \qrbxknbdvjj[0]_net_1\, B => un2_bmkwsvgbnqv, 
        Y => \qrbxknbdvjj_m[0]_net_1\);
    
    G_94 : XNOR3
      port map(A => \gjkdbmpgrtc[2]\, B => \ftbkrvpxdbp[2]_net_1\, 
        C => \bnwcvzjbgtc[2]\, Y => N_252);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I98_Y_0 : AX1D
      port map(A => \G_113_0\, B => N_270, C => N_272, Y => 
        ADD_18x18_medium_I98_Y_0);
    
    \tkcbxxqbtfx_ns_i[7]\ : NOR2B
      port map(A => INIT_DONE_c, B => \tkcbxxqbtfx[11]_net_1\, Y
         => \tkcbxxqbtfx_ns_i[7]_net_1\);
    
    \qrbxknbdvjj[0]\ : DFN1E1C0
      port map(D => \EV_RAM_ADDR_B_net_net_7\, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \tkcbxxqbtfx[11]_net_1\, Q => 
        \qrbxknbdvjj[0]_net_1\);
    
    G_109_0 : XOR2
      port map(A => \ftbkrvpxdbp[5]_net_1\, B => \gjkdbmpgrtc[5]\, 
        Y => \G_109_0\);
    
    \bnwcvzjbgtc_7[0]\ : MX2
      port map(A => N_642, B => N_650, S => rdgwgtpkbgc_3, Y => 
        N_710);
    
    gjkdbmpgrtc75_0_a3_0_0 : NOR2
      port map(A => \rdgwgtpkbgc_0[0]_net_1\, B => 
        \rdgwgtpkbgc_0[1]_net_1\, Y => \gjkdbmpgrtc75_0_a3_0_0\);
    
    \zbqggxmnpbs_0_iv[3]\ : AO1B
      port map(A => \fqkdsnjfpdb[9]\, B => \tkcbxxqbtfx[5]_net_1\, 
        C => \zbqggxmnpbs_0_iv_0[3]_net_1\, Y => 
        EV_RAM_DI_B_net_net_4);
    
    \zbqggxmnpbs_0_iv_0[3]\ : AOI1B
      port map(A => \fqkdsnjfpdb[0]\, B => 
        \tkcbxxqbtfx_0[4]_net_1\, C => \ckghxwbsztp_m[2]_net_1\, 
        Y => \zbqggxmnpbs_0_iv_0[3]_net_1\);
    
    un1_dhzrwbnrbpw_I_43 : NOR2B
      port map(A => \DWACT_ADD_CI_0_g_array_1[0]\, B => 
        \DWACT_ADD_CI_0_pog_array_1[0]\, Y => 
        \DWACT_ADD_CI_0_g_array_2[0]\);
    
    \gjkdbmpgrtc_9[8]\ : MX2
      port map(A => \rqrqhcwpqdn[8]_net_1\, B => 
        \rqrqhcwpqdn[9]_net_1\, S => \rdgwgtpkbgc_1[0]_net_1\, Y
         => N_548);
    
    \gjkdbmpgrtc_3[8]\ : MX2
      port map(A => N_542, B => N_544, S => 
        \rdgwgtpkbgc_0[1]_net_1\, Y => N_446);
    
    \rqrqhcwpqdn[7]\ : DFN1E1C0
      port map(D => N_821, CLK => GLA_c, CLR => SYS_RESET_global, 
        E => N_823, Q => \rqrqhcwpqdn[7]_net_1\);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_45 : AOI1A
      port map(A => \ACT_LT3_E[0]\, B => \ACT_LT3_E[1]\, C => 
        \ACT_LT3_E[2]\, Y => \ACT_LT3_E[3]\);
    
    G_116 : NOR2A
      port map(A => \bnvtvdkcnpp[0]_net_1\, B => \bnwcvzjbgtc[6]\, 
        Y => N_275);
    
    \gjkdbmpgrtc_7_0_a3[13]\ : NOR2A
      port map(A => N_451, B => rdgwgtpkbgc_3, Y => N_943);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I100_Y : XNOR3
      port map(A => N_278, B => N_282, C => N397_i, Y => 
        \fqkdsnjfpdb[8]\);
    
    \bnvtvdkcnpp_8[9]\ : MX2
      port map(A => EV_RAM_DO_B_net_net_7, B => 
        \bnvtvdkcnpp[9]_net_1\, S => \un1_kkgccghmrzf\, Y => 
        \bnvtvdkcnpp_8[9]_net_1\);
    
    \tkcbxxqbtfx_ns_i[1]\ : NOR3C
      port map(A => \rgmpzqrbghh\, B => \tkcbxxqbtfx[17]_net_1\, 
        C => INIT_DONE_c, Y => \tkcbxxqbtfx_ns_i[1]_net_1\);
    
    pvtdpmmqdpp_un2_pbzxzjhqhwz_0_I_18 : OR2A
      port map(A => \bnvtvdkcnpp[9]_net_1\, B => 
        \rqrqhcwpqdn[9]_net_1\, Y => N_29);
    
    \bnwcvzjbgtc_11_d[2]\ : MX2B
      port map(A => \bnvtvdkcnpp[1]_net_1\, B => 
        \bnwcvzjbgtc_11_d_d[2]_net_1\, S => 
        \bnwcvzjbgtc_11_d_s[4]_net_1\, Y => 
        \bnwcvzjbgtc_11_d[2]_net_1\);
    
    \bnwcvzjbgtc_12[3]\ : MX2
      port map(A => N_713, B => N_781, S => 
        \rdgwgtpkbgc_1[2]_net_1\, Y => \bnwcvzjbgtc[3]\);
    
    \rqrqhcwpqdn_5_0[1]\ : MX2
      port map(A => ASSC_RAM_DOUT_bus(1), B => 
        EV_RAM_DO_B_net_net_6, S => \un1_xkwrgrspmcf\, Y => N_815);
    
    \dhzrwbnrbpw[4]\ : DFN1C0
      port map(D => \dhzrwbnrbpw_7[4]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \EV_RAM_ADDR_B_net_net_3\);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I109_Y_2 : XOR2
      port map(A => ADD_18x18_medium_I109_Y_1, B => N_323_i, Y
         => ADD_18x18_medium_I109_Y_2);
    
    \rqrqhcwpqdn[10]\ : DFN1C0
      port map(D => \rqrqhcwpqdn_9[10]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, Q => \rqrqhcwpqdn[10]_net_1\);
    
    \gjkdbmpgrtc_9[2]\ : MX2
      port map(A => \rqrqhcwpqdn[2]_net_1\, B => 
        \rqrqhcwpqdn[3]_net_1\, S => \rdgwgtpkbgc_0[0]_net_1\, Y
         => N_542);
    
    G_164 : XNOR3
      port map(A => \gjkdbmpgrtc[16]\, B => 
        \bnvtvdkcnpp[10]_net_1\, C => \bnwcvzjbgtc[16]\, Y => 
        N_322);
    
    \bnwcvzjbgtc_11_d[7]\ : MX2
      port map(A => N_751, B => \bnvtvdkcnpp[1]_net_1\, S => 
        rdgwgtpkbgc_3, Y => \bnwcvzjbgtc_11_d[7]_net_1\);
    
    \bnvtvdkcnpp[7]\ : DFN1C0
      port map(D => \bnvtvdkcnpp_9[7]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, Q => \bnvtvdkcnpp[7]_net_1\);
    
    G_118 : OR2
      port map(A => N_275, B => \G_118_0\, Y => N_273);
    
    fqkdsnjfpdb_0_0_ADD_18x18_medium_I26_Y : OR2B
      port map(A => N255, B => I26_un1_Y, Y => N292);
    
    G_124_0 : XOR2
      port map(A => \bnvtvdkcnpp[2]_net_1\, B => \gjkdbmpgrtc[8]\, 
        Y => \G_124_0\);
    
    \gjkdbmpgrtc_3[14]\ : MX2
      port map(A => N_548, B => N_550, S => 
        \rdgwgtpkbgc_1[1]_net_1\, Y => N_452);
    
    \bnwcvzjbgtc_12[9]\ : MX2
      port map(A => N_719, B => N_787, S => 
        \rdgwgtpkbgc_2[2]_net_1\, Y => \bnwcvzjbgtc[9]\);
    
    \gjkdbmpgrtc_3[10]\ : MX2
      port map(A => N_544, B => N_546, S => 
        \rdgwgtpkbgc_0[1]_net_1\, Y => N_448);
    
    \zbqggxmnpbs_0_iv_1[0]\ : NOR3C
      port map(A => un2_pbzxzjhqhwz_m, B => \tddhwjzbsrj_m\, C
         => \fqkdsnjfpdb_m[6]_net_1\, Y => 
        \zbqggxmnpbs_0_iv_1[0]_net_1\);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity SMEV is

    port(EV_RAM_DO_B_net : in std_logic_vector(8 to 8); 
        EV_CHHOLD_net : out std_logic_vector(4 to 4); 
        rdgwgtpkbgc_0 : in std_logic_vector(3 to 3); 
        ASSC_RAM_DOUT_bus : in std_logic_vector(8 downto 0); 
        INIT_ADDR_int : in std_logic_vector(8 downto 0); 
        EV_RAM_ADDR_A_net : out std_logic_vector(8 to 8); 
        TR_EV_ADDR_net : in std_logic_vector(8 to 8); 
        EV_RAM_DI_B_net : out std_logic_vector(8 to 8); 
        rdgwgtpkbgc : out std_logic_vector(3 to 3); 
        EV_ASSCADDR_net : out std_logic_vector(8 to 8); 
        ASSC_SEQOUT_net : in std_logic_vector(5 to 5); 
        ADC_CHNUMBER_net : in std_logic_vector(4 downto 0); 
        EV_RAM_ADDR_B_net : out std_logic_vector(8 to 8); 
        EV_RAM_DO_B_net_net_1 : in std_logic; 
        bskrjhjvqpf_1_sqmuxa : out std_logic; 
        \Z\\EV_RAM_DO_B_net\\_0\ : in std_logic; EV_ASSC_RD_net, 
        EV_ASSCADDR_net_net_5, bskrjhjvqpf_1_sqmuxa_0, 
        EV_DONE_net_0 : out std_logic; GLA_c, SYS_RESET_global, 
        EV_RAM_DO_B_net_net_7, EV_RAM_DO_B_net_net_6, 
        EV_RAM_DO_B_net_net_5 : in std_logic; 
        EV_RAM_ADDR_B_net_net_6, EV_RAM_ADDR_B_net_net_3, 
        EV_RAM_ADDR_B_net_net_5, EV_RAM_ADDR_B_net_net_1, 
        \Z\\EV_CHHOLD_net\\\ : out std_logic; INIT_DONE_c, 
        EV_RAM_DO_B_net_net_4 : in std_logic; EV_RAM_CSN_B_net, 
        EV_RAM_DI_B_net_net_6, EV_RAM_DI_B_net_net_5, 
        EV_RAM_DI_B_net_net_4, EV_RAM_DI_B_net_net_3, 
        EV_RAM_DI_B_net_net_2 : out std_logic; ASSC_DONE_c, 
        ASSC_SAMPFLAG_net, N_266, ktwrhqstzjg : in std_logic; 
        EV_RAM_RW_A_net : out std_logic; INIT_EV_WEN_int, 
        \Z\\EV_RAM_DO_B_net\\\, EV_RAM_DO_B_net_net_3, 
        EV_RAM_DO_B_net_net_2 : in std_logic; EV_CHHOLD_net_net_3, 
        EV_CHHOLD_net_net_2, EV_CHHOLD_net_net_1, 
        EV_RAM_ADDR_A_net_net_7 : out std_logic; 
        TR_EV_ADDR_net_net_7 : in std_logic; 
        EV_RAM_ADDR_A_net_net_5 : out std_logic; 
        TR_EV_ADDR_net_net_5 : in std_logic; 
        EV_RAM_ADDR_A_net_net_4 : out std_logic; 
        TR_EV_ADDR_net_net_4 : in std_logic; 
        EV_RAM_ADDR_A_net_net_3 : out std_logic; 
        TR_EV_ADDR_net_net_3 : in std_logic; 
        EV_RAM_ADDR_A_net_net_2 : out std_logic; 
        TR_EV_ADDR_net_net_2 : in std_logic; 
        EV_RAM_ADDR_A_net_net_1 : out std_logic; 
        TR_EV_ADDR_net_net_1 : in std_logic; 
        \Z\\EV_RAM_ADDR_A_net\\\ : out std_logic; 
        \Z\\TR_EV_ADDR_net\\\ : in std_logic; 
        EV_RAM_ADDR_A_net_net_6 : out std_logic; 
        TR_EV_ADDR_net_net_6 : in std_logic; EV_RAM_CSN_A_net : 
        out std_logic; TR_EV_RD_net : in std_logic; 
        \Z\\EV_RAM_DI_B_net\\\, EV_RAM_DI_B_net_net_1, 
        EV_RAM_DI_B_net_net_7, EV_RAM_WR_BUSY_B_net, EV_DONE_net, 
        EV_EVFLAG_net, EV_ASSCADDR_net_net_4 : out std_logic; 
        ASSC_SEQOUT_net_net_4 : in std_logic; 
        EV_ASSCADDR_net_net_3 : out std_logic; 
        ASSC_SEQOUT_net_net_3 : in std_logic; 
        EV_ASSCADDR_net_net_2 : out std_logic; 
        ASSC_SEQOUT_net_net_2 : in std_logic; 
        EV_ASSCADDR_net_net_1 : out std_logic; 
        ASSC_SEQOUT_net_net_1 : in std_logic; 
        \Z\\EV_ASSCADDR_net\\\ : out std_logic; 
        \Z\\ASSC_SEQOUT_net\\\ : in std_logic; 
        EV_RAM_ADDR_B_net_net_7, EV_RAM_ADDR_B_net_net_4, 
        EV_RAM_ADDR_B_net_net_2, \Z\\EV_RAM_ADDR_B_net\\\ : out
         std_logic);

end SMEV;

architecture DEF_ARCH of SMEV is 

  component VCC
    port(Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component nbnjbfrkqwq
    port(EV_RAM_ADDR_B_net : out std_logic_vector(8 to 8); 
        ADC_CHNUMBER_net : 
        in std_logic_vector(4 downto 0) := (others => 'U'); 
        ASSC_SEQOUT_net : 
        in std_logic_vector(5 to 5) := (others => 'U'); 
        EV_ASSCADDR_net : out std_logic_vector(8 to 8); 
        EV_RAM_DI_B_net : out std_logic_vector(8 to 8); 
        TR_EV_ADDR_net : 
        in std_logic_vector(8 to 8) := (others => 'U'); 
        EV_RAM_ADDR_A_net : out std_logic_vector(8 to 8); 
        INIT_ADDR_int : 
        in std_logic_vector(8 downto 0) := (others => 'U'); 
        ASSC_RAM_DOUT_bus : 
        in std_logic_vector(8 downto 0) := (others => 'U'); 
        EV_CHHOLD_net : out std_logic_vector(4 to 4); 
        EV_RAM_DO_B_net : 
        in std_logic_vector(8 to 8) := (others => 'U'); 
        rdgwgtpkbgc_0_3 : out std_logic; rdgwgtpkbgc_3 : in
         std_logic := 'U'; \Z\\EV_RAM_ADDR_B_net\\\, 
        EV_RAM_ADDR_B_net_net_2, EV_RAM_ADDR_B_net_net_4, 
        EV_RAM_ADDR_B_net_net_7 : out std_logic; 
        \Z\\ASSC_SEQOUT_net\\\ : in std_logic := 'U'; 
        \Z\\EV_ASSCADDR_net\\\ : out std_logic; 
        ASSC_SEQOUT_net_net_1 : in std_logic := 'U'; 
        EV_ASSCADDR_net_net_1 : out std_logic; 
        ASSC_SEQOUT_net_net_2 : in std_logic := 'U'; 
        EV_ASSCADDR_net_net_2 : out std_logic; 
        ASSC_SEQOUT_net_net_3 : in std_logic := 'U'; 
        EV_ASSCADDR_net_net_3 : out std_logic; 
        ASSC_SEQOUT_net_net_4 : in std_logic := 'U'; 
        EV_ASSCADDR_net_net_4, EV_EVFLAG_net, EV_DONE_net, 
        EV_RAM_WR_BUSY_B_net, EV_RAM_DI_B_net_net_7, 
        EV_RAM_DI_B_net_net_1, \Z\\EV_RAM_DI_B_net\\\ : out
         std_logic; TR_EV_RD_net : in std_logic := 'U'; 
        EV_RAM_CSN_A_net : out std_logic; TR_EV_ADDR_net_net_6 : 
        in std_logic := 'U'; EV_RAM_ADDR_A_net_net_6 : out
         std_logic; \Z\\TR_EV_ADDR_net\\\ : in std_logic := 'U'; 
        \Z\\EV_RAM_ADDR_A_net\\\ : out std_logic; 
        TR_EV_ADDR_net_net_1 : in std_logic := 'U'; 
        EV_RAM_ADDR_A_net_net_1 : out std_logic; 
        TR_EV_ADDR_net_net_2 : in std_logic := 'U'; 
        EV_RAM_ADDR_A_net_net_2 : out std_logic; 
        TR_EV_ADDR_net_net_3 : in std_logic := 'U'; 
        EV_RAM_ADDR_A_net_net_3 : out std_logic; 
        TR_EV_ADDR_net_net_4 : in std_logic := 'U'; 
        EV_RAM_ADDR_A_net_net_4 : out std_logic; 
        TR_EV_ADDR_net_net_5 : in std_logic := 'U'; 
        EV_RAM_ADDR_A_net_net_5 : out std_logic; 
        TR_EV_ADDR_net_net_7 : in std_logic := 'U'; 
        EV_RAM_ADDR_A_net_net_7, EV_CHHOLD_net_net_1, 
        EV_CHHOLD_net_net_2, EV_CHHOLD_net_net_3 : out std_logic; 
        EV_RAM_DO_B_net_net_2, EV_RAM_DO_B_net_net_3, 
        \Z\\EV_RAM_DO_B_net\\\, INIT_EV_WEN_int : in
         std_logic := 'U'; EV_RAM_RW_A_net : out std_logic; 
        ktwrhqstzjg, N_266, ASSC_SAMPFLAG_net, ASSC_DONE_c : in
         std_logic := 'U'; EV_RAM_DI_B_net_net_2, 
        EV_RAM_DI_B_net_net_3, EV_RAM_DI_B_net_net_4, 
        EV_RAM_DI_B_net_net_5, EV_RAM_DI_B_net_net_6, 
        EV_RAM_CSN_B_net : out std_logic; EV_RAM_DO_B_net_net_4, 
        INIT_DONE_c : in std_logic := 'U'; \Z\\EV_CHHOLD_net\\\, 
        EV_RAM_ADDR_B_net_net_1, EV_RAM_ADDR_B_net_net_5, 
        EV_RAM_ADDR_B_net_net_3, EV_RAM_ADDR_B_net_net_6 : out
         std_logic; EV_RAM_DO_B_net_net_5, EV_RAM_DO_B_net_net_6, 
        EV_RAM_DO_B_net_net_7, SYS_RESET_global, GLA_c : in
         std_logic := 'U'; EV_DONE_net_0, bskrjhjvqpf_1_sqmuxa_0, 
        EV_ASSCADDR_net_net_5, EV_ASSC_RD_net : out std_logic; 
        \Z\\EV_RAM_DO_B_net\\_0\ : in std_logic := 'U'; 
        bskrjhjvqpf_1_sqmuxa : out std_logic; 
        EV_RAM_DO_B_net_net_1 : in std_logic := 'U');
  end component;

    signal \VCC\, \GND\, GND_net_1, VCC_net_1 : std_logic;

    for all : nbnjbfrkqwq
	Use entity work.nbnjbfrkqwq(DEF_ARCH);
begin 


    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    u_nbnjbfrkqwq : nbnjbfrkqwq
      port map(EV_RAM_ADDR_B_net(8) => EV_RAM_ADDR_B_net(8), 
        ADC_CHNUMBER_net(4) => ADC_CHNUMBER_net(4), 
        ADC_CHNUMBER_net(3) => ADC_CHNUMBER_net(3), 
        ADC_CHNUMBER_net(2) => ADC_CHNUMBER_net(2), 
        ADC_CHNUMBER_net(1) => ADC_CHNUMBER_net(1), 
        ADC_CHNUMBER_net(0) => ADC_CHNUMBER_net(0), 
        ASSC_SEQOUT_net(5) => ASSC_SEQOUT_net(5), 
        EV_ASSCADDR_net(8) => EV_ASSCADDR_net(8), 
        EV_RAM_DI_B_net(8) => EV_RAM_DI_B_net(8), 
        TR_EV_ADDR_net(8) => TR_EV_ADDR_net(8), 
        EV_RAM_ADDR_A_net(8) => EV_RAM_ADDR_A_net(8), 
        INIT_ADDR_int(8) => INIT_ADDR_int(8), INIT_ADDR_int(7)
         => INIT_ADDR_int(7), INIT_ADDR_int(6) => 
        INIT_ADDR_int(6), INIT_ADDR_int(5) => INIT_ADDR_int(5), 
        INIT_ADDR_int(4) => INIT_ADDR_int(4), INIT_ADDR_int(3)
         => INIT_ADDR_int(3), INIT_ADDR_int(2) => 
        INIT_ADDR_int(2), INIT_ADDR_int(1) => INIT_ADDR_int(1), 
        INIT_ADDR_int(0) => INIT_ADDR_int(0), 
        ASSC_RAM_DOUT_bus(8) => ASSC_RAM_DOUT_bus(8), 
        ASSC_RAM_DOUT_bus(7) => ASSC_RAM_DOUT_bus(7), 
        ASSC_RAM_DOUT_bus(6) => ASSC_RAM_DOUT_bus(6), 
        ASSC_RAM_DOUT_bus(5) => ASSC_RAM_DOUT_bus(5), 
        ASSC_RAM_DOUT_bus(4) => ASSC_RAM_DOUT_bus(4), 
        ASSC_RAM_DOUT_bus(3) => ASSC_RAM_DOUT_bus(3), 
        ASSC_RAM_DOUT_bus(2) => ASSC_RAM_DOUT_bus(2), 
        ASSC_RAM_DOUT_bus(1) => ASSC_RAM_DOUT_bus(1), 
        ASSC_RAM_DOUT_bus(0) => ASSC_RAM_DOUT_bus(0), 
        EV_CHHOLD_net(4) => EV_CHHOLD_net(4), EV_RAM_DO_B_net(8)
         => EV_RAM_DO_B_net(8), rdgwgtpkbgc_0_3 => rdgwgtpkbgc(3), 
        rdgwgtpkbgc_3 => rdgwgtpkbgc_0(3), 
        \Z\\EV_RAM_ADDR_B_net\\\ => \Z\\EV_RAM_ADDR_B_net\\\, 
        EV_RAM_ADDR_B_net_net_2 => EV_RAM_ADDR_B_net_net_2, 
        EV_RAM_ADDR_B_net_net_4 => EV_RAM_ADDR_B_net_net_4, 
        EV_RAM_ADDR_B_net_net_7 => EV_RAM_ADDR_B_net_net_7, 
        \Z\\ASSC_SEQOUT_net\\\ => \Z\\ASSC_SEQOUT_net\\\, 
        \Z\\EV_ASSCADDR_net\\\ => \Z\\EV_ASSCADDR_net\\\, 
        ASSC_SEQOUT_net_net_1 => ASSC_SEQOUT_net_net_1, 
        EV_ASSCADDR_net_net_1 => EV_ASSCADDR_net_net_1, 
        ASSC_SEQOUT_net_net_2 => ASSC_SEQOUT_net_net_2, 
        EV_ASSCADDR_net_net_2 => EV_ASSCADDR_net_net_2, 
        ASSC_SEQOUT_net_net_3 => ASSC_SEQOUT_net_net_3, 
        EV_ASSCADDR_net_net_3 => EV_ASSCADDR_net_net_3, 
        ASSC_SEQOUT_net_net_4 => ASSC_SEQOUT_net_net_4, 
        EV_ASSCADDR_net_net_4 => EV_ASSCADDR_net_net_4, 
        EV_EVFLAG_net => EV_EVFLAG_net, EV_DONE_net => 
        EV_DONE_net, EV_RAM_WR_BUSY_B_net => EV_RAM_WR_BUSY_B_net, 
        EV_RAM_DI_B_net_net_7 => EV_RAM_DI_B_net_net_7, 
        EV_RAM_DI_B_net_net_1 => EV_RAM_DI_B_net_net_1, 
        \Z\\EV_RAM_DI_B_net\\\ => \Z\\EV_RAM_DI_B_net\\\, 
        TR_EV_RD_net => TR_EV_RD_net, EV_RAM_CSN_A_net => 
        EV_RAM_CSN_A_net, TR_EV_ADDR_net_net_6 => 
        TR_EV_ADDR_net_net_6, EV_RAM_ADDR_A_net_net_6 => 
        EV_RAM_ADDR_A_net_net_6, \Z\\TR_EV_ADDR_net\\\ => 
        \Z\\TR_EV_ADDR_net\\\, \Z\\EV_RAM_ADDR_A_net\\\ => 
        \Z\\EV_RAM_ADDR_A_net\\\, TR_EV_ADDR_net_net_1 => 
        TR_EV_ADDR_net_net_1, EV_RAM_ADDR_A_net_net_1 => 
        EV_RAM_ADDR_A_net_net_1, TR_EV_ADDR_net_net_2 => 
        TR_EV_ADDR_net_net_2, EV_RAM_ADDR_A_net_net_2 => 
        EV_RAM_ADDR_A_net_net_2, TR_EV_ADDR_net_net_3 => 
        TR_EV_ADDR_net_net_3, EV_RAM_ADDR_A_net_net_3 => 
        EV_RAM_ADDR_A_net_net_3, TR_EV_ADDR_net_net_4 => 
        TR_EV_ADDR_net_net_4, EV_RAM_ADDR_A_net_net_4 => 
        EV_RAM_ADDR_A_net_net_4, TR_EV_ADDR_net_net_5 => 
        TR_EV_ADDR_net_net_5, EV_RAM_ADDR_A_net_net_5 => 
        EV_RAM_ADDR_A_net_net_5, TR_EV_ADDR_net_net_7 => 
        TR_EV_ADDR_net_net_7, EV_RAM_ADDR_A_net_net_7 => 
        EV_RAM_ADDR_A_net_net_7, EV_CHHOLD_net_net_1 => 
        EV_CHHOLD_net_net_1, EV_CHHOLD_net_net_2 => 
        EV_CHHOLD_net_net_2, EV_CHHOLD_net_net_3 => 
        EV_CHHOLD_net_net_3, EV_RAM_DO_B_net_net_2 => 
        EV_RAM_DO_B_net_net_2, EV_RAM_DO_B_net_net_3 => 
        EV_RAM_DO_B_net_net_3, \Z\\EV_RAM_DO_B_net\\\ => 
        \Z\\EV_RAM_DO_B_net\\\, INIT_EV_WEN_int => 
        INIT_EV_WEN_int, EV_RAM_RW_A_net => EV_RAM_RW_A_net, 
        ktwrhqstzjg => ktwrhqstzjg, N_266 => N_266, 
        ASSC_SAMPFLAG_net => ASSC_SAMPFLAG_net, ASSC_DONE_c => 
        ASSC_DONE_c, EV_RAM_DI_B_net_net_2 => 
        EV_RAM_DI_B_net_net_2, EV_RAM_DI_B_net_net_3 => 
        EV_RAM_DI_B_net_net_3, EV_RAM_DI_B_net_net_4 => 
        EV_RAM_DI_B_net_net_4, EV_RAM_DI_B_net_net_5 => 
        EV_RAM_DI_B_net_net_5, EV_RAM_DI_B_net_net_6 => 
        EV_RAM_DI_B_net_net_6, EV_RAM_CSN_B_net => 
        EV_RAM_CSN_B_net, EV_RAM_DO_B_net_net_4 => 
        EV_RAM_DO_B_net_net_4, INIT_DONE_c => INIT_DONE_c, 
        \Z\\EV_CHHOLD_net\\\ => \Z\\EV_CHHOLD_net\\\, 
        EV_RAM_ADDR_B_net_net_1 => EV_RAM_ADDR_B_net_net_1, 
        EV_RAM_ADDR_B_net_net_5 => EV_RAM_ADDR_B_net_net_5, 
        EV_RAM_ADDR_B_net_net_3 => EV_RAM_ADDR_B_net_net_3, 
        EV_RAM_ADDR_B_net_net_6 => EV_RAM_ADDR_B_net_net_6, 
        EV_RAM_DO_B_net_net_5 => EV_RAM_DO_B_net_net_5, 
        EV_RAM_DO_B_net_net_6 => EV_RAM_DO_B_net_net_6, 
        EV_RAM_DO_B_net_net_7 => EV_RAM_DO_B_net_net_7, 
        SYS_RESET_global => SYS_RESET_global, GLA_c => GLA_c, 
        EV_DONE_net_0 => EV_DONE_net_0, bskrjhjvqpf_1_sqmuxa_0
         => bskrjhjvqpf_1_sqmuxa_0, EV_ASSCADDR_net_net_5 => 
        EV_ASSCADDR_net_net_5, EV_ASSC_RD_net => EV_ASSC_RD_net, 
        \Z\\EV_RAM_DO_B_net\\_0\ => \Z\\EV_RAM_DO_B_net\\_0\, 
        bskrjhjvqpf_1_sqmuxa => bskrjhjvqpf_1_sqmuxa, 
        EV_RAM_DO_B_net_net_1 => EV_RAM_DO_B_net_net_1);
    
    GND_i : GND
      port map(Y => \GND\);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity ADC_smev_wrapper is

    port(EV_RAM_ADDR_B_net : out std_logic_vector(8 to 8); 
        ADC_CHNUMBER_net : in std_logic_vector(4 downto 0); 
        ASSC_SEQOUT_net : in std_logic_vector(5 to 5); 
        EV_ASSCADDR_net : out std_logic_vector(8 to 8); 
        rdgwgtpkbgc_0 : out std_logic_vector(3 to 3); 
        EV_RAM_DI_B_net : out std_logic_vector(8 to 8); 
        TR_EV_ADDR_net : in std_logic_vector(8 to 8); 
        EV_RAM_ADDR_A_net : out std_logic_vector(8 to 8); 
        INIT_ADDR_int : in std_logic_vector(8 downto 0); 
        ASSC_RAM_DOUT_bus : in std_logic_vector(8 downto 0); 
        rdgwgtpkbgc : in std_logic_vector(3 to 3); EV_CHHOLD_net
         : out std_logic_vector(4 to 4); EV_RAM_DO_B_net : 
        in std_logic_vector(8 to 8); \Z\\EV_RAM_ADDR_B_net\\\, 
        EV_RAM_ADDR_B_net_net_2, EV_RAM_ADDR_B_net_net_4, 
        EV_RAM_ADDR_B_net_net_7 : out std_logic; 
        \Z\\ASSC_SEQOUT_net\\\ : in std_logic; 
        \Z\\EV_ASSCADDR_net\\\ : out std_logic; 
        ASSC_SEQOUT_net_net_1 : in std_logic; 
        EV_ASSCADDR_net_net_1 : out std_logic; 
        ASSC_SEQOUT_net_net_2 : in std_logic; 
        EV_ASSCADDR_net_net_2 : out std_logic; 
        ASSC_SEQOUT_net_net_3 : in std_logic; 
        EV_ASSCADDR_net_net_3 : out std_logic; 
        ASSC_SEQOUT_net_net_4 : in std_logic; 
        EV_ASSCADDR_net_net_4, EV_EVFLAG_net, EV_DONE_net, 
        EV_RAM_WR_BUSY_B_net, EV_RAM_DI_B_net_net_7, 
        EV_RAM_DI_B_net_net_1, \Z\\EV_RAM_DI_B_net\\\ : out
         std_logic; TR_EV_RD_net : in std_logic; EV_RAM_CSN_A_net : 
        out std_logic; TR_EV_ADDR_net_net_6 : in std_logic; 
        EV_RAM_ADDR_A_net_net_6 : out std_logic; 
        \Z\\TR_EV_ADDR_net\\\ : in std_logic; 
        \Z\\EV_RAM_ADDR_A_net\\\ : out std_logic; 
        TR_EV_ADDR_net_net_1 : in std_logic; 
        EV_RAM_ADDR_A_net_net_1 : out std_logic; 
        TR_EV_ADDR_net_net_2 : in std_logic; 
        EV_RAM_ADDR_A_net_net_2 : out std_logic; 
        TR_EV_ADDR_net_net_3 : in std_logic; 
        EV_RAM_ADDR_A_net_net_3 : out std_logic; 
        TR_EV_ADDR_net_net_4 : in std_logic; 
        EV_RAM_ADDR_A_net_net_4 : out std_logic; 
        TR_EV_ADDR_net_net_5 : in std_logic; 
        EV_RAM_ADDR_A_net_net_5 : out std_logic; 
        TR_EV_ADDR_net_net_7 : in std_logic; 
        EV_RAM_ADDR_A_net_net_7, EV_CHHOLD_net_net_1, 
        EV_CHHOLD_net_net_2, EV_CHHOLD_net_net_3 : out std_logic; 
        EV_RAM_DO_B_net_net_2, EV_RAM_DO_B_net_net_3, 
        \Z\\EV_RAM_DO_B_net\\\, INIT_EV_WEN_int : in std_logic; 
        EV_RAM_RW_A_net : out std_logic; ktwrhqstzjg, N_266, 
        ASSC_SAMPFLAG_net, ASSC_DONE_c : in std_logic; 
        EV_RAM_DI_B_net_net_2, EV_RAM_DI_B_net_net_3, 
        EV_RAM_DI_B_net_net_4, EV_RAM_DI_B_net_net_5, 
        EV_RAM_DI_B_net_net_6, EV_RAM_CSN_B_net : out std_logic; 
        EV_RAM_DO_B_net_net_4, INIT_DONE_c : in std_logic; 
        \Z\\EV_CHHOLD_net\\\, EV_RAM_ADDR_B_net_net_1, 
        EV_RAM_ADDR_B_net_net_5, EV_RAM_ADDR_B_net_net_3, 
        EV_RAM_ADDR_B_net_net_6 : out std_logic; 
        EV_RAM_DO_B_net_net_5, EV_RAM_DO_B_net_net_6, 
        EV_RAM_DO_B_net_net_7, SYS_RESET_global, GLA_c : in
         std_logic; EV_DONE_net_0, bskrjhjvqpf_1_sqmuxa_0, 
        EV_ASSCADDR_net_net_5, EV_ASSC_RD_net : out std_logic; 
        \Z\\EV_RAM_DO_B_net\\_0\ : in std_logic; 
        bskrjhjvqpf_1_sqmuxa : out std_logic; 
        EV_RAM_DO_B_net_net_1 : in std_logic);

end ADC_smev_wrapper;

architecture DEF_ARCH of ADC_smev_wrapper is 

  component VCC
    port(Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component SMEV
    port(EV_RAM_DO_B_net : 
        in std_logic_vector(8 to 8) := (others => 'U'); 
        EV_CHHOLD_net : out std_logic_vector(4 to 4); 
        rdgwgtpkbgc_0 : 
        in std_logic_vector(3 to 3) := (others => 'U'); 
        ASSC_RAM_DOUT_bus : 
        in std_logic_vector(8 downto 0) := (others => 'U'); 
        INIT_ADDR_int : 
        in std_logic_vector(8 downto 0) := (others => 'U'); 
        EV_RAM_ADDR_A_net : out std_logic_vector(8 to 8); 
        TR_EV_ADDR_net : 
        in std_logic_vector(8 to 8) := (others => 'U'); 
        EV_RAM_DI_B_net : out std_logic_vector(8 to 8); 
        rdgwgtpkbgc : out std_logic_vector(3 to 3); 
        EV_ASSCADDR_net : out std_logic_vector(8 to 8); 
        ASSC_SEQOUT_net : 
        in std_logic_vector(5 to 5) := (others => 'U'); 
        ADC_CHNUMBER_net : 
        in std_logic_vector(4 downto 0) := (others => 'U'); 
        EV_RAM_ADDR_B_net : out std_logic_vector(8 to 8); 
        EV_RAM_DO_B_net_net_1 : in std_logic := 'U'; 
        bskrjhjvqpf_1_sqmuxa : out std_logic; 
        \Z\\EV_RAM_DO_B_net\\_0\ : in std_logic := 'U'; 
        EV_ASSC_RD_net, EV_ASSCADDR_net_net_5, 
        bskrjhjvqpf_1_sqmuxa_0, EV_DONE_net_0 : out std_logic; 
        GLA_c, SYS_RESET_global, EV_RAM_DO_B_net_net_7, 
        EV_RAM_DO_B_net_net_6, EV_RAM_DO_B_net_net_5 : in
         std_logic := 'U'; EV_RAM_ADDR_B_net_net_6, 
        EV_RAM_ADDR_B_net_net_3, EV_RAM_ADDR_B_net_net_5, 
        EV_RAM_ADDR_B_net_net_1, \Z\\EV_CHHOLD_net\\\ : out
         std_logic; INIT_DONE_c, EV_RAM_DO_B_net_net_4 : in
         std_logic := 'U'; EV_RAM_CSN_B_net, 
        EV_RAM_DI_B_net_net_6, EV_RAM_DI_B_net_net_5, 
        EV_RAM_DI_B_net_net_4, EV_RAM_DI_B_net_net_3, 
        EV_RAM_DI_B_net_net_2 : out std_logic; ASSC_DONE_c, 
        ASSC_SAMPFLAG_net, N_266, ktwrhqstzjg : in
         std_logic := 'U'; EV_RAM_RW_A_net : out std_logic; 
        INIT_EV_WEN_int, \Z\\EV_RAM_DO_B_net\\\, 
        EV_RAM_DO_B_net_net_3, EV_RAM_DO_B_net_net_2 : in
         std_logic := 'U'; EV_CHHOLD_net_net_3, 
        EV_CHHOLD_net_net_2, EV_CHHOLD_net_net_1, 
        EV_RAM_ADDR_A_net_net_7 : out std_logic; 
        TR_EV_ADDR_net_net_7 : in std_logic := 'U'; 
        EV_RAM_ADDR_A_net_net_5 : out std_logic; 
        TR_EV_ADDR_net_net_5 : in std_logic := 'U'; 
        EV_RAM_ADDR_A_net_net_4 : out std_logic; 
        TR_EV_ADDR_net_net_4 : in std_logic := 'U'; 
        EV_RAM_ADDR_A_net_net_3 : out std_logic; 
        TR_EV_ADDR_net_net_3 : in std_logic := 'U'; 
        EV_RAM_ADDR_A_net_net_2 : out std_logic; 
        TR_EV_ADDR_net_net_2 : in std_logic := 'U'; 
        EV_RAM_ADDR_A_net_net_1 : out std_logic; 
        TR_EV_ADDR_net_net_1 : in std_logic := 'U'; 
        \Z\\EV_RAM_ADDR_A_net\\\ : out std_logic; 
        \Z\\TR_EV_ADDR_net\\\ : in std_logic := 'U'; 
        EV_RAM_ADDR_A_net_net_6 : out std_logic; 
        TR_EV_ADDR_net_net_6 : in std_logic := 'U'; 
        EV_RAM_CSN_A_net : out std_logic; TR_EV_RD_net : in
         std_logic := 'U'; \Z\\EV_RAM_DI_B_net\\\, 
        EV_RAM_DI_B_net_net_1, EV_RAM_DI_B_net_net_7, 
        EV_RAM_WR_BUSY_B_net, EV_DONE_net, EV_EVFLAG_net, 
        EV_ASSCADDR_net_net_4 : out std_logic; 
        ASSC_SEQOUT_net_net_4 : in std_logic := 'U'; 
        EV_ASSCADDR_net_net_3 : out std_logic; 
        ASSC_SEQOUT_net_net_3 : in std_logic := 'U'; 
        EV_ASSCADDR_net_net_2 : out std_logic; 
        ASSC_SEQOUT_net_net_2 : in std_logic := 'U'; 
        EV_ASSCADDR_net_net_1 : out std_logic; 
        ASSC_SEQOUT_net_net_1 : in std_logic := 'U'; 
        \Z\\EV_ASSCADDR_net\\\ : out std_logic; 
        \Z\\ASSC_SEQOUT_net\\\ : in std_logic := 'U'; 
        EV_RAM_ADDR_B_net_net_7, EV_RAM_ADDR_B_net_net_4, 
        EV_RAM_ADDR_B_net_net_2, \Z\\EV_RAM_ADDR_B_net\\\ : out
         std_logic);
  end component;

    signal \VCC\, \GND\, GND_net_1, VCC_net_1 : std_logic;

    for all : SMEV
	Use entity work.SMEV(DEF_ARCH);
begin 


    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    U0 : SMEV
      port map(EV_RAM_DO_B_net(8) => EV_RAM_DO_B_net(8), 
        EV_CHHOLD_net(4) => EV_CHHOLD_net(4), rdgwgtpkbgc_0(3)
         => rdgwgtpkbgc(3), ASSC_RAM_DOUT_bus(8) => 
        ASSC_RAM_DOUT_bus(8), ASSC_RAM_DOUT_bus(7) => 
        ASSC_RAM_DOUT_bus(7), ASSC_RAM_DOUT_bus(6) => 
        ASSC_RAM_DOUT_bus(6), ASSC_RAM_DOUT_bus(5) => 
        ASSC_RAM_DOUT_bus(5), ASSC_RAM_DOUT_bus(4) => 
        ASSC_RAM_DOUT_bus(4), ASSC_RAM_DOUT_bus(3) => 
        ASSC_RAM_DOUT_bus(3), ASSC_RAM_DOUT_bus(2) => 
        ASSC_RAM_DOUT_bus(2), ASSC_RAM_DOUT_bus(1) => 
        ASSC_RAM_DOUT_bus(1), ASSC_RAM_DOUT_bus(0) => 
        ASSC_RAM_DOUT_bus(0), INIT_ADDR_int(8) => 
        INIT_ADDR_int(8), INIT_ADDR_int(7) => INIT_ADDR_int(7), 
        INIT_ADDR_int(6) => INIT_ADDR_int(6), INIT_ADDR_int(5)
         => INIT_ADDR_int(5), INIT_ADDR_int(4) => 
        INIT_ADDR_int(4), INIT_ADDR_int(3) => INIT_ADDR_int(3), 
        INIT_ADDR_int(2) => INIT_ADDR_int(2), INIT_ADDR_int(1)
         => INIT_ADDR_int(1), INIT_ADDR_int(0) => 
        INIT_ADDR_int(0), EV_RAM_ADDR_A_net(8) => 
        EV_RAM_ADDR_A_net(8), TR_EV_ADDR_net(8) => 
        TR_EV_ADDR_net(8), EV_RAM_DI_B_net(8) => 
        EV_RAM_DI_B_net(8), rdgwgtpkbgc(3) => rdgwgtpkbgc_0(3), 
        EV_ASSCADDR_net(8) => EV_ASSCADDR_net(8), 
        ASSC_SEQOUT_net(5) => ASSC_SEQOUT_net(5), 
        ADC_CHNUMBER_net(4) => ADC_CHNUMBER_net(4), 
        ADC_CHNUMBER_net(3) => ADC_CHNUMBER_net(3), 
        ADC_CHNUMBER_net(2) => ADC_CHNUMBER_net(2), 
        ADC_CHNUMBER_net(1) => ADC_CHNUMBER_net(1), 
        ADC_CHNUMBER_net(0) => ADC_CHNUMBER_net(0), 
        EV_RAM_ADDR_B_net(8) => EV_RAM_ADDR_B_net(8), 
        EV_RAM_DO_B_net_net_1 => EV_RAM_DO_B_net_net_1, 
        bskrjhjvqpf_1_sqmuxa => bskrjhjvqpf_1_sqmuxa, 
        \Z\\EV_RAM_DO_B_net\\_0\ => \Z\\EV_RAM_DO_B_net\\_0\, 
        EV_ASSC_RD_net => EV_ASSC_RD_net, EV_ASSCADDR_net_net_5
         => EV_ASSCADDR_net_net_5, bskrjhjvqpf_1_sqmuxa_0 => 
        bskrjhjvqpf_1_sqmuxa_0, EV_DONE_net_0 => EV_DONE_net_0, 
        GLA_c => GLA_c, SYS_RESET_global => SYS_RESET_global, 
        EV_RAM_DO_B_net_net_7 => EV_RAM_DO_B_net_net_7, 
        EV_RAM_DO_B_net_net_6 => EV_RAM_DO_B_net_net_6, 
        EV_RAM_DO_B_net_net_5 => EV_RAM_DO_B_net_net_5, 
        EV_RAM_ADDR_B_net_net_6 => EV_RAM_ADDR_B_net_net_6, 
        EV_RAM_ADDR_B_net_net_3 => EV_RAM_ADDR_B_net_net_3, 
        EV_RAM_ADDR_B_net_net_5 => EV_RAM_ADDR_B_net_net_5, 
        EV_RAM_ADDR_B_net_net_1 => EV_RAM_ADDR_B_net_net_1, 
        \Z\\EV_CHHOLD_net\\\ => \Z\\EV_CHHOLD_net\\\, INIT_DONE_c
         => INIT_DONE_c, EV_RAM_DO_B_net_net_4 => 
        EV_RAM_DO_B_net_net_4, EV_RAM_CSN_B_net => 
        EV_RAM_CSN_B_net, EV_RAM_DI_B_net_net_6 => 
        EV_RAM_DI_B_net_net_6, EV_RAM_DI_B_net_net_5 => 
        EV_RAM_DI_B_net_net_5, EV_RAM_DI_B_net_net_4 => 
        EV_RAM_DI_B_net_net_4, EV_RAM_DI_B_net_net_3 => 
        EV_RAM_DI_B_net_net_3, EV_RAM_DI_B_net_net_2 => 
        EV_RAM_DI_B_net_net_2, ASSC_DONE_c => ASSC_DONE_c, 
        ASSC_SAMPFLAG_net => ASSC_SAMPFLAG_net, N_266 => N_266, 
        ktwrhqstzjg => ktwrhqstzjg, EV_RAM_RW_A_net => 
        EV_RAM_RW_A_net, INIT_EV_WEN_int => INIT_EV_WEN_int, 
        \Z\\EV_RAM_DO_B_net\\\ => \Z\\EV_RAM_DO_B_net\\\, 
        EV_RAM_DO_B_net_net_3 => EV_RAM_DO_B_net_net_3, 
        EV_RAM_DO_B_net_net_2 => EV_RAM_DO_B_net_net_2, 
        EV_CHHOLD_net_net_3 => EV_CHHOLD_net_net_3, 
        EV_CHHOLD_net_net_2 => EV_CHHOLD_net_net_2, 
        EV_CHHOLD_net_net_1 => EV_CHHOLD_net_net_1, 
        EV_RAM_ADDR_A_net_net_7 => EV_RAM_ADDR_A_net_net_7, 
        TR_EV_ADDR_net_net_7 => TR_EV_ADDR_net_net_7, 
        EV_RAM_ADDR_A_net_net_5 => EV_RAM_ADDR_A_net_net_5, 
        TR_EV_ADDR_net_net_5 => TR_EV_ADDR_net_net_5, 
        EV_RAM_ADDR_A_net_net_4 => EV_RAM_ADDR_A_net_net_4, 
        TR_EV_ADDR_net_net_4 => TR_EV_ADDR_net_net_4, 
        EV_RAM_ADDR_A_net_net_3 => EV_RAM_ADDR_A_net_net_3, 
        TR_EV_ADDR_net_net_3 => TR_EV_ADDR_net_net_3, 
        EV_RAM_ADDR_A_net_net_2 => EV_RAM_ADDR_A_net_net_2, 
        TR_EV_ADDR_net_net_2 => TR_EV_ADDR_net_net_2, 
        EV_RAM_ADDR_A_net_net_1 => EV_RAM_ADDR_A_net_net_1, 
        TR_EV_ADDR_net_net_1 => TR_EV_ADDR_net_net_1, 
        \Z\\EV_RAM_ADDR_A_net\\\ => \Z\\EV_RAM_ADDR_A_net\\\, 
        \Z\\TR_EV_ADDR_net\\\ => \Z\\TR_EV_ADDR_net\\\, 
        EV_RAM_ADDR_A_net_net_6 => EV_RAM_ADDR_A_net_net_6, 
        TR_EV_ADDR_net_net_6 => TR_EV_ADDR_net_net_6, 
        EV_RAM_CSN_A_net => EV_RAM_CSN_A_net, TR_EV_RD_net => 
        TR_EV_RD_net, \Z\\EV_RAM_DI_B_net\\\ => 
        \Z\\EV_RAM_DI_B_net\\\, EV_RAM_DI_B_net_net_1 => 
        EV_RAM_DI_B_net_net_1, EV_RAM_DI_B_net_net_7 => 
        EV_RAM_DI_B_net_net_7, EV_RAM_WR_BUSY_B_net => 
        EV_RAM_WR_BUSY_B_net, EV_DONE_net => EV_DONE_net, 
        EV_EVFLAG_net => EV_EVFLAG_net, EV_ASSCADDR_net_net_4 => 
        EV_ASSCADDR_net_net_4, ASSC_SEQOUT_net_net_4 => 
        ASSC_SEQOUT_net_net_4, EV_ASSCADDR_net_net_3 => 
        EV_ASSCADDR_net_net_3, ASSC_SEQOUT_net_net_3 => 
        ASSC_SEQOUT_net_net_3, EV_ASSCADDR_net_net_2 => 
        EV_ASSCADDR_net_net_2, ASSC_SEQOUT_net_net_2 => 
        ASSC_SEQOUT_net_net_2, EV_ASSCADDR_net_net_1 => 
        EV_ASSCADDR_net_net_1, ASSC_SEQOUT_net_net_1 => 
        ASSC_SEQOUT_net_net_1, \Z\\EV_ASSCADDR_net\\\ => 
        \Z\\EV_ASSCADDR_net\\\, \Z\\ASSC_SEQOUT_net\\\ => 
        \Z\\ASSC_SEQOUT_net\\\, EV_RAM_ADDR_B_net_net_7 => 
        EV_RAM_ADDR_B_net_net_7, EV_RAM_ADDR_B_net_net_4 => 
        EV_RAM_ADDR_B_net_net_4, EV_RAM_ADDR_B_net_net_2 => 
        EV_RAM_ADDR_B_net_net_2, \Z\\EV_RAM_ADDR_B_net\\\ => 
        \Z\\EV_RAM_ADDR_B_net\\\);
    
    GND_i : GND
      port map(Y => \GND\);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity ADC_smtr_ram is

    port(TR_RAM_DI_B_net : in std_logic_vector(8 to 8); 
        INIT_DATA_int : in std_logic_vector(8 downto 0); 
        TR_RAM_ADDR_B_net : in std_logic_vector(8 to 8); 
        INIT_ADDR_int : in std_logic_vector(8 downto 0); 
        TR_RAM_DO_B_net : out std_logic_vector(8 to 8); 
        SYS_RESET_global, \Z\\TR_RAM_DI_B_net\\\, 
        TR_RAM_DI_B_net_net_1, TR_RAM_DI_B_net_net_2, 
        TR_RAM_DI_B_net_net_3, TR_RAM_DI_B_net_net_4, 
        TR_RAM_DI_B_net_net_5, TR_RAM_DI_B_net_net_6, 
        TR_RAM_DI_B_net_net_7, GLA_c, xgnmbzmtzbb_0, 
        TR_RAM_CSN_B_net, \VCC\, TR_RAM_RW_A_net, 
        \Z\\TR_RAM_ADDR_B_net\\\, TR_RAM_ADDR_B_net_net_1, 
        TR_RAM_ADDR_B_net_net_2, TR_RAM_ADDR_B_net_net_3, 
        TR_RAM_ADDR_B_net_net_4, TR_RAM_ADDR_B_net_net_5, 
        TR_RAM_ADDR_B_net_net_6, TR_RAM_ADDR_B_net_net_7, \GND\ : 
        in std_logic; \Z\\TR_RAM_DO_B_net\\\, 
        TR_RAM_DO_B_net_net_1, TR_RAM_DO_B_net_net_2, 
        TR_RAM_DO_B_net_net_3, TR_RAM_DO_B_net_net_4, 
        TR_RAM_DO_B_net_net_5, TR_RAM_DO_B_net_net_6, 
        TR_RAM_DO_B_net_net_7 : out std_logic);

end ADC_smtr_ram;

architecture DEF_ARCH of ADC_smtr_ram is 

  component VCC
    port(Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component RAM4K9
    generic (MEMORYFILE:string := "");

    port(ADDRA11, ADDRA10, ADDRA9, ADDRA8, ADDRA7, ADDRA6, ADDRA5, 
        ADDRA4, ADDRA3, ADDRA2, ADDRA1, ADDRA0, ADDRB11, ADDRB10, 
        ADDRB9, ADDRB8, ADDRB7, ADDRB6, ADDRB5, ADDRB4, ADDRB3, 
        ADDRB2, ADDRB1, ADDRB0, DINA8, DINA7, DINA6, DINA5, DINA4, 
        DINA3, DINA2, DINA1, DINA0, DINB8, DINB7, DINB6, DINB5, 
        DINB4, DINB3, DINB2, DINB1, DINB0, WIDTHA0, WIDTHA1, 
        WIDTHB0, WIDTHB1, PIPEA, PIPEB, WMODEA, WMODEB, BLKA, 
        BLKB, WENA, WENB, CLKA, CLKB, RESET : in std_logic := 'U'; 
        DOUTA8, DOUTA7, DOUTA6, DOUTA5, DOUTA4, DOUTA3, DOUTA2, 
        DOUTA1, DOUTA0, DOUTB8, DOUTB7, DOUTB6, DOUTB5, DOUTB4, 
        DOUTB3, DOUTB2, DOUTB1, DOUTB0 : out std_logic);
  end component;

    signal VCC_net_1, GND_net_1, ADC_smtr_ram_R0C0_DOUTA0, 
        ADC_smtr_ram_R0C0_DOUTA1, ADC_smtr_ram_R0C0_DOUTA2, 
        ADC_smtr_ram_R0C0_DOUTA3, ADC_smtr_ram_R0C0_DOUTA4, 
        ADC_smtr_ram_R0C0_DOUTA5, ADC_smtr_ram_R0C0_DOUTA6, 
        ADC_smtr_ram_R0C0_DOUTA7, ADC_smtr_ram_R0C0_DOUTA8, 
        GND_net_2, VCC_net_2 : std_logic;

begin 

    VCC_net_1 <= \VCC\;
    GND_net_1 <= \GND\;

    VCC_i_0 : VCC
      port map(Y => VCC_net_2);
    
    GND_i_0 : GND
      port map(Y => GND_net_2);
    
    VCC_i : VCC
      port map(Y => VCC_net_1);
    
    GND_i : GND
      port map(Y => GND_net_1);
    
    ADC_smtr_ram_R0C0 : RAM4K9
      port map(ADDRA11 => GND_net_1, ADDRA10 => GND_net_1, ADDRA9
         => GND_net_1, ADDRA8 => INIT_ADDR_int(8), ADDRA7 => 
        INIT_ADDR_int(7), ADDRA6 => INIT_ADDR_int(6), ADDRA5 => 
        INIT_ADDR_int(5), ADDRA4 => INIT_ADDR_int(4), ADDRA3 => 
        INIT_ADDR_int(3), ADDRA2 => INIT_ADDR_int(2), ADDRA1 => 
        INIT_ADDR_int(1), ADDRA0 => INIT_ADDR_int(0), ADDRB11 => 
        GND_net_1, ADDRB10 => GND_net_1, ADDRB9 => GND_net_1, 
        ADDRB8 => TR_RAM_ADDR_B_net(8), ADDRB7 => 
        \Z\\TR_RAM_ADDR_B_net\\\, ADDRB6 => 
        TR_RAM_ADDR_B_net_net_1, ADDRB5 => 
        TR_RAM_ADDR_B_net_net_2, ADDRB4 => 
        TR_RAM_ADDR_B_net_net_3, ADDRB3 => 
        TR_RAM_ADDR_B_net_net_4, ADDRB2 => 
        TR_RAM_ADDR_B_net_net_5, ADDRB1 => 
        TR_RAM_ADDR_B_net_net_6, ADDRB0 => 
        TR_RAM_ADDR_B_net_net_7, DINA8 => INIT_DATA_int(8), DINA7
         => INIT_DATA_int(7), DINA6 => INIT_DATA_int(6), DINA5
         => INIT_DATA_int(5), DINA4 => INIT_DATA_int(4), DINA3
         => INIT_DATA_int(3), DINA2 => INIT_DATA_int(2), DINA1
         => INIT_DATA_int(1), DINA0 => INIT_DATA_int(0), DINB8
         => TR_RAM_DI_B_net(8), DINB7 => \Z\\TR_RAM_DI_B_net\\\, 
        DINB6 => TR_RAM_DI_B_net_net_1, DINB5 => 
        TR_RAM_DI_B_net_net_2, DINB4 => TR_RAM_DI_B_net_net_3, 
        DINB3 => TR_RAM_DI_B_net_net_4, DINB2 => 
        TR_RAM_DI_B_net_net_5, DINB1 => TR_RAM_DI_B_net_net_6, 
        DINB0 => TR_RAM_DI_B_net_net_7, WIDTHA0 => VCC_net_1, 
        WIDTHA1 => VCC_net_1, WIDTHB0 => VCC_net_1, WIDTHB1 => 
        VCC_net_1, PIPEA => GND_net_1, PIPEB => GND_net_1, WMODEA
         => VCC_net_1, WMODEB => VCC_net_1, BLKA => 
        TR_RAM_RW_A_net, BLKB => TR_RAM_CSN_B_net, WENA => 
        TR_RAM_RW_A_net, WENB => xgnmbzmtzbb_0, CLKA => GLA_c, 
        CLKB => GLA_c, RESET => SYS_RESET_global, DOUTA8 => 
        ADC_smtr_ram_R0C0_DOUTA8, DOUTA7 => 
        ADC_smtr_ram_R0C0_DOUTA7, DOUTA6 => 
        ADC_smtr_ram_R0C0_DOUTA6, DOUTA5 => 
        ADC_smtr_ram_R0C0_DOUTA5, DOUTA4 => 
        ADC_smtr_ram_R0C0_DOUTA4, DOUTA3 => 
        ADC_smtr_ram_R0C0_DOUTA3, DOUTA2 => 
        ADC_smtr_ram_R0C0_DOUTA2, DOUTA1 => 
        ADC_smtr_ram_R0C0_DOUTA1, DOUTA0 => 
        ADC_smtr_ram_R0C0_DOUTA0, DOUTB8 => TR_RAM_DO_B_net(8), 
        DOUTB7 => \Z\\TR_RAM_DO_B_net\\\, DOUTB6 => 
        TR_RAM_DO_B_net_net_1, DOUTB5 => TR_RAM_DO_B_net_net_2, 
        DOUTB4 => TR_RAM_DO_B_net_net_3, DOUTB3 => 
        TR_RAM_DO_B_net_net_4, DOUTB2 => TR_RAM_DO_B_net_net_5, 
        DOUTB1 => TR_RAM_DO_B_net_net_6, DOUTB0 => 
        TR_RAM_DO_B_net_net_7);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity ADC_smev_ram is

    port(EV_RAM_DI_B_net : in std_logic_vector(8 to 8); 
        INIT_DATA_int : in std_logic_vector(8 downto 0); 
        EV_RAM_ADDR_B_net : in std_logic_vector(8 to 8); 
        EV_RAM_ADDR_A_net : in std_logic_vector(8 to 8); 
        EV_RAM_DO_B_net : out std_logic_vector(8 to 8); 
        SYS_RESET_global, \Z\\EV_RAM_DI_B_net\\\, 
        EV_RAM_DI_B_net_net_1, EV_RAM_DI_B_net_net_2, 
        EV_RAM_DI_B_net_net_3, EV_RAM_DI_B_net_net_4, 
        EV_RAM_DI_B_net_net_5, EV_RAM_DI_B_net_net_6, 
        EV_RAM_DI_B_net_net_7, GLA_c, EV_RAM_WR_BUSY_B_net, 
        EV_RAM_CSN_B_net, \VCC\, EV_RAM_RW_A_net, 
        EV_RAM_CSN_A_net, \Z\\EV_RAM_ADDR_B_net\\\, 
        EV_RAM_ADDR_B_net_net_1, EV_RAM_ADDR_B_net_net_2, 
        EV_RAM_ADDR_B_net_net_3, EV_RAM_ADDR_B_net_net_4, 
        EV_RAM_ADDR_B_net_net_5, EV_RAM_ADDR_B_net_net_6, 
        EV_RAM_ADDR_B_net_net_7, \GND\, \Z\\EV_RAM_ADDR_A_net\\\, 
        EV_RAM_ADDR_A_net_net_1, EV_RAM_ADDR_A_net_net_2, 
        EV_RAM_ADDR_A_net_net_3, EV_RAM_ADDR_A_net_net_4, 
        EV_RAM_ADDR_A_net_net_5, EV_RAM_ADDR_A_net_net_6, 
        EV_RAM_ADDR_A_net_net_7 : in std_logic; 
        EV_RAM_DO_B_net_net_1, EV_RAM_DO_B_net_net_2, 
        EV_RAM_DO_B_net_net_3, EV_RAM_DO_B_net_net_4, 
        EV_RAM_DO_B_net_net_5, EV_RAM_DO_B_net_net_6, 
        EV_RAM_DO_B_net_net_7, EV_RAM_DO_A_net_net_7, 
        \Z\\EV_RAM_DO_B_net\\\, \Z\\EV_RAM_DO_B_net\\_0\ : out
         std_logic);

end ADC_smev_ram;

architecture DEF_ARCH of ADC_smev_ram is 

  component VCC
    port(Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component BUFF
    port(A : in std_logic := 'U'; Y : out std_logic);
  end component;

  component RAM4K9
    generic (MEMORYFILE:string := "");

    port(ADDRA11, ADDRA10, ADDRA9, ADDRA8, ADDRA7, ADDRA6, ADDRA5, 
        ADDRA4, ADDRA3, ADDRA2, ADDRA1, ADDRA0, ADDRB11, ADDRB10, 
        ADDRB9, ADDRB8, ADDRB7, ADDRB6, ADDRB5, ADDRB4, ADDRB3, 
        ADDRB2, ADDRB1, ADDRB0, DINA8, DINA7, DINA6, DINA5, DINA4, 
        DINA3, DINA2, DINA1, DINA0, DINB8, DINB7, DINB6, DINB5, 
        DINB4, DINB3, DINB2, DINB1, DINB0, WIDTHA0, WIDTHA1, 
        WIDTHB0, WIDTHB1, PIPEA, PIPEB, WMODEA, WMODEB, BLKA, 
        BLKB, WENA, WENB, CLKA, CLKB, RESET : in std_logic := 'U'; 
        DOUTA8, DOUTA7, DOUTA6, DOUTA5, DOUTA4, DOUTA3, DOUTA2, 
        DOUTA1, DOUTA0, DOUTB8, DOUTB7, DOUTB6, DOUTB5, DOUTB4, 
        DOUTB3, DOUTB2, DOUTB1, DOUTB0 : out std_logic);
  end component;

    signal VCC_net_1, GND_net_1, \Z\\EV_RAM_DO_B_net\\_net_1\, 
        EV_RAM_DO_A_net_net_6, EV_RAM_DO_A_net_net_5, 
        EV_RAM_DO_A_net_net_4, EV_RAM_DO_A_net_net_3, 
        EV_RAM_DO_A_net_net_2, EV_RAM_DO_A_net_net_1, 
        \Z\\EV_RAM_DO_A_net\\\, \EV_RAM_DO_A_net[8]\, GND_net_2, 
        VCC_net_2 : std_logic;

begin 

    VCC_net_1 <= \VCC\;
    GND_net_1 <= \GND\;
    \Z\\EV_RAM_DO_B_net\\\ <= \Z\\EV_RAM_DO_B_net\\_net_1\;

    VCC_i_0 : VCC
      port map(Y => VCC_net_2);
    
    GND_i_0 : GND
      port map(Y => GND_net_2);
    
    ADC_smev_ram_R0C0_0 : BUFF
      port map(A => \Z\\EV_RAM_DO_B_net\\_net_1\, Y => 
        \Z\\EV_RAM_DO_B_net\\_0\);
    
    VCC_i : VCC
      port map(Y => VCC_net_1);
    
    GND_i : GND
      port map(Y => GND_net_1);
    
    ADC_smev_ram_R0C0 : RAM4K9
      port map(ADDRA11 => GND_net_1, ADDRA10 => GND_net_1, ADDRA9
         => GND_net_1, ADDRA8 => EV_RAM_ADDR_A_net(8), ADDRA7 => 
        \Z\\EV_RAM_ADDR_A_net\\\, ADDRA6 => 
        EV_RAM_ADDR_A_net_net_1, ADDRA5 => 
        EV_RAM_ADDR_A_net_net_2, ADDRA4 => 
        EV_RAM_ADDR_A_net_net_3, ADDRA3 => 
        EV_RAM_ADDR_A_net_net_4, ADDRA2 => 
        EV_RAM_ADDR_A_net_net_5, ADDRA1 => 
        EV_RAM_ADDR_A_net_net_6, ADDRA0 => 
        EV_RAM_ADDR_A_net_net_7, ADDRB11 => GND_net_1, ADDRB10
         => GND_net_1, ADDRB9 => GND_net_1, ADDRB8 => 
        EV_RAM_ADDR_B_net(8), ADDRB7 => \Z\\EV_RAM_ADDR_B_net\\\, 
        ADDRB6 => EV_RAM_ADDR_B_net_net_1, ADDRB5 => 
        EV_RAM_ADDR_B_net_net_2, ADDRB4 => 
        EV_RAM_ADDR_B_net_net_3, ADDRB3 => 
        EV_RAM_ADDR_B_net_net_4, ADDRB2 => 
        EV_RAM_ADDR_B_net_net_5, ADDRB1 => 
        EV_RAM_ADDR_B_net_net_6, ADDRB0 => 
        EV_RAM_ADDR_B_net_net_7, DINA8 => INIT_DATA_int(8), DINA7
         => INIT_DATA_int(7), DINA6 => INIT_DATA_int(6), DINA5
         => INIT_DATA_int(5), DINA4 => INIT_DATA_int(4), DINA3
         => INIT_DATA_int(3), DINA2 => INIT_DATA_int(2), DINA1
         => INIT_DATA_int(1), DINA0 => INIT_DATA_int(0), DINB8
         => EV_RAM_DI_B_net(8), DINB7 => \Z\\EV_RAM_DI_B_net\\\, 
        DINB6 => EV_RAM_DI_B_net_net_1, DINB5 => 
        EV_RAM_DI_B_net_net_2, DINB4 => EV_RAM_DI_B_net_net_3, 
        DINB3 => EV_RAM_DI_B_net_net_4, DINB2 => 
        EV_RAM_DI_B_net_net_5, DINB1 => EV_RAM_DI_B_net_net_6, 
        DINB0 => EV_RAM_DI_B_net_net_7, WIDTHA0 => VCC_net_1, 
        WIDTHA1 => VCC_net_1, WIDTHB0 => VCC_net_1, WIDTHB1 => 
        VCC_net_1, PIPEA => GND_net_1, PIPEB => GND_net_1, WMODEA
         => VCC_net_1, WMODEB => VCC_net_1, BLKA => 
        EV_RAM_CSN_A_net, BLKB => EV_RAM_CSN_B_net, WENA => 
        EV_RAM_RW_A_net, WENB => EV_RAM_WR_BUSY_B_net, CLKA => 
        GLA_c, CLKB => GLA_c, RESET => SYS_RESET_global, DOUTA8
         => \EV_RAM_DO_A_net[8]\, DOUTA7 => 
        \Z\\EV_RAM_DO_A_net\\\, DOUTA6 => EV_RAM_DO_A_net_net_1, 
        DOUTA5 => EV_RAM_DO_A_net_net_2, DOUTA4 => 
        EV_RAM_DO_A_net_net_3, DOUTA3 => EV_RAM_DO_A_net_net_4, 
        DOUTA2 => EV_RAM_DO_A_net_net_5, DOUTA1 => 
        EV_RAM_DO_A_net_net_6, DOUTA0 => EV_RAM_DO_A_net_net_7, 
        DOUTB8 => EV_RAM_DO_B_net(8), DOUTB7 => 
        \Z\\EV_RAM_DO_B_net\\_net_1\, DOUTB6 => 
        EV_RAM_DO_B_net_net_1, DOUTB5 => EV_RAM_DO_B_net_net_2, 
        DOUTB4 => EV_RAM_DO_B_net_net_3, DOUTB3 => 
        EV_RAM_DO_B_net_net_4, DOUTB2 => EV_RAM_DO_B_net_net_5, 
        DOUTB1 => EV_RAM_DO_B_net_net_6, DOUTB0 => 
        EV_RAM_DO_B_net_net_7);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity fmvgpwbdcxs is

    port(ASSC_SEQOUT_net : out std_logic_vector(5 to 5); 
        ADC_MODE_net : out std_logic_vector(3 to 3); ADC_TVC_net
         : out std_logic_vector(7 to 7); ADC_CHNUMBER_net : 
        out std_logic_vector(4 downto 0); ADC_STC_net : 
        out std_logic_vector(7 to 7); ASSC_RAM_DI_B_net : 
        out std_logic_vector(8 to 8); ADC_RESULT_net : 
        in std_logic_vector(11 to 11); ASSC_RAM_ADDR_A_net : 
        out std_logic_vector(8 to 8); INIT_ADDR_int : 
        in std_logic_vector(8 downto 0); EV_ASSCADDR_net : 
        in std_logic_vector(8 to 8); USER_ASSC_ADDR_bus : 
        in std_logic_vector(8 downto 0); ASSC_RAM_DO_B_net : 
        in std_logic_vector(8 to 8); \Z\\ASSC_SEQOUT_net\\\, 
        ASSC_SEQOUT_net_net_1, ASSC_SEQOUT_net_net_2, 
        ASSC_SEQOUT_net_net_3, ASSC_SEQOUT_net_net_4, 
        \Z\\ADC_MODE_net\\\, ADC_MODE_net_net_1, 
        ADC_MODE_net_net_2, \Z\\ADC_TVC_net\\\, ADC_TVC_net_net_1, 
        ADC_TVC_net_net_2, ADC_TVC_net_net_3, ADC_TVC_net_net_4, 
        ADC_TVC_net_net_5, ADC_TVC_net_net_6, \Z\\ADC_STC_net\\\, 
        ADC_STC_net_net_1, ADC_STC_net_net_2, ADC_STC_net_net_3, 
        ADC_STC_net_net_4, ADC_STC_net_net_5, ADC_STC_net_net_6, 
        ASSC_SAMPFLAG_net, ADC_PDOWN_net, ADC_RESET_net : out
         std_logic; ADC_CALIBRATE_net : in std_logic; 
        ASSC_RAM_CSN_A_net : out std_logic; INIT_ASSC_WEN_int : 
        in std_logic; ASSC_RAM_RW_A_net : out std_logic; 
        USER_ASSC_RD_net : in std_logic; 
        ASSC_RAM_ADDR_B_net_net_7 : out std_logic; 
        ADC_RESULT_net_net_2, ADC_RESULT_net_net_3 : in std_logic; 
        \Z\\ASSC_RAM_DI_B_net\\\ : out std_logic; 
        ADC_RESULT_net_net_4 : in std_logic; 
        ASSC_RAM_DI_B_net_net_1 : out std_logic; 
        ADC_RESULT_net_net_5 : in std_logic; 
        ASSC_RAM_DI_B_net_net_2 : out std_logic; 
        ADC_RESULT_net_net_6 : in std_logic; 
        ASSC_RAM_DI_B_net_net_3 : out std_logic; 
        ADC_RESULT_net_net_7 : in std_logic; 
        ASSC_RAM_DI_B_net_net_4 : out std_logic; 
        ASSC_RAM_DO_B_net_net_2, ASSC_RAM_DO_B_net_net_3, 
        ASSC_RAM_DO_B_net_net_4, ASSC_RAM_DO_B_net_net_5, 
        ASSC_RAM_DO_B_net_net_6, ASSC_RAM_DO_B_net_net_7, 
        ADC_RESULT_net_net_8 : in std_logic; 
        ASSC_RAM_DI_B_net_net_5 : out std_logic; 
        \Z\\ADC_RESULT_net\\\, ADC_RESULT_net_net_9 : in
         std_logic; ASSC_RAM_DI_B_net_net_6 : out std_logic; 
        ADC_RESULT_net_net_1, ADC_RESULT_net_net_10 : in
         std_logic; ASSC_RAM_DI_B_net_net_7, 
        \Z\\ASSC_RAM_ADDR_A_net\\\, ASSC_RAM_ADDR_A_net_net_1, 
        ASSC_RAM_ADDR_A_net_net_2, ASSC_RAM_ADDR_A_net_net_3, 
        ASSC_RAM_ADDR_A_net_net_4, ASSC_RAM_ADDR_A_net_net_5, 
        ASSC_RAM_ADDR_A_net_net_6, ASSC_RAM_ADDR_A_net_net_7 : 
        out std_logic; \Z\\EV_ASSCADDR_net\\\, 
        EV_ASSCADDR_net_net_1, EV_ASSCADDR_net_net_2, 
        EV_ASSCADDR_net_net_3, EV_ASSCADDR_net_net_4, 
        bskrjhjvqpf_1_sqmuxa, EV_ASSCADDR_net_net_5, 
        bskrjhjvqpf_1_sqmuxa_0 : in std_logic; ADC_START_net, 
        ASSC_DONE_c, ktwrhqstzjg : out std_logic; ADC_BUSY_net, 
        EV_DONE_net_0 : in std_logic; N_239_i_0, 
        ASSC_RAM_ADDR_B_net_net_6, ASSC_RAM_ADDR_B_net_net_5, 
        N_266 : out std_logic; EV_EVFLAG_net, TR_TRFLAG_net, 
        TR_DONE_net_i_0, ASSC_RAM_DO_B_net_net_1, 
        \Z\\ASSC_RAM_DO_B_net\\\ : in std_logic; 
        ASSC_RAM_WR_BUSY_B_c, ASSC_RAM_WR_BUSY_B_c_i : out
         std_logic; SYS_RESET_global, GLA_c, EV_ASSC_RD_net, 
        INIT_DONE_c : in std_logic; USER_ASSC_RAM_BUSY_net : out
         std_logic);

end fmvgpwbdcxs;

architecture DEF_ARCH of fmvgpwbdcxs is 

  component MX2
    port(A, B, S : in std_logic := 'U'; Y : out std_logic);
  end component;

  component DFN1E1C0
    port(D, CLK, CLR, E : in std_logic := 'U'; Q : out std_logic);
        
  end component;

  component MX2B
    port(A, B, S : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR2A
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR3B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component MX2C
    port(A, B, S : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR2A
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AO1
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AO1A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR3C
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR2B
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR3A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component DFN1E0C0
    port(D, CLK, CLR, E : in std_logic := 'U'; Q : out std_logic);
        
  end component;

  component NAND2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component DFN1C0
    port(D, CLK, CLR : in std_logic := 'U'; Q : out std_logic);
  end component;

  component DFN1P0
    port(D, CLK, PRE : in std_logic := 'U'; Q : out std_logic);
  end component;

  component OA1
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component AOI1
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component VCC
    port(Y : out std_logic);
  end component;

  component OR3B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR2B
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AO1B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OA1C
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR3C
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR3A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AOI1B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component INV
    port(A : in std_logic := 'U'; Y : out std_logic);
  end component;

  component XO1A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AO1C
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OA1A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OAI1
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OA1B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

    signal \ADC_START_net\, \ASSC_DONE_c\, ktwrhqstzjg_net_1, 
        \N_266\, \ASSC_RAM_WR_BUSY_B_c\, \USER_ASSC_RAM_BUSY_net\, 
        un1_ADC_inst_2_0, \jzzdfrmzwdj_ns_i[3]_net_1\, 
        \jzzdfrmzwdj_0[14]_net_1\, \jzzdfrmzwdj_ns_i[1]_net_1\, 
        \jdhgstfqkjm_2_i\, \jdhgstfqkjm_2\, N_286, N_257, N_290, 
        bksnhfwfshc_6_sqmuxa, N_285, \ddvbdtxtbpx_i_1\, N_271, 
        \jzzdfrmzwdj[13]_net_1\, \jzzdfrmzwdj[11]_net_1\, 
        \jdhgstfqkjm_2_1\, N_275, \wwhrbsjdjpn\, 
        \jzzdfrmzwdj_ns_i_0[14]_net_1\, \un1_cfxfrwgjccr_7_0_0\, 
        N_284, \jzzdfrmzwdj_ns_i_0[15]_net_1\, \znbkwkbspdc\, 
        \jzzdfrmzwdj_ns_1[0]_net_1\, N_256, N_276, 
        \jzzdfrmzwdj_ns_0[0]_net_1\, \jzzdfrmzwdj[0]_net_1\, 
        \ddvbdtxtbpx_i_1_0\, \jzzdfrmzwdj[10]_net_1\, 
        \un6_bdbpcvshhqt_1\, N_264, N_289, 
        \svpqbbcnvqz_1[2]_net_1\, \jzzdfrmzwdj[4]_net_1\, 
        \jzzdfrmzwdj_i[5]\, N_239_1, N_272, 
        \jzzdfrmzwdj_ns[0]_net_1\, N_448, bksnhfwfshc, \N_192_m\, 
        \un1_znbmnfdbzvr_m\, \znbkwkbspdc_36_i\, N_265, 
        un1_cfxfrwgjccr_7, \jzzdfrmzwdj_ns_i[15]_net_1\, 
        \jzzdfrmzwdj_ns_i[13]_net_1\, N_427, \jzzdfrmzwdj_ns[10]\, 
        \jzzdfrmzwdj[6]_net_1\, N_291, \un1_cfxfrwgjccr_9\, 
        N_233_i_0, \jzzdfrmzwdj[1]_net_1\, N_274, 
        \un2_wkpfnwqwgcb\, \wkpfnwqwgcb\, \bcmkdjqtngz_1\, 
        \un4_wkpfnwqwgcb\, \znbmnfdbzvr\, \bksczsjcvgb\, N_254, 
        N_287, N_288, \jzzdfrmzwdj[15]_net_1\, hdxtpkktfvz, 
        \jzzdfrmzwdj_ns_i[2]_net_1\, \jzzdfrmzwdj_ns_i[4]_net_1\, 
        \jzzdfrmzwdj_ns_i[5]_net_1\, \jzzdfrmzwdj_ns_i[6]_net_1\, 
        \jzzdfrmzwdj_ns_i[7]_net_1\, \jzzdfrmzwdj[9]_net_1\, 
        \jzzdfrmzwdj_ns_i[8]_net_1\, \jzzdfrmzwdj_ns_i[9]_net_1\, 
        N_268, \jzzdfrmzwdj[7]_net_1\, 
        \jzzdfrmzwdj_ns_i[11]_net_1\, 
        \jzzdfrmzwdj_ns_i[12]_net_1\, \jzzdfrmzwdj_i_0[3]\, 
        \jzzdfrmzwdj_i_0[2]\, \bnrsdrtmtsg_5[0]_net_1\, N_320, 
        \bnrsdrtmtsg_5[1]_net_1\, N_321, \bnrsdrtmtsg_5[2]_net_1\, 
        N_322, \bnrsdrtmtsg_5[3]_net_1\, N_323, 
        \bnrsdrtmtsg_5[4]_net_1\, N_324, \bnrsdrtmtsg_5[5]_net_1\, 
        N_325, N_317, \hgqdwrxvgzm_3[0]_net_1\, 
        \trnwxjxxrbp[0]_net_1\, \hgqdwrxvgzm_3[1]_net_1\, 
        \trnwxjxxrbp[1]_net_1\, \hgqdwrxvgzm_3[2]_net_1\, 
        \trnwxjxxrbp[2]_net_1\, \hgqdwrxvgzm_3[3]_net_1\, 
        \trnwxjxxrbp[3]_net_1\, \hgqdwrxvgzm_3[4]_net_1\, 
        \trnwxjxxrbp[4]_net_1\, \hgqdwrxvgzm_3[5]_net_1\, 
        \trnwxjxxrbp[5]_net_1\, N_449, N_450, N_451, N_452, N_453, 
        N_454, N_455, N_456, N_457, \hgqdwrxvgzm[0]_net_1\, 
        \hgqdwrxvgzm[1]_net_1\, \hgqdwrxvgzm[2]_net_1\, 
        \hgqdwrxvgzm[3]_net_1\, \hgqdwrxvgzm[4]_net_1\, 
        \jzzdfrmzwdj[14]_net_1\, \hgqdwrxvgzm[5]_net_1\, 
        \znbmnfdbzvr_38\, \un1_cfxfrwgjccr_1\, un14_kftxkzdmgnn, 
        \jzzdfrmzwdj[12]_net_1\, \VCC\, \GND\, GND_net_1, 
        VCC_net_1 : std_logic;

begin 

    ADC_START_net <= \ADC_START_net\;
    ASSC_DONE_c <= \ASSC_DONE_c\;
    ktwrhqstzjg <= ktwrhqstzjg_net_1;
    N_266 <= \N_266\;
    ASSC_RAM_WR_BUSY_B_c <= \ASSC_RAM_WR_BUSY_B_c\;
    USER_ASSC_RAM_BUSY_net <= \USER_ASSC_RAM_BUSY_net\;

    \hgqdwrxvgzm_3[0]\ : MX2
      port map(A => \hgqdwrxvgzm[0]_net_1\, B => 
        ASSC_RAM_DO_B_net_net_7, S => \jzzdfrmzwdj_0[14]_net_1\, 
        Y => \hgqdwrxvgzm_3[0]_net_1\);
    
    \dbcvwwhvvwh[2]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_5, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[13]_net_1\, Q => 
        ADC_TVC_net_net_4);
    
    \bnrsdrtmtsg_5[1]\ : MX2
      port map(A => \hgqdwrxvgzm_3[1]_net_1\, B => 
        \trnwxjxxrbp[1]_net_1\, S => N_317, Y => N_321);
    
    \ksbhwjctscp[0]\ : MX2B
      port map(A => INIT_ADDR_int(0), B => N_449, S => 
        INIT_DONE_c, Y => ASSC_RAM_ADDR_A_net_net_7);
    
    \jzzdfrmzwdj_ns_i[1]\ : NOR2A
      port map(A => INIT_DONE_c, B => N_271, Y => 
        \jzzdfrmzwdj_ns_i[1]_net_1\);
    
    fsrxhtjthgw_i_o4 : NOR3B
      port map(A => \znbkwkbspdc\, B => INIT_DONE_c, C => N_289, 
        Y => \N_266\);
    
    \ksbhwjctscp_0[6]\ : MX2C
      port map(A => USER_ASSC_ADDR_bus(6), B => 
        EV_ASSCADDR_net_net_1, S => EV_ASSC_RD_net, Y => N_455);
    
    \bnrsdrtmtsg_5[2]\ : MX2
      port map(A => \hgqdwrxvgzm_3[2]_net_1\, B => 
        \trnwxjxxrbp[2]_net_1\, S => N_317, Y => N_322);
    
    un1_bksnhfwfshc_1_sqmuxa_i_a4 : OR2A
      port map(A => \bksczsjcvgb\, B => \jzzdfrmzwdj_0[14]_net_1\, 
        Y => N_275);
    
    \dbcvwwhvvwh[0]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_7, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[13]_net_1\, Q => 
        ADC_TVC_net_net_6);
    
    \mksbfqnmmgw[6]\ : NOR2A
      port map(A => ADC_RESULT_net_net_4, B => 
        \jzzdfrmzwdj[4]_net_1\, Y => ASSC_RAM_DI_B_net_net_1);
    
    \ksbhwjctscp_0[5]\ : MX2C
      port map(A => USER_ASSC_ADDR_bus(5), B => 
        EV_ASSCADDR_net_net_2, S => EV_ASSC_RD_net, Y => N_454);
    
    \ptxbvztnpnf[4]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_3, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[11]_net_1\, Q => 
        ADC_STC_net_net_2);
    
    znbmnfdbzvr_38 : AO1
      port map(A => bksnhfwfshc, B => INIT_DONE_c, C => 
        \znbmnfdbzvr\, Y => \znbmnfdbzvr_38\);
    
    \ksbhwjctscp_0[0]\ : AO1A
      port map(A => USER_ASSC_ADDR_bus(0), B => 
        bskrjhjvqpf_1_sqmuxa_0, C => EV_ASSCADDR_net_net_5, Y => 
        N_449);
    
    \jzzdfrmzwdj_ns_1[0]\ : NOR3C
      port map(A => N_256, B => N_276, C => 
        \jzzdfrmzwdj_ns_0[0]_net_1\, Y => 
        \jzzdfrmzwdj_ns_1[0]_net_1\);
    
    \hgqdwrxvgzm[5]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_2, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[14]_net_1\, Q => 
        \hgqdwrxvgzm[5]_net_1\);
    
    \dspfgfmqhwh[1]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_6, CLK => GLA_c, CLR
         => SYS_RESET_global, E => un1_ADC_inst_2_0, Q => 
        ADC_CHNUMBER_net(1));
    
    bcmkdjqtngz_1 : NOR2A
      port map(A => INIT_DONE_c, B => \ASSC_DONE_c\, Y => 
        \bcmkdjqtngz_1\);
    
    \pfkhhxxsrzp[1]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_1, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[12]_net_1\, Q => 
        ADC_MODE_net_net_1);
    
    jdhgstfqkjm_2 : NOR2A
      port map(A => \jdhgstfqkjm_2_1\, B => N_291, Y => 
        \jdhgstfqkjm_2\);
    
    \bnrsdrtmtsg_5_r[1]\ : NOR2B
      port map(A => INIT_DONE_c, B => N_321, Y => 
        \bnrsdrtmtsg_5[1]_net_1\);
    
    bksczsjcvgb : DFN1E1C0
      port map(D => \jdhgstfqkjm_2_i\, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \un4_wkpfnwqwgcb\, Q => 
        \bksczsjcvgb\);
    
    \jzzdfrmzwdj_ns_i_o2_0[2]\ : OR2
      port map(A => ASSC_RAM_DO_B_net_net_1, B => 
        \Z\\ASSC_RAM_DO_B_net\\\, Y => N_254);
    
    \dspfgfmqhwh[3]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_4, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[12]_net_1\, Q => 
        ADC_CHNUMBER_net(3));
    
    ddvbdtxtbpx_i_1_1 : NOR3A
      port map(A => N_271, B => \jzzdfrmzwdj[13]_net_1\, C => 
        \jzzdfrmzwdj[11]_net_1\, Y => \ddvbdtxtbpx_i_1\);
    
    \bnrsdrtmtsg[3]\ : DFN1E0C0
      port map(D => \bnrsdrtmtsg_5[3]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \un1_cfxfrwgjccr_9\, Q => 
        ASSC_SEQOUT_net_net_1);
    
    \mksbfqnmmgw[2]\ : MX2
      port map(A => ADC_RESULT_net_net_8, B => ADC_RESULT_net(11), 
        S => \jzzdfrmzwdj[4]_net_1\, Y => ASSC_RAM_DI_B_net_net_5);
    
    \jzzdfrmzwdj_ns_a2_1[0]\ : NAND2
      port map(A => \Z\\ASSC_RAM_DO_B_net\\\, B => 
        ASSC_RAM_DO_B_net_net_1, Y => N_290);
    
    \jzzdfrmzwdj[10]\ : DFN1C0
      port map(D => \jzzdfrmzwdj_ns_i[5]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \jzzdfrmzwdj[10]_net_1\);
    
    \ksbhwjctscp_0[1]\ : AO1A
      port map(A => USER_ASSC_ADDR_bus(1), B => 
        bskrjhjvqpf_1_sqmuxa, C => EV_ASSCADDR_net_net_5, Y => 
        N_450);
    
    wwhrbsjdjpn : DFN1C0
      port map(D => ADC_CALIBRATE_net, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \wwhrbsjdjpn\);
    
    \ksbhwjctscp_0[4]\ : MX2C
      port map(A => USER_ASSC_ADDR_bus(4), B => 
        EV_ASSCADDR_net_net_3, S => EV_ASSC_RD_net, Y => N_453);
    
    \jzzdfrmzwdj[8]\ : DFN1C0
      port map(D => \jzzdfrmzwdj_ns_i[7]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \ADC_START_net\);
    
    \ptxbvztnpnf[7]\ : DFN1E1C0
      port map(D => \Z\\ASSC_RAM_DO_B_net\\\, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[11]_net_1\, Q => 
        ADC_STC_net(7));
    
    \ksbhwjctscp[5]\ : MX2B
      port map(A => INIT_ADDR_int(5), B => N_454, S => 
        INIT_DONE_c, Y => ASSC_RAM_ADDR_A_net_net_2);
    
    \jzzdfrmzwdj[1]\ : DFN1C0
      port map(D => N_233_i_0, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \jzzdfrmzwdj[1]_net_1\);
    
    \trnwxjxxrbp[5]\ : DFN1C0
      port map(D => \trnwxjxxrbp[5]_net_1\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \trnwxjxxrbp[5]_net_1\);
    
    \bnrsdrtmtsg[4]\ : DFN1E0C0
      port map(D => \bnrsdrtmtsg_5[4]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \un1_cfxfrwgjccr_9\, Q => 
        \Z\\ASSC_SEQOUT_net\\\);
    
    \bnrsdrtmtsg_5[0]\ : MX2
      port map(A => \hgqdwrxvgzm_3[0]_net_1\, B => 
        \trnwxjxxrbp[0]_net_1\, S => N_317, Y => N_320);
    
    \hgqdwrxvgzm_3[5]\ : MX2
      port map(A => \hgqdwrxvgzm[5]_net_1\, B => 
        ASSC_RAM_DO_B_net_net_2, S => \jzzdfrmzwdj[14]_net_1\, Y
         => \hgqdwrxvgzm_3[5]_net_1\);
    
    \dbcvwwhvvwh[5]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_2, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[13]_net_1\, Q => 
        ADC_TVC_net_net_1);
    
    \bnrsdrtmtsg[5]\ : DFN1E0C0
      port map(D => \bnrsdrtmtsg_5[5]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \un1_cfxfrwgjccr_9\, Q => 
        ASSC_SEQOUT_net(5));
    
    wkpfnwqwgcb : DFN1C0
      port map(D => \wwhrbsjdjpn\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \wkpfnwqwgcb\);
    
    \jzzdfrmzwdj[2]\ : DFN1P0
      port map(D => \jzzdfrmzwdj_ns_i[13]_net_1\, CLK => GLA_c, 
        PRE => SYS_RESET_global, Q => \jzzdfrmzwdj_i_0[2]\);
    
    un2_wkpfnwqwgcb : NOR2A
      port map(A => \wkpfnwqwgcb\, B => \wwhrbsjdjpn\, Y => 
        \un2_wkpfnwqwgcb\);
    
    \jzzdfrmzwdj_ns_i[9]\ : OA1
      port map(A => N_268, B => \jzzdfrmzwdj[7]_net_1\, C => 
        INIT_DONE_c, Y => \jzzdfrmzwdj_ns_i[9]_net_1\);
    
    nptwvwnctcg_i_o4 : OR2A
      port map(A => \jzzdfrmzwdj_i[5]\, B => 
        \jzzdfrmzwdj[4]_net_1\, Y => \ASSC_RAM_WR_BUSY_B_c\);
    
    \dspfgfmqhwh[4]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_3, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[12]_net_1\, Q => 
        ADC_CHNUMBER_net(4));
    
    fsrxhtjthgw_i_a2_1 : OR2A
      port map(A => N_256, B => N_427, Y => N_288);
    
    dwnkjxhfxnw_un6_dcxfgfftfpf : OR2A
      port map(A => INIT_DONE_c, B => EV_ASSC_RD_net, Y => 
        \USER_ASSC_RAM_BUSY_net\);
    
    \trnwxjxxrbp[3]\ : DFN1C0
      port map(D => \trnwxjxxrbp[3]_net_1\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \trnwxjxxrbp[3]_net_1\);
    
    GND_i : GND
      port map(Y => \GND\);
    
    fsrxhtjthgw_i_a2 : AOI1
      port map(A => N_287, B => N_288, C => 
        \jzzdfrmzwdj[0]_net_1\, Y => N_289);
    
    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    un6_bdbpcvshhqt_1 : NOR3A
      port map(A => TR_DONE_net_i_0, B => TR_TRFLAG_net, C => 
        EV_EVFLAG_net, Y => \un6_bdbpcvshhqt_1\);
    
    dtcvhtqxgdc : DFN1E1C0
      port map(D => N_274, CLK => GLA_c, CLR => SYS_RESET_global, 
        E => un1_cfxfrwgjccr_7, Q => ADC_PDOWN_net);
    
    znbkwkbspdc_36_i_o4 : OR3B
      port map(A => N_256, B => N_276, C => 
        \jzzdfrmzwdj[0]_net_1\, Y => N_265);
    
    \ptxbvztnpnf[0]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_7, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[11]_net_1\, Q => 
        ADC_STC_net_net_6);
    
    \bnrsdrtmtsg_5[5]\ : MX2
      port map(A => \hgqdwrxvgzm_3[5]_net_1\, B => 
        \trnwxjxxrbp[5]_net_1\, S => N_317, Y => N_325);
    
    un1_cfxfrwgjccr_7_0_0 : NOR2B
      port map(A => INIT_DONE_c, B => N_284, Y => 
        \un1_cfxfrwgjccr_7_0_0\);
    
    \ksbhwjctscp[1]\ : MX2B
      port map(A => INIT_ADDR_int(1), B => N_450, S => 
        INIT_DONE_c, Y => ASSC_RAM_ADDR_A_net_net_6);
    
    \jzzdfrmzwdj_ns_i[3]\ : NOR2B
      port map(A => INIT_DONE_c, B => \jzzdfrmzwdj[13]_net_1\, Y
         => \jzzdfrmzwdj_ns_i[3]_net_1\);
    
    \mksbfqnmmgw[3]\ : NOR2A
      port map(A => ADC_RESULT_net_net_7, B => 
        \jzzdfrmzwdj[4]_net_1\, Y => ASSC_RAM_DI_B_net_net_4);
    
    \bnrsdrtmtsg_5[3]\ : MX2
      port map(A => \hgqdwrxvgzm_3[3]_net_1\, B => 
        \trnwxjxxrbp[3]_net_1\, S => N_317, Y => N_323);
    
    \ksbhwjctscp[6]\ : MX2B
      port map(A => INIT_ADDR_int(6), B => N_455, S => 
        INIT_DONE_c, Y => ASSC_RAM_ADDR_A_net_net_1);
    
    \jzzdfrmzwdj_ns_i[8]\ : NOR2B
      port map(A => INIT_DONE_c, B => \ADC_START_net\, Y => 
        \jzzdfrmzwdj_ns_i[8]_net_1\);
    
    hdxtpkktfvz_0 : OR2B
      port map(A => N_276, B => N_264, Y => hdxtpkktfvz);
    
    \jzzdfrmzwdj_ns_i_o2[9]\ : NOR2B
      port map(A => \jzzdfrmzwdj[6]_net_1\, B => ADC_BUSY_net, Y
         => N_268);
    
    \pfkhhxxsrzp[2]\ : DFN1E1C0
      port map(D => \Z\\ASSC_RAM_DO_B_net\\\, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[12]_net_1\, Q => 
        \Z\\ADC_MODE_net\\\);
    
    \trnwxjxxrbp[1]\ : DFN1C0
      port map(D => \trnwxjxxrbp[1]_net_1\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \trnwxjxxrbp[1]_net_1\);
    
    \svpqbbcnvqz[0]\ : OR2B
      port map(A => \jzzdfrmzwdj_i[5]\, B => N_239_1, Y => 
        ASSC_RAM_ADDR_B_net_net_7);
    
    \mksbfqnmmgw[5]\ : NOR2A
      port map(A => ADC_RESULT_net_net_5, B => 
        \jzzdfrmzwdj[4]_net_1\, Y => ASSC_RAM_DI_B_net_net_2);
    
    \bnrsdrtmtsg[1]\ : DFN1E0C0
      port map(D => \bnrsdrtmtsg_5[1]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \un1_cfxfrwgjccr_9\, Q => 
        ASSC_SEQOUT_net_net_3);
    
    \jzzdfrmzwdj_0[12]\ : DFN1C0
      port map(D => \jzzdfrmzwdj_ns_i[3]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => un1_ADC_inst_2_0);
    
    \ptxbvztnpnf[1]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_6, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[11]_net_1\, Q => 
        ADC_STC_net_net_5);
    
    ddvbdtxtbpx_i : NOR3B
      port map(A => \ddvbdtxtbpx_i_1\, B => N_239_1, C => 
        \ASSC_RAM_WR_BUSY_B_c\, Y => N_239_i_0);
    
    \ksbhwjctscp[4]\ : MX2B
      port map(A => INIT_ADDR_int(4), B => N_453, S => 
        INIT_DONE_c, Y => ASSC_RAM_ADDR_A_net_net_3);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    un1_bksnhfwfshc_4_sqmuxa_1_0_a4 : NOR2A
      port map(A => INIT_DONE_c, B => N_284, Y => N_274);
    
    \bnrsdrtmtsg_5_r[0]\ : NOR2B
      port map(A => INIT_DONE_c, B => N_320, Y => 
        \bnrsdrtmtsg_5[0]_net_1\);
    
    \ptxbvztnpnf[3]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_4, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[11]_net_1\, Q => 
        ADC_STC_net_net_3);
    
    bcmkdjqtngz : DFN1E0C0
      port map(D => \bcmkdjqtngz_1\, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \un1_cfxfrwgjccr_1\, Q => 
        ASSC_SAMPFLAG_net);
    
    dwnkjxhfxnw_un14_kftxkzdmgnn : OR2
      port map(A => USER_ASSC_RD_net, B => 
        \USER_ASSC_RAM_BUSY_net\, Y => un14_kftxkzdmgnn);
    
    \mksbfqnmmgw[7]\ : NOR2A
      port map(A => ADC_RESULT_net_net_3, B => 
        \jzzdfrmzwdj[4]_net_1\, Y => \Z\\ASSC_RAM_DI_B_net\\\);
    
    un1_bksnhfwfshc_4_sqmuxa_1_0_o2 : OR2B
      port map(A => ASSC_RAM_DO_B_net(8), B => 
        \jzzdfrmzwdj_0[14]_net_1\, Y => N_257);
    
    \bnrsdrtmtsg[0]\ : DFN1E0C0
      port map(D => \bnrsdrtmtsg_5[0]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \un1_cfxfrwgjccr_9\, Q => 
        ASSC_SEQOUT_net_net_4);
    
    un1_cfxfrwgjccr_7_0 : AO1B
      port map(A => N_265, B => \znbkwkbspdc\, C => 
        \un1_cfxfrwgjccr_7_0_0\, Y => un1_cfxfrwgjccr_7);
    
    \ptxbvztnpnf[6]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_1, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[11]_net_1\, Q => 
        \Z\\ADC_STC_net\\\);
    
    \dbcvwwhvvwh[7]\ : DFN1E1C0
      port map(D => \Z\\ASSC_RAM_DO_B_net\\\, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[13]_net_1\, Q => 
        ADC_TVC_net(7));
    
    \ksbhwjctscp_0[3]\ : MX2C
      port map(A => USER_ASSC_ADDR_bus(3), B => 
        EV_ASSCADDR_net_net_4, S => EV_ASSC_RD_net, Y => N_452);
    
    \jzzdfrmzwdj_ns_i[6]\ : NOR2B
      port map(A => INIT_DONE_c, B => \jzzdfrmzwdj[10]_net_1\, Y
         => \jzzdfrmzwdj_ns_i[6]_net_1\);
    
    \dspfgfmqhwh[0]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_7, CLK => GLA_c, CLR
         => SYS_RESET_global, E => un1_ADC_inst_2_0, Q => 
        ADC_CHNUMBER_net(0));
    
    \jzzdfrmzwdj_ns_i[15]\ : OA1C
      port map(A => N_264, B => \jzzdfrmzwdj[0]_net_1\, C => 
        \jzzdfrmzwdj_ns_i_0[15]_net_1\, Y => 
        \jzzdfrmzwdj_ns_i[15]_net_1\);
    
    \dbcvwwhvvwh[4]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_3, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[13]_net_1\, Q => 
        ADC_TVC_net_net_2);
    
    znbkwkbspdc_36_i : NOR3B
      port map(A => INIT_DONE_c, B => \znbkwkbspdc\, C => N_265, 
        Y => \znbkwkbspdc_36_i\);
    
    \jzzdfrmzwdj_ns_i[11]\ : NOR2A
      port map(A => INIT_DONE_c, B => \jzzdfrmzwdj_i[5]\, Y => 
        \jzzdfrmzwdj_ns_i[11]_net_1\);
    
    \trnwxjxxrbp[0]\ : DFN1C0
      port map(D => \trnwxjxxrbp[0]_net_1\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \trnwxjxxrbp[0]_net_1\);
    
    \hgqdwrxvgzm[0]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_7, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[14]_net_1\, Q => 
        \hgqdwrxvgzm[0]_net_1\);
    
    \ksbhwjctscp[3]\ : MX2B
      port map(A => INIT_ADDR_int(3), B => N_452, S => 
        INIT_DONE_c, Y => ASSC_RAM_ADDR_A_net_net_4);
    
    \ptxbvztnpnf[2]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_5, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[11]_net_1\, Q => 
        ADC_STC_net_net_4);
    
    \jzzdfrmzwdj_ns_o4[0]\ : NOR2
      port map(A => N_285, B => N_286, Y => bksnhfwfshc_6_sqmuxa);
    
    un1_cfxfrwgjccr_1 : NOR2A
      port map(A => \bcmkdjqtngz_1\, B => un1_ADC_inst_2_0, Y => 
        \un1_cfxfrwgjccr_1\);
    
    un1_bksnhfwfshc_0_sqmuxa_0_o2 : OR2B
      port map(A => \jzzdfrmzwdj[1]_net_1\, B => \bksczsjcvgb\, Y
         => N_256);
    
    \jzzdfrmzwdj_ns_i_0[14]\ : NOR2B
      port map(A => N_275, B => INIT_DONE_c, Y => 
        \jzzdfrmzwdj_ns_i_0[14]_net_1\);
    
    bksnhfwfshc_iv : OR3C
      port map(A => \N_192_m\, B => \un1_znbmnfdbzvr_m\, C => 
        bksnhfwfshc_6_sqmuxa, Y => bksnhfwfshc);
    
    un6_bdbpcvshhqt : OR2A
      port map(A => \un6_bdbpcvshhqt_1\, B => EV_DONE_net_0, Y
         => N_448);
    
    \jzzdfrmzwdj_ns_i[5]\ : NOR2B
      port map(A => INIT_DONE_c, B => \jzzdfrmzwdj[11]_net_1\, Y
         => \jzzdfrmzwdj_ns_i[5]_net_1\);
    
    \hgqdwrxvgzm[4]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_3, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[14]_net_1\, Q => 
        \hgqdwrxvgzm[4]_net_1\);
    
    \jzzdfrmzwdj_ns_i[7]\ : NOR2B
      port map(A => INIT_DONE_c, B => \jzzdfrmzwdj[9]_net_1\, Y
         => \jzzdfrmzwdj_ns_i[7]_net_1\);
    
    \ksbhwjctscp_0[8]\ : MX2C
      port map(A => USER_ASSC_ADDR_bus(8), B => 
        EV_ASSCADDR_net(8), S => EV_ASSC_RD_net, Y => N_457);
    
    \bnrsdrtmtsg[2]\ : DFN1E0C0
      port map(D => \bnrsdrtmtsg_5[2]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \un1_cfxfrwgjccr_9\, Q => 
        ASSC_SEQOUT_net_net_2);
    
    \mksbfqnmmgw[4]\ : NOR2A
      port map(A => ADC_RESULT_net_net_6, B => 
        \jzzdfrmzwdj[4]_net_1\, Y => ASSC_RAM_DI_B_net_net_3);
    
    \bnrsdrtmtsg_5_r[5]\ : NOR2B
      port map(A => INIT_DONE_c, B => N_325, Y => 
        \bnrsdrtmtsg_5[5]_net_1\);
    
    \jzzdfrmzwdj_ns_i_o4[1]\ : OR2B
      port map(A => \jzzdfrmzwdj[15]_net_1\, B => \bksczsjcvgb\, 
        Y => N_271);
    
    \svpqbbcnvqz[2]\ : OR3A
      port map(A => \svpqbbcnvqz_1[2]_net_1\, B => 
        un1_ADC_inst_2_0, C => \jzzdfrmzwdj[4]_net_1\, Y => 
        ASSC_RAM_ADDR_B_net_net_5);
    
    \jzzdfrmzwdj_ns_i[4]\ : NOR2B
      port map(A => un1_ADC_inst_2_0, B => INIT_DONE_c, Y => 
        \jzzdfrmzwdj_ns_i[4]_net_1\);
    
    \mksbfqnmmgw[1]\ : MX2
      port map(A => ADC_RESULT_net_net_9, B => 
        \Z\\ADC_RESULT_net\\\, S => \jzzdfrmzwdj[4]_net_1\, Y => 
        ASSC_RAM_DI_B_net_net_6);
    
    \jzzdfrmzwdj_ns[0]\ : OR2B
      port map(A => \jzzdfrmzwdj_ns_1[0]_net_1\, B => 
        bksnhfwfshc_6_sqmuxa, Y => \jzzdfrmzwdj_ns[0]_net_1\);
    
    \dbcvwwhvvwh[6]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_1, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[13]_net_1\, Q => 
        \Z\\ADC_TVC_net\\\);
    
    \dspfgfmqhwh[2]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_5, CLK => GLA_c, CLR
         => SYS_RESET_global, E => un1_ADC_inst_2_0, Q => 
        ADC_CHNUMBER_net(2));
    
    \jzzdfrmzwdj_ns_0[0]\ : AOI1B
      port map(A => \jzzdfrmzwdj[0]_net_1\, B => \znbkwkbspdc\, C
         => INIT_DONE_c, Y => \jzzdfrmzwdj_ns_0[0]_net_1\);
    
    \hgqdwrxvgzm_3[4]\ : MX2
      port map(A => \hgqdwrxvgzm[4]_net_1\, B => 
        ASSC_RAM_DO_B_net_net_3, S => \jzzdfrmzwdj[14]_net_1\, Y
         => \hgqdwrxvgzm_3[4]_net_1\);
    
    \hgqdwrxvgzm[2]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_5, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[14]_net_1\, Q => 
        \hgqdwrxvgzm[2]_net_1\);
    
    jdhgstfqkjm_2_i : INV
      port map(A => \jdhgstfqkjm_2\, Y => \jdhgstfqkjm_2_i\);
    
    \svpqbbcnvqz[1]\ : OR3B
      port map(A => \jzzdfrmzwdj_i[5]\, B => 
        \svpqbbcnvqz_1[2]_net_1\, C => \jzzdfrmzwdj[13]_net_1\, Y
         => ASSC_RAM_ADDR_B_net_net_6);
    
    \jzzdfrmzwdj_ns_i[13]\ : OR3C
      port map(A => N_448, B => N_427, C => INIT_DONE_c, Y => 
        \jzzdfrmzwdj_ns_i[13]_net_1\);
    
    \jzzdfrmzwdj[4]\ : DFN1C0
      port map(D => \jzzdfrmzwdj_ns_i[11]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \jzzdfrmzwdj[4]_net_1\);
    
    \ksbhwjctscp[7]\ : MX2B
      port map(A => INIT_ADDR_int(7), B => N_456, S => 
        INIT_DONE_c, Y => \Z\\ASSC_RAM_ADDR_A_net\\\);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    ddvbdtxtbpx_i_1_0 : OR2
      port map(A => \jzzdfrmzwdj[10]_net_1\, B => 
        un1_ADC_inst_2_0, Y => \ddvbdtxtbpx_i_1_0\);
    
    hdxtpkktfvz_0_o2 : XO1A
      port map(A => \Z\\ASSC_RAM_DO_B_net\\\, B => 
        ASSC_RAM_DO_B_net_net_1, C => N_257, Y => N_264);
    
    \jzzdfrmzwdj[3]\ : DFN1P0
      port map(D => \jzzdfrmzwdj_ns_i[12]_net_1\, CLK => GLA_c, 
        PRE => SYS_RESET_global, Q => \jzzdfrmzwdj_i_0[3]\);
    
    \jzzdfrmzwdj_ns_i_0[15]\ : AO1C
      port map(A => \jzzdfrmzwdj_0[14]_net_1\, B => \znbkwkbspdc\, 
        C => INIT_DONE_c, Y => \jzzdfrmzwdj_ns_i_0[15]_net_1\);
    
    \jzzdfrmzwdj_0[14]\ : DFN1C0
      port map(D => \jzzdfrmzwdj_ns_i[1]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \jzzdfrmzwdj_0[14]_net_1\);
    
    \jzzdfrmzwdj_ns_i[14]\ : OA1A
      port map(A => N_291, B => \jzzdfrmzwdj[1]_net_1\, C => 
        \jzzdfrmzwdj_ns_i_0[14]_net_1\, Y => N_233_i_0);
    
    \ksbhwjctscp[8]\ : MX2B
      port map(A => INIT_ADDR_int(8), B => N_457, S => 
        INIT_DONE_c, Y => ASSC_RAM_ADDR_A_net(8));
    
    \hgqdwrxvgzm[3]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_4, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[14]_net_1\, Q => 
        \hgqdwrxvgzm[3]_net_1\);
    
    \jzzdfrmzwdj_ns_i_o4[2]\ : NOR3B
      port map(A => \jzzdfrmzwdj_0[14]_net_1\, B => N_254, C => 
        ASSC_RAM_DO_B_net(8), Y => N_272);
    
    \jzzdfrmzwdj[7]\ : DFN1C0
      port map(D => \jzzdfrmzwdj_ns_i[8]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \jzzdfrmzwdj[7]_net_1\);
    
    \jzzdfrmzwdj[0]\ : DFN1C0
      port map(D => \jzzdfrmzwdj_ns_i[15]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \jzzdfrmzwdj[0]_net_1\);
    
    I_114 : OR2B
      port map(A => \znbmnfdbzvr\, B => bksnhfwfshc, Y => N_317);
    
    \dbcvwwhvvwh[3]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_4, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[13]_net_1\, Q => 
        ADC_TVC_net_net_3);
    
    un1_bksnhfwfshc_4_sqmuxa_1_0_a4_0 : OR3A
      port map(A => ASSC_RAM_DO_B_net_net_1, B => 
        \Z\\ASSC_RAM_DO_B_net\\\, C => N_257, Y => N_284);
    
    \jzzdfrmzwdj[12]\ : DFN1C0
      port map(D => \jzzdfrmzwdj_ns_i[3]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \jzzdfrmzwdj[12]_net_1\);
    
    \ksbhwjctscp_0[2]\ : AOI1
      port map(A => bskrjhjvqpf_1_sqmuxa, B => 
        USER_ASSC_ADDR_bus(2), C => EV_ASSCADDR_net_net_5, Y => 
        N_451);
    
    fsrxhtjthgw_i_a2_0 : OR2A
      port map(A => N_448, B => \jzzdfrmzwdj[1]_net_1\, Y => 
        N_287);
    
    \mksbfqnmmgw[8]\ : NOR2A
      port map(A => ADC_RESULT_net_net_2, B => 
        \jzzdfrmzwdj[4]_net_1\, Y => ASSC_RAM_DI_B_net(8));
    
    \jzzdfrmzwdj_ns_i[12]\ : OR2B
      port map(A => INIT_DONE_c, B => \jzzdfrmzwdj[4]_net_1\, Y
         => \jzzdfrmzwdj_ns_i[12]_net_1\);
    
    \ksbhwjctscp_0[7]\ : MX2C
      port map(A => USER_ASSC_ADDR_bus(7), B => 
        \Z\\EV_ASSCADDR_net\\\, S => EV_ASSC_RD_net, Y => N_456);
    
    \hgqdwrxvgzm_3[3]\ : MX2
      port map(A => \hgqdwrxvgzm[3]_net_1\, B => 
        ASSC_RAM_DO_B_net_net_4, S => \jzzdfrmzwdj_0[14]_net_1\, 
        Y => \hgqdwrxvgzm_3[3]_net_1\);
    
    hdxtpkktfvz_0_a4 : OR2A
      port map(A => N_427, B => N_448, Y => N_276);
    
    \bnrsdrtmtsg_5_r[2]\ : NOR2B
      port map(A => INIT_DONE_c, B => N_322, Y => 
        \bnrsdrtmtsg_5[2]_net_1\);
    
    \bnrsdrtmtsg_5[4]\ : MX2
      port map(A => \hgqdwrxvgzm_3[4]_net_1\, B => 
        \trnwxjxxrbp[4]_net_1\, S => N_317, Y => N_324);
    
    jdhgstfqkjm_2_1 : NOR3B
      port map(A => N_275, B => INIT_DONE_c, C => \wwhrbsjdjpn\, 
        Y => \jdhgstfqkjm_2_1\);
    
    un4_wkpfnwqwgcb : OR2
      port map(A => \un2_wkpfnwqwgcb\, B => \jdhgstfqkjm_2\, Y
         => \un4_wkpfnwqwgcb\);
    
    \bnrsdrtmtsg_5_r[4]\ : NOR2B
      port map(A => INIT_DONE_c, B => N_324, Y => 
        \bnrsdrtmtsg_5[4]_net_1\);
    
    \svpqbbcnvqz_1[2]\ : NOR2
      port map(A => \jzzdfrmzwdj[11]_net_1\, B => 
        \jzzdfrmzwdj[10]_net_1\, Y => \svpqbbcnvqz_1[2]_net_1\);
    
    \hgqdwrxvgzm_3[2]\ : MX2
      port map(A => \hgqdwrxvgzm[2]_net_1\, B => 
        ASSC_RAM_DO_B_net_net_5, S => \jzzdfrmzwdj_0[14]_net_1\, 
        Y => \hgqdwrxvgzm_3[2]_net_1\);
    
    un1_znbmnfdbzvr_m : OR2
      port map(A => \znbmnfdbzvr\, B => N_271, Y => 
        \un1_znbmnfdbzvr_m\);
    
    \pfkhhxxsrzp[3]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net(8), CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \jzzdfrmzwdj[12]_net_1\, Q => 
        ADC_MODE_net(3));
    
    \jzzdfrmzwdj_ns_a2[0]\ : NOR3A
      port map(A => \jzzdfrmzwdj_0[14]_net_1\, B => 
        ASSC_RAM_DO_B_net(8), C => N_254, Y => N_285);
    
    \trnwxjxxrbp[2]\ : DFN1C0
      port map(D => \trnwxjxxrbp[2]_net_1\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \trnwxjxxrbp[2]_net_1\);
    
    \jzzdfrmzwdj[11]\ : DFN1C0
      port map(D => \jzzdfrmzwdj_ns_i[4]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \jzzdfrmzwdj[11]_net_1\);
    
    \bnrsdrtmtsg_5_r[3]\ : NOR2B
      port map(A => INIT_DONE_c, B => N_323, Y => 
        \bnrsdrtmtsg_5[3]_net_1\);
    
    hbxwhvjzqbt_iv : OAI1
      port map(A => INIT_ASSC_WEN_int, B => INIT_DONE_c, C => 
        un14_kftxkzdmgnn, Y => ASSC_RAM_CSN_A_net);
    
    \jzzdfrmzwdj[14]\ : DFN1C0
      port map(D => \jzzdfrmzwdj_ns_i[1]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \jzzdfrmzwdj[14]_net_1\);
    
    N_192_m : AO1
      port map(A => N_256, B => N_276, C => \znbkwkbspdc\, Y => 
        \N_192_m\);
    
    \ktwrhqstzjg\ : NOR3C
      port map(A => bksnhfwfshc, B => INIT_DONE_c, C => 
        \znbmnfdbzvr\, Y => ktwrhqstzjg_net_1);
    
    \dbcvwwhvvwh[1]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_6, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[13]_net_1\, Q => 
        ADC_TVC_net_net_5);
    
    znbmnfdbzvr : DFN1C0
      port map(D => \znbmnfdbzvr_38\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \znbmnfdbzvr\);
    
    \pfkhhxxsrzp[0]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_2, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[12]_net_1\, Q => 
        ADC_MODE_net_net_2);
    
    jdhgstfqkjm : DFN1P0
      port map(D => \jdhgstfqkjm_2\, CLK => GLA_c, PRE => 
        SYS_RESET_global, Q => ADC_RESET_net);
    
    \hgqdwrxvgzm[1]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_6, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[14]_net_1\, Q => 
        \hgqdwrxvgzm[1]_net_1\);
    
    \jzzdfrmzwdj_ns_a2_0[0]\ : NOR2
      port map(A => N_257, B => N_290, Y => N_286);
    
    un1_bksnhfwfshc_1_sqmuxa_i_a2 : OA1B
      port map(A => N_254, B => N_257, C => 
        \jzzdfrmzwdj[15]_net_1\, Y => N_291);
    
    \jzzdfrmzwdj[6]\ : DFN1C0
      port map(D => \jzzdfrmzwdj_ns_i[9]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \jzzdfrmzwdj[6]_net_1\);
    
    \jzzdfrmzwdj[5]\ : DFN1P0
      port map(D => \jzzdfrmzwdj_ns[10]\, CLK => GLA_c, PRE => 
        SYS_RESET_global, Q => \jzzdfrmzwdj_i[5]\);
    
    \jzzdfrmzwdj[15]\ : DFN1P0
      port map(D => \jzzdfrmzwdj_ns[0]_net_1\, CLK => GLA_c, PRE
         => SYS_RESET_global, Q => \jzzdfrmzwdj[15]_net_1\);
    
    \mksbfqnmmgw[0]\ : MX2
      port map(A => ADC_RESULT_net_net_10, B => 
        ADC_RESULT_net_net_1, S => \jzzdfrmzwdj[4]_net_1\, Y => 
        ASSC_RAM_DI_B_net_net_7);
    
    \jzzdfrmzwdj[13]\ : DFN1C0
      port map(D => \jzzdfrmzwdj_ns_i[2]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \jzzdfrmzwdj[13]_net_1\);
    
    \jzzdfrmzwdj_ns_i[2]\ : NOR2B
      port map(A => INIT_DONE_c, B => N_272, Y => 
        \jzzdfrmzwdj_ns_i[2]_net_1\);
    
    \trnwxjxxrbp[4]\ : DFN1C0
      port map(D => \trnwxjxxrbp[4]_net_1\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \trnwxjxxrbp[4]_net_1\);
    
    \ASSC_RAM_WR_BUSY_B_c_i\ : INV
      port map(A => \ASSC_RAM_WR_BUSY_B_c\, Y => 
        ASSC_RAM_WR_BUSY_B_c_i);
    
    \hgqdwrxvgzm_3[1]\ : MX2
      port map(A => \hgqdwrxvgzm[1]_net_1\, B => 
        ASSC_RAM_DO_B_net_net_6, S => \jzzdfrmzwdj_0[14]_net_1\, 
        Y => \hgqdwrxvgzm_3[1]_net_1\);
    
    \ksbhwjctscp[2]\ : MX2B
      port map(A => INIT_ADDR_int(2), B => N_451, S => 
        INIT_DONE_c, Y => ASSC_RAM_ADDR_A_net_net_5);
    
    \jzzdfrmzwdj[9]\ : DFN1C0
      port map(D => \jzzdfrmzwdj_ns_i[6]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \jzzdfrmzwdj[9]_net_1\);
    
    bksnhfwfshc_0_sqmuxa_3_i_0_o2 : OR2B
      port map(A => \jzzdfrmzwdj_i_0[3]\, B => 
        \jzzdfrmzwdj_i_0[2]\, Y => N_427);
    
    znbkwkbspdc : DFN1C0
      port map(D => \znbkwkbspdc_36_i\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \znbkwkbspdc\);
    
    \jzzdfrmzwdj_ns_a4[10]\ : OR3B
      port map(A => \jzzdfrmzwdj[6]_net_1\, B => INIT_DONE_c, C
         => ADC_BUSY_net, Y => \jzzdfrmzwdj_ns[10]\);
    
    jngpzgpmcms : OR2A
      port map(A => INIT_ASSC_WEN_int, B => INIT_DONE_c, Y => 
        ASSC_RAM_RW_A_net);
    
    qvkpfznsfjx : DFN1C0
      port map(D => hdxtpkktfvz, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \ASSC_DONE_c\);
    
    \ptxbvztnpnf[5]\ : DFN1E1C0
      port map(D => ASSC_RAM_DO_B_net_net_2, CLK => GLA_c, CLR
         => SYS_RESET_global, E => \jzzdfrmzwdj[11]_net_1\, Q => 
        ADC_STC_net_net_1);
    
    un1_cfxfrwgjccr_9 : NOR3A
      port map(A => INIT_DONE_c, B => \N_266\, C => 
        ktwrhqstzjg_net_1, Y => \un1_cfxfrwgjccr_9\);
    
    ddvbdtxtbpx_i_1 : NOR2
      port map(A => \ddvbdtxtbpx_i_1_0\, B => N_272, Y => N_239_1);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity ASSC is

    port(ASSC_RAM_DO_B_net : in std_logic_vector(8 to 8); 
        USER_ASSC_ADDR_bus : in std_logic_vector(8 downto 0); 
        EV_ASSCADDR_net : in std_logic_vector(8 to 8); 
        INIT_ADDR_int : in std_logic_vector(8 downto 0); 
        ASSC_RAM_ADDR_A_net : out std_logic_vector(8 to 8); 
        ADC_RESULT_net : in std_logic_vector(11 to 11); 
        ASSC_RAM_DI_B_net : out std_logic_vector(8 to 8); 
        ADC_STC_net : out std_logic_vector(7 to 7); 
        ADC_CHNUMBER_net : out std_logic_vector(4 downto 0); 
        ADC_TVC_net : out std_logic_vector(7 to 7); ADC_MODE_net
         : out std_logic_vector(3 to 3); ASSC_SEQOUT_net : 
        out std_logic_vector(5 to 5); USER_ASSC_RAM_BUSY_net : 
        out std_logic; INIT_DONE_c, EV_ASSC_RD_net, GLA_c, 
        SYS_RESET_global : in std_logic; ASSC_RAM_WR_BUSY_B_c_i, 
        ASSC_RAM_WR_BUSY_B_c : out std_logic; 
        \Z\\ASSC_RAM_DO_B_net\\\, ASSC_RAM_DO_B_net_net_1, 
        TR_DONE_net_i_0, TR_TRFLAG_net, EV_EVFLAG_net : in
         std_logic; N_266, ASSC_RAM_ADDR_B_net_net_5, 
        ASSC_RAM_ADDR_B_net_net_6, N_239_i_0 : out std_logic; 
        EV_DONE_net_0, ADC_BUSY_net : in std_logic; ktwrhqstzjg, 
        ASSC_DONE_c, ADC_START_net : out std_logic; 
        bskrjhjvqpf_1_sqmuxa_0, EV_ASSCADDR_net_net_5, 
        bskrjhjvqpf_1_sqmuxa, EV_ASSCADDR_net_net_4, 
        EV_ASSCADDR_net_net_3, EV_ASSCADDR_net_net_2, 
        EV_ASSCADDR_net_net_1, \Z\\EV_ASSCADDR_net\\\ : in
         std_logic; ASSC_RAM_ADDR_A_net_net_7, 
        ASSC_RAM_ADDR_A_net_net_6, ASSC_RAM_ADDR_A_net_net_5, 
        ASSC_RAM_ADDR_A_net_net_4, ASSC_RAM_ADDR_A_net_net_3, 
        ASSC_RAM_ADDR_A_net_net_2, ASSC_RAM_ADDR_A_net_net_1, 
        \Z\\ASSC_RAM_ADDR_A_net\\\, ASSC_RAM_DI_B_net_net_7 : out
         std_logic; ADC_RESULT_net_net_10, ADC_RESULT_net_net_1 : 
        in std_logic; ASSC_RAM_DI_B_net_net_6 : out std_logic; 
        ADC_RESULT_net_net_9, \Z\\ADC_RESULT_net\\\ : in
         std_logic; ASSC_RAM_DI_B_net_net_5 : out std_logic; 
        ADC_RESULT_net_net_8, ASSC_RAM_DO_B_net_net_7, 
        ASSC_RAM_DO_B_net_net_6, ASSC_RAM_DO_B_net_net_5, 
        ASSC_RAM_DO_B_net_net_4, ASSC_RAM_DO_B_net_net_3, 
        ASSC_RAM_DO_B_net_net_2 : in std_logic; 
        ASSC_RAM_DI_B_net_net_4 : out std_logic; 
        ADC_RESULT_net_net_7 : in std_logic; 
        ASSC_RAM_DI_B_net_net_3 : out std_logic; 
        ADC_RESULT_net_net_6 : in std_logic; 
        ASSC_RAM_DI_B_net_net_2 : out std_logic; 
        ADC_RESULT_net_net_5 : in std_logic; 
        ASSC_RAM_DI_B_net_net_1 : out std_logic; 
        ADC_RESULT_net_net_4 : in std_logic; 
        \Z\\ASSC_RAM_DI_B_net\\\ : out std_logic; 
        ADC_RESULT_net_net_3, ADC_RESULT_net_net_2 : in std_logic; 
        ASSC_RAM_ADDR_B_net_net_7 : out std_logic; 
        USER_ASSC_RD_net : in std_logic; ASSC_RAM_RW_A_net : out
         std_logic; INIT_ASSC_WEN_int : in std_logic; 
        ASSC_RAM_CSN_A_net : out std_logic; ADC_CALIBRATE_net : 
        in std_logic; ADC_RESET_net, ADC_PDOWN_net, 
        ASSC_SAMPFLAG_net, ADC_STC_net_net_6, ADC_STC_net_net_5, 
        ADC_STC_net_net_4, ADC_STC_net_net_3, ADC_STC_net_net_2, 
        ADC_STC_net_net_1, \Z\\ADC_STC_net\\\, ADC_TVC_net_net_6, 
        ADC_TVC_net_net_5, ADC_TVC_net_net_4, ADC_TVC_net_net_3, 
        ADC_TVC_net_net_2, ADC_TVC_net_net_1, \Z\\ADC_TVC_net\\\, 
        ADC_MODE_net_net_2, ADC_MODE_net_net_1, 
        \Z\\ADC_MODE_net\\\, ASSC_SEQOUT_net_net_4, 
        ASSC_SEQOUT_net_net_3, ASSC_SEQOUT_net_net_2, 
        ASSC_SEQOUT_net_net_1, \Z\\ASSC_SEQOUT_net\\\ : out
         std_logic);

end ASSC;

architecture DEF_ARCH of ASSC is 

  component VCC
    port(Y : out std_logic);
  end component;

  component fmvgpwbdcxs
    port(ASSC_SEQOUT_net : out std_logic_vector(5 to 5); 
        ADC_MODE_net : out std_logic_vector(3 to 3); ADC_TVC_net
         : out std_logic_vector(7 to 7); ADC_CHNUMBER_net : 
        out std_logic_vector(4 downto 0); ADC_STC_net : 
        out std_logic_vector(7 to 7); ASSC_RAM_DI_B_net : 
        out std_logic_vector(8 to 8); ADC_RESULT_net : 
        in std_logic_vector(11 to 11) := (others => 'U'); 
        ASSC_RAM_ADDR_A_net : out std_logic_vector(8 to 8); 
        INIT_ADDR_int : 
        in std_logic_vector(8 downto 0) := (others => 'U'); 
        EV_ASSCADDR_net : 
        in std_logic_vector(8 to 8) := (others => 'U'); 
        USER_ASSC_ADDR_bus : 
        in std_logic_vector(8 downto 0) := (others => 'U'); 
        ASSC_RAM_DO_B_net : 
        in std_logic_vector(8 to 8) := (others => 'U'); 
        \Z\\ASSC_SEQOUT_net\\\, ASSC_SEQOUT_net_net_1, 
        ASSC_SEQOUT_net_net_2, ASSC_SEQOUT_net_net_3, 
        ASSC_SEQOUT_net_net_4, \Z\\ADC_MODE_net\\\, 
        ADC_MODE_net_net_1, ADC_MODE_net_net_2, 
        \Z\\ADC_TVC_net\\\, ADC_TVC_net_net_1, ADC_TVC_net_net_2, 
        ADC_TVC_net_net_3, ADC_TVC_net_net_4, ADC_TVC_net_net_5, 
        ADC_TVC_net_net_6, \Z\\ADC_STC_net\\\, ADC_STC_net_net_1, 
        ADC_STC_net_net_2, ADC_STC_net_net_3, ADC_STC_net_net_4, 
        ADC_STC_net_net_5, ADC_STC_net_net_6, ASSC_SAMPFLAG_net, 
        ADC_PDOWN_net, ADC_RESET_net : out std_logic; 
        ADC_CALIBRATE_net : in std_logic := 'U'; 
        ASSC_RAM_CSN_A_net : out std_logic; INIT_ASSC_WEN_int : 
        in std_logic := 'U'; ASSC_RAM_RW_A_net : out std_logic; 
        USER_ASSC_RD_net : in std_logic := 'U'; 
        ASSC_RAM_ADDR_B_net_net_7 : out std_logic; 
        ADC_RESULT_net_net_2, ADC_RESULT_net_net_3 : in
         std_logic := 'U'; \Z\\ASSC_RAM_DI_B_net\\\ : out
         std_logic; ADC_RESULT_net_net_4 : in std_logic := 'U'; 
        ASSC_RAM_DI_B_net_net_1 : out std_logic; 
        ADC_RESULT_net_net_5 : in std_logic := 'U'; 
        ASSC_RAM_DI_B_net_net_2 : out std_logic; 
        ADC_RESULT_net_net_6 : in std_logic := 'U'; 
        ASSC_RAM_DI_B_net_net_3 : out std_logic; 
        ADC_RESULT_net_net_7 : in std_logic := 'U'; 
        ASSC_RAM_DI_B_net_net_4 : out std_logic; 
        ASSC_RAM_DO_B_net_net_2, ASSC_RAM_DO_B_net_net_3, 
        ASSC_RAM_DO_B_net_net_4, ASSC_RAM_DO_B_net_net_5, 
        ASSC_RAM_DO_B_net_net_6, ASSC_RAM_DO_B_net_net_7, 
        ADC_RESULT_net_net_8 : in std_logic := 'U'; 
        ASSC_RAM_DI_B_net_net_5 : out std_logic; 
        \Z\\ADC_RESULT_net\\\, ADC_RESULT_net_net_9 : in
         std_logic := 'U'; ASSC_RAM_DI_B_net_net_6 : out
         std_logic; ADC_RESULT_net_net_1, ADC_RESULT_net_net_10 : 
        in std_logic := 'U'; ASSC_RAM_DI_B_net_net_7, 
        \Z\\ASSC_RAM_ADDR_A_net\\\, ASSC_RAM_ADDR_A_net_net_1, 
        ASSC_RAM_ADDR_A_net_net_2, ASSC_RAM_ADDR_A_net_net_3, 
        ASSC_RAM_ADDR_A_net_net_4, ASSC_RAM_ADDR_A_net_net_5, 
        ASSC_RAM_ADDR_A_net_net_6, ASSC_RAM_ADDR_A_net_net_7 : 
        out std_logic; \Z\\EV_ASSCADDR_net\\\, 
        EV_ASSCADDR_net_net_1, EV_ASSCADDR_net_net_2, 
        EV_ASSCADDR_net_net_3, EV_ASSCADDR_net_net_4, 
        bskrjhjvqpf_1_sqmuxa, EV_ASSCADDR_net_net_5, 
        bskrjhjvqpf_1_sqmuxa_0 : in std_logic := 'U'; 
        ADC_START_net, ASSC_DONE_c, ktwrhqstzjg : out std_logic; 
        ADC_BUSY_net, EV_DONE_net_0 : in std_logic := 'U'; 
        N_239_i_0, ASSC_RAM_ADDR_B_net_net_6, 
        ASSC_RAM_ADDR_B_net_net_5, N_266 : out std_logic; 
        EV_EVFLAG_net, TR_TRFLAG_net, TR_DONE_net_i_0, 
        ASSC_RAM_DO_B_net_net_1, \Z\\ASSC_RAM_DO_B_net\\\ : in
         std_logic := 'U'; ASSC_RAM_WR_BUSY_B_c, 
        ASSC_RAM_WR_BUSY_B_c_i : out std_logic; SYS_RESET_global, 
        GLA_c, EV_ASSC_RD_net, INIT_DONE_c : in std_logic := 'U'; 
        USER_ASSC_RAM_BUSY_net : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

    signal \VCC\, \GND\, GND_net_1, VCC_net_1 : std_logic;

    for all : fmvgpwbdcxs
	Use entity work.fmvgpwbdcxs(DEF_ARCH);
begin 


    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    u_fmvgpwbdcxs : fmvgpwbdcxs
      port map(ASSC_SEQOUT_net(5) => ASSC_SEQOUT_net(5), 
        ADC_MODE_net(3) => ADC_MODE_net(3), ADC_TVC_net(7) => 
        ADC_TVC_net(7), ADC_CHNUMBER_net(4) => 
        ADC_CHNUMBER_net(4), ADC_CHNUMBER_net(3) => 
        ADC_CHNUMBER_net(3), ADC_CHNUMBER_net(2) => 
        ADC_CHNUMBER_net(2), ADC_CHNUMBER_net(1) => 
        ADC_CHNUMBER_net(1), ADC_CHNUMBER_net(0) => 
        ADC_CHNUMBER_net(0), ADC_STC_net(7) => ADC_STC_net(7), 
        ASSC_RAM_DI_B_net(8) => ASSC_RAM_DI_B_net(8), 
        ADC_RESULT_net(11) => ADC_RESULT_net(11), 
        ASSC_RAM_ADDR_A_net(8) => ASSC_RAM_ADDR_A_net(8), 
        INIT_ADDR_int(8) => INIT_ADDR_int(8), INIT_ADDR_int(7)
         => INIT_ADDR_int(7), INIT_ADDR_int(6) => 
        INIT_ADDR_int(6), INIT_ADDR_int(5) => INIT_ADDR_int(5), 
        INIT_ADDR_int(4) => INIT_ADDR_int(4), INIT_ADDR_int(3)
         => INIT_ADDR_int(3), INIT_ADDR_int(2) => 
        INIT_ADDR_int(2), INIT_ADDR_int(1) => INIT_ADDR_int(1), 
        INIT_ADDR_int(0) => INIT_ADDR_int(0), EV_ASSCADDR_net(8)
         => EV_ASSCADDR_net(8), USER_ASSC_ADDR_bus(8) => 
        USER_ASSC_ADDR_bus(8), USER_ASSC_ADDR_bus(7) => 
        USER_ASSC_ADDR_bus(7), USER_ASSC_ADDR_bus(6) => 
        USER_ASSC_ADDR_bus(6), USER_ASSC_ADDR_bus(5) => 
        USER_ASSC_ADDR_bus(5), USER_ASSC_ADDR_bus(4) => 
        USER_ASSC_ADDR_bus(4), USER_ASSC_ADDR_bus(3) => 
        USER_ASSC_ADDR_bus(3), USER_ASSC_ADDR_bus(2) => 
        USER_ASSC_ADDR_bus(2), USER_ASSC_ADDR_bus(1) => 
        USER_ASSC_ADDR_bus(1), USER_ASSC_ADDR_bus(0) => 
        USER_ASSC_ADDR_bus(0), ASSC_RAM_DO_B_net(8) => 
        ASSC_RAM_DO_B_net(8), \Z\\ASSC_SEQOUT_net\\\ => 
        \Z\\ASSC_SEQOUT_net\\\, ASSC_SEQOUT_net_net_1 => 
        ASSC_SEQOUT_net_net_1, ASSC_SEQOUT_net_net_2 => 
        ASSC_SEQOUT_net_net_2, ASSC_SEQOUT_net_net_3 => 
        ASSC_SEQOUT_net_net_3, ASSC_SEQOUT_net_net_4 => 
        ASSC_SEQOUT_net_net_4, \Z\\ADC_MODE_net\\\ => 
        \Z\\ADC_MODE_net\\\, ADC_MODE_net_net_1 => 
        ADC_MODE_net_net_1, ADC_MODE_net_net_2 => 
        ADC_MODE_net_net_2, \Z\\ADC_TVC_net\\\ => 
        \Z\\ADC_TVC_net\\\, ADC_TVC_net_net_1 => 
        ADC_TVC_net_net_1, ADC_TVC_net_net_2 => ADC_TVC_net_net_2, 
        ADC_TVC_net_net_3 => ADC_TVC_net_net_3, ADC_TVC_net_net_4
         => ADC_TVC_net_net_4, ADC_TVC_net_net_5 => 
        ADC_TVC_net_net_5, ADC_TVC_net_net_6 => ADC_TVC_net_net_6, 
        \Z\\ADC_STC_net\\\ => \Z\\ADC_STC_net\\\, 
        ADC_STC_net_net_1 => ADC_STC_net_net_1, ADC_STC_net_net_2
         => ADC_STC_net_net_2, ADC_STC_net_net_3 => 
        ADC_STC_net_net_3, ADC_STC_net_net_4 => ADC_STC_net_net_4, 
        ADC_STC_net_net_5 => ADC_STC_net_net_5, ADC_STC_net_net_6
         => ADC_STC_net_net_6, ASSC_SAMPFLAG_net => 
        ASSC_SAMPFLAG_net, ADC_PDOWN_net => ADC_PDOWN_net, 
        ADC_RESET_net => ADC_RESET_net, ADC_CALIBRATE_net => 
        ADC_CALIBRATE_net, ASSC_RAM_CSN_A_net => 
        ASSC_RAM_CSN_A_net, INIT_ASSC_WEN_int => 
        INIT_ASSC_WEN_int, ASSC_RAM_RW_A_net => ASSC_RAM_RW_A_net, 
        USER_ASSC_RD_net => USER_ASSC_RD_net, 
        ASSC_RAM_ADDR_B_net_net_7 => ASSC_RAM_ADDR_B_net_net_7, 
        ADC_RESULT_net_net_2 => ADC_RESULT_net_net_2, 
        ADC_RESULT_net_net_3 => ADC_RESULT_net_net_3, 
        \Z\\ASSC_RAM_DI_B_net\\\ => \Z\\ASSC_RAM_DI_B_net\\\, 
        ADC_RESULT_net_net_4 => ADC_RESULT_net_net_4, 
        ASSC_RAM_DI_B_net_net_1 => ASSC_RAM_DI_B_net_net_1, 
        ADC_RESULT_net_net_5 => ADC_RESULT_net_net_5, 
        ASSC_RAM_DI_B_net_net_2 => ASSC_RAM_DI_B_net_net_2, 
        ADC_RESULT_net_net_6 => ADC_RESULT_net_net_6, 
        ASSC_RAM_DI_B_net_net_3 => ASSC_RAM_DI_B_net_net_3, 
        ADC_RESULT_net_net_7 => ADC_RESULT_net_net_7, 
        ASSC_RAM_DI_B_net_net_4 => ASSC_RAM_DI_B_net_net_4, 
        ASSC_RAM_DO_B_net_net_2 => ASSC_RAM_DO_B_net_net_2, 
        ASSC_RAM_DO_B_net_net_3 => ASSC_RAM_DO_B_net_net_3, 
        ASSC_RAM_DO_B_net_net_4 => ASSC_RAM_DO_B_net_net_4, 
        ASSC_RAM_DO_B_net_net_5 => ASSC_RAM_DO_B_net_net_5, 
        ASSC_RAM_DO_B_net_net_6 => ASSC_RAM_DO_B_net_net_6, 
        ASSC_RAM_DO_B_net_net_7 => ASSC_RAM_DO_B_net_net_7, 
        ADC_RESULT_net_net_8 => ADC_RESULT_net_net_8, 
        ASSC_RAM_DI_B_net_net_5 => ASSC_RAM_DI_B_net_net_5, 
        \Z\\ADC_RESULT_net\\\ => \Z\\ADC_RESULT_net\\\, 
        ADC_RESULT_net_net_9 => ADC_RESULT_net_net_9, 
        ASSC_RAM_DI_B_net_net_6 => ASSC_RAM_DI_B_net_net_6, 
        ADC_RESULT_net_net_1 => ADC_RESULT_net_net_1, 
        ADC_RESULT_net_net_10 => ADC_RESULT_net_net_10, 
        ASSC_RAM_DI_B_net_net_7 => ASSC_RAM_DI_B_net_net_7, 
        \Z\\ASSC_RAM_ADDR_A_net\\\ => \Z\\ASSC_RAM_ADDR_A_net\\\, 
        ASSC_RAM_ADDR_A_net_net_1 => ASSC_RAM_ADDR_A_net_net_1, 
        ASSC_RAM_ADDR_A_net_net_2 => ASSC_RAM_ADDR_A_net_net_2, 
        ASSC_RAM_ADDR_A_net_net_3 => ASSC_RAM_ADDR_A_net_net_3, 
        ASSC_RAM_ADDR_A_net_net_4 => ASSC_RAM_ADDR_A_net_net_4, 
        ASSC_RAM_ADDR_A_net_net_5 => ASSC_RAM_ADDR_A_net_net_5, 
        ASSC_RAM_ADDR_A_net_net_6 => ASSC_RAM_ADDR_A_net_net_6, 
        ASSC_RAM_ADDR_A_net_net_7 => ASSC_RAM_ADDR_A_net_net_7, 
        \Z\\EV_ASSCADDR_net\\\ => \Z\\EV_ASSCADDR_net\\\, 
        EV_ASSCADDR_net_net_1 => EV_ASSCADDR_net_net_1, 
        EV_ASSCADDR_net_net_2 => EV_ASSCADDR_net_net_2, 
        EV_ASSCADDR_net_net_3 => EV_ASSCADDR_net_net_3, 
        EV_ASSCADDR_net_net_4 => EV_ASSCADDR_net_net_4, 
        bskrjhjvqpf_1_sqmuxa => bskrjhjvqpf_1_sqmuxa, 
        EV_ASSCADDR_net_net_5 => EV_ASSCADDR_net_net_5, 
        bskrjhjvqpf_1_sqmuxa_0 => bskrjhjvqpf_1_sqmuxa_0, 
        ADC_START_net => ADC_START_net, ASSC_DONE_c => 
        ASSC_DONE_c, ktwrhqstzjg => ktwrhqstzjg, ADC_BUSY_net => 
        ADC_BUSY_net, EV_DONE_net_0 => EV_DONE_net_0, N_239_i_0
         => N_239_i_0, ASSC_RAM_ADDR_B_net_net_6 => 
        ASSC_RAM_ADDR_B_net_net_6, ASSC_RAM_ADDR_B_net_net_5 => 
        ASSC_RAM_ADDR_B_net_net_5, N_266 => N_266, EV_EVFLAG_net
         => EV_EVFLAG_net, TR_TRFLAG_net => TR_TRFLAG_net, 
        TR_DONE_net_i_0 => TR_DONE_net_i_0, 
        ASSC_RAM_DO_B_net_net_1 => ASSC_RAM_DO_B_net_net_1, 
        \Z\\ASSC_RAM_DO_B_net\\\ => \Z\\ASSC_RAM_DO_B_net\\\, 
        ASSC_RAM_WR_BUSY_B_c => ASSC_RAM_WR_BUSY_B_c, 
        ASSC_RAM_WR_BUSY_B_c_i => ASSC_RAM_WR_BUSY_B_c_i, 
        SYS_RESET_global => SYS_RESET_global, GLA_c => GLA_c, 
        EV_ASSC_RD_net => EV_ASSC_RD_net, INIT_DONE_c => 
        INIT_DONE_c, USER_ASSC_RAM_BUSY_net => 
        USER_ASSC_RAM_BUSY_net);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    GND_i : GND
      port map(Y => \GND\);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity ADC_assc_wrapper is

    port(ASSC_SEQOUT_net : out std_logic_vector(5 to 5); 
        ADC_MODE_net : out std_logic_vector(3 to 3); ADC_TVC_net
         : out std_logic_vector(7 to 7); ADC_CHNUMBER_net : 
        out std_logic_vector(4 downto 0); ADC_STC_net : 
        out std_logic_vector(7 to 7); ASSC_RAM_DI_B_net : 
        out std_logic_vector(8 to 8); ADC_RESULT_net : 
        in std_logic_vector(11 to 11); ASSC_RAM_ADDR_A_net : 
        out std_logic_vector(8 to 8); INIT_ADDR_int : 
        in std_logic_vector(8 downto 0); EV_ASSCADDR_net : 
        in std_logic_vector(8 to 8); USER_ASSC_ADDR_bus : 
        in std_logic_vector(8 downto 0); ASSC_RAM_DO_B_net : 
        in std_logic_vector(8 to 8); \Z\\ASSC_SEQOUT_net\\\, 
        ASSC_SEQOUT_net_net_1, ASSC_SEQOUT_net_net_2, 
        ASSC_SEQOUT_net_net_3, ASSC_SEQOUT_net_net_4, 
        \Z\\ADC_MODE_net\\\, ADC_MODE_net_net_1, 
        ADC_MODE_net_net_2, \Z\\ADC_TVC_net\\\, ADC_TVC_net_net_1, 
        ADC_TVC_net_net_2, ADC_TVC_net_net_3, ADC_TVC_net_net_4, 
        ADC_TVC_net_net_5, ADC_TVC_net_net_6, \Z\\ADC_STC_net\\\, 
        ADC_STC_net_net_1, ADC_STC_net_net_2, ADC_STC_net_net_3, 
        ADC_STC_net_net_4, ADC_STC_net_net_5, ADC_STC_net_net_6, 
        ASSC_SAMPFLAG_net, ADC_PDOWN_net, ADC_RESET_net : out
         std_logic; ADC_CALIBRATE_net : in std_logic; 
        ASSC_RAM_CSN_A_net : out std_logic; INIT_ASSC_WEN_int : 
        in std_logic; ASSC_RAM_RW_A_net : out std_logic; 
        USER_ASSC_RD_net : in std_logic; 
        ASSC_RAM_ADDR_B_net_net_7 : out std_logic; 
        ADC_RESULT_net_net_2, ADC_RESULT_net_net_3 : in std_logic; 
        \Z\\ASSC_RAM_DI_B_net\\\ : out std_logic; 
        ADC_RESULT_net_net_4 : in std_logic; 
        ASSC_RAM_DI_B_net_net_1 : out std_logic; 
        ADC_RESULT_net_net_5 : in std_logic; 
        ASSC_RAM_DI_B_net_net_2 : out std_logic; 
        ADC_RESULT_net_net_6 : in std_logic; 
        ASSC_RAM_DI_B_net_net_3 : out std_logic; 
        ADC_RESULT_net_net_7 : in std_logic; 
        ASSC_RAM_DI_B_net_net_4 : out std_logic; 
        ASSC_RAM_DO_B_net_net_2, ASSC_RAM_DO_B_net_net_3, 
        ASSC_RAM_DO_B_net_net_4, ASSC_RAM_DO_B_net_net_5, 
        ASSC_RAM_DO_B_net_net_6, ASSC_RAM_DO_B_net_net_7, 
        ADC_RESULT_net_net_8 : in std_logic; 
        ASSC_RAM_DI_B_net_net_5 : out std_logic; 
        \Z\\ADC_RESULT_net\\\, ADC_RESULT_net_net_9 : in
         std_logic; ASSC_RAM_DI_B_net_net_6 : out std_logic; 
        ADC_RESULT_net_net_1, ADC_RESULT_net_net_10 : in
         std_logic; ASSC_RAM_DI_B_net_net_7, 
        \Z\\ASSC_RAM_ADDR_A_net\\\, ASSC_RAM_ADDR_A_net_net_1, 
        ASSC_RAM_ADDR_A_net_net_2, ASSC_RAM_ADDR_A_net_net_3, 
        ASSC_RAM_ADDR_A_net_net_4, ASSC_RAM_ADDR_A_net_net_5, 
        ASSC_RAM_ADDR_A_net_net_6, ASSC_RAM_ADDR_A_net_net_7 : 
        out std_logic; \Z\\EV_ASSCADDR_net\\\, 
        EV_ASSCADDR_net_net_1, EV_ASSCADDR_net_net_2, 
        EV_ASSCADDR_net_net_3, EV_ASSCADDR_net_net_4, 
        bskrjhjvqpf_1_sqmuxa, EV_ASSCADDR_net_net_5, 
        bskrjhjvqpf_1_sqmuxa_0 : in std_logic; ADC_START_net, 
        ASSC_DONE_c, ktwrhqstzjg : out std_logic; ADC_BUSY_net, 
        EV_DONE_net_0 : in std_logic; N_239_i_0, 
        ASSC_RAM_ADDR_B_net_net_6, ASSC_RAM_ADDR_B_net_net_5, 
        N_266 : out std_logic; EV_EVFLAG_net, TR_TRFLAG_net, 
        TR_DONE_net_i_0, ASSC_RAM_DO_B_net_net_1, 
        \Z\\ASSC_RAM_DO_B_net\\\ : in std_logic; 
        ASSC_RAM_WR_BUSY_B_c, ASSC_RAM_WR_BUSY_B_c_i : out
         std_logic; SYS_RESET_global, GLA_c, EV_ASSC_RD_net, 
        INIT_DONE_c : in std_logic; USER_ASSC_RAM_BUSY_net : out
         std_logic);

end ADC_assc_wrapper;

architecture DEF_ARCH of ADC_assc_wrapper is 

  component VCC
    port(Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component ASSC
    port(ASSC_RAM_DO_B_net : 
        in std_logic_vector(8 to 8) := (others => 'U'); 
        USER_ASSC_ADDR_bus : 
        in std_logic_vector(8 downto 0) := (others => 'U'); 
        EV_ASSCADDR_net : 
        in std_logic_vector(8 to 8) := (others => 'U'); 
        INIT_ADDR_int : 
        in std_logic_vector(8 downto 0) := (others => 'U'); 
        ASSC_RAM_ADDR_A_net : out std_logic_vector(8 to 8); 
        ADC_RESULT_net : 
        in std_logic_vector(11 to 11) := (others => 'U'); 
        ASSC_RAM_DI_B_net : out std_logic_vector(8 to 8); 
        ADC_STC_net : out std_logic_vector(7 to 7); 
        ADC_CHNUMBER_net : out std_logic_vector(4 downto 0); 
        ADC_TVC_net : out std_logic_vector(7 to 7); ADC_MODE_net
         : out std_logic_vector(3 to 3); ASSC_SEQOUT_net : 
        out std_logic_vector(5 to 5); USER_ASSC_RAM_BUSY_net : 
        out std_logic; INIT_DONE_c, EV_ASSC_RD_net, GLA_c, 
        SYS_RESET_global : in std_logic := 'U'; 
        ASSC_RAM_WR_BUSY_B_c_i, ASSC_RAM_WR_BUSY_B_c : out
         std_logic; \Z\\ASSC_RAM_DO_B_net\\\, 
        ASSC_RAM_DO_B_net_net_1, TR_DONE_net_i_0, TR_TRFLAG_net, 
        EV_EVFLAG_net : in std_logic := 'U'; N_266, 
        ASSC_RAM_ADDR_B_net_net_5, ASSC_RAM_ADDR_B_net_net_6, 
        N_239_i_0 : out std_logic; EV_DONE_net_0, ADC_BUSY_net : 
        in std_logic := 'U'; ktwrhqstzjg, ASSC_DONE_c, 
        ADC_START_net : out std_logic; bskrjhjvqpf_1_sqmuxa_0, 
        EV_ASSCADDR_net_net_5, bskrjhjvqpf_1_sqmuxa, 
        EV_ASSCADDR_net_net_4, EV_ASSCADDR_net_net_3, 
        EV_ASSCADDR_net_net_2, EV_ASSCADDR_net_net_1, 
        \Z\\EV_ASSCADDR_net\\\ : in std_logic := 'U'; 
        ASSC_RAM_ADDR_A_net_net_7, ASSC_RAM_ADDR_A_net_net_6, 
        ASSC_RAM_ADDR_A_net_net_5, ASSC_RAM_ADDR_A_net_net_4, 
        ASSC_RAM_ADDR_A_net_net_3, ASSC_RAM_ADDR_A_net_net_2, 
        ASSC_RAM_ADDR_A_net_net_1, \Z\\ASSC_RAM_ADDR_A_net\\\, 
        ASSC_RAM_DI_B_net_net_7 : out std_logic; 
        ADC_RESULT_net_net_10, ADC_RESULT_net_net_1 : in
         std_logic := 'U'; ASSC_RAM_DI_B_net_net_6 : out
         std_logic; ADC_RESULT_net_net_9, \Z\\ADC_RESULT_net\\\ : 
        in std_logic := 'U'; ASSC_RAM_DI_B_net_net_5 : out
         std_logic; ADC_RESULT_net_net_8, ASSC_RAM_DO_B_net_net_7, 
        ASSC_RAM_DO_B_net_net_6, ASSC_RAM_DO_B_net_net_5, 
        ASSC_RAM_DO_B_net_net_4, ASSC_RAM_DO_B_net_net_3, 
        ASSC_RAM_DO_B_net_net_2 : in std_logic := 'U'; 
        ASSC_RAM_DI_B_net_net_4 : out std_logic; 
        ADC_RESULT_net_net_7 : in std_logic := 'U'; 
        ASSC_RAM_DI_B_net_net_3 : out std_logic; 
        ADC_RESULT_net_net_6 : in std_logic := 'U'; 
        ASSC_RAM_DI_B_net_net_2 : out std_logic; 
        ADC_RESULT_net_net_5 : in std_logic := 'U'; 
        ASSC_RAM_DI_B_net_net_1 : out std_logic; 
        ADC_RESULT_net_net_4 : in std_logic := 'U'; 
        \Z\\ASSC_RAM_DI_B_net\\\ : out std_logic; 
        ADC_RESULT_net_net_3, ADC_RESULT_net_net_2 : in
         std_logic := 'U'; ASSC_RAM_ADDR_B_net_net_7 : out
         std_logic; USER_ASSC_RD_net : in std_logic := 'U'; 
        ASSC_RAM_RW_A_net : out std_logic; INIT_ASSC_WEN_int : in
         std_logic := 'U'; ASSC_RAM_CSN_A_net : out std_logic; 
        ADC_CALIBRATE_net : in std_logic := 'U'; ADC_RESET_net, 
        ADC_PDOWN_net, ASSC_SAMPFLAG_net, ADC_STC_net_net_6, 
        ADC_STC_net_net_5, ADC_STC_net_net_4, ADC_STC_net_net_3, 
        ADC_STC_net_net_2, ADC_STC_net_net_1, \Z\\ADC_STC_net\\\, 
        ADC_TVC_net_net_6, ADC_TVC_net_net_5, ADC_TVC_net_net_4, 
        ADC_TVC_net_net_3, ADC_TVC_net_net_2, ADC_TVC_net_net_1, 
        \Z\\ADC_TVC_net\\\, ADC_MODE_net_net_2, 
        ADC_MODE_net_net_1, \Z\\ADC_MODE_net\\\, 
        ASSC_SEQOUT_net_net_4, ASSC_SEQOUT_net_net_3, 
        ASSC_SEQOUT_net_net_2, ASSC_SEQOUT_net_net_1, 
        \Z\\ASSC_SEQOUT_net\\\ : out std_logic);
  end component;

    signal \VCC\, \GND\, GND_net_1, VCC_net_1 : std_logic;

    for all : ASSC
	Use entity work.ASSC(DEF_ARCH);
begin 


    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    U0 : ASSC
      port map(ASSC_RAM_DO_B_net(8) => ASSC_RAM_DO_B_net(8), 
        USER_ASSC_ADDR_bus(8) => USER_ASSC_ADDR_bus(8), 
        USER_ASSC_ADDR_bus(7) => USER_ASSC_ADDR_bus(7), 
        USER_ASSC_ADDR_bus(6) => USER_ASSC_ADDR_bus(6), 
        USER_ASSC_ADDR_bus(5) => USER_ASSC_ADDR_bus(5), 
        USER_ASSC_ADDR_bus(4) => USER_ASSC_ADDR_bus(4), 
        USER_ASSC_ADDR_bus(3) => USER_ASSC_ADDR_bus(3), 
        USER_ASSC_ADDR_bus(2) => USER_ASSC_ADDR_bus(2), 
        USER_ASSC_ADDR_bus(1) => USER_ASSC_ADDR_bus(1), 
        USER_ASSC_ADDR_bus(0) => USER_ASSC_ADDR_bus(0), 
        EV_ASSCADDR_net(8) => EV_ASSCADDR_net(8), 
        INIT_ADDR_int(8) => INIT_ADDR_int(8), INIT_ADDR_int(7)
         => INIT_ADDR_int(7), INIT_ADDR_int(6) => 
        INIT_ADDR_int(6), INIT_ADDR_int(5) => INIT_ADDR_int(5), 
        INIT_ADDR_int(4) => INIT_ADDR_int(4), INIT_ADDR_int(3)
         => INIT_ADDR_int(3), INIT_ADDR_int(2) => 
        INIT_ADDR_int(2), INIT_ADDR_int(1) => INIT_ADDR_int(1), 
        INIT_ADDR_int(0) => INIT_ADDR_int(0), 
        ASSC_RAM_ADDR_A_net(8) => ASSC_RAM_ADDR_A_net(8), 
        ADC_RESULT_net(11) => ADC_RESULT_net(11), 
        ASSC_RAM_DI_B_net(8) => ASSC_RAM_DI_B_net(8), 
        ADC_STC_net(7) => ADC_STC_net(7), ADC_CHNUMBER_net(4) => 
        ADC_CHNUMBER_net(4), ADC_CHNUMBER_net(3) => 
        ADC_CHNUMBER_net(3), ADC_CHNUMBER_net(2) => 
        ADC_CHNUMBER_net(2), ADC_CHNUMBER_net(1) => 
        ADC_CHNUMBER_net(1), ADC_CHNUMBER_net(0) => 
        ADC_CHNUMBER_net(0), ADC_TVC_net(7) => ADC_TVC_net(7), 
        ADC_MODE_net(3) => ADC_MODE_net(3), ASSC_SEQOUT_net(5)
         => ASSC_SEQOUT_net(5), USER_ASSC_RAM_BUSY_net => 
        USER_ASSC_RAM_BUSY_net, INIT_DONE_c => INIT_DONE_c, 
        EV_ASSC_RD_net => EV_ASSC_RD_net, GLA_c => GLA_c, 
        SYS_RESET_global => SYS_RESET_global, 
        ASSC_RAM_WR_BUSY_B_c_i => ASSC_RAM_WR_BUSY_B_c_i, 
        ASSC_RAM_WR_BUSY_B_c => ASSC_RAM_WR_BUSY_B_c, 
        \Z\\ASSC_RAM_DO_B_net\\\ => \Z\\ASSC_RAM_DO_B_net\\\, 
        ASSC_RAM_DO_B_net_net_1 => ASSC_RAM_DO_B_net_net_1, 
        TR_DONE_net_i_0 => TR_DONE_net_i_0, TR_TRFLAG_net => 
        TR_TRFLAG_net, EV_EVFLAG_net => EV_EVFLAG_net, N_266 => 
        N_266, ASSC_RAM_ADDR_B_net_net_5 => 
        ASSC_RAM_ADDR_B_net_net_5, ASSC_RAM_ADDR_B_net_net_6 => 
        ASSC_RAM_ADDR_B_net_net_6, N_239_i_0 => N_239_i_0, 
        EV_DONE_net_0 => EV_DONE_net_0, ADC_BUSY_net => 
        ADC_BUSY_net, ktwrhqstzjg => ktwrhqstzjg, ASSC_DONE_c => 
        ASSC_DONE_c, ADC_START_net => ADC_START_net, 
        bskrjhjvqpf_1_sqmuxa_0 => bskrjhjvqpf_1_sqmuxa_0, 
        EV_ASSCADDR_net_net_5 => EV_ASSCADDR_net_net_5, 
        bskrjhjvqpf_1_sqmuxa => bskrjhjvqpf_1_sqmuxa, 
        EV_ASSCADDR_net_net_4 => EV_ASSCADDR_net_net_4, 
        EV_ASSCADDR_net_net_3 => EV_ASSCADDR_net_net_3, 
        EV_ASSCADDR_net_net_2 => EV_ASSCADDR_net_net_2, 
        EV_ASSCADDR_net_net_1 => EV_ASSCADDR_net_net_1, 
        \Z\\EV_ASSCADDR_net\\\ => \Z\\EV_ASSCADDR_net\\\, 
        ASSC_RAM_ADDR_A_net_net_7 => ASSC_RAM_ADDR_A_net_net_7, 
        ASSC_RAM_ADDR_A_net_net_6 => ASSC_RAM_ADDR_A_net_net_6, 
        ASSC_RAM_ADDR_A_net_net_5 => ASSC_RAM_ADDR_A_net_net_5, 
        ASSC_RAM_ADDR_A_net_net_4 => ASSC_RAM_ADDR_A_net_net_4, 
        ASSC_RAM_ADDR_A_net_net_3 => ASSC_RAM_ADDR_A_net_net_3, 
        ASSC_RAM_ADDR_A_net_net_2 => ASSC_RAM_ADDR_A_net_net_2, 
        ASSC_RAM_ADDR_A_net_net_1 => ASSC_RAM_ADDR_A_net_net_1, 
        \Z\\ASSC_RAM_ADDR_A_net\\\ => \Z\\ASSC_RAM_ADDR_A_net\\\, 
        ASSC_RAM_DI_B_net_net_7 => ASSC_RAM_DI_B_net_net_7, 
        ADC_RESULT_net_net_10 => ADC_RESULT_net_net_10, 
        ADC_RESULT_net_net_1 => ADC_RESULT_net_net_1, 
        ASSC_RAM_DI_B_net_net_6 => ASSC_RAM_DI_B_net_net_6, 
        ADC_RESULT_net_net_9 => ADC_RESULT_net_net_9, 
        \Z\\ADC_RESULT_net\\\ => \Z\\ADC_RESULT_net\\\, 
        ASSC_RAM_DI_B_net_net_5 => ASSC_RAM_DI_B_net_net_5, 
        ADC_RESULT_net_net_8 => ADC_RESULT_net_net_8, 
        ASSC_RAM_DO_B_net_net_7 => ASSC_RAM_DO_B_net_net_7, 
        ASSC_RAM_DO_B_net_net_6 => ASSC_RAM_DO_B_net_net_6, 
        ASSC_RAM_DO_B_net_net_5 => ASSC_RAM_DO_B_net_net_5, 
        ASSC_RAM_DO_B_net_net_4 => ASSC_RAM_DO_B_net_net_4, 
        ASSC_RAM_DO_B_net_net_3 => ASSC_RAM_DO_B_net_net_3, 
        ASSC_RAM_DO_B_net_net_2 => ASSC_RAM_DO_B_net_net_2, 
        ASSC_RAM_DI_B_net_net_4 => ASSC_RAM_DI_B_net_net_4, 
        ADC_RESULT_net_net_7 => ADC_RESULT_net_net_7, 
        ASSC_RAM_DI_B_net_net_3 => ASSC_RAM_DI_B_net_net_3, 
        ADC_RESULT_net_net_6 => ADC_RESULT_net_net_6, 
        ASSC_RAM_DI_B_net_net_2 => ASSC_RAM_DI_B_net_net_2, 
        ADC_RESULT_net_net_5 => ADC_RESULT_net_net_5, 
        ASSC_RAM_DI_B_net_net_1 => ASSC_RAM_DI_B_net_net_1, 
        ADC_RESULT_net_net_4 => ADC_RESULT_net_net_4, 
        \Z\\ASSC_RAM_DI_B_net\\\ => \Z\\ASSC_RAM_DI_B_net\\\, 
        ADC_RESULT_net_net_3 => ADC_RESULT_net_net_3, 
        ADC_RESULT_net_net_2 => ADC_RESULT_net_net_2, 
        ASSC_RAM_ADDR_B_net_net_7 => ASSC_RAM_ADDR_B_net_net_7, 
        USER_ASSC_RD_net => USER_ASSC_RD_net, ASSC_RAM_RW_A_net
         => ASSC_RAM_RW_A_net, INIT_ASSC_WEN_int => 
        INIT_ASSC_WEN_int, ASSC_RAM_CSN_A_net => 
        ASSC_RAM_CSN_A_net, ADC_CALIBRATE_net => 
        ADC_CALIBRATE_net, ADC_RESET_net => ADC_RESET_net, 
        ADC_PDOWN_net => ADC_PDOWN_net, ASSC_SAMPFLAG_net => 
        ASSC_SAMPFLAG_net, ADC_STC_net_net_6 => ADC_STC_net_net_6, 
        ADC_STC_net_net_5 => ADC_STC_net_net_5, ADC_STC_net_net_4
         => ADC_STC_net_net_4, ADC_STC_net_net_3 => 
        ADC_STC_net_net_3, ADC_STC_net_net_2 => ADC_STC_net_net_2, 
        ADC_STC_net_net_1 => ADC_STC_net_net_1, 
        \Z\\ADC_STC_net\\\ => \Z\\ADC_STC_net\\\, 
        ADC_TVC_net_net_6 => ADC_TVC_net_net_6, ADC_TVC_net_net_5
         => ADC_TVC_net_net_5, ADC_TVC_net_net_4 => 
        ADC_TVC_net_net_4, ADC_TVC_net_net_3 => ADC_TVC_net_net_3, 
        ADC_TVC_net_net_2 => ADC_TVC_net_net_2, ADC_TVC_net_net_1
         => ADC_TVC_net_net_1, \Z\\ADC_TVC_net\\\ => 
        \Z\\ADC_TVC_net\\\, ADC_MODE_net_net_2 => 
        ADC_MODE_net_net_2, ADC_MODE_net_net_1 => 
        ADC_MODE_net_net_1, \Z\\ADC_MODE_net\\\ => 
        \Z\\ADC_MODE_net\\\, ASSC_SEQOUT_net_net_4 => 
        ASSC_SEQOUT_net_net_4, ASSC_SEQOUT_net_net_3 => 
        ASSC_SEQOUT_net_net_3, ASSC_SEQOUT_net_net_2 => 
        ASSC_SEQOUT_net_net_2, ASSC_SEQOUT_net_net_1 => 
        ASSC_SEQOUT_net_net_1, \Z\\ASSC_SEQOUT_net\\\ => 
        \Z\\ASSC_SEQOUT_net\\\);
    
    GND_i : GND
      port map(Y => \GND\);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity ADC_assc_ram is

    port(ASSC_RAM_DI_B_net : in std_logic_vector(8 to 8); 
        INIT_DATA_int : in std_logic_vector(8 downto 0); 
        ASSC_SEQOUT_net : in std_logic_vector(5 to 5); 
        ASSC_RAM_ADDR_A_net : in std_logic_vector(8 to 8); 
        ASSC_RAM_DO_B_net : out std_logic_vector(8 to 8); 
        ASSC_RAM_DOUT_bus : out std_logic_vector(8 downto 0); 
        SYS_RESET_global, \Z\\ASSC_RAM_DI_B_net\\\, 
        ASSC_RAM_DI_B_net_net_1, ASSC_RAM_DI_B_net_net_2, 
        ASSC_RAM_DI_B_net_net_3, ASSC_RAM_DI_B_net_net_4, 
        ASSC_RAM_DI_B_net_net_5, ASSC_RAM_DI_B_net_net_6, 
        ASSC_RAM_DI_B_net_net_7, GLA_c, ASSC_RAM_WR_BUSY_B_c_i, 
        N_239_i_0, \VCC\, ASSC_RAM_RW_A_net, ASSC_RAM_CSN_A_net, 
        \Z\\ASSC_SEQOUT_net\\\, ASSC_SEQOUT_net_net_1, 
        ASSC_SEQOUT_net_net_2, ASSC_SEQOUT_net_net_3, 
        ASSC_SEQOUT_net_net_4, ASSC_RAM_ADDR_B_net_net_5, 
        ASSC_RAM_ADDR_B_net_net_6, ASSC_RAM_ADDR_B_net_net_7, 
        \GND\, \Z\\ASSC_RAM_ADDR_A_net\\\, 
        ASSC_RAM_ADDR_A_net_net_1, ASSC_RAM_ADDR_A_net_net_2, 
        ASSC_RAM_ADDR_A_net_net_3, ASSC_RAM_ADDR_A_net_net_4, 
        ASSC_RAM_ADDR_A_net_net_5, ASSC_RAM_ADDR_A_net_net_6, 
        ASSC_RAM_ADDR_A_net_net_7 : in std_logic; 
        \Z\\ASSC_RAM_DO_B_net\\\, ASSC_RAM_DO_B_net_net_1, 
        ASSC_RAM_DO_B_net_net_2, ASSC_RAM_DO_B_net_net_3, 
        ASSC_RAM_DO_B_net_net_4, ASSC_RAM_DO_B_net_net_5, 
        ASSC_RAM_DO_B_net_net_6, ASSC_RAM_DO_B_net_net_7 : out
         std_logic);

end ADC_assc_ram;

architecture DEF_ARCH of ADC_assc_ram is 

  component VCC
    port(Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component RAM4K9
    generic (MEMORYFILE:string := "");

    port(ADDRA11, ADDRA10, ADDRA9, ADDRA8, ADDRA7, ADDRA6, ADDRA5, 
        ADDRA4, ADDRA3, ADDRA2, ADDRA1, ADDRA0, ADDRB11, ADDRB10, 
        ADDRB9, ADDRB8, ADDRB7, ADDRB6, ADDRB5, ADDRB4, ADDRB3, 
        ADDRB2, ADDRB1, ADDRB0, DINA8, DINA7, DINA6, DINA5, DINA4, 
        DINA3, DINA2, DINA1, DINA0, DINB8, DINB7, DINB6, DINB5, 
        DINB4, DINB3, DINB2, DINB1, DINB0, WIDTHA0, WIDTHA1, 
        WIDTHB0, WIDTHB1, PIPEA, PIPEB, WMODEA, WMODEB, BLKA, 
        BLKB, WENA, WENB, CLKA, CLKB, RESET : in std_logic := 'U'; 
        DOUTA8, DOUTA7, DOUTA6, DOUTA5, DOUTA4, DOUTA3, DOUTA2, 
        DOUTA1, DOUTA0, DOUTB8, DOUTB7, DOUTB6, DOUTB5, DOUTB4, 
        DOUTB3, DOUTB2, DOUTB1, DOUTB0 : out std_logic);
  end component;

    signal VCC_net_1, GND_net_1, GND_net_2, VCC_net_2
         : std_logic;

begin 

    VCC_net_1 <= \VCC\;
    GND_net_1 <= \GND\;

    VCC_i_0 : VCC
      port map(Y => VCC_net_2);
    
    GND_i_0 : GND
      port map(Y => GND_net_2);
    
    VCC_i : VCC
      port map(Y => VCC_net_1);
    
    ADC_assc_ram_R0C0 : RAM4K9
      port map(ADDRA11 => GND_net_1, ADDRA10 => GND_net_1, ADDRA9
         => GND_net_1, ADDRA8 => ASSC_RAM_ADDR_A_net(8), ADDRA7
         => \Z\\ASSC_RAM_ADDR_A_net\\\, ADDRA6 => 
        ASSC_RAM_ADDR_A_net_net_1, ADDRA5 => 
        ASSC_RAM_ADDR_A_net_net_2, ADDRA4 => 
        ASSC_RAM_ADDR_A_net_net_3, ADDRA3 => 
        ASSC_RAM_ADDR_A_net_net_4, ADDRA2 => 
        ASSC_RAM_ADDR_A_net_net_5, ADDRA1 => 
        ASSC_RAM_ADDR_A_net_net_6, ADDRA0 => 
        ASSC_RAM_ADDR_A_net_net_7, ADDRB11 => GND_net_1, ADDRB10
         => GND_net_1, ADDRB9 => GND_net_1, ADDRB8 => 
        ASSC_SEQOUT_net(5), ADDRB7 => \Z\\ASSC_SEQOUT_net\\\, 
        ADDRB6 => ASSC_SEQOUT_net_net_1, ADDRB5 => 
        ASSC_SEQOUT_net_net_2, ADDRB4 => ASSC_SEQOUT_net_net_3, 
        ADDRB3 => ASSC_SEQOUT_net_net_4, ADDRB2 => 
        ASSC_RAM_ADDR_B_net_net_5, ADDRB1 => 
        ASSC_RAM_ADDR_B_net_net_6, ADDRB0 => 
        ASSC_RAM_ADDR_B_net_net_7, DINA8 => INIT_DATA_int(8), 
        DINA7 => INIT_DATA_int(7), DINA6 => INIT_DATA_int(6), 
        DINA5 => INIT_DATA_int(5), DINA4 => INIT_DATA_int(4), 
        DINA3 => INIT_DATA_int(3), DINA2 => INIT_DATA_int(2), 
        DINA1 => INIT_DATA_int(1), DINA0 => INIT_DATA_int(0), 
        DINB8 => ASSC_RAM_DI_B_net(8), DINB7 => 
        \Z\\ASSC_RAM_DI_B_net\\\, DINB6 => 
        ASSC_RAM_DI_B_net_net_1, DINB5 => ASSC_RAM_DI_B_net_net_2, 
        DINB4 => ASSC_RAM_DI_B_net_net_3, DINB3 => 
        ASSC_RAM_DI_B_net_net_4, DINB2 => ASSC_RAM_DI_B_net_net_5, 
        DINB1 => ASSC_RAM_DI_B_net_net_6, DINB0 => 
        ASSC_RAM_DI_B_net_net_7, WIDTHA0 => VCC_net_1, WIDTHA1
         => VCC_net_1, WIDTHB0 => VCC_net_1, WIDTHB1 => VCC_net_1, 
        PIPEA => GND_net_1, PIPEB => GND_net_1, WMODEA => 
        VCC_net_1, WMODEB => VCC_net_1, BLKA => 
        ASSC_RAM_CSN_A_net, BLKB => N_239_i_0, WENA => 
        ASSC_RAM_RW_A_net, WENB => ASSC_RAM_WR_BUSY_B_c_i, CLKA
         => GLA_c, CLKB => GLA_c, RESET => SYS_RESET_global, 
        DOUTA8 => ASSC_RAM_DOUT_bus(8), DOUTA7 => 
        ASSC_RAM_DOUT_bus(7), DOUTA6 => ASSC_RAM_DOUT_bus(6), 
        DOUTA5 => ASSC_RAM_DOUT_bus(5), DOUTA4 => 
        ASSC_RAM_DOUT_bus(4), DOUTA3 => ASSC_RAM_DOUT_bus(3), 
        DOUTA2 => ASSC_RAM_DOUT_bus(2), DOUTA1 => 
        ASSC_RAM_DOUT_bus(1), DOUTA0 => ASSC_RAM_DOUT_bus(0), 
        DOUTB8 => ASSC_RAM_DO_B_net(8), DOUTB7 => 
        \Z\\ASSC_RAM_DO_B_net\\\, DOUTB6 => 
        ASSC_RAM_DO_B_net_net_1, DOUTB5 => 
        ASSC_RAM_DO_B_net_net_2, DOUTB4 => 
        ASSC_RAM_DO_B_net_net_3, DOUTB3 => 
        ASSC_RAM_DO_B_net_net_4, DOUTB2 => 
        ASSC_RAM_DO_B_net_net_5, DOUTB1 => 
        ASSC_RAM_DO_B_net_net_6, DOUTB0 => 
        ASSC_RAM_DO_B_net_net_7);
    
    GND_i : GND
      port map(Y => GND_net_1);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity ccfdxrhchsz is

    port(TR_RAM_ADDR_B_net : out std_logic_vector(8 to 8); 
        TR_EV_ADDR_net : out std_logic_vector(8 to 8); 
        TR_RAM_DI_B_net : out std_logic_vector(8 to 8); 
        TR_RAM_DO_B_net : in std_logic_vector(8 to 8); 
        EV_CHHOLD_net : in std_logic_vector(4 to 4); 
        \Z\\TR_RAM_ADDR_B_net\\\, TR_RAM_ADDR_B_net_net_2, 
        TR_RAM_ADDR_B_net_net_4, TR_RAM_ADDR_B_net_net_7, 
        \Z\\TR_EV_ADDR_net\\\, TR_EV_ADDR_net_net_1, 
        TR_EV_ADDR_net_net_2, TR_EV_ADDR_net_net_3, 
        TR_EV_ADDR_net_net_4, TR_EV_ADDR_net_net_5, 
        TR_EV_ADDR_net_net_6, TR_EV_ADDR_net_net_7, TR_TRFLAG_net, 
        TR_DONE_net_i_0, \Z\\TR_RAM_DI_B_net\\\ : out std_logic; 
        EV_RAM_DO_A_net_net_7, EV_DONE_net, N_12, N_10 : in
         std_logic; TR_RAM_RW_A_net, TR_RAM_DI_B_net_net_1, 
        TR_RAM_DI_B_net_net_2, xgnmbzmtzbb_0, 
        TR_RAM_DI_B_net_net_3, TR_RAM_DI_B_net_net_4, 
        TR_RAM_DI_B_net_net_5 : out std_logic; 
        TR_RAM_DO_B_net_net_6 : in std_logic; 
        TR_RAM_DI_B_net_net_6 : out std_logic; 
        TR_RAM_DO_B_net_net_7 : in std_logic; 
        TR_RAM_DI_B_net_net_7, TR_RAM_CSN_B_net : out std_logic; 
        TR_RAM_DO_B_net_net_3, TR_RAM_DO_B_net_net_5, 
        TR_RAM_DO_B_net_net_4, TR_RAM_DO_B_net_net_1, 
        \Z\\TR_RAM_DO_B_net\\\, TR_RAM_DO_B_net_net_2, 
        INIT_DONE_c : in std_logic; TR_EV_RD_net : out std_logic; 
        EV_DONE_net_0, EV_CHHOLD_net_net_3, EV_CHHOLD_net_net_2, 
        EV_CHHOLD_net_net_1, \Z\\EV_CHHOLD_net\\\ : in std_logic; 
        TR_RAM_ADDR_B_net_net_1, TR_RAM_ADDR_B_net_net_5, 
        TR_RAM_ADDR_B_net_net_3, TR_RAM_ADDR_B_net_net_6 : out
         std_logic; SYS_RESET_global, GLA_c : in std_logic);

end ccfdxrhchsz;

architecture DEF_ARCH of ccfdxrhchsz is 

  component OR2A
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR2A
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AOI1
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component DFN1C0
    port(D, CLK, CLR : in std_logic := 'U'; Q : out std_logic);
  end component;

  component OR2B
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR3B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR3
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AO1B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AND2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR3B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR3
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AOI1B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component DFN1E1C0
    port(D, CLK, CLR, E : in std_logic := 'U'; Q : out std_logic);
        
  end component;

  component OR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component XOR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR3A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR2B
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OA1A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component VCC
    port(Y : out std_logic);
  end component;

  component NOR3C
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AO1A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component DFN1P0
    port(D, CLK, PRE : in std_logic := 'U'; Q : out std_logic);
  end component;

  component OA1
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component INV
    port(A : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR3A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR3C
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AX1C
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AO1
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AO1D
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OA1B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component MX2B
    port(A, B, S : in std_logic := 'U'; Y : out std_logic);
  end component;

    signal \TR_RAM_ADDR_B_net[8]\, 
        \Z\\TR_RAM_ADDR_B_net\\_net_1\, \TR_RAM_ADDR_B_net_net_2\, 
        \TR_RAM_ADDR_B_net_net_4\, \TR_RAM_ADDR_B_net_net_7\, 
        \TR_EV_RD_net\, \TR_RAM_ADDR_B_net_net_1\, 
        \TR_RAM_ADDR_B_net_net_5\, \TR_RAM_ADDR_B_net_net_3\, 
        \TR_RAM_ADDR_B_net_net_6\, \frcskdnwvmx_0[0]_net_1\, 
        \frcskdnwvmx_ns_i[11]_net_1\, \frcskdnwvmx_0[8]_net_1\, 
        \frcskdnwvmx_ns_i[3]_net_1\, 
        \DWACT_ADD_CI_0_g_array_2[0]\, 
        \DWACT_ADD_CI_0_g_array_1[0]\, 
        \DWACT_ADD_CI_0_pog_array_1[0]\, 
        \DWACT_ADD_CI_0_g_array_3[0]\, 
        \DWACT_ADD_CI_0_pog_array_2[0]\, 
        \DWACT_ADD_CI_0_g_array_11[0]\, 
        \DWACT_ADD_CI_0_pog_array_1_1[0]\, 
        \DWACT_ADD_CI_0_TMP[0]\, \DWACT_ADD_CI_0_g_array_12_1[0]\, 
        \DWACT_ADD_CI_0_g_array_12[0]\, 
        \DWACT_ADD_CI_0_g_array_12_2[0]\, 
        \frcskdnwvmx_i[0]_net_1\, \qgnzcpmbksd_7_0_iv_0[5]\, 
        N_310, \tpxkpvnpvvn_m_0[5]_net_1\, 
        \qgnzcpmbksd_7_0_iv_0[4]\, \tpxkpvnpvvn_m_0[4]_net_1\, 
        \qgnzcpmbksd_7_0_iv_0[3]\, \tpxkpvnpvvn_m_0[3]_net_1\, 
        \qgnzcpmbksd_7_0_iv_0[2]\, \tpxkpvnpvvn_m_0[2]_net_1\, 
        \qgnzcpmbksd_7_0_iv_0[1]\, \tpxkpvnpvvn_m_0[1]_net_1\, 
        \qgnzcpmbksd_7_iv_0[0]\, N_288, 
        \tpxkpvnpvvn_m_0[0]_net_1\, \dttrrgvsnmg_iv_1\, 
        \vmpskspphnb_m\, \qxzrwpjhcww_m[0]\, \vgdscntczht_m\, 
        un1_xjrbtnwdszs_1_sqmuxa_1, N_284, 
        cpwfrthtnfr_10_sqmuxa_0_a3_0, un1_xjrbtnwdszs_1_sqmuxa_0, 
        N_285, \xjrbtnwdszs_1_sqmuxa\, un1_xjrbtnwdszs_0_sqmuxa_0, 
        \xjrbtnwdszs_0_sqmuxa\, N_434_1, \un2_hfnznbmwdbg_1_i_0\, 
        un1_wjpccrvpdms, \svpbmqwvncp_0_1\, 
        \frcskdnwvmx[11]_net_1\, \frcskdnwvmx_ns_a3_0[6]_net_1\, 
        \jvxfmjbzjmc_i_a2_0\, \frcskdnwvmx_ns_i_o2_0[3]_net_1\, 
        \frcskdnwvmx_ns_a3_3[0]_net_1\, 
        \frcskdnwvmx_ns_a3_1[0]_net_1\, \frcskdnwvmx_i[9]\, 
        \frcskdnwvmx[6]_net_1\, \cvpkmgjqwzb_0_a2_0_o2_1\, 
        \frcskdnwvmx_ns[6]\, N_235, \frcskdnwvmx_ns_i[4]_net_1\, 
        N_272, N_271, N_233, N_274, N_234, N_287, 
        \frcskdnwvmx_ns_i[5]_net_1\, N_273, N_269_i, 
        \frcskdnwvmx[4]_net_1\, N_291, N_264, N_433, N_388, 
        \jnfrmfqggmk\, cpwfrthtnfr_13_sqmuxa_1, N_230_i_0, 
        \qgnzcpmbksd_7[0]\, \DWACT_ADD_CI_0_partial_sum[0]\, 
        \qgnzcpmbksd_7[1]\, I_32_0, \qgnzcpmbksd_7[2]\, I_35_0, 
        \qgnzcpmbksd_7[3]\, I_37_0, \qgnzcpmbksd_7[4]\, I_30_0, 
        \qgnzcpmbksd_7[5]\, I_33_0, znjtscvsvcs, N_434, 
        N_385_i_i_0, \hnbsspwxkpd\, un1_xjrbtnwdszs_0_sqmuxa, 
        cpwfrthtnfr_12_sqmuxa, cpwfrthtnfr_14_sqmuxa, 
        un1_xjrbtnwdszs_1_sqmuxa, \cpwfrthtnfr_13_sqmuxa\, 
        dttrrgvsnmg, \sxrhkdkngbh_m\, \hnbsspwxkpd_m\, N_248, 
        \frcskdnwvmx[5]_net_1\, \frcskdnwvmx[7]_net_1\, 
        \frcskdnwvmx[2]_net_1\, \jvxfmjbzjmc_i\, N_236, 
        \frcskdnwvmx_ns[7]\, cpwfrthtnfr_7_sqmuxa, 
        \frcskdnwvmx[1]_net_1\, \frcskdnwvmx[0]_net_1\, 
        \frcskdnwvmx_ns_i[8]_net_1\, \tpxkpvnpvvn_m_0[6]_net_1\, 
        \qgnzcpmbksd_7[6]\, I_38_0, \frcskdnwvmx_ns[0]_net_1\, 
        un1_frcskdnwvmx_3, N_243, \qgnzcpmbksd_7[8]\, I_36_0, 
        \tpxkpvnpvvn_m[8]_net_1\, \frcskdnwvmx_ns_i[9]_net_1\, 
        \frcskdnwvmx_ns_i[1]_net_1\, N_500, \qgnzcpmbksd_7[7]\, 
        I_34_1, \tpxkpvnpvvn_m_0[7]_net_1\, 
        \frcskdnwvmx[8]_net_1\, \vmpskspphnb\, \vgdscntczht\, 
        \frcskdnwvmx_ns_i[2]_net_1\, \frcskdnwvmx[10]_net_1\, 
        \frcskdnwvmx_ns[10]\, \dvqzjxhqhrh\, 
        \DWACT_ADD_CI_0_pog_array_1_2[0]\, \VCC\, \GND\, 
        GND_net_1, VCC_net_1 : std_logic;

begin 

    TR_RAM_ADDR_B_net(8) <= \TR_RAM_ADDR_B_net[8]\;
    \Z\\TR_RAM_ADDR_B_net\\\ <= \Z\\TR_RAM_ADDR_B_net\\_net_1\;
    TR_RAM_ADDR_B_net_net_2 <= \TR_RAM_ADDR_B_net_net_2\;
    TR_RAM_ADDR_B_net_net_4 <= \TR_RAM_ADDR_B_net_net_4\;
    TR_RAM_ADDR_B_net_net_7 <= \TR_RAM_ADDR_B_net_net_7\;
    TR_EV_RD_net <= \TR_EV_RD_net\;
    TR_RAM_ADDR_B_net_net_1 <= \TR_RAM_ADDR_B_net_net_1\;
    TR_RAM_ADDR_B_net_net_5 <= \TR_RAM_ADDR_B_net_net_5\;
    TR_RAM_ADDR_B_net_net_3 <= \TR_RAM_ADDR_B_net_net_3\;
    TR_RAM_ADDR_B_net_net_6 <= \TR_RAM_ADDR_B_net_net_6\;

    \frcskdnwvmx_ns_i_o2_0[3]\ : OR2A
      port map(A => TR_RAM_DO_B_net_net_1, B => 
        TR_RAM_DO_B_net(8), Y => \frcskdnwvmx_ns_i_o2_0[3]_net_1\);
    
    \jfkkdmfhcdn_0_a3[8]\ : NOR2A
      port map(A => TR_RAM_DO_B_net(8), B => 
        \frcskdnwvmx_0[0]_net_1\, Y => TR_RAM_DI_B_net(8));
    
    \jfkkdmfhcdn_0_a3[6]\ : NOR2A
      port map(A => TR_RAM_DO_B_net_net_1, B => 
        \frcskdnwvmx[0]_net_1\, Y => TR_RAM_DI_B_net_net_1);
    
    vgdscntczht : AOI1
      port map(A => N_500, B => \cvpkmgjqwzb_0_a2_0_o2_1\, C => 
        \jnfrmfqggmk\, Y => \vgdscntczht\);
    
    \qgnzcpmbksd[1]\ : DFN1C0
      port map(D => \qgnzcpmbksd_7[1]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \TR_RAM_ADDR_B_net_net_6\);
    
    \frcskdnwvmx_ns_i_o2[5]\ : OR2B
      port map(A => TR_RAM_DO_B_net_net_1, B => 
        TR_RAM_DO_B_net(8), Y => N_234);
    
    xjrbtnwdszs_1_sqmuxa : OR2B
      port map(A => \frcskdnwvmx[2]_net_1\, B => \dvqzjxhqhrh\, Y
         => \xjrbtnwdszs_1_sqmuxa\);
    
    \jfkkdmfhcdn_0_a3[7]\ : NOR2A
      port map(A => \Z\\TR_RAM_DO_B_net\\\, B => 
        \frcskdnwvmx[0]_net_1\, Y => \Z\\TR_RAM_DI_B_net\\\);
    
    \frcskdnwvmx_ns_a3_3[0]\ : NOR3B
      port map(A => \frcskdnwvmx_ns_a3_1[0]_net_1\, B => 
        un1_wjpccrvpdms, C => \frcskdnwvmx_0[8]_net_1\, Y => 
        \frcskdnwvmx_ns_a3_3[0]_net_1\);
    
    \jfkkdmfhcdn[1]\ : NOR2A
      port map(A => TR_RAM_DO_B_net_net_6, B => 
        \frcskdnwvmx_0[0]_net_1\, Y => TR_RAM_DI_B_net_net_6);
    
    \frcskdnwvmx_ns_a3[6]\ : NOR3
      port map(A => N_235, B => N_284, C => 
        \frcskdnwvmx_ns_a3_0[6]_net_1\, Y => \frcskdnwvmx_ns[6]\);
    
    \brxxctcvrmh_qgnzcpmbksd_7_0_iv[4]\ : AO1B
      port map(A => N_230_i_0, B => I_30_0, C => 
        \qgnzcpmbksd_7_0_iv_0[4]\, Y => \qgnzcpmbksd_7[4]\);
    
    un1_qgnzcpmbksd_I_51 : AND2
      port map(A => \DWACT_ADD_CI_0_pog_array_1_1[0]\, B => 
        \DWACT_ADD_CI_0_pog_array_1_2[0]\, Y => 
        \DWACT_ADD_CI_0_pog_array_2[0]\);
    
    \brxxctcvrmh_qgnzcpmbksd_7_iv[0]\ : AO1B
      port map(A => N_230_i_0, B => 
        \DWACT_ADD_CI_0_partial_sum[0]\, C => 
        \qgnzcpmbksd_7_iv_0[0]\, Y => \qgnzcpmbksd_7[0]\);
    
    \tpxkpvnpvvn_m_0[7]\ : OR3B
      port map(A => \frcskdnwvmx[8]_net_1\, B => 
        \Z\\TR_RAM_DO_B_net\\\, C => EV_DONE_net_0, Y => 
        \tpxkpvnpvvn_m_0[7]_net_1\);
    
    xjrbtnwdszs_0_sqmuxa : NOR2A
      port map(A => \frcskdnwvmx[2]_net_1\, B => \dvqzjxhqhrh\, Y
         => \xjrbtnwdszs_0_sqmuxa\);
    
    svpbmqwvncp_0_a3 : OR3
      port map(A => N_235, B => TR_RAM_DO_B_net(8), C => 
        TR_RAM_DO_B_net_net_1, Y => N_264);
    
    \frcskdnwvmx_ns_i[3]\ : AOI1B
      port map(A => N_248, B => \frcskdnwvmx_i[9]\, C => 
        INIT_DONE_c, Y => \frcskdnwvmx_ns_i[3]_net_1\);
    
    cpwfrthtnfr_13_sqmuxa_1_0_a2 : NOR2
      port map(A => cpwfrthtnfr_10_sqmuxa_0_a3_0, B => N_234, Y
         => cpwfrthtnfr_13_sqmuxa_1);
    
    \rjhhzsggrtr[5]\ : DFN1E1C0
      port map(D => TR_RAM_DO_B_net_net_2, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \frcskdnwvmx[4]_net_1\, Q => 
        TR_EV_ADDR_net_net_2);
    
    un2_hfnznbmwdbg_1_i_a2 : OR2
      port map(A => N_285, B => N_234, Y => N_288);
    
    \qgnzcpmbksd[8]\ : DFN1C0
      port map(D => \qgnzcpmbksd_7[8]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \TR_RAM_ADDR_B_net[8]\);
    
    un1_qgnzcpmbksd_I_33 : XOR2
      port map(A => \TR_RAM_ADDR_B_net_net_2\, B => 
        \DWACT_ADD_CI_0_g_array_12_1[0]\, Y => I_33_0);
    
    \brxxctcvrmh_qgnzcpmbksd_7[5]\ : OR2B
      port map(A => un1_wjpccrvpdms, B => N_288, Y => N_310);
    
    \frcskdnwvmx_ns_i_a3_0[5]\ : NOR3A
      port map(A => N_234, B => \Z\\TR_RAM_DO_B_net\\\, C => 
        N_287, Y => N_274);
    
    vnjtgtptszx_un1_xjrbtnwdszs_1_sqmuxa : OR3B
      port map(A => \cpwfrthtnfr_13_sqmuxa\, B => 
        un1_xjrbtnwdszs_1_sqmuxa_1, C => cpwfrthtnfr_14_sqmuxa, Y
         => un1_xjrbtnwdszs_1_sqmuxa);
    
    \jfkkdmfhcdn[4]\ : NOR2A
      port map(A => TR_RAM_DO_B_net_net_3, B => 
        \frcskdnwvmx_0[0]_net_1\, Y => TR_RAM_DI_B_net_net_3);
    
    \frcskdnwvmx_ns_i[4]\ : NOR3A
      port map(A => INIT_DONE_c, B => N_272, C => N_271, Y => 
        \frcskdnwvmx_ns_i[4]_net_1\);
    
    \frcskdnwvmx_ns_i[11]\ : NOR2B
      port map(A => INIT_DONE_c, B => \frcskdnwvmx[1]_net_1\, Y
         => \frcskdnwvmx_ns_i[11]_net_1\);
    
    un1_qgnzcpmbksd_I_32 : XOR2
      port map(A => \TR_RAM_ADDR_B_net_net_6\, B => 
        \DWACT_ADD_CI_0_TMP[0]\, Y => I_32_0);
    
    vmpskspphnb : OR3B
      port map(A => N_500, B => \cvpkmgjqwzb_0_a2_0_o2_1\, C => 
        \jnfrmfqggmk\, Y => \vmpskspphnb\);
    
    un1_qgnzcpmbksd_I_37 : XOR2
      port map(A => \TR_RAM_ADDR_B_net_net_4\, B => 
        \DWACT_ADD_CI_0_g_array_12[0]\, Y => I_37_0);
    
    qgtkpxrgqqs_un1_xjrbtnwdszs_0_sqmuxa : OR3
      port map(A => cpwfrthtnfr_12_sqmuxa, B => 
        un1_xjrbtnwdszs_0_sqmuxa_0, C => cpwfrthtnfr_14_sqmuxa, Y
         => un1_xjrbtnwdszs_0_sqmuxa);
    
    \frcskdnwvmx[7]\ : DFN1C0
      port map(D => \frcskdnwvmx_ns_i[4]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \frcskdnwvmx[7]_net_1\);
    
    svpbmqwvncp_0_1 : NOR3
      port map(A => \TR_EV_RD_net\, B => \frcskdnwvmx[11]_net_1\, 
        C => \frcskdnwvmx_0[8]_net_1\, Y => \svpbmqwvncp_0_1\);
    
    \frcskdnwvmx_ns_i[2]\ : OR2B
      port map(A => INIT_DONE_c, B => \frcskdnwvmx[10]_net_1\, Y
         => \frcskdnwvmx_ns_i[2]_net_1\);
    
    \rjhhzsggrtr[3]\ : DFN1E1C0
      port map(D => TR_RAM_DO_B_net_net_4, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \frcskdnwvmx[4]_net_1\, Q => 
        TR_EV_ADDR_net_net_4);
    
    \frcskdnwvmx_ns_i[1]\ : NOR2A
      port map(A => INIT_DONE_c, B => N_243, Y => 
        \frcskdnwvmx_ns_i[1]_net_1\);
    
    \frcskdnwvmx[5]\ : DFN1C0
      port map(D => \frcskdnwvmx_ns[6]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \frcskdnwvmx[5]_net_1\);
    
    \frcskdnwvmx[8]\ : DFN1C0
      port map(D => \frcskdnwvmx_ns_i[3]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \frcskdnwvmx[8]_net_1\);
    
    \frcskdnwvmx[1]\ : DFN1C0
      port map(D => \frcskdnwvmx_ns[10]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \frcskdnwvmx[1]_net_1\);
    
    jvxfmjbzjmc_i_o2 : OA1A
      port map(A => \jvxfmjbzjmc_i_a2_0\, B => N_234, C => 
        \frcskdnwvmx[6]_net_1\, Y => N_236);
    
    GND_i : GND
      port map(Y => \GND\);
    
    un19_nwjvqqsgrjz_i_o3 : OR2B
      port map(A => EV_DONE_net, B => \frcskdnwvmx[11]_net_1\, Y
         => N_243);
    
    \brxxctcvrmh_qgnzcpmbksd_7_0_iv_0[2]\ : AOI1B
      port map(A => N_310, B => EV_CHHOLD_net_net_2, C => 
        \tpxkpvnpvvn_m_0[2]_net_1\, Y => 
        \qgnzcpmbksd_7_0_iv_0[2]\);
    
    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    \brxxctcvrmh_qgnzcpmbksd_7_0_iv_0[5]\ : AOI1B
      port map(A => N_310, B => EV_CHHOLD_net(4), C => 
        \tpxkpvnpvvn_m_0[5]_net_1\, Y => 
        \qgnzcpmbksd_7_0_iv_0[5]\);
    
    un1_qgnzcpmbksd_I_36 : XOR2
      port map(A => \TR_RAM_ADDR_B_net[8]\, B => 
        \DWACT_ADD_CI_0_g_array_3[0]\, Y => I_36_0);
    
    \brxxctcvrmh_qgnzcpmbksd_7_0_iv_0[3]\ : AOI1B
      port map(A => N_310, B => EV_CHHOLD_net_net_1, C => 
        \tpxkpvnpvvn_m_0[3]_net_1\, Y => 
        \qgnzcpmbksd_7_0_iv_0[3]\);
    
    dttrrgvsnmg_iv_1 : NOR3C
      port map(A => \vmpskspphnb_m\, B => \qxzrwpjhcww_m[0]\, C
         => \vgdscntczht_m\, Y => \dttrrgvsnmg_iv_1\);
    
    znjtscvsvcs_iv_0_o2 : AO1A
      port map(A => TR_RAM_DO_B_net_net_7, B => \hnbsspwxkpd\, C
         => TR_RAM_DO_B_net_net_6, Y => N_388);
    
    vgdscntczht_m : OR3
      port map(A => N_284, B => cpwfrthtnfr_10_sqmuxa_0_a3_0, C
         => \vgdscntczht\, Y => \vgdscntczht_m\);
    
    \frcskdnwvmx_ns_i_a3_0[4]\ : NOR3A
      port map(A => TR_RAM_DO_B_net_net_1, B => 
        \frcskdnwvmx_0[8]_net_1\, C => N_233, Y => N_272);
    
    \brxxctcvrmh_qgnzcpmbksd_7_0_iv[8]\ : AO1B
      port map(A => N_230_i_0, B => I_36_0, C => 
        \tpxkpvnpvvn_m[8]_net_1\, Y => \qgnzcpmbksd_7[8]\);
    
    \frcskdnwvmx[11]\ : DFN1P0
      port map(D => \frcskdnwvmx_ns[0]_net_1\, CLK => GLA_c, PRE
         => SYS_RESET_global, Q => \frcskdnwvmx[11]_net_1\);
    
    \frcskdnwvmx_ns_i_a2[5]\ : OR3
      port map(A => \frcskdnwvmx[5]_net_1\, B => 
        \frcskdnwvmx[7]_net_1\, C => \frcskdnwvmx[2]_net_1\, Y
         => N_287);
    
    \brxxctcvrmh_qgnzcpmbksd_7_0_iv[1]\ : AO1B
      port map(A => N_230_i_0, B => I_32_0, C => 
        \qgnzcpmbksd_7_0_iv_0[1]\, Y => \qgnzcpmbksd_7[1]\);
    
    vnjtgtptszx_un1_xjrbtnwdszs_1_sqmuxa_0 : OA1
      port map(A => N_284, B => N_285, C => 
        \xjrbtnwdszs_1_sqmuxa\, Y => un1_xjrbtnwdszs_1_sqmuxa_0);
    
    \frcskdnwvmx[6]\ : DFN1C0
      port map(D => \frcskdnwvmx_ns_i[5]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \frcskdnwvmx[6]_net_1\);
    
    \brxxctcvrmh_qgnzcpmbksd_7_0_iv_0[4]\ : AOI1B
      port map(A => \Z\\EV_CHHOLD_net\\\, B => N_310, C => 
        \tpxkpvnpvvn_m_0[4]_net_1\, Y => 
        \qgnzcpmbksd_7_0_iv_0[4]\);
    
    \frcskdnwvmx_i[0]\ : INV
      port map(A => \frcskdnwvmx_0[0]_net_1\, Y => 
        \frcskdnwvmx_i[0]_net_1\);
    
    \jfkkdmfhcdn[0]\ : NOR2A
      port map(A => TR_RAM_DO_B_net_net_7, B => 
        \frcskdnwvmx_0[0]_net_1\, Y => TR_RAM_DI_B_net_net_7);
    
    un1_qgnzcpmbksd_I_30 : XOR2
      port map(A => \TR_RAM_ADDR_B_net_net_3\, B => 
        \DWACT_ADD_CI_0_g_array_2[0]\, Y => I_30_0);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    un1_qgnzcpmbksd_I_49 : NOR2B
      port map(A => \DWACT_ADD_CI_0_g_array_1[0]\, B => 
        \TR_RAM_ADDR_B_net_net_5\, Y => 
        \DWACT_ADD_CI_0_g_array_12[0]\);
    
    \frcskdnwvmx_ns_i[5]\ : NOR3A
      port map(A => INIT_DONE_c, B => N_274, C => N_273, Y => 
        \frcskdnwvmx_ns_i[5]_net_1\);
    
    \frcskdnwvmx_ns_a3_1[0]\ : NOR3A
      port map(A => \frcskdnwvmx_i[9]\, B => \TR_EV_RD_net\, C
         => \frcskdnwvmx[6]_net_1\, Y => 
        \frcskdnwvmx_ns_a3_1[0]_net_1\);
    
    \tpxkpvnpvvn_m_0[2]\ : OR3B
      port map(A => \frcskdnwvmx[8]_net_1\, B => 
        TR_RAM_DO_B_net_net_5, C => EV_DONE_net, Y => 
        \tpxkpvnpvvn_m_0[2]_net_1\);
    
    \frcskdnwvmx_ns_a3[7]\ : NOR2B
      port map(A => INIT_DONE_c, B => cpwfrthtnfr_7_sqmuxa, Y => 
        \frcskdnwvmx_ns[7]\);
    
    \frcskdnwvmx_ns_a3[0]\ : OR3A
      port map(A => \frcskdnwvmx_ns_a3_3[0]_net_1\, B => 
        \frcskdnwvmx[4]_net_1\, C => N_291, Y => N_269_i);
    
    cpwfrthtnfr_9_sqmuxa_0_o2 : OR2A
      port map(A => \frcskdnwvmx[6]_net_1\, B => 
        \Z\\TR_RAM_DO_B_net\\\, Y => N_235);
    
    un1_qgnzcpmbksd_I_38 : XOR2
      port map(A => \TR_RAM_ADDR_B_net_net_1\, B => 
        \DWACT_ADD_CI_0_g_array_11[0]\, Y => I_38_0);
    
    un1_frcskdnwvmx_3_0 : OR3B
      port map(A => INIT_DONE_c, B => N_243, C => 
        \frcskdnwvmx[0]_net_1\, Y => un1_frcskdnwvmx_3);
    
    cpwfrthtnfr_11_sqmuxa_0_a2_0 : OR3C
      port map(A => \Z\\TR_RAM_DO_B_net\\\, B => 
        \frcskdnwvmx[6]_net_1\, C => TR_RAM_DO_B_net_net_2, Y => 
        N_285);
    
    \tpxkpvnpvvn_m[8]\ : OR3B
      port map(A => \frcskdnwvmx_0[8]_net_1\, B => 
        TR_RAM_DO_B_net(8), C => EV_DONE_net_0, Y => 
        \tpxkpvnpvvn_m[8]_net_1\);
    
    \rjhhzsggrtr[1]\ : DFN1E1C0
      port map(D => TR_RAM_DO_B_net_net_6, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \frcskdnwvmx[4]_net_1\, Q => 
        TR_EV_ADDR_net_net_6);
    
    \brxxctcvrmh_qgnzcpmbksd_7_iv_0[0]\ : OA1
      port map(A => N_288, B => EV_DONE_net_0, C => 
        \tpxkpvnpvvn_m_0[0]_net_1\, Y => \qgnzcpmbksd_7_iv_0[0]\);
    
    un2_hfnznbmwdbg_1_i : NOR2B
      port map(A => \un2_hfnznbmwdbg_1_i_0\, B => N_288, Y => 
        N_230_i_0);
    
    znjtscvsvcs_iv_0_a2 : OR3C
      port map(A => N_388, B => \jnfrmfqggmk\, C => 
        cpwfrthtnfr_13_sqmuxa_1, Y => N_433);
    
    \qgnzcpmbksd[2]\ : DFN1C0
      port map(D => \qgnzcpmbksd_7[2]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \TR_RAM_ADDR_B_net_net_5\);
    
    hnbsspwxkpd_m : OR2B
      port map(A => \hnbsspwxkpd\, B => cpwfrthtnfr_14_sqmuxa, Y
         => \hnbsspwxkpd_m\);
    
    \jfkkdmfhcdn[2]\ : NOR2A
      port map(A => TR_RAM_DO_B_net_net_5, B => 
        \frcskdnwvmx_0[0]_net_1\, Y => TR_RAM_DI_B_net_net_5);
    
    \qgnzcpmbksd[4]\ : DFN1C0
      port map(D => \qgnzcpmbksd_7[4]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \TR_RAM_ADDR_B_net_net_3\);
    
    \brxxctcvrmh_qgnzcpmbksd_7_0_iv_0[1]\ : AOI1B
      port map(A => N_310, B => EV_CHHOLD_net_net_3, C => 
        \tpxkpvnpvvn_m_0[1]_net_1\, Y => 
        \qgnzcpmbksd_7_0_iv_0[1]\);
    
    \rjhhzsggrtr[7]\ : DFN1E1C0
      port map(D => \Z\\TR_RAM_DO_B_net\\\, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \frcskdnwvmx[4]_net_1\, Q => 
        \Z\\TR_EV_ADDR_net\\\);
    
    \frcskdnwvmx_0[0]\ : DFN1C0
      port map(D => \frcskdnwvmx_ns_i[11]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \frcskdnwvmx_0[0]_net_1\);
    
    cpwfrthtnfr_7_sqmuxa_0_a2 : NOR3A
      port map(A => TR_RAM_DO_B_net_net_2, B => N_235, C => N_284, 
        Y => cpwfrthtnfr_7_sqmuxa);
    
    \jfkkdmfhcdn_0_a3[5]\ : NOR2A
      port map(A => TR_RAM_DO_B_net_net_2, B => 
        \frcskdnwvmx[0]_net_1\, Y => TR_RAM_DI_B_net_net_2);
    
    \qgnzcpmbksd[5]\ : DFN1C0
      port map(D => \qgnzcpmbksd_7[5]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \TR_RAM_ADDR_B_net_net_2\);
    
    dttrrgvsnmg_iv : OR3C
      port map(A => \sxrhkdkngbh_m\, B => \dttrrgvsnmg_iv_1\, C
         => \hnbsspwxkpd_m\, Y => dttrrgvsnmg);
    
    un1_qgnzcpmbksd_I_34 : XOR2
      port map(A => \Z\\TR_RAM_ADDR_B_net\\_net_1\, B => 
        \DWACT_ADD_CI_0_g_array_12_2[0]\, Y => I_34_1);
    
    jvxfmjbzjmc_i_a2_0 : OR2
      port map(A => \frcskdnwvmx[10]_net_1\, B => N_287, Y => 
        N_291);
    
    jnfrmfqggmk : DFN1E1C0
      port map(D => dttrrgvsnmg, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => un1_xjrbtnwdszs_1_sqmuxa, Q => 
        \jnfrmfqggmk\);
    
    \brxxctcvrmh_qgnzcpmbksd_7_0_iv[3]\ : AO1B
      port map(A => N_230_i_0, B => I_37_0, C => 
        \qgnzcpmbksd_7_0_iv_0[3]\, Y => \qgnzcpmbksd_7[3]\);
    
    \xgnmbzmtzbb_0\ : NOR2
      port map(A => \frcskdnwvmx[1]_net_1\, B => 
        \frcskdnwvmx[0]_net_1\, Y => xgnmbzmtzbb_0);
    
    \rjhhzsggrtr[0]\ : DFN1E1C0
      port map(D => TR_RAM_DO_B_net_net_7, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \frcskdnwvmx[4]_net_1\, Q => 
        TR_EV_ADDR_net_net_7);
    
    un1_qgnzcpmbksd_I_53 : AND2
      port map(A => \TR_RAM_ADDR_B_net_net_3\, B => 
        \TR_RAM_ADDR_B_net_net_2\, Y => 
        \DWACT_ADD_CI_0_pog_array_1_1[0]\);
    
    \qgnzcpmbksd[7]\ : DFN1C0
      port map(D => \qgnzcpmbksd_7[7]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \Z\\TR_RAM_ADDR_B_net\\_net_1\);
    
    vmpskspphnb_m : OR3A
      port map(A => \vmpskspphnb\, B => N_284, C => N_285, Y => 
        \vmpskspphnb_m\);
    
    znjtscvsvcs_iv_0_x3 : AX1C
      port map(A => N_500, B => \cvpkmgjqwzb_0_a2_0_o2_1\, C => 
        TR_RAM_DO_B_net_net_2, Y => N_385_i_i_0);
    
    \brxxctcvrmh_qgnzcpmbksd_7_0_iv[7]\ : AO1B
      port map(A => N_230_i_0, B => I_34_1, C => 
        \tpxkpvnpvvn_m_0[7]_net_1\, Y => \qgnzcpmbksd_7[7]\);
    
    \rjhhzsggrtr[6]\ : DFN1E1C0
      port map(D => TR_RAM_DO_B_net_net_1, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \frcskdnwvmx[4]_net_1\, Q => 
        TR_EV_ADDR_net_net_1);
    
    \tpxkpvnpvvn_m_0[0]\ : OR3B
      port map(A => \frcskdnwvmx[8]_net_1\, B => 
        TR_RAM_DO_B_net_net_7, C => EV_DONE_net, Y => 
        \tpxkpvnpvvn_m_0[0]_net_1\);
    
    \mwzbqqvzwjt_12_iv_0_o2[25]\ : NOR2A
      port map(A => TR_RAM_DO_B_net_net_7, B => 
        TR_RAM_DO_B_net_net_6, Y => N_500);
    
    \brxxctcvrmh_qgnzcpmbksd_7_0_iv[5]\ : AO1B
      port map(A => N_230_i_0, B => I_33_0, C => 
        \qgnzcpmbksd_7_0_iv_0[5]\, Y => \qgnzcpmbksd_7[5]\);
    
    un2_hfnznbmwdbg_1_i_0 : NOR2A
      port map(A => un1_wjpccrvpdms, B => 
        \frcskdnwvmx_0[8]_net_1\, Y => \un2_hfnznbmwdbg_1_i_0\);
    
    un1_qgnzcpmbksd_I_43 : NOR2B
      port map(A => \DWACT_ADD_CI_0_g_array_1[0]\, B => 
        \DWACT_ADD_CI_0_pog_array_1[0]\, Y => 
        \DWACT_ADD_CI_0_g_array_2[0]\);
    
    un1_qgnzcpmbksd_I_52 : AND2
      port map(A => \TR_RAM_ADDR_B_net_net_5\, B => 
        \TR_RAM_ADDR_B_net_net_4\, Y => 
        \DWACT_ADD_CI_0_pog_array_1[0]\);
    
    znjtscvsvcs_iv_0_a2_0_1 : NOR2
      port map(A => N_235, B => N_234, Y => N_434_1);
    
    vnjtgtptszx_un1_xjrbtnwdszs_1_sqmuxa_1 : OA1
      port map(A => N_284, B => cpwfrthtnfr_10_sqmuxa_0_a3_0, C
         => un1_xjrbtnwdszs_1_sqmuxa_0, Y => 
        un1_xjrbtnwdszs_1_sqmuxa_1);
    
    \frcskdnwvmx_ns_i_a3[5]\ : NOR2
      port map(A => N_287, B => N_236, Y => N_273);
    
    brxxctcvrmh_un1_wjpccrvpdms_0_o3 : NOR2
      port map(A => EV_DONE_net, B => \frcskdnwvmx[1]_net_1\, Y
         => un1_wjpccrvpdms);
    
    \frcskdnwvmx_ns_a3_0[6]\ : OR2A
      port map(A => INIT_DONE_c, B => TR_RAM_DO_B_net_net_2, Y
         => \frcskdnwvmx_ns_a3_0[6]_net_1\);
    
    cpwfrthtnfr_13_sqmuxa : OR2B
      port map(A => cpwfrthtnfr_13_sqmuxa_1, B => N_500, Y => 
        \cpwfrthtnfr_13_sqmuxa\);
    
    \frcskdnwvmx[10]\ : DFN1C0
      port map(D => \frcskdnwvmx_ns_i[1]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \frcskdnwvmx[10]_net_1\);
    
    \frcskdnwvmx[4]\ : DFN1C0
      port map(D => \frcskdnwvmx_ns[7]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \frcskdnwvmx[4]_net_1\);
    
    qgtkpxrgqqs_un1_xjrbtnwdszs_0_sqmuxa_0 : OR2
      port map(A => \xjrbtnwdszs_0_sqmuxa\, B => N_434_1, Y => 
        un1_xjrbtnwdszs_0_sqmuxa_0);
    
    \qgnzcpmbksd[0]\ : DFN1C0
      port map(D => \qgnzcpmbksd_7[0]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \TR_RAM_ADDR_B_net_net_7\);
    
    \qgnzcpmbksd[6]\ : DFN1C0
      port map(D => \qgnzcpmbksd_7[6]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \TR_RAM_ADDR_B_net_net_1\);
    
    un1_qgnzcpmbksd_I_42 : NOR2B
      port map(A => \DWACT_ADD_CI_0_g_array_2[0]\, B => 
        \DWACT_ADD_CI_0_pog_array_1_1[0]\, Y => 
        \DWACT_ADD_CI_0_g_array_11[0]\);
    
    un1_qgnzcpmbksd_I_47 : NOR2B
      port map(A => \DWACT_ADD_CI_0_g_array_2[0]\, B => 
        \TR_RAM_ADDR_B_net_net_3\, Y => 
        \DWACT_ADD_CI_0_g_array_12_1[0]\);
    
    thrxvbszptn : DFN1P0
      port map(D => \frcskdnwvmx_i[0]_net_1\, CLK => GLA_c, PRE
         => SYS_RESET_global, Q => TR_DONE_net_i_0);
    
    \qxzrwpjhcww_m_0[0]\ : OR2B
      port map(A => EV_RAM_DO_A_net_net_7, B => 
        \frcskdnwvmx[2]_net_1\, Y => \qxzrwpjhcww_m[0]\);
    
    znjtscvsvcs_iv_0 : OR3C
      port map(A => N_434, B => \qxzrwpjhcww_m[0]\, C => N_433, Y
         => znjtscvsvcs);
    
    \frcskdnwvmx_ns[0]\ : OR3B
      port map(A => INIT_DONE_c, B => N_269_i, C => 
        \frcskdnwvmx[0]_net_1\, Y => \frcskdnwvmx_ns[0]_net_1\);
    
    jvxfmjbzjmc_i_a2_0_0 : NOR2B
      port map(A => \Z\\TR_RAM_DO_B_net\\\, B => 
        TR_RAM_DO_B_net_net_2, Y => \jvxfmjbzjmc_i_a2_0\);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    \frcskdnwvmx_ns_a3[10]\ : NOR2A
      port map(A => INIT_DONE_c, B => N_288, Y => 
        \frcskdnwvmx_ns[10]\);
    
    svpbmqwvncp_0 : OR3B
      port map(A => \svpbmqwvncp_0_1\, B => N_264, C => 
        \frcskdnwvmx[4]_net_1\, Y => TR_RAM_CSN_B_net);
    
    \frcskdnwvmx[0]\ : DFN1C0
      port map(D => \frcskdnwvmx_ns_i[11]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \frcskdnwvmx[0]_net_1\);
    
    \rjhhzsggrtr[4]\ : DFN1E1C0
      port map(D => TR_RAM_DO_B_net_net_3, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \frcskdnwvmx[4]_net_1\, Q => 
        TR_EV_ADDR_net_net_3);
    
    cpwfrthtnfr_12_sqmuxa_0_a2 : NOR2A
      port map(A => cpwfrthtnfr_13_sqmuxa_1, B => 
        TR_RAM_DO_B_net_net_7, Y => cpwfrthtnfr_12_sqmuxa);
    
    \frcskdnwvmx_ns_i_o2[3]\ : OR3
      port map(A => N_233, B => \frcskdnwvmx_ns_i_o2_0[3]_net_1\, 
        C => N_235, Y => N_248);
    
    cvpkmgjqwzb_0_a2_0_o2_1 : NOR3
      port map(A => TR_RAM_DO_B_net_net_4, B => 
        TR_RAM_DO_B_net_net_5, C => TR_RAM_DO_B_net_net_3, Y => 
        \cvpkmgjqwzb_0_a2_0_o2_1\);
    
    \brxxctcvrmh_qgnzcpmbksd_7_0_iv[6]\ : AO1B
      port map(A => N_230_i_0, B => I_38_0, C => 
        \tpxkpvnpvvn_m_0[6]_net_1\, Y => \qgnzcpmbksd_7[6]\);
    
    cpwfrthtnfr_13_sqmuxa_1_0_a2_0 : OR3B
      port map(A => \Z\\TR_RAM_DO_B_net\\\, B => 
        \frcskdnwvmx[6]_net_1\, C => TR_RAM_DO_B_net_net_2, Y => 
        cpwfrthtnfr_10_sqmuxa_0_a3_0);
    
    znjtscvsvcs_iv_0_a2_0 : OR3C
      port map(A => N_385_i_i_0, B => \hnbsspwxkpd\, C => N_434_1, 
        Y => N_434);
    
    un1_qgnzcpmbksd_I_46 : NOR2B
      port map(A => \DWACT_ADD_CI_0_g_array_2[0]\, B => 
        \DWACT_ADD_CI_0_pog_array_2[0]\, Y => 
        \DWACT_ADD_CI_0_g_array_3[0]\);
    
    dvqzjxhqhrh : DFN1E1C0
      port map(D => TR_RAM_DO_B_net_net_3, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => cpwfrthtnfr_7_sqmuxa, Q => 
        \dvqzjxhqhrh\);
    
    \frcskdnwvmx[9]\ : DFN1P0
      port map(D => \frcskdnwvmx_ns_i[2]_net_1\, CLK => GLA_c, 
        PRE => SYS_RESET_global, Q => \frcskdnwvmx_i[9]\);
    
    \jfkkdmfhcdn[3]\ : NOR2A
      port map(A => TR_RAM_DO_B_net_net_4, B => 
        \frcskdnwvmx_0[0]_net_1\, Y => TR_RAM_DI_B_net_net_4);
    
    \tpxkpvnpvvn_m_0[6]\ : OR3B
      port map(A => \frcskdnwvmx_0[8]_net_1\, B => 
        TR_RAM_DO_B_net_net_1, C => EV_DONE_net_0, Y => 
        \tpxkpvnpvvn_m_0[6]_net_1\);
    
    \qgnzcpmbksd[3]\ : DFN1C0
      port map(D => \qgnzcpmbksd_7[3]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \TR_RAM_ADDR_B_net_net_4\);
    
    \frcskdnwvmx_ns_i[9]\ : NOR2B
      port map(A => INIT_DONE_c, B => \TR_EV_RD_net\, Y => 
        \frcskdnwvmx_ns_i[9]_net_1\);
    
    un1_qgnzcpmbksd_I_50 : NOR2B
      port map(A => \DWACT_ADD_CI_0_g_array_11[0]\, B => 
        \TR_RAM_ADDR_B_net_net_1\, Y => 
        \DWACT_ADD_CI_0_g_array_12_2[0]\);
    
    jvxfmjbzjmc_i : AO1
      port map(A => N_236, B => N_248, C => N_291, Y => 
        \jvxfmjbzjmc_i\);
    
    sxrhkdkngbh_m : AO1D
      port map(A => \hnbsspwxkpd\, B => \jnfrmfqggmk\, C => 
        \cpwfrthtnfr_13_sqmuxa\, Y => \sxrhkdkngbh_m\);
    
    \rjhhzsggrtr[8]\ : DFN1E1C0
      port map(D => TR_RAM_DO_B_net(8), CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \frcskdnwvmx[4]_net_1\, Q => 
        TR_EV_ADDR_net(8));
    
    un1_qgnzcpmbksd_I_35 : XOR2
      port map(A => \TR_RAM_ADDR_B_net_net_5\, B => 
        \DWACT_ADD_CI_0_g_array_1[0]\, Y => I_35_0);
    
    un1_qgnzcpmbksd_I_1 : AND2
      port map(A => \TR_RAM_ADDR_B_net_net_7\, B => 
        \jvxfmjbzjmc_i\, Y => \DWACT_ADD_CI_0_TMP[0]\);
    
    \frcskdnwvmx[3]\ : DFN1C0
      port map(D => \frcskdnwvmx_ns_i[8]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \TR_EV_RD_net\);
    
    cpwfrthtnfr_11_sqmuxa_0_a2 : OR2A
      port map(A => TR_RAM_DO_B_net(8), B => 
        TR_RAM_DO_B_net_net_1, Y => N_284);
    
    hnbsspwxkpd : DFN1E1C0
      port map(D => znjtscvsvcs, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => un1_xjrbtnwdszs_0_sqmuxa, Q => 
        \hnbsspwxkpd\);
    
    \tpxkpvnpvvn_m_0[3]\ : OR3B
      port map(A => \frcskdnwvmx[8]_net_1\, B => 
        TR_RAM_DO_B_net_net_4, C => EV_DONE_net, Y => 
        \tpxkpvnpvvn_m_0[3]_net_1\);
    
    \rjhhzsggrtr[2]\ : DFN1E1C0
      port map(D => TR_RAM_DO_B_net_net_5, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => \frcskdnwvmx[4]_net_1\, Q => 
        TR_EV_ADDR_net_net_5);
    
    un1_qgnzcpmbksd_I_21 : XOR2
      port map(A => \TR_RAM_ADDR_B_net_net_7\, B => 
        \jvxfmjbzjmc_i\, Y => \DWACT_ADD_CI_0_partial_sum[0]\);
    
    un1_qgnzcpmbksd_I_54 : AND2
      port map(A => \TR_RAM_ADDR_B_net_net_1\, B => 
        \Z\\TR_RAM_ADDR_B_net\\_net_1\, Y => 
        \DWACT_ADD_CI_0_pog_array_1_2[0]\);
    
    \tpxkpvnpvvn_m_0[4]\ : OR3B
      port map(A => \frcskdnwvmx[8]_net_1\, B => 
        TR_RAM_DO_B_net_net_3, C => EV_DONE_net_0, Y => 
        \tpxkpvnpvvn_m_0[4]_net_1\);
    
    \tpxkpvnpvvn_m_0[1]\ : OR3B
      port map(A => \frcskdnwvmx[8]_net_1\, B => 
        TR_RAM_DO_B_net_net_6, C => EV_DONE_net, Y => 
        \tpxkpvnpvvn_m_0[1]_net_1\);
    
    \frcskdnwvmx[2]\ : DFN1C0
      port map(D => \frcskdnwvmx_ns_i[9]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \frcskdnwvmx[2]_net_1\);
    
    \frcskdnwvmx_0[8]\ : DFN1C0
      port map(D => \frcskdnwvmx_ns_i[3]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \frcskdnwvmx_0[8]_net_1\);
    
    cnwzzrhdsqv : OR3B
      port map(A => N_10, B => N_12, C => INIT_DONE_c, Y => 
        TR_RAM_RW_A_net);
    
    un1_qgnzcpmbksd_I_44 : NOR2B
      port map(A => \DWACT_ADD_CI_0_TMP[0]\, B => 
        \TR_RAM_ADDR_B_net_net_6\, Y => 
        \DWACT_ADD_CI_0_g_array_1[0]\);
    
    \frcskdnwvmx_ns_i_a3[4]\ : OA1B
      port map(A => N_235, B => TR_RAM_DO_B_net(8), C => 
        \frcskdnwvmx_0[8]_net_1\, Y => N_271);
    
    cpwfrthtnfr_14_sqmuxa_0_a2 : NOR2B
      port map(A => TR_RAM_DO_B_net_net_6, B => 
        cpwfrthtnfr_13_sqmuxa_1, Y => cpwfrthtnfr_14_sqmuxa);
    
    \frcskdnwvmx_ns_i[8]\ : NOR2B
      port map(A => INIT_DONE_c, B => \frcskdnwvmx[4]_net_1\, Y
         => \frcskdnwvmx_ns_i[8]_net_1\);
    
    \brxxctcvrmh_qgnzcpmbksd_7_0_iv[2]\ : AO1B
      port map(A => N_230_i_0, B => I_35_0, C => 
        \qgnzcpmbksd_7_0_iv_0[2]\, Y => \qgnzcpmbksd_7[2]\);
    
    \frcskdnwvmx_ns_i_m2[4]\ : MX2B
      port map(A => \hnbsspwxkpd\, B => \jnfrmfqggmk\, S => 
        TR_RAM_DO_B_net_net_2, Y => N_233);
    
    zzzxtvvjqhf : DFN1E1C0
      port map(D => \frcskdnwvmx_ns_i[1]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, E => un1_frcskdnwvmx_3, Q => 
        TR_TRFLAG_net);
    
    \tpxkpvnpvvn_m_0[5]\ : OR3B
      port map(A => \frcskdnwvmx_0[8]_net_1\, B => 
        TR_RAM_DO_B_net_net_2, C => EV_DONE_net_0, Y => 
        \tpxkpvnpvvn_m_0[5]_net_1\);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity SMTR is

    port(EV_CHHOLD_net : in std_logic_vector(4 to 4); 
        TR_RAM_DO_B_net : in std_logic_vector(8 to 8); 
        TR_RAM_DI_B_net : out std_logic_vector(8 to 8); 
        TR_EV_ADDR_net : out std_logic_vector(8 to 8); 
        TR_RAM_ADDR_B_net : out std_logic_vector(8 to 8); GLA_c, 
        SYS_RESET_global : in std_logic; TR_RAM_ADDR_B_net_net_6, 
        TR_RAM_ADDR_B_net_net_3, TR_RAM_ADDR_B_net_net_5, 
        TR_RAM_ADDR_B_net_net_1 : out std_logic; 
        \Z\\EV_CHHOLD_net\\\, EV_CHHOLD_net_net_1, 
        EV_CHHOLD_net_net_2, EV_CHHOLD_net_net_3, EV_DONE_net_0 : 
        in std_logic; TR_EV_RD_net : out std_logic; INIT_DONE_c, 
        TR_RAM_DO_B_net_net_2, \Z\\TR_RAM_DO_B_net\\\, 
        TR_RAM_DO_B_net_net_1, TR_RAM_DO_B_net_net_4, 
        TR_RAM_DO_B_net_net_5, TR_RAM_DO_B_net_net_3 : in
         std_logic; TR_RAM_CSN_B_net, TR_RAM_DI_B_net_net_7 : out
         std_logic; TR_RAM_DO_B_net_net_7 : in std_logic; 
        TR_RAM_DI_B_net_net_6 : out std_logic; 
        TR_RAM_DO_B_net_net_6 : in std_logic; 
        TR_RAM_DI_B_net_net_5, TR_RAM_DI_B_net_net_4, 
        TR_RAM_DI_B_net_net_3, xgnmbzmtzbb_0, 
        TR_RAM_DI_B_net_net_2, TR_RAM_DI_B_net_net_1, 
        TR_RAM_RW_A_net : out std_logic; N_10, N_12, EV_DONE_net, 
        EV_RAM_DO_A_net_net_7 : in std_logic; 
        \Z\\TR_RAM_DI_B_net\\\, TR_DONE_net_i_0, TR_TRFLAG_net, 
        TR_EV_ADDR_net_net_7, TR_EV_ADDR_net_net_6, 
        TR_EV_ADDR_net_net_5, TR_EV_ADDR_net_net_4, 
        TR_EV_ADDR_net_net_3, TR_EV_ADDR_net_net_2, 
        TR_EV_ADDR_net_net_1, \Z\\TR_EV_ADDR_net\\\, 
        TR_RAM_ADDR_B_net_net_7, TR_RAM_ADDR_B_net_net_4, 
        TR_RAM_ADDR_B_net_net_2, \Z\\TR_RAM_ADDR_B_net\\\ : out
         std_logic);

end SMTR;

architecture DEF_ARCH of SMTR is 

  component VCC
    port(Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component ccfdxrhchsz
    port(TR_RAM_ADDR_B_net : out std_logic_vector(8 to 8); 
        TR_EV_ADDR_net : out std_logic_vector(8 to 8); 
        TR_RAM_DI_B_net : out std_logic_vector(8 to 8); 
        TR_RAM_DO_B_net : 
        in std_logic_vector(8 to 8) := (others => 'U'); 
        EV_CHHOLD_net : 
        in std_logic_vector(4 to 4) := (others => 'U'); 
        \Z\\TR_RAM_ADDR_B_net\\\, TR_RAM_ADDR_B_net_net_2, 
        TR_RAM_ADDR_B_net_net_4, TR_RAM_ADDR_B_net_net_7, 
        \Z\\TR_EV_ADDR_net\\\, TR_EV_ADDR_net_net_1, 
        TR_EV_ADDR_net_net_2, TR_EV_ADDR_net_net_3, 
        TR_EV_ADDR_net_net_4, TR_EV_ADDR_net_net_5, 
        TR_EV_ADDR_net_net_6, TR_EV_ADDR_net_net_7, TR_TRFLAG_net, 
        TR_DONE_net_i_0, \Z\\TR_RAM_DI_B_net\\\ : out std_logic; 
        EV_RAM_DO_A_net_net_7, EV_DONE_net, N_12, N_10 : in
         std_logic := 'U'; TR_RAM_RW_A_net, TR_RAM_DI_B_net_net_1, 
        TR_RAM_DI_B_net_net_2, xgnmbzmtzbb_0, 
        TR_RAM_DI_B_net_net_3, TR_RAM_DI_B_net_net_4, 
        TR_RAM_DI_B_net_net_5 : out std_logic; 
        TR_RAM_DO_B_net_net_6 : in std_logic := 'U'; 
        TR_RAM_DI_B_net_net_6 : out std_logic; 
        TR_RAM_DO_B_net_net_7 : in std_logic := 'U'; 
        TR_RAM_DI_B_net_net_7, TR_RAM_CSN_B_net : out std_logic; 
        TR_RAM_DO_B_net_net_3, TR_RAM_DO_B_net_net_5, 
        TR_RAM_DO_B_net_net_4, TR_RAM_DO_B_net_net_1, 
        \Z\\TR_RAM_DO_B_net\\\, TR_RAM_DO_B_net_net_2, 
        INIT_DONE_c : in std_logic := 'U'; TR_EV_RD_net : out
         std_logic; EV_DONE_net_0, EV_CHHOLD_net_net_3, 
        EV_CHHOLD_net_net_2, EV_CHHOLD_net_net_1, 
        \Z\\EV_CHHOLD_net\\\ : in std_logic := 'U'; 
        TR_RAM_ADDR_B_net_net_1, TR_RAM_ADDR_B_net_net_5, 
        TR_RAM_ADDR_B_net_net_3, TR_RAM_ADDR_B_net_net_6 : out
         std_logic; SYS_RESET_global, GLA_c : in std_logic := 'U');
        
  end component;

    signal \VCC\, \GND\, GND_net_1, VCC_net_1 : std_logic;

    for all : ccfdxrhchsz
	Use entity work.ccfdxrhchsz(DEF_ARCH);
begin 


    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    u_ccfdxrhchsz : ccfdxrhchsz
      port map(TR_RAM_ADDR_B_net(8) => TR_RAM_ADDR_B_net(8), 
        TR_EV_ADDR_net(8) => TR_EV_ADDR_net(8), 
        TR_RAM_DI_B_net(8) => TR_RAM_DI_B_net(8), 
        TR_RAM_DO_B_net(8) => TR_RAM_DO_B_net(8), 
        EV_CHHOLD_net(4) => EV_CHHOLD_net(4), 
        \Z\\TR_RAM_ADDR_B_net\\\ => \Z\\TR_RAM_ADDR_B_net\\\, 
        TR_RAM_ADDR_B_net_net_2 => TR_RAM_ADDR_B_net_net_2, 
        TR_RAM_ADDR_B_net_net_4 => TR_RAM_ADDR_B_net_net_4, 
        TR_RAM_ADDR_B_net_net_7 => TR_RAM_ADDR_B_net_net_7, 
        \Z\\TR_EV_ADDR_net\\\ => \Z\\TR_EV_ADDR_net\\\, 
        TR_EV_ADDR_net_net_1 => TR_EV_ADDR_net_net_1, 
        TR_EV_ADDR_net_net_2 => TR_EV_ADDR_net_net_2, 
        TR_EV_ADDR_net_net_3 => TR_EV_ADDR_net_net_3, 
        TR_EV_ADDR_net_net_4 => TR_EV_ADDR_net_net_4, 
        TR_EV_ADDR_net_net_5 => TR_EV_ADDR_net_net_5, 
        TR_EV_ADDR_net_net_6 => TR_EV_ADDR_net_net_6, 
        TR_EV_ADDR_net_net_7 => TR_EV_ADDR_net_net_7, 
        TR_TRFLAG_net => TR_TRFLAG_net, TR_DONE_net_i_0 => 
        TR_DONE_net_i_0, \Z\\TR_RAM_DI_B_net\\\ => 
        \Z\\TR_RAM_DI_B_net\\\, EV_RAM_DO_A_net_net_7 => 
        EV_RAM_DO_A_net_net_7, EV_DONE_net => EV_DONE_net, N_12
         => N_12, N_10 => N_10, TR_RAM_RW_A_net => 
        TR_RAM_RW_A_net, TR_RAM_DI_B_net_net_1 => 
        TR_RAM_DI_B_net_net_1, TR_RAM_DI_B_net_net_2 => 
        TR_RAM_DI_B_net_net_2, xgnmbzmtzbb_0 => xgnmbzmtzbb_0, 
        TR_RAM_DI_B_net_net_3 => TR_RAM_DI_B_net_net_3, 
        TR_RAM_DI_B_net_net_4 => TR_RAM_DI_B_net_net_4, 
        TR_RAM_DI_B_net_net_5 => TR_RAM_DI_B_net_net_5, 
        TR_RAM_DO_B_net_net_6 => TR_RAM_DO_B_net_net_6, 
        TR_RAM_DI_B_net_net_6 => TR_RAM_DI_B_net_net_6, 
        TR_RAM_DO_B_net_net_7 => TR_RAM_DO_B_net_net_7, 
        TR_RAM_DI_B_net_net_7 => TR_RAM_DI_B_net_net_7, 
        TR_RAM_CSN_B_net => TR_RAM_CSN_B_net, 
        TR_RAM_DO_B_net_net_3 => TR_RAM_DO_B_net_net_3, 
        TR_RAM_DO_B_net_net_5 => TR_RAM_DO_B_net_net_5, 
        TR_RAM_DO_B_net_net_4 => TR_RAM_DO_B_net_net_4, 
        TR_RAM_DO_B_net_net_1 => TR_RAM_DO_B_net_net_1, 
        \Z\\TR_RAM_DO_B_net\\\ => \Z\\TR_RAM_DO_B_net\\\, 
        TR_RAM_DO_B_net_net_2 => TR_RAM_DO_B_net_net_2, 
        INIT_DONE_c => INIT_DONE_c, TR_EV_RD_net => TR_EV_RD_net, 
        EV_DONE_net_0 => EV_DONE_net_0, EV_CHHOLD_net_net_3 => 
        EV_CHHOLD_net_net_3, EV_CHHOLD_net_net_2 => 
        EV_CHHOLD_net_net_2, EV_CHHOLD_net_net_1 => 
        EV_CHHOLD_net_net_1, \Z\\EV_CHHOLD_net\\\ => 
        \Z\\EV_CHHOLD_net\\\, TR_RAM_ADDR_B_net_net_1 => 
        TR_RAM_ADDR_B_net_net_1, TR_RAM_ADDR_B_net_net_5 => 
        TR_RAM_ADDR_B_net_net_5, TR_RAM_ADDR_B_net_net_3 => 
        TR_RAM_ADDR_B_net_net_3, TR_RAM_ADDR_B_net_net_6 => 
        TR_RAM_ADDR_B_net_net_6, SYS_RESET_global => 
        SYS_RESET_global, GLA_c => GLA_c);
    
    GND_i : GND
      port map(Y => \GND\);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity ADC_smtr_wrapper is

    port(TR_RAM_ADDR_B_net : out std_logic_vector(8 to 8); 
        TR_EV_ADDR_net : out std_logic_vector(8 to 8); 
        TR_RAM_DI_B_net : out std_logic_vector(8 to 8); 
        TR_RAM_DO_B_net : in std_logic_vector(8 to 8); 
        EV_CHHOLD_net : in std_logic_vector(4 to 4); 
        \Z\\TR_RAM_ADDR_B_net\\\, TR_RAM_ADDR_B_net_net_2, 
        TR_RAM_ADDR_B_net_net_4, TR_RAM_ADDR_B_net_net_7, 
        \Z\\TR_EV_ADDR_net\\\, TR_EV_ADDR_net_net_1, 
        TR_EV_ADDR_net_net_2, TR_EV_ADDR_net_net_3, 
        TR_EV_ADDR_net_net_4, TR_EV_ADDR_net_net_5, 
        TR_EV_ADDR_net_net_6, TR_EV_ADDR_net_net_7, TR_TRFLAG_net, 
        TR_DONE_net_i_0, \Z\\TR_RAM_DI_B_net\\\ : out std_logic; 
        EV_RAM_DO_A_net_net_7, EV_DONE_net, N_12, N_10 : in
         std_logic; TR_RAM_RW_A_net, TR_RAM_DI_B_net_net_1, 
        TR_RAM_DI_B_net_net_2, xgnmbzmtzbb_0, 
        TR_RAM_DI_B_net_net_3, TR_RAM_DI_B_net_net_4, 
        TR_RAM_DI_B_net_net_5 : out std_logic; 
        TR_RAM_DO_B_net_net_6 : in std_logic; 
        TR_RAM_DI_B_net_net_6 : out std_logic; 
        TR_RAM_DO_B_net_net_7 : in std_logic; 
        TR_RAM_DI_B_net_net_7, TR_RAM_CSN_B_net : out std_logic; 
        TR_RAM_DO_B_net_net_3, TR_RAM_DO_B_net_net_5, 
        TR_RAM_DO_B_net_net_4, TR_RAM_DO_B_net_net_1, 
        \Z\\TR_RAM_DO_B_net\\\, TR_RAM_DO_B_net_net_2, 
        INIT_DONE_c : in std_logic; TR_EV_RD_net : out std_logic; 
        EV_DONE_net_0, EV_CHHOLD_net_net_3, EV_CHHOLD_net_net_2, 
        EV_CHHOLD_net_net_1, \Z\\EV_CHHOLD_net\\\ : in std_logic; 
        TR_RAM_ADDR_B_net_net_1, TR_RAM_ADDR_B_net_net_5, 
        TR_RAM_ADDR_B_net_net_3, TR_RAM_ADDR_B_net_net_6 : out
         std_logic; SYS_RESET_global, GLA_c : in std_logic);

end ADC_smtr_wrapper;

architecture DEF_ARCH of ADC_smtr_wrapper is 

  component VCC
    port(Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component SMTR
    port(EV_CHHOLD_net : 
        in std_logic_vector(4 to 4) := (others => 'U'); 
        TR_RAM_DO_B_net : 
        in std_logic_vector(8 to 8) := (others => 'U'); 
        TR_RAM_DI_B_net : out std_logic_vector(8 to 8); 
        TR_EV_ADDR_net : out std_logic_vector(8 to 8); 
        TR_RAM_ADDR_B_net : out std_logic_vector(8 to 8); GLA_c, 
        SYS_RESET_global : in std_logic := 'U'; 
        TR_RAM_ADDR_B_net_net_6, TR_RAM_ADDR_B_net_net_3, 
        TR_RAM_ADDR_B_net_net_5, TR_RAM_ADDR_B_net_net_1 : out
         std_logic; \Z\\EV_CHHOLD_net\\\, EV_CHHOLD_net_net_1, 
        EV_CHHOLD_net_net_2, EV_CHHOLD_net_net_3, EV_DONE_net_0 : 
        in std_logic := 'U'; TR_EV_RD_net : out std_logic; 
        INIT_DONE_c, TR_RAM_DO_B_net_net_2, 
        \Z\\TR_RAM_DO_B_net\\\, TR_RAM_DO_B_net_net_1, 
        TR_RAM_DO_B_net_net_4, TR_RAM_DO_B_net_net_5, 
        TR_RAM_DO_B_net_net_3 : in std_logic := 'U'; 
        TR_RAM_CSN_B_net, TR_RAM_DI_B_net_net_7 : out std_logic; 
        TR_RAM_DO_B_net_net_7 : in std_logic := 'U'; 
        TR_RAM_DI_B_net_net_6 : out std_logic; 
        TR_RAM_DO_B_net_net_6 : in std_logic := 'U'; 
        TR_RAM_DI_B_net_net_5, TR_RAM_DI_B_net_net_4, 
        TR_RAM_DI_B_net_net_3, xgnmbzmtzbb_0, 
        TR_RAM_DI_B_net_net_2, TR_RAM_DI_B_net_net_1, 
        TR_RAM_RW_A_net : out std_logic; N_10, N_12, EV_DONE_net, 
        EV_RAM_DO_A_net_net_7 : in std_logic := 'U'; 
        \Z\\TR_RAM_DI_B_net\\\, TR_DONE_net_i_0, TR_TRFLAG_net, 
        TR_EV_ADDR_net_net_7, TR_EV_ADDR_net_net_6, 
        TR_EV_ADDR_net_net_5, TR_EV_ADDR_net_net_4, 
        TR_EV_ADDR_net_net_3, TR_EV_ADDR_net_net_2, 
        TR_EV_ADDR_net_net_1, \Z\\TR_EV_ADDR_net\\\, 
        TR_RAM_ADDR_B_net_net_7, TR_RAM_ADDR_B_net_net_4, 
        TR_RAM_ADDR_B_net_net_2, \Z\\TR_RAM_ADDR_B_net\\\ : out
         std_logic);
  end component;

    signal \VCC\, \GND\, GND_net_1, VCC_net_1 : std_logic;

    for all : SMTR
	Use entity work.SMTR(DEF_ARCH);
begin 


    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    U0 : SMTR
      port map(EV_CHHOLD_net(4) => EV_CHHOLD_net(4), 
        TR_RAM_DO_B_net(8) => TR_RAM_DO_B_net(8), 
        TR_RAM_DI_B_net(8) => TR_RAM_DI_B_net(8), 
        TR_EV_ADDR_net(8) => TR_EV_ADDR_net(8), 
        TR_RAM_ADDR_B_net(8) => TR_RAM_ADDR_B_net(8), GLA_c => 
        GLA_c, SYS_RESET_global => SYS_RESET_global, 
        TR_RAM_ADDR_B_net_net_6 => TR_RAM_ADDR_B_net_net_6, 
        TR_RAM_ADDR_B_net_net_3 => TR_RAM_ADDR_B_net_net_3, 
        TR_RAM_ADDR_B_net_net_5 => TR_RAM_ADDR_B_net_net_5, 
        TR_RAM_ADDR_B_net_net_1 => TR_RAM_ADDR_B_net_net_1, 
        \Z\\EV_CHHOLD_net\\\ => \Z\\EV_CHHOLD_net\\\, 
        EV_CHHOLD_net_net_1 => EV_CHHOLD_net_net_1, 
        EV_CHHOLD_net_net_2 => EV_CHHOLD_net_net_2, 
        EV_CHHOLD_net_net_3 => EV_CHHOLD_net_net_3, EV_DONE_net_0
         => EV_DONE_net_0, TR_EV_RD_net => TR_EV_RD_net, 
        INIT_DONE_c => INIT_DONE_c, TR_RAM_DO_B_net_net_2 => 
        TR_RAM_DO_B_net_net_2, \Z\\TR_RAM_DO_B_net\\\ => 
        \Z\\TR_RAM_DO_B_net\\\, TR_RAM_DO_B_net_net_1 => 
        TR_RAM_DO_B_net_net_1, TR_RAM_DO_B_net_net_4 => 
        TR_RAM_DO_B_net_net_4, TR_RAM_DO_B_net_net_5 => 
        TR_RAM_DO_B_net_net_5, TR_RAM_DO_B_net_net_3 => 
        TR_RAM_DO_B_net_net_3, TR_RAM_CSN_B_net => 
        TR_RAM_CSN_B_net, TR_RAM_DI_B_net_net_7 => 
        TR_RAM_DI_B_net_net_7, TR_RAM_DO_B_net_net_7 => 
        TR_RAM_DO_B_net_net_7, TR_RAM_DI_B_net_net_6 => 
        TR_RAM_DI_B_net_net_6, TR_RAM_DO_B_net_net_6 => 
        TR_RAM_DO_B_net_net_6, TR_RAM_DI_B_net_net_5 => 
        TR_RAM_DI_B_net_net_5, TR_RAM_DI_B_net_net_4 => 
        TR_RAM_DI_B_net_net_4, TR_RAM_DI_B_net_net_3 => 
        TR_RAM_DI_B_net_net_3, xgnmbzmtzbb_0 => xgnmbzmtzbb_0, 
        TR_RAM_DI_B_net_net_2 => TR_RAM_DI_B_net_net_2, 
        TR_RAM_DI_B_net_net_1 => TR_RAM_DI_B_net_net_1, 
        TR_RAM_RW_A_net => TR_RAM_RW_A_net, N_10 => N_10, N_12
         => N_12, EV_DONE_net => EV_DONE_net, 
        EV_RAM_DO_A_net_net_7 => EV_RAM_DO_A_net_net_7, 
        \Z\\TR_RAM_DI_B_net\\\ => \Z\\TR_RAM_DI_B_net\\\, 
        TR_DONE_net_i_0 => TR_DONE_net_i_0, TR_TRFLAG_net => 
        TR_TRFLAG_net, TR_EV_ADDR_net_net_7 => 
        TR_EV_ADDR_net_net_7, TR_EV_ADDR_net_net_6 => 
        TR_EV_ADDR_net_net_6, TR_EV_ADDR_net_net_5 => 
        TR_EV_ADDR_net_net_5, TR_EV_ADDR_net_net_4 => 
        TR_EV_ADDR_net_net_4, TR_EV_ADDR_net_net_3 => 
        TR_EV_ADDR_net_net_3, TR_EV_ADDR_net_net_2 => 
        TR_EV_ADDR_net_net_2, TR_EV_ADDR_net_net_1 => 
        TR_EV_ADDR_net_net_1, \Z\\TR_EV_ADDR_net\\\ => 
        \Z\\TR_EV_ADDR_net\\\, TR_RAM_ADDR_B_net_net_7 => 
        TR_RAM_ADDR_B_net_net_7, TR_RAM_ADDR_B_net_net_4 => 
        TR_RAM_ADDR_B_net_net_4, TR_RAM_ADDR_B_net_net_2 => 
        TR_RAM_ADDR_B_net_net_2, \Z\\TR_RAM_ADDR_B_net\\\ => 
        \Z\\TR_RAM_ADDR_B_net\\\);
    
    GND_i : GND
      port map(Y => \GND\);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity ADC is

    port(rdgwgtpkbgc_0 : in std_logic_vector(3 to 3); rdgwgtpkbgc
         : out std_logic_vector(3 to 3); ASSC_RAM_DOUT_bus : 
        out std_logic_vector(8 downto 0); USER_ASSC_ADDR_bus : 
        in std_logic_vector(8 downto 0); INIT_DATA_int : 
        in std_logic_vector(8 downto 0); INIT_ADDR_int : 
        in std_logic_vector(8 downto 0); N_10, N_12, 
        INIT_EV_WEN_int, \VCC\ : in std_logic; 
        USER_ASSC_RAM_BUSY_net : out std_logic; INIT_DONE_c : in
         std_logic; ASSC_RAM_WR_BUSY_B_c, ASSC_DONE_c : out
         std_logic; USER_ASSC_RD_net, INIT_ASSC_WEN_int, 
        INIT_ACM_WEN_int, AV0_pin, SYS_RESET_global, GLA_c, \GND\ : 
        in std_logic; DATAVALID_c : out std_logic; VAREF : inout
         std_logic := 'Z');

end ADC;

architecture DEF_ARCH of ADC is 

  component AB
    port(DAVOUT0, DACOUT0, DATOUT0, DAVOUT1, DACOUT1, DATOUT1, 
        DAVOUT2, DACOUT2, DATOUT2, DAVOUT3, DACOUT3, DATOUT3, 
        DAVOUT4, DACOUT4, DATOUT4, DAVOUT5, DACOUT5, DATOUT5, 
        DAVOUT6, DACOUT6, DATOUT6, DAVOUT7, DACOUT7, DATOUT7, 
        DAVOUT8, DACOUT8, DATOUT8, DAVOUT9, DACOUT9, DATOUT9 : 
        out std_logic; DENAV0, DENAC0, DENAT0, DENAV1, DENAC1, 
        DENAT1, DENAV2, DENAC2, DENAT2, DENAV3, DENAC3, DENAT3, 
        DENAV4, DENAC4, DENAT4, DENAV5, DENAC5, DENAT5, DENAV6, 
        DENAC6, DENAT6, DENAV7, DENAC7, DENAT7, DENAV8, DENAC8, 
        DENAT8, DENAV9, DENAC9, DENAT9, AV0, AC0, AT0 : in
         std_logic := 'U'; AG0 : out std_logic; AV1, AC1, AT1 : 
        in std_logic := 'U'; AG1 : out std_logic; AV2, AC2, AT2 : 
        in std_logic := 'U'; AG2 : out std_logic; AV3, AC3, AT3 : 
        in std_logic := 'U'; AG3 : out std_logic; AV4, AC4, AT4 : 
        in std_logic := 'U'; AG4 : out std_logic; AV5, AC5, AT5 : 
        in std_logic := 'U'; AG5 : out std_logic; AV6, AC6, AT6 : 
        in std_logic := 'U'; AG6 : out std_logic; AV7, AC7, AT7 : 
        in std_logic := 'U'; AG7 : out std_logic; AV8, AC8, AT8 : 
        in std_logic := 'U'; AG8 : out std_logic; AV9, AC9, AT9 : 
        in std_logic := 'U'; AG9 : out std_logic; ATRETURN01, 
        ATRETURN23, ATRETURN45, ATRETURN67, ATRETURN89 : in
         std_logic := 'U'; VAREF : inout std_logic; GNDREF, GDON0, 
        GDON1, GDON2, GDON3, GDON4, GDON5, GDON6, GDON7, GDON8, 
        GDON9, CMSTB0, CMSTB1, CMSTB2, CMSTB3, CMSTB4, CMSTB5, 
        CMSTB6, CMSTB7, CMSTB8, CMSTB9, TMSTB0, TMSTB1, TMSTB2, 
        TMSTB3, TMSTB4, TMSTB5, TMSTB6, TMSTB7, TMSTB8, TMSTB9, 
        TMSTBINT : in std_logic := 'U'; RESULT : 
        out std_logic_vector(11 downto 0); ACMRDATA : 
        out std_logic_vector(7 downto 0); ACMWDATA : 
        in std_logic_vector(7 downto 0) := (others => 'U'); 
        ACMADDR : 
        in std_logic_vector(7 downto 0) := (others => 'U'); STC
         : in std_logic_vector(7 downto 0) := (others => 'U'); 
        TVC : in std_logic_vector(7 downto 0) := (others => 'U'); 
        CHNUMBER : 
        in std_logic_vector(4 downto 0) := (others => 'U'); MODE
         : in std_logic_vector(3 downto 0) := (others => 'U'); 
        RTCXTLMODE : out std_logic_vector(1 downto 0); ACMRESET, 
        ACMCLK, ACMWEN, VAREFSEL : in std_logic := 'U'; DATAVALID, 
        CALIBRATE, SAMPLE, BUSY : out std_logic; PWRDWN, SYSCLK, 
        ADCRESET, ADCSTART : in std_logic := 'U'; RTCMATCH, 
        RTCPSMMATCH, RTCXTLSEL : out std_logic; RTCCLK : in
         std_logic := 'U');
  end component;

  component INBUF_A
    port(PAD : in std_logic := 'U'; Y : out std_logic);
  end component;

  component ADC_smev_wrapper
    port(EV_RAM_ADDR_B_net : out std_logic_vector(8 to 8); 
        ADC_CHNUMBER_net : 
        in std_logic_vector(4 downto 0) := (others => 'U'); 
        ASSC_SEQOUT_net : 
        in std_logic_vector(5 to 5) := (others => 'U'); 
        EV_ASSCADDR_net : out std_logic_vector(8 to 8); 
        rdgwgtpkbgc_0 : out std_logic_vector(3 to 3); 
        EV_RAM_DI_B_net : out std_logic_vector(8 to 8); 
        TR_EV_ADDR_net : 
        in std_logic_vector(8 to 8) := (others => 'U'); 
        EV_RAM_ADDR_A_net : out std_logic_vector(8 to 8); 
        INIT_ADDR_int : 
        in std_logic_vector(8 downto 0) := (others => 'U'); 
        ASSC_RAM_DOUT_bus : 
        in std_logic_vector(8 downto 0) := (others => 'U'); 
        rdgwgtpkbgc : 
        in std_logic_vector(3 to 3) := (others => 'U'); 
        EV_CHHOLD_net : out std_logic_vector(4 to 4); 
        EV_RAM_DO_B_net : 
        in std_logic_vector(8 to 8) := (others => 'U'); 
        \Z\\EV_RAM_ADDR_B_net\\\, EV_RAM_ADDR_B_net_net_2, 
        EV_RAM_ADDR_B_net_net_4, EV_RAM_ADDR_B_net_net_7 : out
         std_logic; \Z\\ASSC_SEQOUT_net\\\ : in std_logic := 'U'; 
        \Z\\EV_ASSCADDR_net\\\ : out std_logic; 
        ASSC_SEQOUT_net_net_1 : in std_logic := 'U'; 
        EV_ASSCADDR_net_net_1 : out std_logic; 
        ASSC_SEQOUT_net_net_2 : in std_logic := 'U'; 
        EV_ASSCADDR_net_net_2 : out std_logic; 
        ASSC_SEQOUT_net_net_3 : in std_logic := 'U'; 
        EV_ASSCADDR_net_net_3 : out std_logic; 
        ASSC_SEQOUT_net_net_4 : in std_logic := 'U'; 
        EV_ASSCADDR_net_net_4, EV_EVFLAG_net, EV_DONE_net, 
        EV_RAM_WR_BUSY_B_net, EV_RAM_DI_B_net_net_7, 
        EV_RAM_DI_B_net_net_1, \Z\\EV_RAM_DI_B_net\\\ : out
         std_logic; TR_EV_RD_net : in std_logic := 'U'; 
        EV_RAM_CSN_A_net : out std_logic; TR_EV_ADDR_net_net_6 : 
        in std_logic := 'U'; EV_RAM_ADDR_A_net_net_6 : out
         std_logic; \Z\\TR_EV_ADDR_net\\\ : in std_logic := 'U'; 
        \Z\\EV_RAM_ADDR_A_net\\\ : out std_logic; 
        TR_EV_ADDR_net_net_1 : in std_logic := 'U'; 
        EV_RAM_ADDR_A_net_net_1 : out std_logic; 
        TR_EV_ADDR_net_net_2 : in std_logic := 'U'; 
        EV_RAM_ADDR_A_net_net_2 : out std_logic; 
        TR_EV_ADDR_net_net_3 : in std_logic := 'U'; 
        EV_RAM_ADDR_A_net_net_3 : out std_logic; 
        TR_EV_ADDR_net_net_4 : in std_logic := 'U'; 
        EV_RAM_ADDR_A_net_net_4 : out std_logic; 
        TR_EV_ADDR_net_net_5 : in std_logic := 'U'; 
        EV_RAM_ADDR_A_net_net_5 : out std_logic; 
        TR_EV_ADDR_net_net_7 : in std_logic := 'U'; 
        EV_RAM_ADDR_A_net_net_7, EV_CHHOLD_net_net_1, 
        EV_CHHOLD_net_net_2, EV_CHHOLD_net_net_3 : out std_logic; 
        EV_RAM_DO_B_net_net_2, EV_RAM_DO_B_net_net_3, 
        \Z\\EV_RAM_DO_B_net\\\, INIT_EV_WEN_int : in
         std_logic := 'U'; EV_RAM_RW_A_net : out std_logic; 
        ktwrhqstzjg, N_266, ASSC_SAMPFLAG_net, ASSC_DONE_c : in
         std_logic := 'U'; EV_RAM_DI_B_net_net_2, 
        EV_RAM_DI_B_net_net_3, EV_RAM_DI_B_net_net_4, 
        EV_RAM_DI_B_net_net_5, EV_RAM_DI_B_net_net_6, 
        EV_RAM_CSN_B_net : out std_logic; EV_RAM_DO_B_net_net_4, 
        INIT_DONE_c : in std_logic := 'U'; \Z\\EV_CHHOLD_net\\\, 
        EV_RAM_ADDR_B_net_net_1, EV_RAM_ADDR_B_net_net_5, 
        EV_RAM_ADDR_B_net_net_3, EV_RAM_ADDR_B_net_net_6 : out
         std_logic; EV_RAM_DO_B_net_net_5, EV_RAM_DO_B_net_net_6, 
        EV_RAM_DO_B_net_net_7, SYS_RESET_global, GLA_c : in
         std_logic := 'U'; EV_DONE_net_0, bskrjhjvqpf_1_sqmuxa_0, 
        EV_ASSCADDR_net_net_5, EV_ASSC_RD_net : out std_logic; 
        \Z\\EV_RAM_DO_B_net\\_0\ : in std_logic := 'U'; 
        bskrjhjvqpf_1_sqmuxa : out std_logic; 
        EV_RAM_DO_B_net_net_1 : in std_logic := 'U');
  end component;

  component OR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component VCC
    port(Y : out std_logic);
  end component;

  component ADC_smtr_ram
    port(TR_RAM_DI_B_net : 
        in std_logic_vector(8 to 8) := (others => 'U'); 
        INIT_DATA_int : 
        in std_logic_vector(8 downto 0) := (others => 'U'); 
        TR_RAM_ADDR_B_net : 
        in std_logic_vector(8 to 8) := (others => 'U'); 
        INIT_ADDR_int : 
        in std_logic_vector(8 downto 0) := (others => 'U'); 
        TR_RAM_DO_B_net : out std_logic_vector(8 to 8); 
        SYS_RESET_global, \Z\\TR_RAM_DI_B_net\\\, 
        TR_RAM_DI_B_net_net_1, TR_RAM_DI_B_net_net_2, 
        TR_RAM_DI_B_net_net_3, TR_RAM_DI_B_net_net_4, 
        TR_RAM_DI_B_net_net_5, TR_RAM_DI_B_net_net_6, 
        TR_RAM_DI_B_net_net_7, GLA_c, xgnmbzmtzbb_0, 
        TR_RAM_CSN_B_net, \VCC\, TR_RAM_RW_A_net, 
        \Z\\TR_RAM_ADDR_B_net\\\, TR_RAM_ADDR_B_net_net_1, 
        TR_RAM_ADDR_B_net_net_2, TR_RAM_ADDR_B_net_net_3, 
        TR_RAM_ADDR_B_net_net_4, TR_RAM_ADDR_B_net_net_5, 
        TR_RAM_ADDR_B_net_net_6, TR_RAM_ADDR_B_net_net_7, \GND\ : 
        in std_logic := 'U'; \Z\\TR_RAM_DO_B_net\\\, 
        TR_RAM_DO_B_net_net_1, TR_RAM_DO_B_net_net_2, 
        TR_RAM_DO_B_net_net_3, TR_RAM_DO_B_net_net_4, 
        TR_RAM_DO_B_net_net_5, TR_RAM_DO_B_net_net_6, 
        TR_RAM_DO_B_net_net_7 : out std_logic);
  end component;

  component ADC_smev_ram
    port(EV_RAM_DI_B_net : 
        in std_logic_vector(8 to 8) := (others => 'U'); 
        INIT_DATA_int : 
        in std_logic_vector(8 downto 0) := (others => 'U'); 
        EV_RAM_ADDR_B_net : 
        in std_logic_vector(8 to 8) := (others => 'U'); 
        EV_RAM_ADDR_A_net : 
        in std_logic_vector(8 to 8) := (others => 'U'); 
        EV_RAM_DO_B_net : out std_logic_vector(8 to 8); 
        SYS_RESET_global, \Z\\EV_RAM_DI_B_net\\\, 
        EV_RAM_DI_B_net_net_1, EV_RAM_DI_B_net_net_2, 
        EV_RAM_DI_B_net_net_3, EV_RAM_DI_B_net_net_4, 
        EV_RAM_DI_B_net_net_5, EV_RAM_DI_B_net_net_6, 
        EV_RAM_DI_B_net_net_7, GLA_c, EV_RAM_WR_BUSY_B_net, 
        EV_RAM_CSN_B_net, \VCC\, EV_RAM_RW_A_net, 
        EV_RAM_CSN_A_net, \Z\\EV_RAM_ADDR_B_net\\\, 
        EV_RAM_ADDR_B_net_net_1, EV_RAM_ADDR_B_net_net_2, 
        EV_RAM_ADDR_B_net_net_3, EV_RAM_ADDR_B_net_net_4, 
        EV_RAM_ADDR_B_net_net_5, EV_RAM_ADDR_B_net_net_6, 
        EV_RAM_ADDR_B_net_net_7, \GND\, \Z\\EV_RAM_ADDR_A_net\\\, 
        EV_RAM_ADDR_A_net_net_1, EV_RAM_ADDR_A_net_net_2, 
        EV_RAM_ADDR_A_net_net_3, EV_RAM_ADDR_A_net_net_4, 
        EV_RAM_ADDR_A_net_net_5, EV_RAM_ADDR_A_net_net_6, 
        EV_RAM_ADDR_A_net_net_7 : in std_logic := 'U'; 
        EV_RAM_DO_B_net_net_1, EV_RAM_DO_B_net_net_2, 
        EV_RAM_DO_B_net_net_3, EV_RAM_DO_B_net_net_4, 
        EV_RAM_DO_B_net_net_5, EV_RAM_DO_B_net_net_6, 
        EV_RAM_DO_B_net_net_7, EV_RAM_DO_A_net_net_7, 
        \Z\\EV_RAM_DO_B_net\\\, \Z\\EV_RAM_DO_B_net\\_0\ : out
         std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component ADC_assc_wrapper
    port(ASSC_SEQOUT_net : out std_logic_vector(5 to 5); 
        ADC_MODE_net : out std_logic_vector(3 to 3); ADC_TVC_net
         : out std_logic_vector(7 to 7); ADC_CHNUMBER_net : 
        out std_logic_vector(4 downto 0); ADC_STC_net : 
        out std_logic_vector(7 to 7); ASSC_RAM_DI_B_net : 
        out std_logic_vector(8 to 8); ADC_RESULT_net : 
        in std_logic_vector(11 to 11) := (others => 'U'); 
        ASSC_RAM_ADDR_A_net : out std_logic_vector(8 to 8); 
        INIT_ADDR_int : 
        in std_logic_vector(8 downto 0) := (others => 'U'); 
        EV_ASSCADDR_net : 
        in std_logic_vector(8 to 8) := (others => 'U'); 
        USER_ASSC_ADDR_bus : 
        in std_logic_vector(8 downto 0) := (others => 'U'); 
        ASSC_RAM_DO_B_net : 
        in std_logic_vector(8 to 8) := (others => 'U'); 
        \Z\\ASSC_SEQOUT_net\\\, ASSC_SEQOUT_net_net_1, 
        ASSC_SEQOUT_net_net_2, ASSC_SEQOUT_net_net_3, 
        ASSC_SEQOUT_net_net_4, \Z\\ADC_MODE_net\\\, 
        ADC_MODE_net_net_1, ADC_MODE_net_net_2, 
        \Z\\ADC_TVC_net\\\, ADC_TVC_net_net_1, ADC_TVC_net_net_2, 
        ADC_TVC_net_net_3, ADC_TVC_net_net_4, ADC_TVC_net_net_5, 
        ADC_TVC_net_net_6, \Z\\ADC_STC_net\\\, ADC_STC_net_net_1, 
        ADC_STC_net_net_2, ADC_STC_net_net_3, ADC_STC_net_net_4, 
        ADC_STC_net_net_5, ADC_STC_net_net_6, ASSC_SAMPFLAG_net, 
        ADC_PDOWN_net, ADC_RESET_net : out std_logic; 
        ADC_CALIBRATE_net : in std_logic := 'U'; 
        ASSC_RAM_CSN_A_net : out std_logic; INIT_ASSC_WEN_int : 
        in std_logic := 'U'; ASSC_RAM_RW_A_net : out std_logic; 
        USER_ASSC_RD_net : in std_logic := 'U'; 
        ASSC_RAM_ADDR_B_net_net_7 : out std_logic; 
        ADC_RESULT_net_net_2, ADC_RESULT_net_net_3 : in
         std_logic := 'U'; \Z\\ASSC_RAM_DI_B_net\\\ : out
         std_logic; ADC_RESULT_net_net_4 : in std_logic := 'U'; 
        ASSC_RAM_DI_B_net_net_1 : out std_logic; 
        ADC_RESULT_net_net_5 : in std_logic := 'U'; 
        ASSC_RAM_DI_B_net_net_2 : out std_logic; 
        ADC_RESULT_net_net_6 : in std_logic := 'U'; 
        ASSC_RAM_DI_B_net_net_3 : out std_logic; 
        ADC_RESULT_net_net_7 : in std_logic := 'U'; 
        ASSC_RAM_DI_B_net_net_4 : out std_logic; 
        ASSC_RAM_DO_B_net_net_2, ASSC_RAM_DO_B_net_net_3, 
        ASSC_RAM_DO_B_net_net_4, ASSC_RAM_DO_B_net_net_5, 
        ASSC_RAM_DO_B_net_net_6, ASSC_RAM_DO_B_net_net_7, 
        ADC_RESULT_net_net_8 : in std_logic := 'U'; 
        ASSC_RAM_DI_B_net_net_5 : out std_logic; 
        \Z\\ADC_RESULT_net\\\, ADC_RESULT_net_net_9 : in
         std_logic := 'U'; ASSC_RAM_DI_B_net_net_6 : out
         std_logic; ADC_RESULT_net_net_1, ADC_RESULT_net_net_10 : 
        in std_logic := 'U'; ASSC_RAM_DI_B_net_net_7, 
        \Z\\ASSC_RAM_ADDR_A_net\\\, ASSC_RAM_ADDR_A_net_net_1, 
        ASSC_RAM_ADDR_A_net_net_2, ASSC_RAM_ADDR_A_net_net_3, 
        ASSC_RAM_ADDR_A_net_net_4, ASSC_RAM_ADDR_A_net_net_5, 
        ASSC_RAM_ADDR_A_net_net_6, ASSC_RAM_ADDR_A_net_net_7 : 
        out std_logic; \Z\\EV_ASSCADDR_net\\\, 
        EV_ASSCADDR_net_net_1, EV_ASSCADDR_net_net_2, 
        EV_ASSCADDR_net_net_3, EV_ASSCADDR_net_net_4, 
        bskrjhjvqpf_1_sqmuxa, EV_ASSCADDR_net_net_5, 
        bskrjhjvqpf_1_sqmuxa_0 : in std_logic := 'U'; 
        ADC_START_net, ASSC_DONE_c, ktwrhqstzjg : out std_logic; 
        ADC_BUSY_net, EV_DONE_net_0 : in std_logic := 'U'; 
        N_239_i_0, ASSC_RAM_ADDR_B_net_net_6, 
        ASSC_RAM_ADDR_B_net_net_5, N_266 : out std_logic; 
        EV_EVFLAG_net, TR_TRFLAG_net, TR_DONE_net_i_0, 
        ASSC_RAM_DO_B_net_net_1, \Z\\ASSC_RAM_DO_B_net\\\ : in
         std_logic := 'U'; ASSC_RAM_WR_BUSY_B_c, 
        ASSC_RAM_WR_BUSY_B_c_i : out std_logic; SYS_RESET_global, 
        GLA_c, EV_ASSC_RD_net, INIT_DONE_c : in std_logic := 'U'; 
        USER_ASSC_RAM_BUSY_net : out std_logic);
  end component;

  component ADC_assc_ram
    port(ASSC_RAM_DI_B_net : 
        in std_logic_vector(8 to 8) := (others => 'U'); 
        INIT_DATA_int : 
        in std_logic_vector(8 downto 0) := (others => 'U'); 
        ASSC_SEQOUT_net : 
        in std_logic_vector(5 to 5) := (others => 'U'); 
        ASSC_RAM_ADDR_A_net : 
        in std_logic_vector(8 to 8) := (others => 'U'); 
        ASSC_RAM_DO_B_net : out std_logic_vector(8 to 8); 
        ASSC_RAM_DOUT_bus : out std_logic_vector(8 downto 0); 
        SYS_RESET_global, \Z\\ASSC_RAM_DI_B_net\\\, 
        ASSC_RAM_DI_B_net_net_1, ASSC_RAM_DI_B_net_net_2, 
        ASSC_RAM_DI_B_net_net_3, ASSC_RAM_DI_B_net_net_4, 
        ASSC_RAM_DI_B_net_net_5, ASSC_RAM_DI_B_net_net_6, 
        ASSC_RAM_DI_B_net_net_7, GLA_c, ASSC_RAM_WR_BUSY_B_c_i, 
        N_239_i_0, \VCC\, ASSC_RAM_RW_A_net, ASSC_RAM_CSN_A_net, 
        \Z\\ASSC_SEQOUT_net\\\, ASSC_SEQOUT_net_net_1, 
        ASSC_SEQOUT_net_net_2, ASSC_SEQOUT_net_net_3, 
        ASSC_SEQOUT_net_net_4, ASSC_RAM_ADDR_B_net_net_5, 
        ASSC_RAM_ADDR_B_net_net_6, ASSC_RAM_ADDR_B_net_net_7, 
        \GND\, \Z\\ASSC_RAM_ADDR_A_net\\\, 
        ASSC_RAM_ADDR_A_net_net_1, ASSC_RAM_ADDR_A_net_net_2, 
        ASSC_RAM_ADDR_A_net_net_3, ASSC_RAM_ADDR_A_net_net_4, 
        ASSC_RAM_ADDR_A_net_net_5, ASSC_RAM_ADDR_A_net_net_6, 
        ASSC_RAM_ADDR_A_net_net_7 : in std_logic := 'U'; 
        \Z\\ASSC_RAM_DO_B_net\\\, ASSC_RAM_DO_B_net_net_1, 
        ASSC_RAM_DO_B_net_net_2, ASSC_RAM_DO_B_net_net_3, 
        ASSC_RAM_DO_B_net_net_4, ASSC_RAM_DO_B_net_net_5, 
        ASSC_RAM_DO_B_net_net_6, ASSC_RAM_DO_B_net_net_7 : out
         std_logic);
  end component;

  component ADC_smtr_wrapper
    port(TR_RAM_ADDR_B_net : out std_logic_vector(8 to 8); 
        TR_EV_ADDR_net : out std_logic_vector(8 to 8); 
        TR_RAM_DI_B_net : out std_logic_vector(8 to 8); 
        TR_RAM_DO_B_net : 
        in std_logic_vector(8 to 8) := (others => 'U'); 
        EV_CHHOLD_net : 
        in std_logic_vector(4 to 4) := (others => 'U'); 
        \Z\\TR_RAM_ADDR_B_net\\\, TR_RAM_ADDR_B_net_net_2, 
        TR_RAM_ADDR_B_net_net_4, TR_RAM_ADDR_B_net_net_7, 
        \Z\\TR_EV_ADDR_net\\\, TR_EV_ADDR_net_net_1, 
        TR_EV_ADDR_net_net_2, TR_EV_ADDR_net_net_3, 
        TR_EV_ADDR_net_net_4, TR_EV_ADDR_net_net_5, 
        TR_EV_ADDR_net_net_6, TR_EV_ADDR_net_net_7, TR_TRFLAG_net, 
        TR_DONE_net_i_0, \Z\\TR_RAM_DI_B_net\\\ : out std_logic; 
        EV_RAM_DO_A_net_net_7, EV_DONE_net, N_12, N_10 : in
         std_logic := 'U'; TR_RAM_RW_A_net, TR_RAM_DI_B_net_net_1, 
        TR_RAM_DI_B_net_net_2, xgnmbzmtzbb_0, 
        TR_RAM_DI_B_net_net_3, TR_RAM_DI_B_net_net_4, 
        TR_RAM_DI_B_net_net_5 : out std_logic; 
        TR_RAM_DO_B_net_net_6 : in std_logic := 'U'; 
        TR_RAM_DI_B_net_net_6 : out std_logic; 
        TR_RAM_DO_B_net_net_7 : in std_logic := 'U'; 
        TR_RAM_DI_B_net_net_7, TR_RAM_CSN_B_net : out std_logic; 
        TR_RAM_DO_B_net_net_3, TR_RAM_DO_B_net_net_5, 
        TR_RAM_DO_B_net_net_4, TR_RAM_DO_B_net_net_1, 
        \Z\\TR_RAM_DO_B_net\\\, TR_RAM_DO_B_net_net_2, 
        INIT_DONE_c : in std_logic := 'U'; TR_EV_RD_net : out
         std_logic; EV_DONE_net_0, EV_CHHOLD_net_net_3, 
        EV_CHHOLD_net_net_2, EV_CHHOLD_net_net_1, 
        \Z\\EV_CHHOLD_net\\\ : in std_logic := 'U'; 
        TR_RAM_ADDR_B_net_net_1, TR_RAM_ADDR_B_net_net_5, 
        TR_RAM_ADDR_B_net_net_3, TR_RAM_ADDR_B_net_net_6 : out
         std_logic; SYS_RESET_global, GLA_c : in std_logic := 'U');
        
  end component;

    signal \ASSC_RAM_DOUT_bus[0]\, \ASSC_RAM_DOUT_bus[1]\, 
        \ASSC_RAM_DOUT_bus[2]\, \ASSC_RAM_DOUT_bus[3]\, 
        \ASSC_RAM_DOUT_bus[4]\, \ASSC_RAM_DOUT_bus[5]\, 
        \ASSC_RAM_DOUT_bus[6]\, \ASSC_RAM_DOUT_bus[7]\, 
        \ASSC_RAM_DOUT_bus[8]\, VCC_net_1, \ASSC_DONE_c\, 
        GND_net_1, \AB_INST_ACMRDATA[0]\, \AB_INST_ACMRDATA[1]\, 
        \AB_INST_ACMRDATA[2]\, \AB_INST_ACMRDATA[3]\, 
        \AB_INST_ACMRDATA[4]\, \AB_INST_ACMRDATA[5]\, 
        \AB_INST_ACMRDATA[6]\, \AB_INST_ACMRDATA[7]\, AB_INST_AG0, 
        AB_INST_AG1, AB_INST_AG2, AB_INST_AG3, AB_INST_AG4, 
        AB_INST_AG5, AB_INST_AG6, AB_INST_AG7, AB_INST_AG8, 
        AB_INST_AG9, ADC_BUSY_net, ADC_CALIBRATE_net, 
        AB_INST_DACOUT0, AB_INST_DACOUT1, AB_INST_DACOUT2, 
        AB_INST_DACOUT3, AB_INST_DACOUT4, AB_INST_DACOUT5, 
        AB_INST_DACOUT6, AB_INST_DACOUT7, AB_INST_DACOUT8, 
        AB_INST_DACOUT9, AB_INST_DATOUT0, AB_INST_DATOUT1, 
        AB_INST_DATOUT2, AB_INST_DATOUT3, AB_INST_DATOUT4, 
        AB_INST_DATOUT5, AB_INST_DATOUT6, AB_INST_DATOUT7, 
        AB_INST_DATOUT8, AB_INST_DATOUT9, AB_INST_DAVOUT0, 
        AB_INST_DAVOUT1, AB_INST_DAVOUT2, AB_INST_DAVOUT3, 
        AB_INST_DAVOUT4, AB_INST_DAVOUT5, AB_INST_DAVOUT6, 
        AB_INST_DAVOUT7, AB_INST_DAVOUT8, AB_INST_DAVOUT9, 
        ADC_RESULT_net_net_10, ADC_RESULT_net_net_9, 
        ADC_RESULT_net_net_8, ADC_RESULT_net_net_7, 
        ADC_RESULT_net_net_6, ADC_RESULT_net_net_5, 
        ADC_RESULT_net_net_4, ADC_RESULT_net_net_3, 
        ADC_RESULT_net_net_2, ADC_RESULT_net_net_1, 
        \Z\\ADC_RESULT_net\\\, \ADC_RESULT_net[11]\, 
        AB_INST_RTCMATCH, AB_INST_RTCPSMMATCH, 
        \AB_INST_RTCXTLMODE[0]\, \AB_INST_RTCXTLMODE[1]\, 
        AB_INST_RTCXTLSEL, AB_INST_SAMPLE, INIT_ACM_WEN_OR_net, 
        ADC_RESET_net, ADC_START_net, AV0_net, 
        \ADC_CHNUMBER_net[0]\, \ADC_CHNUMBER_net[1]\, 
        \ADC_CHNUMBER_net[2]\, \ADC_CHNUMBER_net[3]\, 
        \ADC_CHNUMBER_net[4]\, ADC_MODE_net_net_2, 
        ADC_MODE_net_net_1, \Z\\ADC_MODE_net\\\, 
        \ADC_MODE_net[3]\, ADC_PDOWN_net, ADC_STC_net_net_6, 
        ADC_STC_net_net_5, ADC_STC_net_net_4, ADC_STC_net_net_3, 
        ADC_STC_net_net_2, ADC_STC_net_net_1, \Z\\ADC_STC_net\\\, 
        \ADC_STC_net[7]\, ADC_TVC_net_net_6, ADC_TVC_net_net_5, 
        ADC_TVC_net_net_4, ADC_TVC_net_net_3, ADC_TVC_net_net_2, 
        ADC_TVC_net_net_1, \Z\\ADC_TVC_net\\\, \ADC_TVC_net[7]\, 
        \ASSC_SEQOUT_net[5]\, \ASSC_RAM_DI_B_net[8]\, 
        \ASSC_RAM_ADDR_A_net[8]\, \EV_ASSCADDR_net[8]\, 
        \ASSC_RAM_DO_B_net[8]\, \Z\\ASSC_SEQOUT_net\\\, 
        ASSC_SEQOUT_net_net_1, ASSC_SEQOUT_net_net_2, 
        ASSC_SEQOUT_net_net_3, ASSC_SEQOUT_net_net_4, 
        ASSC_SAMPFLAG_net, ASSC_RAM_CSN_A_net, ASSC_RAM_RW_A_net, 
        ASSC_RAM_ADDR_B_net_net_7, \Z\\ASSC_RAM_DI_B_net\\\, 
        ASSC_RAM_DI_B_net_net_1, ASSC_RAM_DI_B_net_net_2, 
        ASSC_RAM_DI_B_net_net_3, ASSC_RAM_DI_B_net_net_4, 
        ASSC_RAM_DO_B_net_net_2, ASSC_RAM_DO_B_net_net_3, 
        ASSC_RAM_DO_B_net_net_4, ASSC_RAM_DO_B_net_net_5, 
        ASSC_RAM_DO_B_net_net_6, ASSC_RAM_DO_B_net_net_7, 
        ASSC_RAM_DI_B_net_net_5, ASSC_RAM_DI_B_net_net_6, 
        ASSC_RAM_DI_B_net_net_7, \Z\\ASSC_RAM_ADDR_A_net\\\, 
        ASSC_RAM_ADDR_A_net_net_1, ASSC_RAM_ADDR_A_net_net_2, 
        ASSC_RAM_ADDR_A_net_net_3, ASSC_RAM_ADDR_A_net_net_4, 
        ASSC_RAM_ADDR_A_net_net_5, ASSC_RAM_ADDR_A_net_net_6, 
        ASSC_RAM_ADDR_A_net_net_7, \Z\\EV_ASSCADDR_net\\\, 
        EV_ASSCADDR_net_net_1, EV_ASSCADDR_net_net_2, 
        EV_ASSCADDR_net_net_3, EV_ASSCADDR_net_net_4, 
        bskrjhjvqpf_1_sqmuxa, EV_ASSCADDR_net_net_5, 
        bskrjhjvqpf_1_sqmuxa_0, ktwrhqstzjg, EV_DONE_net_0, 
        N_239_i_0, ASSC_RAM_ADDR_B_net_net_6, 
        ASSC_RAM_ADDR_B_net_net_5, N_266, EV_EVFLAG_net, 
        TR_TRFLAG_net, TR_DONE_net_i_0, ASSC_RAM_DO_B_net_net_1, 
        \Z\\ASSC_RAM_DO_B_net\\\, ASSC_RAM_WR_BUSY_B_c_i, 
        EV_ASSC_RD_net, \TR_RAM_DI_B_net[8]\, 
        \TR_RAM_ADDR_B_net[8]\, \TR_RAM_DO_B_net[8]\, 
        \Z\\TR_RAM_DI_B_net\\\, TR_RAM_DI_B_net_net_1, 
        TR_RAM_DI_B_net_net_2, TR_RAM_DI_B_net_net_3, 
        TR_RAM_DI_B_net_net_4, TR_RAM_DI_B_net_net_5, 
        TR_RAM_DI_B_net_net_6, TR_RAM_DI_B_net_net_7, 
        xgnmbzmtzbb_0, TR_RAM_CSN_B_net, TR_RAM_RW_A_net, 
        \Z\\TR_RAM_ADDR_B_net\\\, TR_RAM_ADDR_B_net_net_1, 
        TR_RAM_ADDR_B_net_net_2, TR_RAM_ADDR_B_net_net_3, 
        TR_RAM_ADDR_B_net_net_4, TR_RAM_ADDR_B_net_net_5, 
        TR_RAM_ADDR_B_net_net_6, TR_RAM_ADDR_B_net_net_7, 
        \Z\\TR_RAM_DO_B_net\\\, TR_RAM_DO_B_net_net_1, 
        TR_RAM_DO_B_net_net_2, TR_RAM_DO_B_net_net_3, 
        TR_RAM_DO_B_net_net_4, TR_RAM_DO_B_net_net_5, 
        TR_RAM_DO_B_net_net_6, TR_RAM_DO_B_net_net_7, 
        \EV_RAM_ADDR_B_net[8]\, \EV_RAM_DI_B_net[8]\, 
        \TR_EV_ADDR_net[8]\, \EV_RAM_ADDR_A_net[8]\, 
        \EV_CHHOLD_net[4]\, \EV_RAM_DO_B_net[8]\, 
        \Z\\EV_RAM_ADDR_B_net\\\, EV_RAM_ADDR_B_net_net_2, 
        EV_RAM_ADDR_B_net_net_4, EV_RAM_ADDR_B_net_net_7, 
        EV_DONE_net, EV_RAM_WR_BUSY_B_net, EV_RAM_DI_B_net_net_7, 
        EV_RAM_DI_B_net_net_1, \Z\\EV_RAM_DI_B_net\\\, 
        TR_EV_RD_net, EV_RAM_CSN_A_net, TR_EV_ADDR_net_net_6, 
        EV_RAM_ADDR_A_net_net_6, \Z\\TR_EV_ADDR_net\\\, 
        \Z\\EV_RAM_ADDR_A_net\\\, TR_EV_ADDR_net_net_1, 
        EV_RAM_ADDR_A_net_net_1, TR_EV_ADDR_net_net_2, 
        EV_RAM_ADDR_A_net_net_2, TR_EV_ADDR_net_net_3, 
        EV_RAM_ADDR_A_net_net_3, TR_EV_ADDR_net_net_4, 
        EV_RAM_ADDR_A_net_net_4, TR_EV_ADDR_net_net_5, 
        EV_RAM_ADDR_A_net_net_5, TR_EV_ADDR_net_net_7, 
        EV_RAM_ADDR_A_net_net_7, EV_CHHOLD_net_net_1, 
        EV_CHHOLD_net_net_2, EV_CHHOLD_net_net_3, 
        EV_RAM_DO_B_net_net_2, EV_RAM_DO_B_net_net_3, 
        \Z\\EV_RAM_DO_B_net\\\, EV_RAM_RW_A_net, 
        EV_RAM_DI_B_net_net_2, EV_RAM_DI_B_net_net_3, 
        EV_RAM_DI_B_net_net_4, EV_RAM_DI_B_net_net_5, 
        EV_RAM_DI_B_net_net_6, EV_RAM_CSN_B_net, 
        EV_RAM_DO_B_net_net_4, \Z\\EV_CHHOLD_net\\\, 
        EV_RAM_ADDR_B_net_net_1, EV_RAM_ADDR_B_net_net_5, 
        EV_RAM_ADDR_B_net_net_3, EV_RAM_ADDR_B_net_net_6, 
        EV_RAM_DO_B_net_net_5, EV_RAM_DO_B_net_net_6, 
        EV_RAM_DO_B_net_net_7, \Z\\EV_RAM_DO_B_net\\_0\, 
        EV_RAM_DO_B_net_net_1, EV_RAM_DO_A_net_net_7, GND_net_2, 
        VCC_net_2 : std_logic;

    for all : ADC_smev_wrapper
	Use entity work.ADC_smev_wrapper(DEF_ARCH);
    for all : ADC_smtr_ram
	Use entity work.ADC_smtr_ram(DEF_ARCH);
    for all : ADC_smev_ram
	Use entity work.ADC_smev_ram(DEF_ARCH);
    for all : ADC_assc_wrapper
	Use entity work.ADC_assc_wrapper(DEF_ARCH);
    for all : ADC_assc_ram
	Use entity work.ADC_assc_ram(DEF_ARCH);
    for all : ADC_smtr_wrapper
	Use entity work.ADC_smtr_wrapper(DEF_ARCH);
begin 

    ASSC_RAM_DOUT_bus(8) <= \ASSC_RAM_DOUT_bus[8]\;
    ASSC_RAM_DOUT_bus(7) <= \ASSC_RAM_DOUT_bus[7]\;
    ASSC_RAM_DOUT_bus(6) <= \ASSC_RAM_DOUT_bus[6]\;
    ASSC_RAM_DOUT_bus(5) <= \ASSC_RAM_DOUT_bus[5]\;
    ASSC_RAM_DOUT_bus(4) <= \ASSC_RAM_DOUT_bus[4]\;
    ASSC_RAM_DOUT_bus(3) <= \ASSC_RAM_DOUT_bus[3]\;
    ASSC_RAM_DOUT_bus(2) <= \ASSC_RAM_DOUT_bus[2]\;
    ASSC_RAM_DOUT_bus(1) <= \ASSC_RAM_DOUT_bus[1]\;
    ASSC_RAM_DOUT_bus(0) <= \ASSC_RAM_DOUT_bus[0]\;
    VCC_net_1 <= \VCC\;
    ASSC_DONE_c <= \ASSC_DONE_c\;
    GND_net_1 <= \GND\;

    AB_INST : AB
      port map(DAVOUT0 => AB_INST_DAVOUT0, DACOUT0 => 
        AB_INST_DACOUT0, DATOUT0 => AB_INST_DATOUT0, DAVOUT1 => 
        AB_INST_DAVOUT1, DACOUT1 => AB_INST_DACOUT1, DATOUT1 => 
        AB_INST_DATOUT1, DAVOUT2 => AB_INST_DAVOUT2, DACOUT2 => 
        AB_INST_DACOUT2, DATOUT2 => AB_INST_DATOUT2, DAVOUT3 => 
        AB_INST_DAVOUT3, DACOUT3 => AB_INST_DACOUT3, DATOUT3 => 
        AB_INST_DATOUT3, DAVOUT4 => AB_INST_DAVOUT4, DACOUT4 => 
        AB_INST_DACOUT4, DATOUT4 => AB_INST_DATOUT4, DAVOUT5 => 
        AB_INST_DAVOUT5, DACOUT5 => AB_INST_DACOUT5, DATOUT5 => 
        AB_INST_DATOUT5, DAVOUT6 => AB_INST_DAVOUT6, DACOUT6 => 
        AB_INST_DACOUT6, DATOUT6 => AB_INST_DATOUT6, DAVOUT7 => 
        AB_INST_DAVOUT7, DACOUT7 => AB_INST_DACOUT7, DATOUT7 => 
        AB_INST_DATOUT7, DAVOUT8 => AB_INST_DAVOUT8, DACOUT8 => 
        AB_INST_DACOUT8, DATOUT8 => AB_INST_DATOUT8, DAVOUT9 => 
        AB_INST_DAVOUT9, DACOUT9 => AB_INST_DACOUT9, DATOUT9 => 
        AB_INST_DATOUT9, DENAV0 => GND_net_1, DENAC0 => GND_net_1, 
        DENAT0 => GND_net_1, DENAV1 => GND_net_1, DENAC1 => 
        GND_net_1, DENAT1 => GND_net_1, DENAV2 => GND_net_1, 
        DENAC2 => GND_net_1, DENAT2 => GND_net_1, DENAV3 => 
        GND_net_1, DENAC3 => GND_net_1, DENAT3 => GND_net_1, 
        DENAV4 => GND_net_1, DENAC4 => GND_net_1, DENAT4 => 
        GND_net_1, DENAV5 => GND_net_1, DENAC5 => GND_net_1, 
        DENAT5 => GND_net_1, DENAV6 => GND_net_1, DENAC6 => 
        GND_net_1, DENAT6 => GND_net_1, DENAV7 => GND_net_1, 
        DENAC7 => GND_net_1, DENAT7 => GND_net_1, DENAV8 => 
        GND_net_1, DENAC8 => GND_net_1, DENAT8 => GND_net_1, 
        DENAV9 => GND_net_1, DENAC9 => GND_net_1, DENAT9 => 
        GND_net_1, AV0 => AV0_net, AC0 => GND_net_1, AT0 => 
        GND_net_1, AG0 => AB_INST_AG0, AV1 => GND_net_1, AC1 => 
        GND_net_1, AT1 => GND_net_1, AG1 => AB_INST_AG1, AV2 => 
        GND_net_1, AC2 => GND_net_1, AT2 => GND_net_1, AG2 => 
        AB_INST_AG2, AV3 => GND_net_1, AC3 => GND_net_1, AT3 => 
        GND_net_1, AG3 => AB_INST_AG3, AV4 => GND_net_1, AC4 => 
        GND_net_1, AT4 => GND_net_1, AG4 => AB_INST_AG4, AV5 => 
        GND_net_1, AC5 => GND_net_1, AT5 => GND_net_1, AG5 => 
        AB_INST_AG5, AV6 => GND_net_1, AC6 => GND_net_1, AT6 => 
        GND_net_1, AG6 => AB_INST_AG6, AV7 => GND_net_1, AC7 => 
        GND_net_1, AT7 => GND_net_1, AG7 => AB_INST_AG7, AV8 => 
        GND_net_1, AC8 => GND_net_1, AT8 => GND_net_1, AG8 => 
        AB_INST_AG8, AV9 => GND_net_1, AC9 => GND_net_1, AT9 => 
        GND_net_1, AG9 => AB_INST_AG9, ATRETURN01 => GND_net_1, 
        ATRETURN23 => GND_net_1, ATRETURN45 => GND_net_1, 
        ATRETURN67 => GND_net_1, ATRETURN89 => GND_net_1, VAREF
         => VAREF, GNDREF => GND_net_1, GDON0 => GND_net_1, GDON1
         => GND_net_1, GDON2 => GND_net_1, GDON3 => GND_net_1, 
        GDON4 => GND_net_1, GDON5 => GND_net_1, GDON6 => 
        GND_net_1, GDON7 => GND_net_1, GDON8 => GND_net_1, GDON9
         => GND_net_1, CMSTB0 => GND_net_1, CMSTB1 => GND_net_1, 
        CMSTB2 => GND_net_1, CMSTB3 => GND_net_1, CMSTB4 => 
        GND_net_1, CMSTB5 => GND_net_1, CMSTB6 => GND_net_1, 
        CMSTB7 => GND_net_1, CMSTB8 => GND_net_1, CMSTB9 => 
        GND_net_1, TMSTB0 => GND_net_1, TMSTB1 => GND_net_1, 
        TMSTB2 => GND_net_1, TMSTB3 => GND_net_1, TMSTB4 => 
        GND_net_1, TMSTB5 => GND_net_1, TMSTB6 => GND_net_1, 
        TMSTB7 => GND_net_1, TMSTB8 => GND_net_1, TMSTB9 => 
        GND_net_1, TMSTBINT => GND_net_1, RESULT(11) => 
        \ADC_RESULT_net[11]\, RESULT(10) => \Z\\ADC_RESULT_net\\\, 
        RESULT(9) => ADC_RESULT_net_net_1, RESULT(8) => 
        ADC_RESULT_net_net_2, RESULT(7) => ADC_RESULT_net_net_3, 
        RESULT(6) => ADC_RESULT_net_net_4, RESULT(5) => 
        ADC_RESULT_net_net_5, RESULT(4) => ADC_RESULT_net_net_6, 
        RESULT(3) => ADC_RESULT_net_net_7, RESULT(2) => 
        ADC_RESULT_net_net_8, RESULT(1) => ADC_RESULT_net_net_9, 
        RESULT(0) => ADC_RESULT_net_net_10, ACMRDATA(7) => 
        \AB_INST_ACMRDATA[7]\, ACMRDATA(6) => 
        \AB_INST_ACMRDATA[6]\, ACMRDATA(5) => 
        \AB_INST_ACMRDATA[5]\, ACMRDATA(4) => 
        \AB_INST_ACMRDATA[4]\, ACMRDATA(3) => 
        \AB_INST_ACMRDATA[3]\, ACMRDATA(2) => 
        \AB_INST_ACMRDATA[2]\, ACMRDATA(1) => 
        \AB_INST_ACMRDATA[1]\, ACMRDATA(0) => 
        \AB_INST_ACMRDATA[0]\, ACMWDATA(7) => INIT_DATA_int(7), 
        ACMWDATA(6) => INIT_DATA_int(6), ACMWDATA(5) => 
        INIT_DATA_int(5), ACMWDATA(4) => INIT_DATA_int(4), 
        ACMWDATA(3) => INIT_DATA_int(3), ACMWDATA(2) => 
        INIT_DATA_int(2), ACMWDATA(1) => INIT_DATA_int(1), 
        ACMWDATA(0) => INIT_DATA_int(0), ACMADDR(7) => 
        INIT_ADDR_int(7), ACMADDR(6) => INIT_ADDR_int(6), 
        ACMADDR(5) => INIT_ADDR_int(5), ACMADDR(4) => 
        INIT_ADDR_int(4), ACMADDR(3) => INIT_ADDR_int(3), 
        ACMADDR(2) => INIT_ADDR_int(2), ACMADDR(1) => 
        INIT_ADDR_int(1), ACMADDR(0) => INIT_ADDR_int(0), STC(7)
         => \ADC_STC_net[7]\, STC(6) => \Z\\ADC_STC_net\\\, 
        STC(5) => ADC_STC_net_net_1, STC(4) => ADC_STC_net_net_2, 
        STC(3) => ADC_STC_net_net_3, STC(2) => ADC_STC_net_net_4, 
        STC(1) => ADC_STC_net_net_5, STC(0) => ADC_STC_net_net_6, 
        TVC(7) => \ADC_TVC_net[7]\, TVC(6) => \Z\\ADC_TVC_net\\\, 
        TVC(5) => ADC_TVC_net_net_1, TVC(4) => ADC_TVC_net_net_2, 
        TVC(3) => ADC_TVC_net_net_3, TVC(2) => ADC_TVC_net_net_4, 
        TVC(1) => ADC_TVC_net_net_5, TVC(0) => ADC_TVC_net_net_6, 
        CHNUMBER(4) => \ADC_CHNUMBER_net[4]\, CHNUMBER(3) => 
        \ADC_CHNUMBER_net[3]\, CHNUMBER(2) => 
        \ADC_CHNUMBER_net[2]\, CHNUMBER(1) => 
        \ADC_CHNUMBER_net[1]\, CHNUMBER(0) => 
        \ADC_CHNUMBER_net[0]\, MODE(3) => \ADC_MODE_net[3]\, 
        MODE(2) => \Z\\ADC_MODE_net\\\, MODE(1) => 
        ADC_MODE_net_net_1, MODE(0) => ADC_MODE_net_net_2, 
        RTCXTLMODE(1) => \AB_INST_RTCXTLMODE[1]\, RTCXTLMODE(0)
         => \AB_INST_RTCXTLMODE[0]\, ACMRESET => SYS_RESET_global, 
        ACMCLK => GLA_c, ACMWEN => INIT_ACM_WEN_OR_net, VAREFSEL
         => GND_net_1, DATAVALID => DATAVALID_c, CALIBRATE => 
        ADC_CALIBRATE_net, SAMPLE => AB_INST_SAMPLE, BUSY => 
        ADC_BUSY_net, PWRDWN => ADC_PDOWN_net, SYSCLK => GLA_c, 
        ADCRESET => ADC_RESET_net, ADCSTART => ADC_START_net, 
        RTCMATCH => AB_INST_RTCMATCH, RTCPSMMATCH => 
        AB_INST_RTCPSMMATCH, RTCXTLSEL => AB_INST_RTCXTLSEL, 
        RTCCLK => GND_net_1);
    
    AV0_PAD : INBUF_A
      port map(PAD => AV0_pin, Y => AV0_net);
    
    ADC_smev_wrapper_inst : ADC_smev_wrapper
      port map(EV_RAM_ADDR_B_net(8) => \EV_RAM_ADDR_B_net[8]\, 
        ADC_CHNUMBER_net(4) => \ADC_CHNUMBER_net[4]\, 
        ADC_CHNUMBER_net(3) => \ADC_CHNUMBER_net[3]\, 
        ADC_CHNUMBER_net(2) => \ADC_CHNUMBER_net[2]\, 
        ADC_CHNUMBER_net(1) => \ADC_CHNUMBER_net[1]\, 
        ADC_CHNUMBER_net(0) => \ADC_CHNUMBER_net[0]\, 
        ASSC_SEQOUT_net(5) => \ASSC_SEQOUT_net[5]\, 
        EV_ASSCADDR_net(8) => \EV_ASSCADDR_net[8]\, 
        rdgwgtpkbgc_0(3) => rdgwgtpkbgc(3), EV_RAM_DI_B_net(8)
         => \EV_RAM_DI_B_net[8]\, TR_EV_ADDR_net(8) => 
        \TR_EV_ADDR_net[8]\, EV_RAM_ADDR_A_net(8) => 
        \EV_RAM_ADDR_A_net[8]\, INIT_ADDR_int(8) => 
        INIT_ADDR_int(8), INIT_ADDR_int(7) => INIT_ADDR_int(7), 
        INIT_ADDR_int(6) => INIT_ADDR_int(6), INIT_ADDR_int(5)
         => INIT_ADDR_int(5), INIT_ADDR_int(4) => 
        INIT_ADDR_int(4), INIT_ADDR_int(3) => INIT_ADDR_int(3), 
        INIT_ADDR_int(2) => INIT_ADDR_int(2), INIT_ADDR_int(1)
         => INIT_ADDR_int(1), INIT_ADDR_int(0) => 
        INIT_ADDR_int(0), ASSC_RAM_DOUT_bus(8) => 
        \ASSC_RAM_DOUT_bus[8]\, ASSC_RAM_DOUT_bus(7) => 
        \ASSC_RAM_DOUT_bus[7]\, ASSC_RAM_DOUT_bus(6) => 
        \ASSC_RAM_DOUT_bus[6]\, ASSC_RAM_DOUT_bus(5) => 
        \ASSC_RAM_DOUT_bus[5]\, ASSC_RAM_DOUT_bus(4) => 
        \ASSC_RAM_DOUT_bus[4]\, ASSC_RAM_DOUT_bus(3) => 
        \ASSC_RAM_DOUT_bus[3]\, ASSC_RAM_DOUT_bus(2) => 
        \ASSC_RAM_DOUT_bus[2]\, ASSC_RAM_DOUT_bus(1) => 
        \ASSC_RAM_DOUT_bus[1]\, ASSC_RAM_DOUT_bus(0) => 
        \ASSC_RAM_DOUT_bus[0]\, rdgwgtpkbgc(3) => 
        rdgwgtpkbgc_0(3), EV_CHHOLD_net(4) => \EV_CHHOLD_net[4]\, 
        EV_RAM_DO_B_net(8) => \EV_RAM_DO_B_net[8]\, 
        \Z\\EV_RAM_ADDR_B_net\\\ => \Z\\EV_RAM_ADDR_B_net\\\, 
        EV_RAM_ADDR_B_net_net_2 => EV_RAM_ADDR_B_net_net_2, 
        EV_RAM_ADDR_B_net_net_4 => EV_RAM_ADDR_B_net_net_4, 
        EV_RAM_ADDR_B_net_net_7 => EV_RAM_ADDR_B_net_net_7, 
        \Z\\ASSC_SEQOUT_net\\\ => \Z\\ASSC_SEQOUT_net\\\, 
        \Z\\EV_ASSCADDR_net\\\ => \Z\\EV_ASSCADDR_net\\\, 
        ASSC_SEQOUT_net_net_1 => ASSC_SEQOUT_net_net_1, 
        EV_ASSCADDR_net_net_1 => EV_ASSCADDR_net_net_1, 
        ASSC_SEQOUT_net_net_2 => ASSC_SEQOUT_net_net_2, 
        EV_ASSCADDR_net_net_2 => EV_ASSCADDR_net_net_2, 
        ASSC_SEQOUT_net_net_3 => ASSC_SEQOUT_net_net_3, 
        EV_ASSCADDR_net_net_3 => EV_ASSCADDR_net_net_3, 
        ASSC_SEQOUT_net_net_4 => ASSC_SEQOUT_net_net_4, 
        EV_ASSCADDR_net_net_4 => EV_ASSCADDR_net_net_4, 
        EV_EVFLAG_net => EV_EVFLAG_net, EV_DONE_net => 
        EV_DONE_net, EV_RAM_WR_BUSY_B_net => EV_RAM_WR_BUSY_B_net, 
        EV_RAM_DI_B_net_net_7 => EV_RAM_DI_B_net_net_7, 
        EV_RAM_DI_B_net_net_1 => EV_RAM_DI_B_net_net_1, 
        \Z\\EV_RAM_DI_B_net\\\ => \Z\\EV_RAM_DI_B_net\\\, 
        TR_EV_RD_net => TR_EV_RD_net, EV_RAM_CSN_A_net => 
        EV_RAM_CSN_A_net, TR_EV_ADDR_net_net_6 => 
        TR_EV_ADDR_net_net_6, EV_RAM_ADDR_A_net_net_6 => 
        EV_RAM_ADDR_A_net_net_6, \Z\\TR_EV_ADDR_net\\\ => 
        \Z\\TR_EV_ADDR_net\\\, \Z\\EV_RAM_ADDR_A_net\\\ => 
        \Z\\EV_RAM_ADDR_A_net\\\, TR_EV_ADDR_net_net_1 => 
        TR_EV_ADDR_net_net_1, EV_RAM_ADDR_A_net_net_1 => 
        EV_RAM_ADDR_A_net_net_1, TR_EV_ADDR_net_net_2 => 
        TR_EV_ADDR_net_net_2, EV_RAM_ADDR_A_net_net_2 => 
        EV_RAM_ADDR_A_net_net_2, TR_EV_ADDR_net_net_3 => 
        TR_EV_ADDR_net_net_3, EV_RAM_ADDR_A_net_net_3 => 
        EV_RAM_ADDR_A_net_net_3, TR_EV_ADDR_net_net_4 => 
        TR_EV_ADDR_net_net_4, EV_RAM_ADDR_A_net_net_4 => 
        EV_RAM_ADDR_A_net_net_4, TR_EV_ADDR_net_net_5 => 
        TR_EV_ADDR_net_net_5, EV_RAM_ADDR_A_net_net_5 => 
        EV_RAM_ADDR_A_net_net_5, TR_EV_ADDR_net_net_7 => 
        TR_EV_ADDR_net_net_7, EV_RAM_ADDR_A_net_net_7 => 
        EV_RAM_ADDR_A_net_net_7, EV_CHHOLD_net_net_1 => 
        EV_CHHOLD_net_net_1, EV_CHHOLD_net_net_2 => 
        EV_CHHOLD_net_net_2, EV_CHHOLD_net_net_3 => 
        EV_CHHOLD_net_net_3, EV_RAM_DO_B_net_net_2 => 
        EV_RAM_DO_B_net_net_2, EV_RAM_DO_B_net_net_3 => 
        EV_RAM_DO_B_net_net_3, \Z\\EV_RAM_DO_B_net\\\ => 
        \Z\\EV_RAM_DO_B_net\\\, INIT_EV_WEN_int => 
        INIT_EV_WEN_int, EV_RAM_RW_A_net => EV_RAM_RW_A_net, 
        ktwrhqstzjg => ktwrhqstzjg, N_266 => N_266, 
        ASSC_SAMPFLAG_net => ASSC_SAMPFLAG_net, ASSC_DONE_c => 
        \ASSC_DONE_c\, EV_RAM_DI_B_net_net_2 => 
        EV_RAM_DI_B_net_net_2, EV_RAM_DI_B_net_net_3 => 
        EV_RAM_DI_B_net_net_3, EV_RAM_DI_B_net_net_4 => 
        EV_RAM_DI_B_net_net_4, EV_RAM_DI_B_net_net_5 => 
        EV_RAM_DI_B_net_net_5, EV_RAM_DI_B_net_net_6 => 
        EV_RAM_DI_B_net_net_6, EV_RAM_CSN_B_net => 
        EV_RAM_CSN_B_net, EV_RAM_DO_B_net_net_4 => 
        EV_RAM_DO_B_net_net_4, INIT_DONE_c => INIT_DONE_c, 
        \Z\\EV_CHHOLD_net\\\ => \Z\\EV_CHHOLD_net\\\, 
        EV_RAM_ADDR_B_net_net_1 => EV_RAM_ADDR_B_net_net_1, 
        EV_RAM_ADDR_B_net_net_5 => EV_RAM_ADDR_B_net_net_5, 
        EV_RAM_ADDR_B_net_net_3 => EV_RAM_ADDR_B_net_net_3, 
        EV_RAM_ADDR_B_net_net_6 => EV_RAM_ADDR_B_net_net_6, 
        EV_RAM_DO_B_net_net_5 => EV_RAM_DO_B_net_net_5, 
        EV_RAM_DO_B_net_net_6 => EV_RAM_DO_B_net_net_6, 
        EV_RAM_DO_B_net_net_7 => EV_RAM_DO_B_net_net_7, 
        SYS_RESET_global => SYS_RESET_global, GLA_c => GLA_c, 
        EV_DONE_net_0 => EV_DONE_net_0, bskrjhjvqpf_1_sqmuxa_0
         => bskrjhjvqpf_1_sqmuxa_0, EV_ASSCADDR_net_net_5 => 
        EV_ASSCADDR_net_net_5, EV_ASSC_RD_net => EV_ASSC_RD_net, 
        \Z\\EV_RAM_DO_B_net\\_0\ => \Z\\EV_RAM_DO_B_net\\_0\, 
        bskrjhjvqpf_1_sqmuxa => bskrjhjvqpf_1_sqmuxa, 
        EV_RAM_DO_B_net_net_1 => EV_RAM_DO_B_net_net_1);
    
    INIT_ACMWEN_OR : OR2
      port map(A => INIT_ACM_WEN_int, B => GND_net_1, Y => 
        INIT_ACM_WEN_OR_net);
    
    VCC_i_0 : VCC
      port map(Y => VCC_net_2);
    
    VCC_i : VCC
      port map(Y => VCC_net_1);
    
    ADC_smtr_ram_inst : ADC_smtr_ram
      port map(TR_RAM_DI_B_net(8) => \TR_RAM_DI_B_net[8]\, 
        INIT_DATA_int(8) => INIT_DATA_int(8), INIT_DATA_int(7)
         => INIT_DATA_int(7), INIT_DATA_int(6) => 
        INIT_DATA_int(6), INIT_DATA_int(5) => INIT_DATA_int(5), 
        INIT_DATA_int(4) => INIT_DATA_int(4), INIT_DATA_int(3)
         => INIT_DATA_int(3), INIT_DATA_int(2) => 
        INIT_DATA_int(2), INIT_DATA_int(1) => INIT_DATA_int(1), 
        INIT_DATA_int(0) => INIT_DATA_int(0), 
        TR_RAM_ADDR_B_net(8) => \TR_RAM_ADDR_B_net[8]\, 
        INIT_ADDR_int(8) => INIT_ADDR_int(8), INIT_ADDR_int(7)
         => INIT_ADDR_int(7), INIT_ADDR_int(6) => 
        INIT_ADDR_int(6), INIT_ADDR_int(5) => INIT_ADDR_int(5), 
        INIT_ADDR_int(4) => INIT_ADDR_int(4), INIT_ADDR_int(3)
         => INIT_ADDR_int(3), INIT_ADDR_int(2) => 
        INIT_ADDR_int(2), INIT_ADDR_int(1) => INIT_ADDR_int(1), 
        INIT_ADDR_int(0) => INIT_ADDR_int(0), TR_RAM_DO_B_net(8)
         => \TR_RAM_DO_B_net[8]\, SYS_RESET_global => 
        SYS_RESET_global, \Z\\TR_RAM_DI_B_net\\\ => 
        \Z\\TR_RAM_DI_B_net\\\, TR_RAM_DI_B_net_net_1 => 
        TR_RAM_DI_B_net_net_1, TR_RAM_DI_B_net_net_2 => 
        TR_RAM_DI_B_net_net_2, TR_RAM_DI_B_net_net_3 => 
        TR_RAM_DI_B_net_net_3, TR_RAM_DI_B_net_net_4 => 
        TR_RAM_DI_B_net_net_4, TR_RAM_DI_B_net_net_5 => 
        TR_RAM_DI_B_net_net_5, TR_RAM_DI_B_net_net_6 => 
        TR_RAM_DI_B_net_net_6, TR_RAM_DI_B_net_net_7 => 
        TR_RAM_DI_B_net_net_7, GLA_c => GLA_c, xgnmbzmtzbb_0 => 
        xgnmbzmtzbb_0, TR_RAM_CSN_B_net => TR_RAM_CSN_B_net, 
        \VCC\ => VCC_net_1, TR_RAM_RW_A_net => TR_RAM_RW_A_net, 
        \Z\\TR_RAM_ADDR_B_net\\\ => \Z\\TR_RAM_ADDR_B_net\\\, 
        TR_RAM_ADDR_B_net_net_1 => TR_RAM_ADDR_B_net_net_1, 
        TR_RAM_ADDR_B_net_net_2 => TR_RAM_ADDR_B_net_net_2, 
        TR_RAM_ADDR_B_net_net_3 => TR_RAM_ADDR_B_net_net_3, 
        TR_RAM_ADDR_B_net_net_4 => TR_RAM_ADDR_B_net_net_4, 
        TR_RAM_ADDR_B_net_net_5 => TR_RAM_ADDR_B_net_net_5, 
        TR_RAM_ADDR_B_net_net_6 => TR_RAM_ADDR_B_net_net_6, 
        TR_RAM_ADDR_B_net_net_7 => TR_RAM_ADDR_B_net_net_7, \GND\
         => GND_net_1, \Z\\TR_RAM_DO_B_net\\\ => 
        \Z\\TR_RAM_DO_B_net\\\, TR_RAM_DO_B_net_net_1 => 
        TR_RAM_DO_B_net_net_1, TR_RAM_DO_B_net_net_2 => 
        TR_RAM_DO_B_net_net_2, TR_RAM_DO_B_net_net_3 => 
        TR_RAM_DO_B_net_net_3, TR_RAM_DO_B_net_net_4 => 
        TR_RAM_DO_B_net_net_4, TR_RAM_DO_B_net_net_5 => 
        TR_RAM_DO_B_net_net_5, TR_RAM_DO_B_net_net_6 => 
        TR_RAM_DO_B_net_net_6, TR_RAM_DO_B_net_net_7 => 
        TR_RAM_DO_B_net_net_7);
    
    ADC_smev_ram_inst : ADC_smev_ram
      port map(EV_RAM_DI_B_net(8) => \EV_RAM_DI_B_net[8]\, 
        INIT_DATA_int(8) => INIT_DATA_int(8), INIT_DATA_int(7)
         => INIT_DATA_int(7), INIT_DATA_int(6) => 
        INIT_DATA_int(6), INIT_DATA_int(5) => INIT_DATA_int(5), 
        INIT_DATA_int(4) => INIT_DATA_int(4), INIT_DATA_int(3)
         => INIT_DATA_int(3), INIT_DATA_int(2) => 
        INIT_DATA_int(2), INIT_DATA_int(1) => INIT_DATA_int(1), 
        INIT_DATA_int(0) => INIT_DATA_int(0), 
        EV_RAM_ADDR_B_net(8) => \EV_RAM_ADDR_B_net[8]\, 
        EV_RAM_ADDR_A_net(8) => \EV_RAM_ADDR_A_net[8]\, 
        EV_RAM_DO_B_net(8) => \EV_RAM_DO_B_net[8]\, 
        SYS_RESET_global => SYS_RESET_global, 
        \Z\\EV_RAM_DI_B_net\\\ => \Z\\EV_RAM_DI_B_net\\\, 
        EV_RAM_DI_B_net_net_1 => EV_RAM_DI_B_net_net_1, 
        EV_RAM_DI_B_net_net_2 => EV_RAM_DI_B_net_net_2, 
        EV_RAM_DI_B_net_net_3 => EV_RAM_DI_B_net_net_3, 
        EV_RAM_DI_B_net_net_4 => EV_RAM_DI_B_net_net_4, 
        EV_RAM_DI_B_net_net_5 => EV_RAM_DI_B_net_net_5, 
        EV_RAM_DI_B_net_net_6 => EV_RAM_DI_B_net_net_6, 
        EV_RAM_DI_B_net_net_7 => EV_RAM_DI_B_net_net_7, GLA_c => 
        GLA_c, EV_RAM_WR_BUSY_B_net => EV_RAM_WR_BUSY_B_net, 
        EV_RAM_CSN_B_net => EV_RAM_CSN_B_net, \VCC\ => VCC_net_1, 
        EV_RAM_RW_A_net => EV_RAM_RW_A_net, EV_RAM_CSN_A_net => 
        EV_RAM_CSN_A_net, \Z\\EV_RAM_ADDR_B_net\\\ => 
        \Z\\EV_RAM_ADDR_B_net\\\, EV_RAM_ADDR_B_net_net_1 => 
        EV_RAM_ADDR_B_net_net_1, EV_RAM_ADDR_B_net_net_2 => 
        EV_RAM_ADDR_B_net_net_2, EV_RAM_ADDR_B_net_net_3 => 
        EV_RAM_ADDR_B_net_net_3, EV_RAM_ADDR_B_net_net_4 => 
        EV_RAM_ADDR_B_net_net_4, EV_RAM_ADDR_B_net_net_5 => 
        EV_RAM_ADDR_B_net_net_5, EV_RAM_ADDR_B_net_net_6 => 
        EV_RAM_ADDR_B_net_net_6, EV_RAM_ADDR_B_net_net_7 => 
        EV_RAM_ADDR_B_net_net_7, \GND\ => GND_net_1, 
        \Z\\EV_RAM_ADDR_A_net\\\ => \Z\\EV_RAM_ADDR_A_net\\\, 
        EV_RAM_ADDR_A_net_net_1 => EV_RAM_ADDR_A_net_net_1, 
        EV_RAM_ADDR_A_net_net_2 => EV_RAM_ADDR_A_net_net_2, 
        EV_RAM_ADDR_A_net_net_3 => EV_RAM_ADDR_A_net_net_3, 
        EV_RAM_ADDR_A_net_net_4 => EV_RAM_ADDR_A_net_net_4, 
        EV_RAM_ADDR_A_net_net_5 => EV_RAM_ADDR_A_net_net_5, 
        EV_RAM_ADDR_A_net_net_6 => EV_RAM_ADDR_A_net_net_6, 
        EV_RAM_ADDR_A_net_net_7 => EV_RAM_ADDR_A_net_net_7, 
        EV_RAM_DO_B_net_net_1 => EV_RAM_DO_B_net_net_1, 
        EV_RAM_DO_B_net_net_2 => EV_RAM_DO_B_net_net_2, 
        EV_RAM_DO_B_net_net_3 => EV_RAM_DO_B_net_net_3, 
        EV_RAM_DO_B_net_net_4 => EV_RAM_DO_B_net_net_4, 
        EV_RAM_DO_B_net_net_5 => EV_RAM_DO_B_net_net_5, 
        EV_RAM_DO_B_net_net_6 => EV_RAM_DO_B_net_net_6, 
        EV_RAM_DO_B_net_net_7 => EV_RAM_DO_B_net_net_7, 
        EV_RAM_DO_A_net_net_7 => EV_RAM_DO_A_net_net_7, 
        \Z\\EV_RAM_DO_B_net\\\ => \Z\\EV_RAM_DO_B_net\\\, 
        \Z\\EV_RAM_DO_B_net\\_0\ => \Z\\EV_RAM_DO_B_net\\_0\);
    
    GND_i_0 : GND
      port map(Y => GND_net_2);
    
    GND_i : GND
      port map(Y => GND_net_1);
    
    ADC_assc_wrapper_inst : ADC_assc_wrapper
      port map(ASSC_SEQOUT_net(5) => \ASSC_SEQOUT_net[5]\, 
        ADC_MODE_net(3) => \ADC_MODE_net[3]\, ADC_TVC_net(7) => 
        \ADC_TVC_net[7]\, ADC_CHNUMBER_net(4) => 
        \ADC_CHNUMBER_net[4]\, ADC_CHNUMBER_net(3) => 
        \ADC_CHNUMBER_net[3]\, ADC_CHNUMBER_net(2) => 
        \ADC_CHNUMBER_net[2]\, ADC_CHNUMBER_net(1) => 
        \ADC_CHNUMBER_net[1]\, ADC_CHNUMBER_net(0) => 
        \ADC_CHNUMBER_net[0]\, ADC_STC_net(7) => \ADC_STC_net[7]\, 
        ASSC_RAM_DI_B_net(8) => \ASSC_RAM_DI_B_net[8]\, 
        ADC_RESULT_net(11) => \ADC_RESULT_net[11]\, 
        ASSC_RAM_ADDR_A_net(8) => \ASSC_RAM_ADDR_A_net[8]\, 
        INIT_ADDR_int(8) => INIT_ADDR_int(8), INIT_ADDR_int(7)
         => INIT_ADDR_int(7), INIT_ADDR_int(6) => 
        INIT_ADDR_int(6), INIT_ADDR_int(5) => INIT_ADDR_int(5), 
        INIT_ADDR_int(4) => INIT_ADDR_int(4), INIT_ADDR_int(3)
         => INIT_ADDR_int(3), INIT_ADDR_int(2) => 
        INIT_ADDR_int(2), INIT_ADDR_int(1) => INIT_ADDR_int(1), 
        INIT_ADDR_int(0) => INIT_ADDR_int(0), EV_ASSCADDR_net(8)
         => \EV_ASSCADDR_net[8]\, USER_ASSC_ADDR_bus(8) => 
        USER_ASSC_ADDR_bus(8), USER_ASSC_ADDR_bus(7) => 
        USER_ASSC_ADDR_bus(7), USER_ASSC_ADDR_bus(6) => 
        USER_ASSC_ADDR_bus(6), USER_ASSC_ADDR_bus(5) => 
        USER_ASSC_ADDR_bus(5), USER_ASSC_ADDR_bus(4) => 
        USER_ASSC_ADDR_bus(4), USER_ASSC_ADDR_bus(3) => 
        USER_ASSC_ADDR_bus(3), USER_ASSC_ADDR_bus(2) => 
        USER_ASSC_ADDR_bus(2), USER_ASSC_ADDR_bus(1) => 
        USER_ASSC_ADDR_bus(1), USER_ASSC_ADDR_bus(0) => 
        USER_ASSC_ADDR_bus(0), ASSC_RAM_DO_B_net(8) => 
        \ASSC_RAM_DO_B_net[8]\, \Z\\ASSC_SEQOUT_net\\\ => 
        \Z\\ASSC_SEQOUT_net\\\, ASSC_SEQOUT_net_net_1 => 
        ASSC_SEQOUT_net_net_1, ASSC_SEQOUT_net_net_2 => 
        ASSC_SEQOUT_net_net_2, ASSC_SEQOUT_net_net_3 => 
        ASSC_SEQOUT_net_net_3, ASSC_SEQOUT_net_net_4 => 
        ASSC_SEQOUT_net_net_4, \Z\\ADC_MODE_net\\\ => 
        \Z\\ADC_MODE_net\\\, ADC_MODE_net_net_1 => 
        ADC_MODE_net_net_1, ADC_MODE_net_net_2 => 
        ADC_MODE_net_net_2, \Z\\ADC_TVC_net\\\ => 
        \Z\\ADC_TVC_net\\\, ADC_TVC_net_net_1 => 
        ADC_TVC_net_net_1, ADC_TVC_net_net_2 => ADC_TVC_net_net_2, 
        ADC_TVC_net_net_3 => ADC_TVC_net_net_3, ADC_TVC_net_net_4
         => ADC_TVC_net_net_4, ADC_TVC_net_net_5 => 
        ADC_TVC_net_net_5, ADC_TVC_net_net_6 => ADC_TVC_net_net_6, 
        \Z\\ADC_STC_net\\\ => \Z\\ADC_STC_net\\\, 
        ADC_STC_net_net_1 => ADC_STC_net_net_1, ADC_STC_net_net_2
         => ADC_STC_net_net_2, ADC_STC_net_net_3 => 
        ADC_STC_net_net_3, ADC_STC_net_net_4 => ADC_STC_net_net_4, 
        ADC_STC_net_net_5 => ADC_STC_net_net_5, ADC_STC_net_net_6
         => ADC_STC_net_net_6, ASSC_SAMPFLAG_net => 
        ASSC_SAMPFLAG_net, ADC_PDOWN_net => ADC_PDOWN_net, 
        ADC_RESET_net => ADC_RESET_net, ADC_CALIBRATE_net => 
        ADC_CALIBRATE_net, ASSC_RAM_CSN_A_net => 
        ASSC_RAM_CSN_A_net, INIT_ASSC_WEN_int => 
        INIT_ASSC_WEN_int, ASSC_RAM_RW_A_net => ASSC_RAM_RW_A_net, 
        USER_ASSC_RD_net => USER_ASSC_RD_net, 
        ASSC_RAM_ADDR_B_net_net_7 => ASSC_RAM_ADDR_B_net_net_7, 
        ADC_RESULT_net_net_2 => ADC_RESULT_net_net_2, 
        ADC_RESULT_net_net_3 => ADC_RESULT_net_net_3, 
        \Z\\ASSC_RAM_DI_B_net\\\ => \Z\\ASSC_RAM_DI_B_net\\\, 
        ADC_RESULT_net_net_4 => ADC_RESULT_net_net_4, 
        ASSC_RAM_DI_B_net_net_1 => ASSC_RAM_DI_B_net_net_1, 
        ADC_RESULT_net_net_5 => ADC_RESULT_net_net_5, 
        ASSC_RAM_DI_B_net_net_2 => ASSC_RAM_DI_B_net_net_2, 
        ADC_RESULT_net_net_6 => ADC_RESULT_net_net_6, 
        ASSC_RAM_DI_B_net_net_3 => ASSC_RAM_DI_B_net_net_3, 
        ADC_RESULT_net_net_7 => ADC_RESULT_net_net_7, 
        ASSC_RAM_DI_B_net_net_4 => ASSC_RAM_DI_B_net_net_4, 
        ASSC_RAM_DO_B_net_net_2 => ASSC_RAM_DO_B_net_net_2, 
        ASSC_RAM_DO_B_net_net_3 => ASSC_RAM_DO_B_net_net_3, 
        ASSC_RAM_DO_B_net_net_4 => ASSC_RAM_DO_B_net_net_4, 
        ASSC_RAM_DO_B_net_net_5 => ASSC_RAM_DO_B_net_net_5, 
        ASSC_RAM_DO_B_net_net_6 => ASSC_RAM_DO_B_net_net_6, 
        ASSC_RAM_DO_B_net_net_7 => ASSC_RAM_DO_B_net_net_7, 
        ADC_RESULT_net_net_8 => ADC_RESULT_net_net_8, 
        ASSC_RAM_DI_B_net_net_5 => ASSC_RAM_DI_B_net_net_5, 
        \Z\\ADC_RESULT_net\\\ => \Z\\ADC_RESULT_net\\\, 
        ADC_RESULT_net_net_9 => ADC_RESULT_net_net_9, 
        ASSC_RAM_DI_B_net_net_6 => ASSC_RAM_DI_B_net_net_6, 
        ADC_RESULT_net_net_1 => ADC_RESULT_net_net_1, 
        ADC_RESULT_net_net_10 => ADC_RESULT_net_net_10, 
        ASSC_RAM_DI_B_net_net_7 => ASSC_RAM_DI_B_net_net_7, 
        \Z\\ASSC_RAM_ADDR_A_net\\\ => \Z\\ASSC_RAM_ADDR_A_net\\\, 
        ASSC_RAM_ADDR_A_net_net_1 => ASSC_RAM_ADDR_A_net_net_1, 
        ASSC_RAM_ADDR_A_net_net_2 => ASSC_RAM_ADDR_A_net_net_2, 
        ASSC_RAM_ADDR_A_net_net_3 => ASSC_RAM_ADDR_A_net_net_3, 
        ASSC_RAM_ADDR_A_net_net_4 => ASSC_RAM_ADDR_A_net_net_4, 
        ASSC_RAM_ADDR_A_net_net_5 => ASSC_RAM_ADDR_A_net_net_5, 
        ASSC_RAM_ADDR_A_net_net_6 => ASSC_RAM_ADDR_A_net_net_6, 
        ASSC_RAM_ADDR_A_net_net_7 => ASSC_RAM_ADDR_A_net_net_7, 
        \Z\\EV_ASSCADDR_net\\\ => \Z\\EV_ASSCADDR_net\\\, 
        EV_ASSCADDR_net_net_1 => EV_ASSCADDR_net_net_1, 
        EV_ASSCADDR_net_net_2 => EV_ASSCADDR_net_net_2, 
        EV_ASSCADDR_net_net_3 => EV_ASSCADDR_net_net_3, 
        EV_ASSCADDR_net_net_4 => EV_ASSCADDR_net_net_4, 
        bskrjhjvqpf_1_sqmuxa => bskrjhjvqpf_1_sqmuxa, 
        EV_ASSCADDR_net_net_5 => EV_ASSCADDR_net_net_5, 
        bskrjhjvqpf_1_sqmuxa_0 => bskrjhjvqpf_1_sqmuxa_0, 
        ADC_START_net => ADC_START_net, ASSC_DONE_c => 
        \ASSC_DONE_c\, ktwrhqstzjg => ktwrhqstzjg, ADC_BUSY_net
         => ADC_BUSY_net, EV_DONE_net_0 => EV_DONE_net_0, 
        N_239_i_0 => N_239_i_0, ASSC_RAM_ADDR_B_net_net_6 => 
        ASSC_RAM_ADDR_B_net_net_6, ASSC_RAM_ADDR_B_net_net_5 => 
        ASSC_RAM_ADDR_B_net_net_5, N_266 => N_266, EV_EVFLAG_net
         => EV_EVFLAG_net, TR_TRFLAG_net => TR_TRFLAG_net, 
        TR_DONE_net_i_0 => TR_DONE_net_i_0, 
        ASSC_RAM_DO_B_net_net_1 => ASSC_RAM_DO_B_net_net_1, 
        \Z\\ASSC_RAM_DO_B_net\\\ => \Z\\ASSC_RAM_DO_B_net\\\, 
        ASSC_RAM_WR_BUSY_B_c => ASSC_RAM_WR_BUSY_B_c, 
        ASSC_RAM_WR_BUSY_B_c_i => ASSC_RAM_WR_BUSY_B_c_i, 
        SYS_RESET_global => SYS_RESET_global, GLA_c => GLA_c, 
        EV_ASSC_RD_net => EV_ASSC_RD_net, INIT_DONE_c => 
        INIT_DONE_c, USER_ASSC_RAM_BUSY_net => 
        USER_ASSC_RAM_BUSY_net);
    
    ADC_assc_ram_inst : ADC_assc_ram
      port map(ASSC_RAM_DI_B_net(8) => \ASSC_RAM_DI_B_net[8]\, 
        INIT_DATA_int(8) => INIT_DATA_int(8), INIT_DATA_int(7)
         => INIT_DATA_int(7), INIT_DATA_int(6) => 
        INIT_DATA_int(6), INIT_DATA_int(5) => INIT_DATA_int(5), 
        INIT_DATA_int(4) => INIT_DATA_int(4), INIT_DATA_int(3)
         => INIT_DATA_int(3), INIT_DATA_int(2) => 
        INIT_DATA_int(2), INIT_DATA_int(1) => INIT_DATA_int(1), 
        INIT_DATA_int(0) => INIT_DATA_int(0), ASSC_SEQOUT_net(5)
         => \ASSC_SEQOUT_net[5]\, ASSC_RAM_ADDR_A_net(8) => 
        \ASSC_RAM_ADDR_A_net[8]\, ASSC_RAM_DO_B_net(8) => 
        \ASSC_RAM_DO_B_net[8]\, ASSC_RAM_DOUT_bus(8) => 
        \ASSC_RAM_DOUT_bus[8]\, ASSC_RAM_DOUT_bus(7) => 
        \ASSC_RAM_DOUT_bus[7]\, ASSC_RAM_DOUT_bus(6) => 
        \ASSC_RAM_DOUT_bus[6]\, ASSC_RAM_DOUT_bus(5) => 
        \ASSC_RAM_DOUT_bus[5]\, ASSC_RAM_DOUT_bus(4) => 
        \ASSC_RAM_DOUT_bus[4]\, ASSC_RAM_DOUT_bus(3) => 
        \ASSC_RAM_DOUT_bus[3]\, ASSC_RAM_DOUT_bus(2) => 
        \ASSC_RAM_DOUT_bus[2]\, ASSC_RAM_DOUT_bus(1) => 
        \ASSC_RAM_DOUT_bus[1]\, ASSC_RAM_DOUT_bus(0) => 
        \ASSC_RAM_DOUT_bus[0]\, SYS_RESET_global => 
        SYS_RESET_global, \Z\\ASSC_RAM_DI_B_net\\\ => 
        \Z\\ASSC_RAM_DI_B_net\\\, ASSC_RAM_DI_B_net_net_1 => 
        ASSC_RAM_DI_B_net_net_1, ASSC_RAM_DI_B_net_net_2 => 
        ASSC_RAM_DI_B_net_net_2, ASSC_RAM_DI_B_net_net_3 => 
        ASSC_RAM_DI_B_net_net_3, ASSC_RAM_DI_B_net_net_4 => 
        ASSC_RAM_DI_B_net_net_4, ASSC_RAM_DI_B_net_net_5 => 
        ASSC_RAM_DI_B_net_net_5, ASSC_RAM_DI_B_net_net_6 => 
        ASSC_RAM_DI_B_net_net_6, ASSC_RAM_DI_B_net_net_7 => 
        ASSC_RAM_DI_B_net_net_7, GLA_c => GLA_c, 
        ASSC_RAM_WR_BUSY_B_c_i => ASSC_RAM_WR_BUSY_B_c_i, 
        N_239_i_0 => N_239_i_0, \VCC\ => VCC_net_1, 
        ASSC_RAM_RW_A_net => ASSC_RAM_RW_A_net, 
        ASSC_RAM_CSN_A_net => ASSC_RAM_CSN_A_net, 
        \Z\\ASSC_SEQOUT_net\\\ => \Z\\ASSC_SEQOUT_net\\\, 
        ASSC_SEQOUT_net_net_1 => ASSC_SEQOUT_net_net_1, 
        ASSC_SEQOUT_net_net_2 => ASSC_SEQOUT_net_net_2, 
        ASSC_SEQOUT_net_net_3 => ASSC_SEQOUT_net_net_3, 
        ASSC_SEQOUT_net_net_4 => ASSC_SEQOUT_net_net_4, 
        ASSC_RAM_ADDR_B_net_net_5 => ASSC_RAM_ADDR_B_net_net_5, 
        ASSC_RAM_ADDR_B_net_net_6 => ASSC_RAM_ADDR_B_net_net_6, 
        ASSC_RAM_ADDR_B_net_net_7 => ASSC_RAM_ADDR_B_net_net_7, 
        \GND\ => GND_net_1, \Z\\ASSC_RAM_ADDR_A_net\\\ => 
        \Z\\ASSC_RAM_ADDR_A_net\\\, ASSC_RAM_ADDR_A_net_net_1 => 
        ASSC_RAM_ADDR_A_net_net_1, ASSC_RAM_ADDR_A_net_net_2 => 
        ASSC_RAM_ADDR_A_net_net_2, ASSC_RAM_ADDR_A_net_net_3 => 
        ASSC_RAM_ADDR_A_net_net_3, ASSC_RAM_ADDR_A_net_net_4 => 
        ASSC_RAM_ADDR_A_net_net_4, ASSC_RAM_ADDR_A_net_net_5 => 
        ASSC_RAM_ADDR_A_net_net_5, ASSC_RAM_ADDR_A_net_net_6 => 
        ASSC_RAM_ADDR_A_net_net_6, ASSC_RAM_ADDR_A_net_net_7 => 
        ASSC_RAM_ADDR_A_net_net_7, \Z\\ASSC_RAM_DO_B_net\\\ => 
        \Z\\ASSC_RAM_DO_B_net\\\, ASSC_RAM_DO_B_net_net_1 => 
        ASSC_RAM_DO_B_net_net_1, ASSC_RAM_DO_B_net_net_2 => 
        ASSC_RAM_DO_B_net_net_2, ASSC_RAM_DO_B_net_net_3 => 
        ASSC_RAM_DO_B_net_net_3, ASSC_RAM_DO_B_net_net_4 => 
        ASSC_RAM_DO_B_net_net_4, ASSC_RAM_DO_B_net_net_5 => 
        ASSC_RAM_DO_B_net_net_5, ASSC_RAM_DO_B_net_net_6 => 
        ASSC_RAM_DO_B_net_net_6, ASSC_RAM_DO_B_net_net_7 => 
        ASSC_RAM_DO_B_net_net_7);
    
    ADC_smtr_wrapper_inst : ADC_smtr_wrapper
      port map(TR_RAM_ADDR_B_net(8) => \TR_RAM_ADDR_B_net[8]\, 
        TR_EV_ADDR_net(8) => \TR_EV_ADDR_net[8]\, 
        TR_RAM_DI_B_net(8) => \TR_RAM_DI_B_net[8]\, 
        TR_RAM_DO_B_net(8) => \TR_RAM_DO_B_net[8]\, 
        EV_CHHOLD_net(4) => \EV_CHHOLD_net[4]\, 
        \Z\\TR_RAM_ADDR_B_net\\\ => \Z\\TR_RAM_ADDR_B_net\\\, 
        TR_RAM_ADDR_B_net_net_2 => TR_RAM_ADDR_B_net_net_2, 
        TR_RAM_ADDR_B_net_net_4 => TR_RAM_ADDR_B_net_net_4, 
        TR_RAM_ADDR_B_net_net_7 => TR_RAM_ADDR_B_net_net_7, 
        \Z\\TR_EV_ADDR_net\\\ => \Z\\TR_EV_ADDR_net\\\, 
        TR_EV_ADDR_net_net_1 => TR_EV_ADDR_net_net_1, 
        TR_EV_ADDR_net_net_2 => TR_EV_ADDR_net_net_2, 
        TR_EV_ADDR_net_net_3 => TR_EV_ADDR_net_net_3, 
        TR_EV_ADDR_net_net_4 => TR_EV_ADDR_net_net_4, 
        TR_EV_ADDR_net_net_5 => TR_EV_ADDR_net_net_5, 
        TR_EV_ADDR_net_net_6 => TR_EV_ADDR_net_net_6, 
        TR_EV_ADDR_net_net_7 => TR_EV_ADDR_net_net_7, 
        TR_TRFLAG_net => TR_TRFLAG_net, TR_DONE_net_i_0 => 
        TR_DONE_net_i_0, \Z\\TR_RAM_DI_B_net\\\ => 
        \Z\\TR_RAM_DI_B_net\\\, EV_RAM_DO_A_net_net_7 => 
        EV_RAM_DO_A_net_net_7, EV_DONE_net => EV_DONE_net, N_12
         => N_12, N_10 => N_10, TR_RAM_RW_A_net => 
        TR_RAM_RW_A_net, TR_RAM_DI_B_net_net_1 => 
        TR_RAM_DI_B_net_net_1, TR_RAM_DI_B_net_net_2 => 
        TR_RAM_DI_B_net_net_2, xgnmbzmtzbb_0 => xgnmbzmtzbb_0, 
        TR_RAM_DI_B_net_net_3 => TR_RAM_DI_B_net_net_3, 
        TR_RAM_DI_B_net_net_4 => TR_RAM_DI_B_net_net_4, 
        TR_RAM_DI_B_net_net_5 => TR_RAM_DI_B_net_net_5, 
        TR_RAM_DO_B_net_net_6 => TR_RAM_DO_B_net_net_6, 
        TR_RAM_DI_B_net_net_6 => TR_RAM_DI_B_net_net_6, 
        TR_RAM_DO_B_net_net_7 => TR_RAM_DO_B_net_net_7, 
        TR_RAM_DI_B_net_net_7 => TR_RAM_DI_B_net_net_7, 
        TR_RAM_CSN_B_net => TR_RAM_CSN_B_net, 
        TR_RAM_DO_B_net_net_3 => TR_RAM_DO_B_net_net_3, 
        TR_RAM_DO_B_net_net_5 => TR_RAM_DO_B_net_net_5, 
        TR_RAM_DO_B_net_net_4 => TR_RAM_DO_B_net_net_4, 
        TR_RAM_DO_B_net_net_1 => TR_RAM_DO_B_net_net_1, 
        \Z\\TR_RAM_DO_B_net\\\ => \Z\\TR_RAM_DO_B_net\\\, 
        TR_RAM_DO_B_net_net_2 => TR_RAM_DO_B_net_net_2, 
        INIT_DONE_c => INIT_DONE_c, TR_EV_RD_net => TR_EV_RD_net, 
        EV_DONE_net_0 => EV_DONE_net_0, EV_CHHOLD_net_net_3 => 
        EV_CHHOLD_net_net_3, EV_CHHOLD_net_net_2 => 
        EV_CHHOLD_net_net_2, EV_CHHOLD_net_net_1 => 
        EV_CHHOLD_net_net_1, \Z\\EV_CHHOLD_net\\\ => 
        \Z\\EV_CHHOLD_net\\\, TR_RAM_ADDR_B_net_net_1 => 
        TR_RAM_ADDR_B_net_net_1, TR_RAM_ADDR_B_net_net_5 => 
        TR_RAM_ADDR_B_net_net_5, TR_RAM_ADDR_B_net_net_3 => 
        TR_RAM_ADDR_B_net_net_3, TR_RAM_ADDR_B_net_net_6 => 
        TR_RAM_ADDR_B_net_net_6, SYS_RESET_global => 
        SYS_RESET_global, GLA_c => GLA_c);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity jhmkpjjmdkx is

    port(hrgmtcpsdzr : out std_logic; qdvwjxmzbpf, \VCC\, 
        SYS_RESET_global, GLA_c : in std_logic; bfcqzvtnrcn : out
         std_logic);

end jhmkpjjmdkx;

architecture DEF_ARCH of jhmkpjjmdkx is 

  component VCC
    port(Y : out std_logic);
  end component;

  component DFN1C0
    port(D, CLK, CLR : in std_logic := 'U'; Q : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

    signal VCC_net_1, \crmctgwbctb\, \GND\, GND_net_1, VCC_net_2
         : std_logic;

begin 

    VCC_net_1 <= \VCC\;

    VCC_i_0 : VCC
      port map(Y => VCC_net_2);
    
    crmctgwbctb : DFN1C0
      port map(D => qdvwjxmzbpf, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \crmctgwbctb\);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    \hrgmtcpsdzr\ : DFN1C0
      port map(D => \crmctgwbctb\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => hrgmtcpsdzr);
    
    VCC_i : VCC
      port map(Y => VCC_net_1);
    
    qqqjcnjzntg : DFN1C0
      port map(D => VCC_net_1, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => bfcqzvtnrcn);
    
    GND_i : GND
      port map(Y => \GND\);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity INITCFG_XF is

    port(bfcqzvtnrcn : out std_logic; GLA_c, SYS_RESET_global, 
        \VCC\, qdvwjxmzbpf : in std_logic; hrgmtcpsdzr : out
         std_logic);

end INITCFG_XF;

architecture DEF_ARCH of INITCFG_XF is 

  component VCC
    port(Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component jhmkpjjmdkx
    port(hrgmtcpsdzr : out std_logic; qdvwjxmzbpf, \VCC\, 
        SYS_RESET_global, GLA_c : in std_logic := 'U'; 
        bfcqzvtnrcn : out std_logic);
  end component;

    signal VCC_net_1, \GND\, GND_net_1, VCC_net_2 : std_logic;

    for all : jhmkpjjmdkx
	Use entity work.jhmkpjjmdkx(DEF_ARCH);
begin 

    VCC_net_1 <= \VCC\;

    VCC_i_0 : VCC
      port map(Y => VCC_net_2);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    VCC_i : VCC
      port map(Y => VCC_net_1);
    
    u_jhmkpjjmdkx : jhmkpjjmdkx
      port map(hrgmtcpsdzr => hrgmtcpsdzr, qdvwjxmzbpf => 
        qdvwjxmzbpf, \VCC\ => VCC_net_1, SYS_RESET_global => 
        SYS_RESET_global, GLA_c => GLA_c, bfcqzvtnrcn => 
        bfcqzvtnrcn);
    
    GND_i : GND
      port map(Y => \GND\);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity stnpfdkggvx is

    port(gpbbjwsprsj : out std_logic_vector(1 downto 0); 
        mwtvnzdkmwm_3 : out std_logic; SYS_RESET_global, GLA_c : 
        in std_logic; qdvwjxmzbpf : out std_logic; bfcqzvtnrcn, 
        N_2198 : in std_logic; dxpbcqjpxtw : out std_logic; 
        mhxwcfnvbgt : in std_logic; xbkjkgdsbfh : out std_logic; 
        NVM_BUSY_net : in std_logic; N_42 : out std_logic);

end stnpfdkggvx;

architecture DEF_ARCH of stnpfdkggvx is 

  component AO1B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component DFN1C0
    port(D, CLK, CLR : in std_logic := 'U'; Q : out std_logic);
  end component;

  component DFN1P0
    port(D, CLK, PRE : in std_logic := 'U'; Q : out std_logic);
  end component;

  component AO1
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR3A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component XOR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR3B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component VCC
    port(Y : out std_logic);
  end component;

  component AND2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR2A
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AO1A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR2B
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

    signal \gpbbjwsprsj[0]\, \gpbbjwsprsj[1]\, 
        \mwtvnzdkmwm[4]_net_1\, \qdvwjxmzbpf\, \dxpbcqjpxtw\, 
        \xbkjkgdsbfh\, \mwtvnzdkmwm[6]_net_1\, 
        \mwtvnzdkmwm[5]_net_1\, \mwtvnzdkmwm_ns[2]_net_1\, 
        \mwtvnzdkmwm_ns[4]_net_1\, \mwtvnzdkmwm_ns[5]\, 
        \mwtvnzdkmwm_ns[3]_net_1\, N_45, \mwtvnzdkmwm[2]_net_1\, 
        \mwtvnzdkmwm_ns[6]\, \mwtvnzdkmwm_ns[1]_net_1\, 
        \mwtvnzdkmwm[7]_net_1\, \mwtvnzdkmwm_ns[0]\, 
        \mwtvnzdkmwm_ns_i_a2[7]_net_1\, \mwtvnzdkmwm[1]_net_1\, 
        \DWACT_ADD_CI_0_partial_sum[0]\, I_10, 
        \DWACT_ADD_CI_0_TMP[0]\, \VCC\, \GND\, GND_net_1, 
        VCC_net_1 : std_logic;

begin 

    gpbbjwsprsj(1) <= \gpbbjwsprsj[1]\;
    gpbbjwsprsj(0) <= \gpbbjwsprsj[0]\;
    mwtvnzdkmwm_3 <= \mwtvnzdkmwm[4]_net_1\;
    qdvwjxmzbpf <= \qdvwjxmzbpf\;
    dxpbcqjpxtw <= \dxpbcqjpxtw\;
    xbkjkgdsbfh <= \xbkjkgdsbfh\;

    \mwtvnzdkmwm_ns[1]\ : AO1B
      port map(A => bfcqzvtnrcn, B => \mwtvnzdkmwm[7]_net_1\, C
         => N_45, Y => \mwtvnzdkmwm_ns[1]_net_1\);
    
    \rhjctqnqzsn[0]\ : DFN1C0
      port map(D => \DWACT_ADD_CI_0_partial_sum[0]\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \gpbbjwsprsj[0]\);
    
    \mwtvnzdkmwm[7]\ : DFN1P0
      port map(D => \mwtvnzdkmwm_ns[0]\, CLK => GLA_c, PRE => 
        SYS_RESET_global, Q => \mwtvnzdkmwm[7]_net_1\);
    
    \mwtvnzdkmwm_ns[4]\ : AO1
      port map(A => \xbkjkgdsbfh\, B => NVM_BUSY_net, C => 
        \mwtvnzdkmwm[4]_net_1\, Y => \mwtvnzdkmwm_ns[4]_net_1\);
    
    un2_grfncxsbmcc_i_a2 : OR2
      port map(A => \mwtvnzdkmwm[6]_net_1\, B => 
        \mwtvnzdkmwm[5]_net_1\, Y => N_42);
    
    mwtvnzdkmwm_1_sqmuxa_0_a2 : NOR3A
      port map(A => \xbkjkgdsbfh\, B => NVM_BUSY_net, C => 
        mhxwcfnvbgt, Y => \dxpbcqjpxtw\);
    
    \mwtvnzdkmwm[3]\ : DFN1C0
      port map(D => \mwtvnzdkmwm_ns[4]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, Q => \xbkjkgdsbfh\);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    \mwtvnzdkmwm_ns_i_a2[7]\ : OR2
      port map(A => \qdvwjxmzbpf\, B => \mwtvnzdkmwm[1]_net_1\, Y
         => \mwtvnzdkmwm_ns_i_a2[7]_net_1\);
    
    \mwtvnzdkmwm[5]\ : DFN1C0
      port map(D => \mwtvnzdkmwm_ns[2]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, Q => \mwtvnzdkmwm[5]_net_1\);
    
    un1_rhjctqnqzsn_I_10 : XOR2
      port map(A => \gpbbjwsprsj[1]\, B => 
        \DWACT_ADD_CI_0_TMP[0]\, Y => I_10);
    
    \mwtvnzdkmwm_ns_a2[5]\ : NOR3B
      port map(A => \xbkjkgdsbfh\, B => mhxwcfnvbgt, C => 
        NVM_BUSY_net, Y => \mwtvnzdkmwm_ns[5]\);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    un1_rhjctqnqzsn_I_1 : AND2
      port map(A => \gpbbjwsprsj[0]\, B => \mwtvnzdkmwm[2]_net_1\, 
        Y => \DWACT_ADD_CI_0_TMP[0]\);
    
    \mwtvnzdkmwm_ns_a2[0]\ : NOR2A
      port map(A => \mwtvnzdkmwm[7]_net_1\, B => bfcqzvtnrcn, Y
         => \mwtvnzdkmwm_ns[0]\);
    
    un1_rhjctqnqzsn_I_8 : XOR2
      port map(A => \gpbbjwsprsj[0]\, B => \mwtvnzdkmwm[2]_net_1\, 
        Y => \DWACT_ADD_CI_0_partial_sum[0]\);
    
    GND_i : GND
      port map(Y => \GND\);
    
    \mwtvnzdkmwm[0]\ : DFN1C0
      port map(D => \mwtvnzdkmwm_ns_i_a2[7]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \qdvwjxmzbpf\);
    
    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    \mwtvnzdkmwm_ns[3]\ : AO1A
      port map(A => NVM_BUSY_net, B => \mwtvnzdkmwm[5]_net_1\, C
         => \dxpbcqjpxtw\, Y => \mwtvnzdkmwm_ns[3]_net_1\);
    
    \mwtvnzdkmwm_ns_a2[1]\ : OR2B
      port map(A => N_2198, B => \mwtvnzdkmwm[2]_net_1\, Y => 
        N_45);
    
    \mwtvnzdkmwm[4]\ : DFN1C0
      port map(D => \mwtvnzdkmwm_ns[3]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, Q => \mwtvnzdkmwm[4]_net_1\);
    
    \mwtvnzdkmwm[1]\ : DFN1C0
      port map(D => \mwtvnzdkmwm_ns[6]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \mwtvnzdkmwm[1]_net_1\);
    
    \mwtvnzdkmwm_ns[2]\ : AO1
      port map(A => \mwtvnzdkmwm[5]_net_1\, B => NVM_BUSY_net, C
         => \mwtvnzdkmwm[6]_net_1\, Y => 
        \mwtvnzdkmwm_ns[2]_net_1\);
    
    \mwtvnzdkmwm[6]\ : DFN1C0
      port map(D => \mwtvnzdkmwm_ns[1]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, Q => \mwtvnzdkmwm[6]_net_1\);
    
    \mwtvnzdkmwm[2]\ : DFN1C0
      port map(D => \mwtvnzdkmwm_ns[5]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \mwtvnzdkmwm[2]_net_1\);
    
    \rhjctqnqzsn[1]\ : DFN1C0
      port map(D => I_10, CLK => GLA_c, CLR => SYS_RESET_global, 
        Q => \gpbbjwsprsj[1]\);
    
    \mwtvnzdkmwm_ns_a2[6]\ : NOR2A
      port map(A => \mwtvnzdkmwm[2]_net_1\, B => N_2198, Y => 
        \mwtvnzdkmwm_ns[6]\);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity INITCFG_XA is

    port(mwtvnzdkmwm : out std_logic_vector(4 to 4); gpbbjwsprsj
         : out std_logic_vector(1 downto 0); N_42 : out std_logic; 
        NVM_BUSY_net : in std_logic; xbkjkgdsbfh : out std_logic; 
        mhxwcfnvbgt : in std_logic; dxpbcqjpxtw : out std_logic; 
        N_2198, bfcqzvtnrcn : in std_logic; qdvwjxmzbpf : out
         std_logic; GLA_c, SYS_RESET_global : in std_logic);

end INITCFG_XA;

architecture DEF_ARCH of INITCFG_XA is 

  component VCC
    port(Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component stnpfdkggvx
    port(gpbbjwsprsj : out std_logic_vector(1 downto 0); 
        mwtvnzdkmwm_3 : out std_logic; SYS_RESET_global, GLA_c : 
        in std_logic := 'U'; qdvwjxmzbpf : out std_logic; 
        bfcqzvtnrcn, N_2198 : in std_logic := 'U'; dxpbcqjpxtw : 
        out std_logic; mhxwcfnvbgt : in std_logic := 'U'; 
        xbkjkgdsbfh : out std_logic; NVM_BUSY_net : in
         std_logic := 'U'; N_42 : out std_logic);
  end component;

    signal \VCC\, \GND\, GND_net_1, VCC_net_1 : std_logic;

    for all : stnpfdkggvx
	Use entity work.stnpfdkggvx(DEF_ARCH);
begin 


    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    u_stnpfdkggvx : stnpfdkggvx
      port map(gpbbjwsprsj(1) => gpbbjwsprsj(1), gpbbjwsprsj(0)
         => gpbbjwsprsj(0), mwtvnzdkmwm_3 => mwtvnzdkmwm(4), 
        SYS_RESET_global => SYS_RESET_global, GLA_c => GLA_c, 
        qdvwjxmzbpf => qdvwjxmzbpf, bfcqzvtnrcn => bfcqzvtnrcn, 
        N_2198 => N_2198, dxpbcqjpxtw => dxpbcqjpxtw, mhxwcfnvbgt
         => mhxwcfnvbgt, xbkjkgdsbfh => xbkjkgdsbfh, NVM_BUSY_net
         => NVM_BUSY_net, N_42 => N_42);
    
    GND_i : GND
      port map(Y => \GND\);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity dxwqxgdccxc is

    port(ggsxvgncrgz : in std_logic_vector(0 to 0); bdhvhfjwtxd
         : in std_logic_vector(5 to 5); mmsccbknsvn_i : 
        in std_logic_vector(13 to 13); ggsxvgncrgz_0 : 
        in std_logic_vector(0 to 0); INIT_ADDR_int : 
        out std_logic_vector(8 downto 0); ggfvvjbkdws_6, 
        ggfvvjbkdws_5, ggfvvjbkdws_4, ggfvvjbkdws_3, 
        ggfvvjbkdws_2, ggfvvjbkdws_1, ggfvvjbkdws_0 : out
         std_logic; qdgqbvgcnzn, SYS_RESET_global, GLA_c : in
         std_logic; mhxwcfnvbgt : out std_logic; wtjtwqjkqbd : in
         std_logic; N220_i, N183, N189, N222, I33_un1_Y : out
         std_logic; N_2204_i : in std_logic; 
        ADD_13x13_fast_I86_Y_0 : out std_logic; N_2202_i : in
         std_logic; ADD_13x13_fast_I87_Y_0 : out std_logic);

end dxwqxgdccxc;

architecture DEF_ARCH of dxwqxgdccxc is 

  component XOR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component MX2C
    port(A, B, S : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR3A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component DFN1C0
    port(D, CLK, CLR : in std_logic := 'U'; Q : out std_logic);
  end component;

  component NOR2B
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component MAJ3
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR2A
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR3C
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component VCC
    port(Y : out std_logic);
  end component;

  component AO16
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AND2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component XA1
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AO1C
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component ZOR3
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AX1A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component MX2
    port(A, B, S : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR2B
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AOI1
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component DFN1E1C0
    port(D, CLK, CLR, E : in std_logic := 'U'; Q : out std_logic);
        
  end component;

  component OR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

    signal \ggfvvjbkdws[7]_net_1\, \INIT_ADDR_int[0]\, 
        \INIT_ADDR_int[1]\, \INIT_ADDR_int[2]\, 
        \INIT_ADDR_int[3]\, \INIT_ADDR_int[4]\, 
        \INIT_ADDR_int[5]\, \INIT_ADDR_int[6]\, 
        \INIT_ADDR_int[7]\, \INIT_ADDR_int[8]\, \N183\, \N189\, 
        \N222\, \DWACT_ADD_CI_0_g_array_2[0]\, 
        \DWACT_ADD_CI_0_g_array_1[0]\, 
        \DWACT_ADD_CI_0_pog_array_1[0]\, 
        \DWACT_ADD_CI_0_g_array_3[0]\, 
        \DWACT_ADD_CI_0_pog_array_2[0]\, 
        \DWACT_ADD_CI_0_g_array_11[0]\, 
        \DWACT_ADD_CI_0_pog_array_1_1[0]\, 
        \DWACT_ADD_CI_0_TMP[0]\, \DWACT_ADD_CI_0_g_array_12_1[0]\, 
        \DWACT_ADD_CI_0_g_array_12[0]\, 
        \DWACT_ADD_CI_0_g_array_12_2[0]\, \ggfvvjbkdws[8]_net_1\, 
        un10_gnmdxrqrdgs_NE_6, un10_gnmdxrqrdgs_NE_5, 
        un10_gnmdxrqrdgs_NE_2, un10_gnmdxrqrdgs_NE_3, 
        un10_gnmdxrqrdgs_NE_1, un10_gnmdxrqrdgs_1, 
        un10_gnmdxrqrdgs_NE_0, un10_gnmdxrqrdgs_NE, N190, N186, 
        \gnmdxrqrdgs_3[8]\, I_36_1, \gnmdxrqrdgs_3[7]\, I_34_2, 
        \gnmdxrqrdgs_3[6]\, I_38_1, \gnmdxrqrdgs_3[5]\, I_33_1, 
        \gnmdxrqrdgs_3[4]\, I_30_1, \gnmdxrqrdgs_3[3]\, I_37_1, 
        \gnmdxrqrdgs_3[2]\, I_35_1, \gnmdxrqrdgs_3[1]\, I_32_1, 
        \gnmdxrqrdgs_3[0]\, \DWACT_ADD_CI_0_partial_sum[0]\, 
        un2_tnjvgqqhdkd, \DWACT_ADD_CI_0_pog_array_1_2[0]\, \VCC\, 
        \GND\, GND_net_1, VCC_net_1 : std_logic;

begin 

    INIT_ADDR_int(8) <= \INIT_ADDR_int[8]\;
    INIT_ADDR_int(7) <= \INIT_ADDR_int[7]\;
    INIT_ADDR_int(6) <= \INIT_ADDR_int[6]\;
    INIT_ADDR_int(5) <= \INIT_ADDR_int[5]\;
    INIT_ADDR_int(4) <= \INIT_ADDR_int[4]\;
    INIT_ADDR_int(3) <= \INIT_ADDR_int[3]\;
    INIT_ADDR_int(2) <= \INIT_ADDR_int[2]\;
    INIT_ADDR_int(1) <= \INIT_ADDR_int[1]\;
    INIT_ADDR_int(0) <= \INIT_ADDR_int[0]\;
    ggfvvjbkdws_6 <= \ggfvvjbkdws[7]_net_1\;
    N183 <= \N183\;
    N189 <= \N189\;
    N222 <= \N222\;

    un1_gnmdxrqrdgs_I_32 : XOR2
      port map(A => \INIT_ADDR_int[1]\, B => 
        \DWACT_ADD_CI_0_TMP[0]\, Y => I_32_1);
    
    \ggfvvjbkdws[4]\ : MX2C
      port map(A => \INIT_ADDR_int[3]\, B => \INIT_ADDR_int[4]\, 
        S => ggsxvgncrgz_0(0), Y => ggfvvjbkdws_3);
    
    un1_dkjzqmrkvwb_ADD_13x13_fast_I33_un1_Y : NOR3A
      port map(A => N190, B => bdhvhfjwtxd(5), C => \N222\, Y => 
        I33_un1_Y);
    
    \gnmdxrqrdgs[2]\ : DFN1C0
      port map(D => \gnmdxrqrdgs_3[2]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \INIT_ADDR_int[2]\);
    
    un1_gnmdxrqrdgs_I_34 : XOR2
      port map(A => \INIT_ADDR_int[7]\, B => 
        \DWACT_ADD_CI_0_g_array_12_2[0]\, Y => I_34_2);
    
    un1_gnmdxrqrdgs_I_43 : NOR2B
      port map(A => \DWACT_ADD_CI_0_g_array_1[0]\, B => 
        \DWACT_ADD_CI_0_pog_array_1[0]\, Y => 
        \DWACT_ADD_CI_0_g_array_2[0]\);
    
    un1_dkjzqmrkvwb_ADD_13x13_fast_I15_Y : MAJ3
      port map(A => \ggfvvjbkdws[8]_net_1\, B => 
        mmsccbknsvn_i(13), C => \N183\, Y => \N222\);
    
    \gnmdxrqrdgs[0]\ : DFN1C0
      port map(D => \gnmdxrqrdgs_3[0]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \INIT_ADDR_int[0]\);
    
    \gnmdxrqrdgs[5]\ : DFN1C0
      port map(D => \gnmdxrqrdgs_3[5]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \INIT_ADDR_int[5]\);
    
    un1_gnmdxrqrdgs_I_42 : NOR2B
      port map(A => \DWACT_ADD_CI_0_g_array_2[0]\, B => 
        \DWACT_ADD_CI_0_pog_array_1_1[0]\, Y => 
        \DWACT_ADD_CI_0_g_array_11[0]\);
    
    \jvbvzqvvxpc_gnmdxrqrdgs_3[5]\ : NOR2A
      port map(A => I_33_1, B => wtjtwqjkqbd, Y => 
        \gnmdxrqrdgs_3[5]\);
    
    jvbvzqvvxpc_un10_gnmdxrqrdgs_NE_5 : NOR3C
      port map(A => un10_gnmdxrqrdgs_NE_2, B => 
        un10_gnmdxrqrdgs_NE_3, C => un10_gnmdxrqrdgs_NE_1, Y => 
        un10_gnmdxrqrdgs_NE_5);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    un1_gnmdxrqrdgs_I_44 : NOR2B
      port map(A => \DWACT_ADD_CI_0_TMP[0]\, B => 
        \INIT_ADDR_int[1]\, Y => \DWACT_ADD_CI_0_g_array_1[0]\);
    
    \jvbvzqvvxpc_gnmdxrqrdgs_3[0]\ : NOR2A
      port map(A => \DWACT_ADD_CI_0_partial_sum[0]\, B => 
        wtjtwqjkqbd, Y => \gnmdxrqrdgs_3[0]\);
    
    jvbvzqvvxpc_un10_gnmdxrqrdgs_NE_6 : AO16
      port map(A => \INIT_ADDR_int[6]\, B => \INIT_ADDR_int[0]\, 
        C => ggsxvgncrgz_0(0), Y => un10_gnmdxrqrdgs_NE_6);
    
    un1_gnmdxrqrdgs_I_53 : AND2
      port map(A => \INIT_ADDR_int[4]\, B => \INIT_ADDR_int[5]\, 
        Y => \DWACT_ADD_CI_0_pog_array_1_1[0]\);
    
    un1_gnmdxrqrdgs_I_49 : NOR2B
      port map(A => \DWACT_ADD_CI_0_g_array_1[0]\, B => 
        \INIT_ADDR_int[2]\, Y => \DWACT_ADD_CI_0_g_array_12[0]\);
    
    \jvbvzqvvxpc_gnmdxrqrdgs_3[2]\ : NOR2A
      port map(A => I_35_1, B => wtjtwqjkqbd, Y => 
        \gnmdxrqrdgs_3[2]\);
    
    \gnmdxrqrdgs[1]\ : DFN1C0
      port map(D => \gnmdxrqrdgs_3[1]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \INIT_ADDR_int[1]\);
    
    un1_gnmdxrqrdgs_I_52 : AND2
      port map(A => \INIT_ADDR_int[2]\, B => \INIT_ADDR_int[3]\, 
        Y => \DWACT_ADD_CI_0_pog_array_1[0]\);
    
    un1_gnmdxrqrdgs_I_38 : XOR2
      port map(A => \INIT_ADDR_int[6]\, B => 
        \DWACT_ADD_CI_0_g_array_11[0]\, Y => I_38_1);
    
    \ggfvvjbkdws[3]\ : MX2C
      port map(A => \INIT_ADDR_int[2]\, B => \INIT_ADDR_int[3]\, 
        S => ggsxvgncrgz_0(0), Y => ggfvvjbkdws_2);
    
    \jvbvzqvvxpc_gnmdxrqrdgs_3[6]\ : NOR2A
      port map(A => I_38_1, B => wtjtwqjkqbd, Y => 
        \gnmdxrqrdgs_3[6]\);
    
    jvbvzqvvxpc_un10_gnmdxrqrdgs_NE_3 : XA1
      port map(A => \INIT_ADDR_int[2]\, B => mmsccbknsvn_i(13), C
         => un10_gnmdxrqrdgs_1, Y => un10_gnmdxrqrdgs_NE_3);
    
    jvbvzqvvxpc_un10_gnmdxrqrdgs_NE_2 : AO16
      port map(A => \INIT_ADDR_int[7]\, B => \INIT_ADDR_int[4]\, 
        C => N_2204_i, Y => un10_gnmdxrqrdgs_NE_2);
    
    un1_gnmdxrqrdgs_I_30 : XOR2
      port map(A => \INIT_ADDR_int[4]\, B => 
        \DWACT_ADD_CI_0_g_array_2[0]\, Y => I_30_1);
    
    un1_gnmdxrqrdgs_I_1 : AND2
      port map(A => \INIT_ADDR_int[0]\, B => qdgqbvgcnzn, Y => 
        \DWACT_ADD_CI_0_TMP[0]\);
    
    un1_dkjzqmrkvwb_ADD_13x13_fast_I86_Y_0 : XOR2
      port map(A => mmsccbknsvn_i(13), B => 
        \ggfvvjbkdws[8]_net_1\, Y => ADD_13x13_fast_I86_Y_0);
    
    un1_gnmdxrqrdgs_I_54 : AND2
      port map(A => \INIT_ADDR_int[6]\, B => \INIT_ADDR_int[7]\, 
        Y => \DWACT_ADD_CI_0_pog_array_1_2[0]\);
    
    \gnmdxrqrdgs[6]\ : DFN1C0
      port map(D => \gnmdxrqrdgs_3[6]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \INIT_ADDR_int[6]\);
    
    jvbvzqvvxpc_un10_gnmdxrqrdgs_1 : XOR2
      port map(A => N_2204_i, B => \INIT_ADDR_int[1]\, Y => 
        un10_gnmdxrqrdgs_1);
    
    \ggfvvjbkdws[5]\ : MX2C
      port map(A => \INIT_ADDR_int[4]\, B => \INIT_ADDR_int[5]\, 
        S => ggsxvgncrgz_0(0), Y => ggfvvjbkdws_4);
    
    un1_dkjzqmrkvwb_ADD_13x13_fast_I9_P0N : AO1C
      port map(A => ggsxvgncrgz(0), B => \INIT_ADDR_int[8]\, C
         => N_2202_i, Y => N190);
    
    un1_gnmdxrqrdgs_I_36 : XOR2
      port map(A => \INIT_ADDR_int[8]\, B => 
        \DWACT_ADD_CI_0_g_array_3[0]\, Y => I_36_1);
    
    jvbvzqvvxpc_un10_gnmdxrqrdgs_NE_0 : ZOR3
      port map(A => \INIT_ADDR_int[5]\, B => \INIT_ADDR_int[3]\, 
        C => bdhvhfjwtxd(5), Y => un10_gnmdxrqrdgs_NE_0);
    
    un1_dkjzqmrkvwb_ADD_13x13_fast_I87_Y_0 : AX1A
      port map(A => ggsxvgncrgz_0(0), B => \INIT_ADDR_int[8]\, C
         => N_2202_i, Y => ADD_13x13_fast_I87_Y_0);
    
    \gnmdxrqrdgs[4]\ : DFN1C0
      port map(D => \gnmdxrqrdgs_3[4]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \INIT_ADDR_int[4]\);
    
    GND_i : GND
      port map(Y => \GND\);
    
    \ggfvvjbkdws[7]\ : MX2
      port map(A => \INIT_ADDR_int[6]\, B => \INIT_ADDR_int[7]\, 
        S => ggsxvgncrgz(0), Y => \ggfvvjbkdws[7]_net_1\);
    
    un1_dkjzqmrkvwb_ADD_13x13_fast_I7_G0N : OR2B
      port map(A => ggsxvgncrgz(0), B => \ggfvvjbkdws[7]_net_1\, 
        Y => \N183\);
    
    \jvbvzqvvxpc_gnmdxrqrdgs_3[8]\ : NOR2A
      port map(A => I_36_1, B => wtjtwqjkqbd, Y => 
        \gnmdxrqrdgs_3[8]\);
    
    \jvbvzqvvxpc_gnmdxrqrdgs_3[4]\ : NOR2A
      port map(A => I_30_1, B => wtjtwqjkqbd, Y => 
        \gnmdxrqrdgs_3[4]\);
    
    jvbvzqvvxpc_un10_gnmdxrqrdgs_NE_1 : XA1
      port map(A => \INIT_ADDR_int[8]\, B => N_2204_i, C => 
        un10_gnmdxrqrdgs_NE_0, Y => un10_gnmdxrqrdgs_NE_1);
    
    \gnmdxrqrdgs[3]\ : DFN1C0
      port map(D => \gnmdxrqrdgs_3[3]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \INIT_ADDR_int[3]\);
    
    \ggfvvjbkdws[2]\ : MX2C
      port map(A => \INIT_ADDR_int[1]\, B => \INIT_ADDR_int[2]\, 
        S => ggsxvgncrgz_0(0), Y => ggfvvjbkdws_1);
    
    un1_gnmdxrqrdgs_I_37 : XOR2
      port map(A => \INIT_ADDR_int[3]\, B => 
        \DWACT_ADD_CI_0_g_array_12[0]\, Y => I_37_1);
    
    \ggfvvjbkdws[6]\ : MX2C
      port map(A => \INIT_ADDR_int[5]\, B => \INIT_ADDR_int[6]\, 
        S => ggsxvgncrgz(0), Y => ggfvvjbkdws_5);
    
    \jvbvzqvvxpc_gnmdxrqrdgs_3[3]\ : NOR2A
      port map(A => I_37_1, B => wtjtwqjkqbd, Y => 
        \gnmdxrqrdgs_3[3]\);
    
    jvbvzqvvxpc_un10_gnmdxrqrdgs_NE : NOR2B
      port map(A => un10_gnmdxrqrdgs_NE_6, B => 
        un10_gnmdxrqrdgs_NE_5, Y => un10_gnmdxrqrdgs_NE);
    
    un1_gnmdxrqrdgs_I_21 : XOR2
      port map(A => \INIT_ADDR_int[0]\, B => qdgqbvgcnzn, Y => 
        \DWACT_ADD_CI_0_partial_sum[0]\);
    
    un1_gnmdxrqrdgs_I_46 : NOR2B
      port map(A => \DWACT_ADD_CI_0_g_array_2[0]\, B => 
        \DWACT_ADD_CI_0_pog_array_2[0]\, Y => 
        \DWACT_ADD_CI_0_g_array_3[0]\);
    
    un1_gnmdxrqrdgs_I_35 : XOR2
      port map(A => \INIT_ADDR_int[2]\, B => 
        \DWACT_ADD_CI_0_g_array_1[0]\, Y => I_35_1);
    
    un1_gnmdxrqrdgs_I_50 : NOR2B
      port map(A => \DWACT_ADD_CI_0_g_array_11[0]\, B => 
        \INIT_ADDR_int[6]\, Y => \DWACT_ADD_CI_0_g_array_12_2[0]\);
    
    un1_dkjzqmrkvwb_ADD_13x13_fast_I13_Y : AOI1
      port map(A => N186, B => N190, C => \N189\, Y => N220_i);
    
    un1_gnmdxrqrdgs_I_51 : AND2
      port map(A => \DWACT_ADD_CI_0_pog_array_1_1[0]\, B => 
        \DWACT_ADD_CI_0_pog_array_1_2[0]\, Y => 
        \DWACT_ADD_CI_0_pog_array_2[0]\);
    
    \jvbvzqvvxpc_gnmdxrqrdgs_3[7]\ : NOR2A
      port map(A => I_34_2, B => wtjtwqjkqbd, Y => 
        \gnmdxrqrdgs_3[7]\);
    
    un1_gnmdxrqrdgs_I_47 : NOR2B
      port map(A => \DWACT_ADD_CI_0_g_array_2[0]\, B => 
        \INIT_ADDR_int[4]\, Y => \DWACT_ADD_CI_0_g_array_12_1[0]\);
    
    un1_dkjzqmrkvwb_ADD_13x13_fast_I8_G0N : NOR2
      port map(A => mmsccbknsvn_i(13), B => 
        \ggfvvjbkdws[8]_net_1\, Y => N186);
    
    \gnmdxrqrdgs[8]\ : DFN1C0
      port map(D => \gnmdxrqrdgs_3[8]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \INIT_ADDR_int[8]\);
    
    \gnmdxrqrdgs[7]\ : DFN1C0
      port map(D => \gnmdxrqrdgs_3[7]\, CLK => GLA_c, CLR => 
        SYS_RESET_global, Q => \INIT_ADDR_int[7]\);
    
    \jvbvzqvvxpc_gnmdxrqrdgs_3[1]\ : NOR2A
      port map(A => I_32_1, B => wtjtwqjkqbd, Y => 
        \gnmdxrqrdgs_3[1]\);
    
    kftxkfpnstb : DFN1E1C0
      port map(D => un10_gnmdxrqrdgs_NE, CLK => GLA_c, CLR => 
        SYS_RESET_global, E => un2_tnjvgqqhdkd, Q => mhxwcfnvbgt);
    
    jvbvzqvvxpc_un2_tnjvgqqhdkd : OR2
      port map(A => wtjtwqjkqbd, B => un10_gnmdxrqrdgs_NE, Y => 
        un2_tnjvgqqhdkd);
    
    un1_gnmdxrqrdgs_I_33 : XOR2
      port map(A => \INIT_ADDR_int[5]\, B => 
        \DWACT_ADD_CI_0_g_array_12_1[0]\, Y => I_33_1);
    
    \ggfvvjbkdws[8]\ : MX2C
      port map(A => \INIT_ADDR_int[7]\, B => \INIT_ADDR_int[8]\, 
        S => ggsxvgncrgz(0), Y => \ggfvvjbkdws[8]_net_1\);
    
    un1_dkjzqmrkvwb_ADD_13x13_fast_I9_G0N : NOR3A
      port map(A => \INIT_ADDR_int[8]\, B => ggsxvgncrgz(0), C
         => N_2202_i, Y => \N189\);
    
    \ggfvvjbkdws[1]\ : MX2C
      port map(A => \INIT_ADDR_int[0]\, B => \INIT_ADDR_int[1]\, 
        S => ggsxvgncrgz_0(0), Y => ggfvvjbkdws_0);
    
    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity INITCFG_XD is

    port(INIT_ADDR_int : out std_logic_vector(8 downto 0); 
        ggsxvgncrgz_0 : in std_logic_vector(0 to 0); 
        mmsccbknsvn_i : in std_logic_vector(13 to 13); 
        bdhvhfjwtxd : in std_logic_vector(5 to 5); ggfvvjbkdws : 
        out std_logic_vector(7 downto 1); ggsxvgncrgz : 
        in std_logic_vector(0 to 0); ADD_13x13_fast_I87_Y_0 : out
         std_logic; N_2202_i : in std_logic; 
        ADD_13x13_fast_I86_Y_0 : out std_logic; N_2204_i : in
         std_logic; I33_un1_Y, N222, N189, N183, N220_i : out
         std_logic; wtjtwqjkqbd : in std_logic; mhxwcfnvbgt : out
         std_logic; GLA_c, SYS_RESET_global, qdgqbvgcnzn : in
         std_logic);

end INITCFG_XD;

architecture DEF_ARCH of INITCFG_XD is 

  component VCC
    port(Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component dxwqxgdccxc
    port(ggsxvgncrgz : 
        in std_logic_vector(0 to 0) := (others => 'U'); 
        bdhvhfjwtxd : 
        in std_logic_vector(5 to 5) := (others => 'U'); 
        mmsccbknsvn_i : 
        in std_logic_vector(13 to 13) := (others => 'U'); 
        ggsxvgncrgz_0 : 
        in std_logic_vector(0 to 0) := (others => 'U'); 
        INIT_ADDR_int : out std_logic_vector(8 downto 0); 
        ggfvvjbkdws_6, ggfvvjbkdws_5, ggfvvjbkdws_4, 
        ggfvvjbkdws_3, ggfvvjbkdws_2, ggfvvjbkdws_1, 
        ggfvvjbkdws_0 : out std_logic; qdgqbvgcnzn, 
        SYS_RESET_global, GLA_c : in std_logic := 'U'; 
        mhxwcfnvbgt : out std_logic; wtjtwqjkqbd : in
         std_logic := 'U'; N220_i, N183, N189, N222, I33_un1_Y : 
        out std_logic; N_2204_i : in std_logic := 'U'; 
        ADD_13x13_fast_I86_Y_0 : out std_logic; N_2202_i : in
         std_logic := 'U'; ADD_13x13_fast_I87_Y_0 : out std_logic);
        
  end component;

    signal \VCC\, \GND\, GND_net_1, VCC_net_1 : std_logic;

    for all : dxwqxgdccxc
	Use entity work.dxwqxgdccxc(DEF_ARCH);
begin 


    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    u_dxwqxgdccxc : dxwqxgdccxc
      port map(ggsxvgncrgz(0) => ggsxvgncrgz(0), bdhvhfjwtxd(5)
         => bdhvhfjwtxd(5), mmsccbknsvn_i(13) => 
        mmsccbknsvn_i(13), ggsxvgncrgz_0(0) => ggsxvgncrgz_0(0), 
        INIT_ADDR_int(8) => INIT_ADDR_int(8), INIT_ADDR_int(7)
         => INIT_ADDR_int(7), INIT_ADDR_int(6) => 
        INIT_ADDR_int(6), INIT_ADDR_int(5) => INIT_ADDR_int(5), 
        INIT_ADDR_int(4) => INIT_ADDR_int(4), INIT_ADDR_int(3)
         => INIT_ADDR_int(3), INIT_ADDR_int(2) => 
        INIT_ADDR_int(2), INIT_ADDR_int(1) => INIT_ADDR_int(1), 
        INIT_ADDR_int(0) => INIT_ADDR_int(0), ggfvvjbkdws_6 => 
        ggfvvjbkdws(7), ggfvvjbkdws_5 => ggfvvjbkdws(6), 
        ggfvvjbkdws_4 => ggfvvjbkdws(5), ggfvvjbkdws_3 => 
        ggfvvjbkdws(4), ggfvvjbkdws_2 => ggfvvjbkdws(3), 
        ggfvvjbkdws_1 => ggfvvjbkdws(2), ggfvvjbkdws_0 => 
        ggfvvjbkdws(1), qdgqbvgcnzn => qdgqbvgcnzn, 
        SYS_RESET_global => SYS_RESET_global, GLA_c => GLA_c, 
        mhxwcfnvbgt => mhxwcfnvbgt, wtjtwqjkqbd => wtjtwqjkqbd, 
        N220_i => N220_i, N183 => N183, N189 => N189, N222 => 
        N222, I33_un1_Y => I33_un1_Y, N_2204_i => N_2204_i, 
        ADD_13x13_fast_I86_Y_0 => ADD_13x13_fast_I86_Y_0, 
        N_2202_i => N_2202_i, ADD_13x13_fast_I87_Y_0 => 
        ADD_13x13_fast_I87_Y_0);
    
    GND_i : GND
      port map(Y => \GND\);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity gpbdjfttbjd is

    port(vvpkfmmpprk : in std_logic_vector(1 downto 0); 
        gpbbjwsprsj : in std_logic_vector(1 downto 0); 
        INIT_ACM_WEN_int, INIT_EV_WEN_int : out std_logic; N_2193, 
        N_49 : in std_logic; N_10 : out std_logic; N_2322, N_2213 : 
        in std_logic; INIT_ASSC_WEN_int : out std_logic; 
        NVM_BUSY_net, xbkjkgdsbfh, npgnwznthhx : in std_logic; 
        N_12 : out std_logic);

end gpbdjfttbjd;

architecture DEF_ARCH of gpbdjfttbjd is 

  component AOI1B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OA1B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR3A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR2A
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR2B
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR2B
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component VCC
    port(Y : out std_logic);
  end component;

  component MX2B
    port(A, B, S : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component OR3B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

    signal \N_12\, \fpppnnsbksx_0_a3_0_0[3]_net_1\, N_20, N_21, 
        N_18, N_19, N_22, N_23, \VCC\, \GND\, GND_net_1, 
        VCC_net_1 : std_logic;

begin 

    N_12 <= \N_12\;

    \fpppnnsbksx_r[1]\ : AOI1B
      port map(A => N_20, B => N_21, C => \N_12\, Y => 
        INIT_ASSC_WEN_int);
    
    tdckqkwvkfk_un7_vcktjmvmkfg_i : OA1B
      port map(A => npgnwznthhx, B => xbkjkgdsbfh, C => 
        NVM_BUSY_net, Y => \N_12\);
    
    \fpppnnsbksx_0_a3[0]\ : OR3A
      port map(A => npgnwznthhx, B => vvpkfmmpprk(0), C => 
        vvpkfmmpprk(1), Y => N_18);
    
    \fpppnnsbksx_0_a3_0[1]\ : OR2A
      port map(A => N_2213, B => npgnwznthhx, Y => N_21);
    
    \fpppnnsbksx_0_a3[1]\ : OR2B
      port map(A => N_2322, B => npgnwznthhx, Y => N_20);
    
    \fpppnnsbksx_r[2]\ : AOI1B
      port map(A => N_22, B => N_23, C => \N_12\, Y => 
        INIT_EV_WEN_int);
    
    \fpppnnsbksx_0_a3_0_0[3]\ : NOR2B
      port map(A => gpbbjwsprsj(1), B => gpbbjwsprsj(0), Y => 
        \fpppnnsbksx_0_a3_0_0[3]_net_1\);
    
    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    \fpppnnsbksx_0[3]\ : MX2B
      port map(A => \fpppnnsbksx_0_a3_0_0[3]_net_1\, B => N_49, S
         => npgnwznthhx, Y => N_10);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    \fpppnnsbksx_r[0]\ : AOI1B
      port map(A => N_18, B => N_19, C => \N_12\, Y => 
        INIT_ACM_WEN_int);
    
    \fpppnnsbksx_0_a3_0[2]\ : OR3A
      port map(A => gpbbjwsprsj(1), B => gpbbjwsprsj(0), C => 
        npgnwznthhx, Y => N_23);
    
    \fpppnnsbksx_0_a3_0[0]\ : OR2
      port map(A => N_2193, B => npgnwznthhx, Y => N_19);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    GND_i : GND
      port map(Y => \GND\);
    
    \fpppnnsbksx_0_a3[2]\ : OR3B
      port map(A => npgnwznthhx, B => vvpkfmmpprk(1), C => 
        vvpkfmmpprk(0), Y => N_22);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity INITCFG_XE is

    port(gpbbjwsprsj : in std_logic_vector(1 downto 0); 
        vvpkfmmpprk : in std_logic_vector(1 downto 0); N_12 : out
         std_logic; npgnwznthhx, xbkjkgdsbfh, NVM_BUSY_net : in
         std_logic; INIT_ASSC_WEN_int : out std_logic; N_2213, 
        N_2322 : in std_logic; N_10 : out std_logic; N_49, N_2193 : 
        in std_logic; INIT_EV_WEN_int, INIT_ACM_WEN_int : out
         std_logic);

end INITCFG_XE;

architecture DEF_ARCH of INITCFG_XE is 

  component VCC
    port(Y : out std_logic);
  end component;

  component gpbdjfttbjd
    port(vvpkfmmpprk : 
        in std_logic_vector(1 downto 0) := (others => 'U'); 
        gpbbjwsprsj : 
        in std_logic_vector(1 downto 0) := (others => 'U'); 
        INIT_ACM_WEN_int, INIT_EV_WEN_int : out std_logic; N_2193, 
        N_49 : in std_logic := 'U'; N_10 : out std_logic; N_2322, 
        N_2213 : in std_logic := 'U'; INIT_ASSC_WEN_int : out
         std_logic; NVM_BUSY_net, xbkjkgdsbfh, npgnwznthhx : in
         std_logic := 'U'; N_12 : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

    signal \VCC\, \GND\, GND_net_1, VCC_net_1 : std_logic;

    for all : gpbdjfttbjd
	Use entity work.gpbdjfttbjd(DEF_ARCH);
begin 


    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    u_gpbdjfttbjd : gpbdjfttbjd
      port map(vvpkfmmpprk(1) => vvpkfmmpprk(1), vvpkfmmpprk(0)
         => vvpkfmmpprk(0), gpbbjwsprsj(1) => gpbbjwsprsj(1), 
        gpbbjwsprsj(0) => gpbbjwsprsj(0), INIT_ACM_WEN_int => 
        INIT_ACM_WEN_int, INIT_EV_WEN_int => INIT_EV_WEN_int, 
        N_2193 => N_2193, N_49 => N_49, N_10 => N_10, N_2322 => 
        N_2322, N_2213 => N_2213, INIT_ASSC_WEN_int => 
        INIT_ASSC_WEN_int, NVM_BUSY_net => NVM_BUSY_net, 
        xbkjkgdsbfh => xbkjkgdsbfh, npgnwznthhx => npgnwznthhx, 
        N_12 => N_12);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    GND_i : GND
      port map(Y => \GND\);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity ffppvfwnggt is

    port(hbqjhzzrbnr_i : out std_logic_vector(0 to 0); 
        mwtvnzdkmwm : in std_logic_vector(4 to 4); ggsxvgncrgz : 
        out std_logic_vector(0 to 0); ggfvvjbkdws : 
        in std_logic_vector(7 downto 1); bdhvhfjwtxd : 
        out std_logic_vector(5 to 5); INIT_ADDR_int : 
        in std_logic_vector(0 to 0); gpbbjwsprsj : 
        in std_logic_vector(1 downto 0); vvpkfmmpprk : 
        in std_logic_vector(1 downto 0); mmsccbknsvn_i : 
        out std_logic_vector(13 to 13); ggsxvgncrgz_0 : 
        out std_logic_vector(0 to 0); srdtcqsfmmm_i_1, 
        srdtcqsfmmm_i_2, srdtcqsfmmm_i_3, srdtcqsfmmm_i_4, 
        srdtcqsfmmm_i_5, srdtcqsfmmm_i_6, srdtcqsfmmm_i_12, 
        srdtcqsfmmm_i_13, srdtcqsfmmm_i_14, srdtcqsfmmm_i_15, 
        srdtcqsfmmm_i_0, N_2204_i, N_2198, N_2213, N_2322 : out
         std_logic; N189, I33_un1_Y : in std_logic; N_2046_i_0 : 
        out std_logic; xbkjkgdsbfh : in std_logic; 
        twxmgvvpbgm_iv_0_a2_0, un1_wxqqqsndpvg_i_0 : out
         std_logic; ADD_13x13_fast_I86_Y_0, N183, 
        ADD_13x13_fast_I87_Y_0, N222, N220_i, dxpbcqjpxtw, 
        fhpsqkqvwpw : in std_logic; qdgqbvgcnzn : out std_logic; 
        N_42, N_51 : in std_logic; wtjtwqjkqbd, N_2202_i, N_2193 : 
        out std_logic; qdvwjxmzbpf, bfcqzvtnrcn : in std_logic);

end ffppvfwnggt;

architecture DEF_ARCH of ffppvfwnggt is 

  component AND2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OA1C
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR2A
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR2B
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR2B
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component MX2
    port(A, B, S : in std_logic := 'U'; Y : out std_logic);
  end component;

  component MX2B
    port(A, B, S : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR2A
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component XA1
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component VCC
    port(Y : out std_logic);
  end component;

  component NOR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component XA1A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OA1
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR3C
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component AOI1B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR3A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component MX2C
    port(A, B, S : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR3B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component XO1A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

    signal \ggsxvgncrgz[0]\, \bdhvhfjwtxd[5]\, 
        \ggsxvgncrgz_0[0]\, \un1_wxqqqsndpvg_i_0\, \N_2193\, 
        un1_wxqqqsndpvg_i_0_0, N_1916, 
        \hrdbnmzftpn_0_0_1[13]_net_1\, 
        \hrdbnmzftpn_0_0_0[13]_net_1\, N_2297_i, N_2314_i, 
        \cpqqthwwhvc_0_0_a2_0[7]_net_1\, N_2367, N_2356, N_2340, 
        \VCC\, \GND\, GND_net_1, VCC_net_1 : std_logic;

begin 

    ggsxvgncrgz(0) <= \ggsxvgncrgz[0]\;
    bdhvhfjwtxd(5) <= \bdhvhfjwtxd[5]\;
    ggsxvgncrgz_0(0) <= \ggsxvgncrgz_0[0]\;
    un1_wxqqqsndpvg_i_0 <= \un1_wxqqqsndpvg_i_0\;
    N_2193 <= \N_2193\;

    \hrdbnmzftpn_0_0[13]\ : AND2
      port map(A => N_2314_i, B => \hrdbnmzftpn_0_0_1[13]_net_1\, 
        Y => mmsccbknsvn_i(13));
    
    \cpqqthwwhvc_0_0_o2_1[7]\ : OR2
      port map(A => gpbbjwsprsj(1), B => gpbbjwsprsj(0), Y => 
        \N_2193\);
    
    \cpqqthwwhvc_0_0_o2[4]\ : OA1C
      port map(A => \N_2193\, B => 
        \cpqqthwwhvc_0_0_a2_0[7]_net_1\, C => N_2367, Y => 
        N_2204_i);
    
    jsnhqgkgbcr_un1_wxqqqsndpvg_0_a2_0_o2_0 : NOR2A
      port map(A => bfcqzvtnrcn, B => qdvwjxmzbpf, Y => 
        un1_wxqqqsndpvg_i_0_0);
    
    \hbqjhzzrbnr_i[0]\ : NOR2B
      port map(A => \un1_wxqqqsndpvg_i_0\, B => \N_2193\, Y => 
        hbqjhzzrbnr_i(0));
    
    \cpqqthwwhvc_i_0_o2[0]\ : OR2B
      port map(A => gpbbjwsprsj(1), B => gpbbjwsprsj(0), Y => 
        N_2198);
    
    cbfkvdxnxdp_i_m2 : MX2
      port map(A => fhpsqkqvwpw, B => dxpbcqjpxtw, S => 
        un1_wxqqqsndpvg_i_0_0, Y => qdgqbvgcnzn);
    
    \pqmzrrnpzvx_0_i_m2_0[0]\ : MX2B
      port map(A => N_1916, B => \N_2193\, S => bfcqzvtnrcn, Y
         => \ggsxvgncrgz_0[0]\);
    
    \cpqqthwwhvc_0_0_a2[7]\ : OR2A
      port map(A => \N_2193\, B => 
        \cpqqthwwhvc_0_0_a2_0[7]_net_1\, Y => N_2314_i);
    
    \srdtcqsfmmm_i[12]\ : XA1
      port map(A => ggfvvjbkdws(7), B => \ggsxvgncrgz[0]\, C => 
        un1_wxqqqsndpvg_i_0_0, Y => srdtcqsfmmm_i_12);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    \srdtcqsfmmm_i[3]\ : NOR2A
      port map(A => \un1_wxqqqsndpvg_i_0\, B => ggfvvjbkdws(3), Y
         => srdtcqsfmmm_i_3);
    
    \pqmzrrnpzvx_0_o2_0[0]\ : NOR2
      port map(A => vvpkfmmpprk(1), B => vvpkfmmpprk(0), Y => 
        N_1916);
    
    \srdtcqsfmmm_i[2]\ : NOR2A
      port map(A => \un1_wxqqqsndpvg_i_0\, B => ggfvvjbkdws(2), Y
         => srdtcqsfmmm_i_2);
    
    \srdtcqsfmmm_i[1]\ : NOR2A
      port map(A => \un1_wxqqqsndpvg_i_0\, B => ggfvvjbkdws(1), Y
         => srdtcqsfmmm_i_1);
    
    \srdtcqsfmmm_i[14]\ : XA1A
      port map(A => N222, B => ADD_13x13_fast_I87_Y_0, C => 
        un1_wxqqqsndpvg_i_0_0, Y => srdtcqsfmmm_i_14);
    
    \twxmgvvpbgm_iv_0_a2_0\ : OA1
      port map(A => mwtvnzdkmwm(4), B => xbkjkgdsbfh, C => 
        \un1_wxqqqsndpvg_i_0\, Y => twxmgvvpbgm_iv_0_a2_0);
    
    \jvsdsgckbcw_4_0_30_0_0_0_a2_2[3]\ : NOR2A
      port map(A => gpbbjwsprsj(0), B => gpbbjwsprsj(1), Y => 
        N_2213);
    
    \srdtcqsfmmm_i[6]\ : NOR2A
      port map(A => un1_wxqqqsndpvg_i_0_0, B => ggfvvjbkdws(6), Y
         => srdtcqsfmmm_i_6);
    
    \srdtcqsfmmm_i[4]\ : NOR2A
      port map(A => un1_wxqqqsndpvg_i_0_0, B => ggfvvjbkdws(4), Y
         => srdtcqsfmmm_i_4);
    
    jsnhqgkgbcr_un1_wxqqqsndpvg_0_a2_0_o2 : NOR2A
      port map(A => bfcqzvtnrcn, B => qdvwjxmzbpf, Y => 
        \un1_wxqqqsndpvg_i_0\);
    
    \srdtcqsfmmm_i[13]\ : XA1A
      port map(A => N183, B => ADD_13x13_fast_I86_Y_0, C => 
        un1_wxqqqsndpvg_i_0_0, Y => srdtcqsfmmm_i_13);
    
    \srdtcqsfmmm_i[0]\ : NOR3C
      port map(A => un1_wxqqqsndpvg_i_0_0, B => INIT_ADDR_int(0), 
        C => \ggsxvgncrgz_0[0]\, Y => srdtcqsfmmm_i_0);
    
    \cpqqthwwhvc_0_0_a2_0[7]\ : OR2A
      port map(A => bfcqzvtnrcn, B => gpbbjwsprsj(1), Y => 
        \cpqqthwwhvc_0_0_a2_0[7]_net_1\);
    
    GND_i : GND
      port map(Y => \GND\);
    
    \pqmzrrnpzvx_0_i_m2[0]\ : MX2B
      port map(A => N_1916, B => \N_2193\, S => bfcqzvtnrcn, Y
         => \ggsxvgncrgz[0]\);
    
    ttkcwbrgmjd_i_m2 : MX2
      port map(A => N_51, B => N_42, S => un1_wxqqqsndpvg_i_0_0, 
        Y => wtjtwqjkqbd);
    
    \cpqqthwwhvc_0_0_o2[6]\ : AOI1B
      port map(A => gpbbjwsprsj(0), B => N_2356, C => N_2340, Y
         => N_2202_i);
    
    \cpqqthwwhvc_0_0_a2_2[4]\ : NOR3A
      port map(A => vvpkfmmpprk(0), B => vvpkfmmpprk(1), C => 
        bfcqzvtnrcn, Y => N_2367);
    
    \cpqqthwwhvc_i_0_m2[5]\ : MX2C
      port map(A => vvpkfmmpprk(1), B => gpbbjwsprsj(1), S => 
        bfcqzvtnrcn, Y => \bdhvhfjwtxd[5]\);
    
    \hrdbnmzftpn_0_0_a2_1[13]\ : OR3B
      port map(A => gpbbjwsprsj(1), B => N_2356, C => 
        gpbbjwsprsj(0), Y => N_2297_i);
    
    \hrdbnmzftpn_0_0_a2_3[11]\ : NOR2B
      port map(A => gpbbjwsprsj(1), B => bfcqzvtnrcn, Y => N_2356);
    
    \srdtcqsfmmm_i[16]\ : OA1
      port map(A => I33_un1_Y, B => N189, C => 
        \un1_wxqqqsndpvg_i_0\, Y => N_2046_i_0);
    
    \nwpqgptcgtk_6_0_14_0_0_0_a2[5]\ : NOR2A
      port map(A => vvpkfmmpprk(0), B => vvpkfmmpprk(1), Y => 
        N_2322);
    
    \srdtcqsfmmm_i[15]\ : XA1
      port map(A => N220_i, B => \bdhvhfjwtxd[5]\, C => 
        un1_wxqqqsndpvg_i_0_0, Y => srdtcqsfmmm_i_15);
    
    \hrdbnmzftpn_0_0_0[13]\ : XO1A
      port map(A => vvpkfmmpprk(1), B => vvpkfmmpprk(0), C => 
        bfcqzvtnrcn, Y => \hrdbnmzftpn_0_0_0[13]_net_1\);
    
    \hrdbnmzftpn_0_0_1[13]\ : AND2
      port map(A => \hrdbnmzftpn_0_0_0[13]_net_1\, B => N_2297_i, 
        Y => \hrdbnmzftpn_0_0_1[13]_net_1\);
    
    \cpqqthwwhvc_i_0_a2_0[2]\ : OR3B
      port map(A => vvpkfmmpprk(1), B => vvpkfmmpprk(0), C => 
        bfcqzvtnrcn, Y => N_2340);
    
    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    \srdtcqsfmmm_i[5]\ : NOR2A
      port map(A => un1_wxqqqsndpvg_i_0_0, B => ggfvvjbkdws(5), Y
         => srdtcqsfmmm_i_5);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity INITCFG_XC is

    port(ggsxvgncrgz_0 : out std_logic_vector(0 to 0); 
        mmsccbknsvn_i : out std_logic_vector(13 to 13); 
        vvpkfmmpprk : in std_logic_vector(1 downto 0); 
        gpbbjwsprsj : in std_logic_vector(1 downto 0); 
        INIT_ADDR_int : in std_logic_vector(0 to 0); bdhvhfjwtxd
         : out std_logic_vector(5 to 5); ggfvvjbkdws : 
        in std_logic_vector(7 downto 1); ggsxvgncrgz : 
        out std_logic_vector(0 to 0); mwtvnzdkmwm : 
        in std_logic_vector(4 to 4); hbqjhzzrbnr_i : 
        out std_logic_vector(0 to 0); srdtcqsfmmm_i_0, 
        srdtcqsfmmm_i_15, srdtcqsfmmm_i_14, srdtcqsfmmm_i_13, 
        srdtcqsfmmm_i_12, srdtcqsfmmm_i_6, srdtcqsfmmm_i_5, 
        srdtcqsfmmm_i_4, srdtcqsfmmm_i_3, srdtcqsfmmm_i_2, 
        srdtcqsfmmm_i_1 : out std_logic; bfcqzvtnrcn, qdvwjxmzbpf : 
        in std_logic; N_2193, N_2202_i, wtjtwqjkqbd : out
         std_logic; N_51, N_42 : in std_logic; qdgqbvgcnzn : out
         std_logic; fhpsqkqvwpw, dxpbcqjpxtw, N220_i, N222, 
        ADD_13x13_fast_I87_Y_0, N183, ADD_13x13_fast_I86_Y_0 : in
         std_logic; un1_wxqqqsndpvg_i_0, twxmgvvpbgm_iv_0_a2_0 : 
        out std_logic; xbkjkgdsbfh : in std_logic; N_2046_i_0 : 
        out std_logic; I33_un1_Y, N189 : in std_logic; N_2322, 
        N_2213, N_2198, N_2204_i : out std_logic);

end INITCFG_XC;

architecture DEF_ARCH of INITCFG_XC is 

  component VCC
    port(Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component ffppvfwnggt
    port(hbqjhzzrbnr_i : out std_logic_vector(0 to 0); 
        mwtvnzdkmwm : 
        in std_logic_vector(4 to 4) := (others => 'U'); 
        ggsxvgncrgz : out std_logic_vector(0 to 0); ggfvvjbkdws
         : in std_logic_vector(7 downto 1) := (others => 'U'); 
        bdhvhfjwtxd : out std_logic_vector(5 to 5); INIT_ADDR_int
         : in std_logic_vector(0 to 0) := (others => 'U'); 
        gpbbjwsprsj : 
        in std_logic_vector(1 downto 0) := (others => 'U'); 
        vvpkfmmpprk : 
        in std_logic_vector(1 downto 0) := (others => 'U'); 
        mmsccbknsvn_i : out std_logic_vector(13 to 13); 
        ggsxvgncrgz_0 : out std_logic_vector(0 to 0); 
        srdtcqsfmmm_i_1, srdtcqsfmmm_i_2, srdtcqsfmmm_i_3, 
        srdtcqsfmmm_i_4, srdtcqsfmmm_i_5, srdtcqsfmmm_i_6, 
        srdtcqsfmmm_i_12, srdtcqsfmmm_i_13, srdtcqsfmmm_i_14, 
        srdtcqsfmmm_i_15, srdtcqsfmmm_i_0, N_2204_i, N_2198, 
        N_2213, N_2322 : out std_logic; N189, I33_un1_Y : in
         std_logic := 'U'; N_2046_i_0 : out std_logic; 
        xbkjkgdsbfh : in std_logic := 'U'; twxmgvvpbgm_iv_0_a2_0, 
        un1_wxqqqsndpvg_i_0 : out std_logic; 
        ADD_13x13_fast_I86_Y_0, N183, ADD_13x13_fast_I87_Y_0, 
        N222, N220_i, dxpbcqjpxtw, fhpsqkqvwpw : in
         std_logic := 'U'; qdgqbvgcnzn : out std_logic; N_42, 
        N_51 : in std_logic := 'U'; wtjtwqjkqbd, N_2202_i, N_2193 : 
        out std_logic; qdvwjxmzbpf, bfcqzvtnrcn : in
         std_logic := 'U');
  end component;

    signal \VCC\, \GND\, GND_net_1, VCC_net_1 : std_logic;

    for all : ffppvfwnggt
	Use entity work.ffppvfwnggt(DEF_ARCH);
begin 


    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    u_ffppvfwnggt : ffppvfwnggt
      port map(hbqjhzzrbnr_i(0) => hbqjhzzrbnr_i(0), 
        mwtvnzdkmwm(4) => mwtvnzdkmwm(4), ggsxvgncrgz(0) => 
        ggsxvgncrgz(0), ggfvvjbkdws(7) => ggfvvjbkdws(7), 
        ggfvvjbkdws(6) => ggfvvjbkdws(6), ggfvvjbkdws(5) => 
        ggfvvjbkdws(5), ggfvvjbkdws(4) => ggfvvjbkdws(4), 
        ggfvvjbkdws(3) => ggfvvjbkdws(3), ggfvvjbkdws(2) => 
        ggfvvjbkdws(2), ggfvvjbkdws(1) => ggfvvjbkdws(1), 
        bdhvhfjwtxd(5) => bdhvhfjwtxd(5), INIT_ADDR_int(0) => 
        INIT_ADDR_int(0), gpbbjwsprsj(1) => gpbbjwsprsj(1), 
        gpbbjwsprsj(0) => gpbbjwsprsj(0), vvpkfmmpprk(1) => 
        vvpkfmmpprk(1), vvpkfmmpprk(0) => vvpkfmmpprk(0), 
        mmsccbknsvn_i(13) => mmsccbknsvn_i(13), ggsxvgncrgz_0(0)
         => ggsxvgncrgz_0(0), srdtcqsfmmm_i_1 => srdtcqsfmmm_i_1, 
        srdtcqsfmmm_i_2 => srdtcqsfmmm_i_2, srdtcqsfmmm_i_3 => 
        srdtcqsfmmm_i_3, srdtcqsfmmm_i_4 => srdtcqsfmmm_i_4, 
        srdtcqsfmmm_i_5 => srdtcqsfmmm_i_5, srdtcqsfmmm_i_6 => 
        srdtcqsfmmm_i_6, srdtcqsfmmm_i_12 => srdtcqsfmmm_i_12, 
        srdtcqsfmmm_i_13 => srdtcqsfmmm_i_13, srdtcqsfmmm_i_14
         => srdtcqsfmmm_i_14, srdtcqsfmmm_i_15 => 
        srdtcqsfmmm_i_15, srdtcqsfmmm_i_0 => srdtcqsfmmm_i_0, 
        N_2204_i => N_2204_i, N_2198 => N_2198, N_2213 => N_2213, 
        N_2322 => N_2322, N189 => N189, I33_un1_Y => I33_un1_Y, 
        N_2046_i_0 => N_2046_i_0, xbkjkgdsbfh => xbkjkgdsbfh, 
        twxmgvvpbgm_iv_0_a2_0 => twxmgvvpbgm_iv_0_a2_0, 
        un1_wxqqqsndpvg_i_0 => un1_wxqqqsndpvg_i_0, 
        ADD_13x13_fast_I86_Y_0 => ADD_13x13_fast_I86_Y_0, N183
         => N183, ADD_13x13_fast_I87_Y_0 => 
        ADD_13x13_fast_I87_Y_0, N222 => N222, N220_i => N220_i, 
        dxpbcqjpxtw => dxpbcqjpxtw, fhpsqkqvwpw => fhpsqkqvwpw, 
        qdgqbvgcnzn => qdgqbvgcnzn, N_42 => N_42, N_51 => N_51, 
        wtjtwqjkqbd => wtjtwqjkqbd, N_2202_i => N_2202_i, N_2193
         => N_2193, qdvwjxmzbpf => qdvwjxmzbpf, bfcqzvtnrcn => 
        bfcqzvtnrcn);
    
    GND_i : GND
      port map(Y => \GND\);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity wbsfnwwctpn is

    port(vvpkfmmpprk : out std_logic_vector(1 downto 0); 
        SYS_RESET_global, GLA_c : in std_logic; npgnwznthhx, N_49 : 
        out std_logic; NVM_BUSY_net, mhxwcfnvbgt : in std_logic; 
        fhpsqkqvwpw, N_51 : out std_logic);

end wbsfnwwctpn;

architecture DEF_ARCH of wbsfnwwctpn is 

  component DFN1C0
    port(D, CLK, CLR : in std_logic := 'U'; Q : out std_logic);
  end component;

  component OR2B
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OA1B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component NOR2A
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AO1
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR2B
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component VCC
    port(Y : out std_logic);
  end component;

  component MX2
    port(A, B, S : in std_logic := 'U'; Y : out std_logic);
  end component;

  component XOR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AND2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AO1B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

    signal \vvpkfmmpprk[0]\, \vvpkfmmpprk[1]\, \npgnwznthhx\, 
        \N_49\, \fhpsqkqvwpw\, \crpwsdfhcqq[7]_net_1\, 
        \crpwsdfhcqq[3]_net_1\, jspcghhzwmg, 
        \crpwsdfhcqq[0]_net_1\, N_60, 
        \crpwsdfhcqq_ns_a3[8]_net_1\, \crpwsdfhcqq[1]_net_1\, 
        \crpwsdfhcqq_ns[5]_net_1\, \crpwsdfhcqq_ns[6]_net_1\, 
        mfwjfgrqchd, \crpwsdfhcqq_ns[7]_net_1\, 
        \crpwsdfhcqq_ns[3]_net_1\, \crpwsdfhcqq_ns_a3[4]_net_1\, 
        \crpwsdfhcqq_ns_a3[1]_net_1\, 
        \DWACT_ADD_CI_0_partial_sum[0]\, I_10_0, 
        \DWACT_ADD_CI_0_TMP[0]\, \VCC\, \GND\, GND_net_1, 
        VCC_net_1 : std_logic;

begin 

    vvpkfmmpprk(1) <= \vvpkfmmpprk[1]\;
    vvpkfmmpprk(0) <= \vvpkfmmpprk[0]\;
    npgnwznthhx <= \npgnwznthhx\;
    N_49 <= \N_49\;
    fhpsqkqvwpw <= \fhpsqkqvwpw\;

    \crpwsdfhcqq[0]\ : DFN1C0
      port map(D => \crpwsdfhcqq_ns_a3[8]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \crpwsdfhcqq[0]_net_1\);
    
    \crpwsdfhcqq_ns_a3[6]\ : OR2B
      port map(A => mhxwcfnvbgt, B => jspcghhzwmg, Y => N_60);
    
    \crpwsdfhcqq[3]\ : DFN1C0
      port map(D => \crpwsdfhcqq_ns[5]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, Q => \crpwsdfhcqq[3]_net_1\);
    
    un6_zvnnzqsskfv_0_a3 : OA1B
      port map(A => jspcghhzwmg, B => \crpwsdfhcqq[0]_net_1\, C
         => mhxwcfnvbgt, Y => \fhpsqkqvwpw\);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    \crpwsdfhcqq_ns_a3[8]\ : NOR2A
      port map(A => \crpwsdfhcqq[1]_net_1\, B => NVM_BUSY_net, Y
         => \crpwsdfhcqq_ns_a3[8]_net_1\);
    
    \crpwsdfhcqq_ns[5]\ : AO1
      port map(A => mhxwcfnvbgt, B => \crpwsdfhcqq[0]_net_1\, C
         => \crpwsdfhcqq[7]_net_1\, Y => 
        \crpwsdfhcqq_ns[5]_net_1\);
    
    \crpwsdfhcqq_ns_a3[1]\ : NOR2B
      port map(A => \crpwsdfhcqq[3]_net_1\, B => \N_49\, Y => 
        \crpwsdfhcqq_ns_a3[1]_net_1\);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    \crpwsdfhcqq_ns[7]\ : MX2
      port map(A => mfwjfgrqchd, B => \crpwsdfhcqq[1]_net_1\, S
         => NVM_BUSY_net, Y => \crpwsdfhcqq_ns[7]_net_1\);
    
    \bzcdnkppzhj[0]\ : DFN1C0
      port map(D => \DWACT_ADD_CI_0_partial_sum[0]\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \vvpkfmmpprk[0]\);
    
    \crpwsdfhcqq_ns_o3[1]\ : OR2B
      port map(A => \vvpkfmmpprk[1]\, B => \vvpkfmmpprk[0]\, Y
         => \N_49\);
    
    un1_bzcdnkppzhj_I_10 : XOR2
      port map(A => \vvpkfmmpprk[1]\, B => 
        \DWACT_ADD_CI_0_TMP[0]\, Y => I_10_0);
    
    GND_i : GND
      port map(Y => \GND\);
    
    \crpwsdfhcqq[1]\ : DFN1C0
      port map(D => \crpwsdfhcqq_ns[7]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, Q => \crpwsdfhcqq[1]_net_1\);
    
    un1_bzcdnkppzhj_I_1 : AND2
      port map(A => \vvpkfmmpprk[0]\, B => \crpwsdfhcqq[3]_net_1\, 
        Y => \DWACT_ADD_CI_0_TMP[0]\);
    
    \crpwsdfhcqq[4]\ : DFN1C0
      port map(D => \crpwsdfhcqq_ns_a3[4]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => jspcghhzwmg);
    
    \crpwsdfhcqq[2]\ : DFN1C0
      port map(D => \crpwsdfhcqq_ns[6]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, Q => mfwjfgrqchd);
    
    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    \crpwsdfhcqq_ns_a3[4]\ : NOR2A
      port map(A => \npgnwznthhx\, B => NVM_BUSY_net, Y => 
        \crpwsdfhcqq_ns_a3[4]_net_1\);
    
    \crpwsdfhcqq_ns[6]\ : AO1B
      port map(A => mfwjfgrqchd, B => NVM_BUSY_net, C => N_60, Y
         => \crpwsdfhcqq_ns[6]_net_1\);
    
    \crpwsdfhcqq_ns[3]\ : AO1
      port map(A => \npgnwznthhx\, B => NVM_BUSY_net, C => 
        \fhpsqkqvwpw\, Y => \crpwsdfhcqq_ns[3]_net_1\);
    
    \crpwsdfhcqq[7]\ : DFN1C0
      port map(D => \crpwsdfhcqq_ns_a3[1]_net_1\, CLK => GLA_c, 
        CLR => SYS_RESET_global, Q => \crpwsdfhcqq[7]_net_1\);
    
    un5_jxxpqzrmzff_i_a3 : OR2
      port map(A => \crpwsdfhcqq[7]_net_1\, B => 
        \crpwsdfhcqq[3]_net_1\, Y => N_51);
    
    \bzcdnkppzhj[1]\ : DFN1C0
      port map(D => I_10_0, CLK => GLA_c, CLR => SYS_RESET_global, 
        Q => \vvpkfmmpprk[1]\);
    
    un1_bzcdnkppzhj_I_8 : XOR2
      port map(A => \vvpkfmmpprk[0]\, B => \crpwsdfhcqq[3]_net_1\, 
        Y => \DWACT_ADD_CI_0_partial_sum[0]\);
    
    \crpwsdfhcqq[5]\ : DFN1C0
      port map(D => \crpwsdfhcqq_ns[3]_net_1\, CLK => GLA_c, CLR
         => SYS_RESET_global, Q => \npgnwznthhx\);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity INITCFG_XB is

    port(vvpkfmmpprk : out std_logic_vector(1 downto 0); N_51, 
        fhpsqkqvwpw : out std_logic; mhxwcfnvbgt, NVM_BUSY_net : 
        in std_logic; N_49, npgnwznthhx : out std_logic; GLA_c, 
        SYS_RESET_global : in std_logic);

end INITCFG_XB;

architecture DEF_ARCH of INITCFG_XB is 

  component VCC
    port(Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component wbsfnwwctpn
    port(vvpkfmmpprk : out std_logic_vector(1 downto 0); 
        SYS_RESET_global, GLA_c : in std_logic := 'U'; 
        npgnwznthhx, N_49 : out std_logic; NVM_BUSY_net, 
        mhxwcfnvbgt : in std_logic := 'U'; fhpsqkqvwpw, N_51 : 
        out std_logic);
  end component;

    signal \VCC\, \GND\, GND_net_1, VCC_net_1 : std_logic;

    for all : wbsfnwwctpn
	Use entity work.wbsfnwwctpn(DEF_ARCH);
begin 


    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    u_wbsfnwwctpn : wbsfnwwctpn
      port map(vvpkfmmpprk(1) => vvpkfmmpprk(1), vvpkfmmpprk(0)
         => vvpkfmmpprk(0), SYS_RESET_global => SYS_RESET_global, 
        GLA_c => GLA_c, npgnwznthhx => npgnwznthhx, N_49 => N_49, 
        NVM_BUSY_net => NVM_BUSY_net, mhxwcfnvbgt => mhxwcfnvbgt, 
        fhpsqkqvwpw => fhpsqkqvwpw, N_51 => N_51);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    GND_i : GND
      port map(Y => \GND\);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity grwzcnqmqzm is

    port(hbqjhzzrbnr_i : out std_logic_vector(0 to 0); 
        INIT_ADDR_int : out std_logic_vector(8 downto 0); 
        srdtcqsfmmm_i_1, srdtcqsfmmm_i_2, srdtcqsfmmm_i_3, 
        srdtcqsfmmm_i_4, srdtcqsfmmm_i_5, srdtcqsfmmm_i_6, 
        srdtcqsfmmm_i_12, srdtcqsfmmm_i_13, srdtcqsfmmm_i_14, 
        srdtcqsfmmm_i_15, srdtcqsfmmm_i_0, hrgmtcpsdzr : out
         std_logic; \VCC\ : in std_logic; INIT_ACM_WEN_int, 
        INIT_EV_WEN_int, N_10, INIT_ASSC_WEN_int, N_12, 
        N_2046_i_0, twxmgvvpbgm_iv_0_a2_0, un1_wxqqqsndpvg_i_0 : 
        out std_logic; SYS_RESET_global, GLA_c, NVM_BUSY_net : in
         std_logic);

end grwzcnqmqzm;

architecture DEF_ARCH of grwzcnqmqzm is 

  component VCC
    port(Y : out std_logic);
  end component;

  component INITCFG_XF
    port(bfcqzvtnrcn : out std_logic; GLA_c, SYS_RESET_global, 
        \VCC\, qdvwjxmzbpf : in std_logic := 'U'; hrgmtcpsdzr : 
        out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component INITCFG_XA
    port(mwtvnzdkmwm : out std_logic_vector(4 to 4); gpbbjwsprsj
         : out std_logic_vector(1 downto 0); N_42 : out std_logic; 
        NVM_BUSY_net : in std_logic := 'U'; xbkjkgdsbfh : out
         std_logic; mhxwcfnvbgt : in std_logic := 'U'; 
        dxpbcqjpxtw : out std_logic; N_2198, bfcqzvtnrcn : in
         std_logic := 'U'; qdvwjxmzbpf : out std_logic; GLA_c, 
        SYS_RESET_global : in std_logic := 'U');
  end component;

  component INITCFG_XD
    port(INIT_ADDR_int : out std_logic_vector(8 downto 0); 
        ggsxvgncrgz_0 : 
        in std_logic_vector(0 to 0) := (others => 'U'); 
        mmsccbknsvn_i : 
        in std_logic_vector(13 to 13) := (others => 'U'); 
        bdhvhfjwtxd : 
        in std_logic_vector(5 to 5) := (others => 'U'); 
        ggfvvjbkdws : out std_logic_vector(7 downto 1); 
        ggsxvgncrgz : 
        in std_logic_vector(0 to 0) := (others => 'U'); 
        ADD_13x13_fast_I87_Y_0 : out std_logic; N_2202_i : in
         std_logic := 'U'; ADD_13x13_fast_I86_Y_0 : out std_logic; 
        N_2204_i : in std_logic := 'U'; I33_un1_Y, N222, N189, 
        N183, N220_i : out std_logic; wtjtwqjkqbd : in
         std_logic := 'U'; mhxwcfnvbgt : out std_logic; GLA_c, 
        SYS_RESET_global, qdgqbvgcnzn : in std_logic := 'U');
  end component;

  component INITCFG_XE
    port(gpbbjwsprsj : 
        in std_logic_vector(1 downto 0) := (others => 'U'); 
        vvpkfmmpprk : 
        in std_logic_vector(1 downto 0) := (others => 'U'); N_12 : 
        out std_logic; npgnwznthhx, xbkjkgdsbfh, NVM_BUSY_net : 
        in std_logic := 'U'; INIT_ASSC_WEN_int : out std_logic; 
        N_2213, N_2322 : in std_logic := 'U'; N_10 : out
         std_logic; N_49, N_2193 : in std_logic := 'U'; 
        INIT_EV_WEN_int, INIT_ACM_WEN_int : out std_logic);
  end component;

  component INITCFG_XC
    port(ggsxvgncrgz_0 : out std_logic_vector(0 to 0); 
        mmsccbknsvn_i : out std_logic_vector(13 to 13); 
        vvpkfmmpprk : 
        in std_logic_vector(1 downto 0) := (others => 'U'); 
        gpbbjwsprsj : 
        in std_logic_vector(1 downto 0) := (others => 'U'); 
        INIT_ADDR_int : 
        in std_logic_vector(0 to 0) := (others => 'U'); 
        bdhvhfjwtxd : out std_logic_vector(5 to 5); ggfvvjbkdws
         : in std_logic_vector(7 downto 1) := (others => 'U'); 
        ggsxvgncrgz : out std_logic_vector(0 to 0); mwtvnzdkmwm
         : in std_logic_vector(4 to 4) := (others => 'U'); 
        hbqjhzzrbnr_i : out std_logic_vector(0 to 0); 
        srdtcqsfmmm_i_0, srdtcqsfmmm_i_15, srdtcqsfmmm_i_14, 
        srdtcqsfmmm_i_13, srdtcqsfmmm_i_12, srdtcqsfmmm_i_6, 
        srdtcqsfmmm_i_5, srdtcqsfmmm_i_4, srdtcqsfmmm_i_3, 
        srdtcqsfmmm_i_2, srdtcqsfmmm_i_1 : out std_logic; 
        bfcqzvtnrcn, qdvwjxmzbpf : in std_logic := 'U'; N_2193, 
        N_2202_i, wtjtwqjkqbd : out std_logic; N_51, N_42 : in
         std_logic := 'U'; qdgqbvgcnzn : out std_logic; 
        fhpsqkqvwpw, dxpbcqjpxtw, N220_i, N222, 
        ADD_13x13_fast_I87_Y_0, N183, ADD_13x13_fast_I86_Y_0 : in
         std_logic := 'U'; un1_wxqqqsndpvg_i_0, 
        twxmgvvpbgm_iv_0_a2_0 : out std_logic; xbkjkgdsbfh : in
         std_logic := 'U'; N_2046_i_0 : out std_logic; I33_un1_Y, 
        N189 : in std_logic := 'U'; N_2322, N_2213, N_2198, 
        N_2204_i : out std_logic);
  end component;

  component INITCFG_XB
    port(vvpkfmmpprk : out std_logic_vector(1 downto 0); N_51, 
        fhpsqkqvwpw : out std_logic; mhxwcfnvbgt, NVM_BUSY_net : 
        in std_logic := 'U'; N_49, npgnwznthhx : out std_logic; 
        GLA_c, SYS_RESET_global : in std_logic := 'U');
  end component;

    signal \INIT_ADDR_int[0]\, VCC_net_1, \mwtvnzdkmwm[4]\, 
        \gpbbjwsprsj[0]\, \gpbbjwsprsj[1]\, N_42, xbkjkgdsbfh, 
        mhxwcfnvbgt, dxpbcqjpxtw, N_2198, bfcqzvtnrcn, 
        qdvwjxmzbpf, \vvpkfmmpprk[0]\, \vvpkfmmpprk[1]\, N_51, 
        fhpsqkqvwpw, N_49, npgnwznthhx, \ggsxvgncrgz_0[0]\, 
        \mmsccbknsvn_i[13]\, \bdhvhfjwtxd[5]\, \ggfvvjbkdws[1]\, 
        \ggfvvjbkdws[2]\, \ggfvvjbkdws[3]\, \ggfvvjbkdws[4]\, 
        \ggfvvjbkdws[5]\, \ggfvvjbkdws[6]\, \ggfvvjbkdws[7]\, 
        \ggsxvgncrgz[0]\, N_2193, N_2202_i, wtjtwqjkqbd, 
        qdgqbvgcnzn, N220_i, N222, ADD_13x13_fast_I87_Y_0, N183, 
        ADD_13x13_fast_I86_Y_0, I33_un1_Y, N189, N_2322, N_2213, 
        N_2204_i, \GND\, GND_net_1, VCC_net_2 : std_logic;

    for all : INITCFG_XF
	Use entity work.INITCFG_XF(DEF_ARCH);
    for all : INITCFG_XA
	Use entity work.INITCFG_XA(DEF_ARCH);
    for all : INITCFG_XD
	Use entity work.INITCFG_XD(DEF_ARCH);
    for all : INITCFG_XE
	Use entity work.INITCFG_XE(DEF_ARCH);
    for all : INITCFG_XC
	Use entity work.INITCFG_XC(DEF_ARCH);
    for all : INITCFG_XB
	Use entity work.INITCFG_XB(DEF_ARCH);
begin 

    INIT_ADDR_int(0) <= \INIT_ADDR_int[0]\;
    VCC_net_1 <= \VCC\;

    VCC_i_0 : VCC
      port map(Y => VCC_net_2);
    
    user_clk_sel : INITCFG_XF
      port map(bfcqzvtnrcn => bfcqzvtnrcn, GLA_c => GLA_c, 
        SYS_RESET_global => SYS_RESET_global, \VCC\ => VCC_net_1, 
        qdvwjxmzbpf => qdvwjxmzbpf, hrgmtcpsdzr => hrgmtcpsdzr);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    init_fsm : INITCFG_XA
      port map(mwtvnzdkmwm(4) => \mwtvnzdkmwm[4]\, gpbbjwsprsj(1)
         => \gpbbjwsprsj[1]\, gpbbjwsprsj(0) => \gpbbjwsprsj[0]\, 
        N_42 => N_42, NVM_BUSY_net => NVM_BUSY_net, xbkjkgdsbfh
         => xbkjkgdsbfh, mhxwcfnvbgt => mhxwcfnvbgt, dxpbcqjpxtw
         => dxpbcqjpxtw, N_2198 => N_2198, bfcqzvtnrcn => 
        bfcqzvtnrcn, qdvwjxmzbpf => qdvwjxmzbpf, GLA_c => GLA_c, 
        SYS_RESET_global => SYS_RESET_global);
    
    address_gen : INITCFG_XD
      port map(INIT_ADDR_int(8) => INIT_ADDR_int(8), 
        INIT_ADDR_int(7) => INIT_ADDR_int(7), INIT_ADDR_int(6)
         => INIT_ADDR_int(6), INIT_ADDR_int(5) => 
        INIT_ADDR_int(5), INIT_ADDR_int(4) => INIT_ADDR_int(4), 
        INIT_ADDR_int(3) => INIT_ADDR_int(3), INIT_ADDR_int(2)
         => INIT_ADDR_int(2), INIT_ADDR_int(1) => 
        INIT_ADDR_int(1), INIT_ADDR_int(0) => \INIT_ADDR_int[0]\, 
        ggsxvgncrgz_0(0) => \ggsxvgncrgz_0[0]\, mmsccbknsvn_i(13)
         => \mmsccbknsvn_i[13]\, bdhvhfjwtxd(5) => 
        \bdhvhfjwtxd[5]\, ggfvvjbkdws(7) => \ggfvvjbkdws[7]\, 
        ggfvvjbkdws(6) => \ggfvvjbkdws[6]\, ggfvvjbkdws(5) => 
        \ggfvvjbkdws[5]\, ggfvvjbkdws(4) => \ggfvvjbkdws[4]\, 
        ggfvvjbkdws(3) => \ggfvvjbkdws[3]\, ggfvvjbkdws(2) => 
        \ggfvvjbkdws[2]\, ggfvvjbkdws(1) => \ggfvvjbkdws[1]\, 
        ggsxvgncrgz(0) => \ggsxvgncrgz[0]\, 
        ADD_13x13_fast_I87_Y_0 => ADD_13x13_fast_I87_Y_0, 
        N_2202_i => N_2202_i, ADD_13x13_fast_I86_Y_0 => 
        ADD_13x13_fast_I86_Y_0, N_2204_i => N_2204_i, I33_un1_Y
         => I33_un1_Y, N222 => N222, N189 => N189, N183 => N183, 
        N220_i => N220_i, wtjtwqjkqbd => wtjtwqjkqbd, mhxwcfnvbgt
         => mhxwcfnvbgt, GLA_c => GLA_c, SYS_RESET_global => 
        SYS_RESET_global, qdgqbvgcnzn => qdgqbvgcnzn);
    
    VCC_i : VCC
      port map(Y => VCC_net_1);
    
    valid_client : INITCFG_XE
      port map(gpbbjwsprsj(1) => \gpbbjwsprsj[1]\, gpbbjwsprsj(0)
         => \gpbbjwsprsj[0]\, vvpkfmmpprk(1) => \vvpkfmmpprk[1]\, 
        vvpkfmmpprk(0) => \vvpkfmmpprk[0]\, N_12 => N_12, 
        npgnwznthhx => npgnwznthhx, xbkjkgdsbfh => xbkjkgdsbfh, 
        NVM_BUSY_net => NVM_BUSY_net, INIT_ASSC_WEN_int => 
        INIT_ASSC_WEN_int, N_2213 => N_2213, N_2322 => N_2322, 
        N_10 => N_10, N_49 => N_49, N_2193 => N_2193, 
        INIT_EV_WEN_int => INIT_EV_WEN_int, INIT_ACM_WEN_int => 
        INIT_ACM_WEN_int);
    
    user_control : INITCFG_XC
      port map(ggsxvgncrgz_0(0) => \ggsxvgncrgz_0[0]\, 
        mmsccbknsvn_i(13) => \mmsccbknsvn_i[13]\, vvpkfmmpprk(1)
         => \vvpkfmmpprk[1]\, vvpkfmmpprk(0) => \vvpkfmmpprk[0]\, 
        gpbbjwsprsj(1) => \gpbbjwsprsj[1]\, gpbbjwsprsj(0) => 
        \gpbbjwsprsj[0]\, INIT_ADDR_int(0) => \INIT_ADDR_int[0]\, 
        bdhvhfjwtxd(5) => \bdhvhfjwtxd[5]\, ggfvvjbkdws(7) => 
        \ggfvvjbkdws[7]\, ggfvvjbkdws(6) => \ggfvvjbkdws[6]\, 
        ggfvvjbkdws(5) => \ggfvvjbkdws[5]\, ggfvvjbkdws(4) => 
        \ggfvvjbkdws[4]\, ggfvvjbkdws(3) => \ggfvvjbkdws[3]\, 
        ggfvvjbkdws(2) => \ggfvvjbkdws[2]\, ggfvvjbkdws(1) => 
        \ggfvvjbkdws[1]\, ggsxvgncrgz(0) => \ggsxvgncrgz[0]\, 
        mwtvnzdkmwm(4) => \mwtvnzdkmwm[4]\, hbqjhzzrbnr_i(0) => 
        hbqjhzzrbnr_i(0), srdtcqsfmmm_i_0 => srdtcqsfmmm_i_0, 
        srdtcqsfmmm_i_15 => srdtcqsfmmm_i_15, srdtcqsfmmm_i_14
         => srdtcqsfmmm_i_14, srdtcqsfmmm_i_13 => 
        srdtcqsfmmm_i_13, srdtcqsfmmm_i_12 => srdtcqsfmmm_i_12, 
        srdtcqsfmmm_i_6 => srdtcqsfmmm_i_6, srdtcqsfmmm_i_5 => 
        srdtcqsfmmm_i_5, srdtcqsfmmm_i_4 => srdtcqsfmmm_i_4, 
        srdtcqsfmmm_i_3 => srdtcqsfmmm_i_3, srdtcqsfmmm_i_2 => 
        srdtcqsfmmm_i_2, srdtcqsfmmm_i_1 => srdtcqsfmmm_i_1, 
        bfcqzvtnrcn => bfcqzvtnrcn, qdvwjxmzbpf => qdvwjxmzbpf, 
        N_2193 => N_2193, N_2202_i => N_2202_i, wtjtwqjkqbd => 
        wtjtwqjkqbd, N_51 => N_51, N_42 => N_42, qdgqbvgcnzn => 
        qdgqbvgcnzn, fhpsqkqvwpw => fhpsqkqvwpw, dxpbcqjpxtw => 
        dxpbcqjpxtw, N220_i => N220_i, N222 => N222, 
        ADD_13x13_fast_I87_Y_0 => ADD_13x13_fast_I87_Y_0, N183
         => N183, ADD_13x13_fast_I86_Y_0 => 
        ADD_13x13_fast_I86_Y_0, un1_wxqqqsndpvg_i_0 => 
        un1_wxqqqsndpvg_i_0, twxmgvvpbgm_iv_0_a2_0 => 
        twxmgvvpbgm_iv_0_a2_0, xbkjkgdsbfh => xbkjkgdsbfh, 
        N_2046_i_0 => N_2046_i_0, I33_un1_Y => I33_un1_Y, N189
         => N189, N_2322 => N_2322, N_2213 => N_2213, N_2198 => 
        N_2198, N_2204_i => N_2204_i);
    
    save_fsm : INITCFG_XB
      port map(vvpkfmmpprk(1) => \vvpkfmmpprk[1]\, vvpkfmmpprk(0)
         => \vvpkfmmpprk[0]\, N_51 => N_51, fhpsqkqvwpw => 
        fhpsqkqvwpw, mhxwcfnvbgt => mhxwcfnvbgt, NVM_BUSY_net => 
        NVM_BUSY_net, N_49 => N_49, npgnwznthhx => npgnwznthhx, 
        GLA_c => GLA_c, SYS_RESET_global => SYS_RESET_global);
    
    GND_i : GND
      port map(Y => \GND\);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity INITCFG is

    port(INIT_ADDR_int : out std_logic_vector(8 downto 0); 
        hbqjhzzrbnr_i : out std_logic_vector(0 to 0); 
        srdtcqsfmmm_i_0, srdtcqsfmmm_i_15, srdtcqsfmmm_i_14, 
        srdtcqsfmmm_i_13, srdtcqsfmmm_i_12, srdtcqsfmmm_i_6, 
        srdtcqsfmmm_i_5, srdtcqsfmmm_i_4, srdtcqsfmmm_i_3, 
        srdtcqsfmmm_i_2, srdtcqsfmmm_i_1 : out std_logic; 
        NVM_BUSY_net, GLA_c, SYS_RESET_global : in std_logic; 
        un1_wxqqqsndpvg_i_0, twxmgvvpbgm_iv_0_a2_0, N_2046_i_0, 
        N_12, INIT_ASSC_WEN_int, N_10, INIT_EV_WEN_int, 
        INIT_ACM_WEN_int : out std_logic; \VCC\ : in std_logic; 
        hrgmtcpsdzr : out std_logic);

end INITCFG;

architecture DEF_ARCH of INITCFG is 

  component VCC
    port(Y : out std_logic);
  end component;

  component grwzcnqmqzm
    port(hbqjhzzrbnr_i : out std_logic_vector(0 to 0); 
        INIT_ADDR_int : out std_logic_vector(8 downto 0); 
        srdtcqsfmmm_i_1, srdtcqsfmmm_i_2, srdtcqsfmmm_i_3, 
        srdtcqsfmmm_i_4, srdtcqsfmmm_i_5, srdtcqsfmmm_i_6, 
        srdtcqsfmmm_i_12, srdtcqsfmmm_i_13, srdtcqsfmmm_i_14, 
        srdtcqsfmmm_i_15, srdtcqsfmmm_i_0, hrgmtcpsdzr : out
         std_logic; \VCC\ : in std_logic := 'U'; INIT_ACM_WEN_int, 
        INIT_EV_WEN_int, N_10, INIT_ASSC_WEN_int, N_12, 
        N_2046_i_0, twxmgvvpbgm_iv_0_a2_0, un1_wxqqqsndpvg_i_0 : 
        out std_logic; SYS_RESET_global, GLA_c, NVM_BUSY_net : in
         std_logic := 'U');
  end component;

  component GND
    port(Y : out std_logic);
  end component;

    signal VCC_net_1, \GND\, GND_net_1, VCC_net_2 : std_logic;

    for all : grwzcnqmqzm
	Use entity work.grwzcnqmqzm(DEF_ARCH);
begin 

    VCC_net_1 <= \VCC\;

    VCC_i_0 : VCC
      port map(Y => VCC_net_2);
    
    u_grwzcnqmqzm : grwzcnqmqzm
      port map(hbqjhzzrbnr_i(0) => hbqjhzzrbnr_i(0), 
        INIT_ADDR_int(8) => INIT_ADDR_int(8), INIT_ADDR_int(7)
         => INIT_ADDR_int(7), INIT_ADDR_int(6) => 
        INIT_ADDR_int(6), INIT_ADDR_int(5) => INIT_ADDR_int(5), 
        INIT_ADDR_int(4) => INIT_ADDR_int(4), INIT_ADDR_int(3)
         => INIT_ADDR_int(3), INIT_ADDR_int(2) => 
        INIT_ADDR_int(2), INIT_ADDR_int(1) => INIT_ADDR_int(1), 
        INIT_ADDR_int(0) => INIT_ADDR_int(0), srdtcqsfmmm_i_1 => 
        srdtcqsfmmm_i_1, srdtcqsfmmm_i_2 => srdtcqsfmmm_i_2, 
        srdtcqsfmmm_i_3 => srdtcqsfmmm_i_3, srdtcqsfmmm_i_4 => 
        srdtcqsfmmm_i_4, srdtcqsfmmm_i_5 => srdtcqsfmmm_i_5, 
        srdtcqsfmmm_i_6 => srdtcqsfmmm_i_6, srdtcqsfmmm_i_12 => 
        srdtcqsfmmm_i_12, srdtcqsfmmm_i_13 => srdtcqsfmmm_i_13, 
        srdtcqsfmmm_i_14 => srdtcqsfmmm_i_14, srdtcqsfmmm_i_15
         => srdtcqsfmmm_i_15, srdtcqsfmmm_i_0 => srdtcqsfmmm_i_0, 
        hrgmtcpsdzr => hrgmtcpsdzr, \VCC\ => VCC_net_1, 
        INIT_ACM_WEN_int => INIT_ACM_WEN_int, INIT_EV_WEN_int => 
        INIT_EV_WEN_int, N_10 => N_10, INIT_ASSC_WEN_int => 
        INIT_ASSC_WEN_int, N_12 => N_12, N_2046_i_0 => N_2046_i_0, 
        twxmgvvpbgm_iv_0_a2_0 => twxmgvvpbgm_iv_0_a2_0, 
        un1_wxqqqsndpvg_i_0 => un1_wxqqqsndpvg_i_0, 
        SYS_RESET_global => SYS_RESET_global, GLA_c => GLA_c, 
        NVM_BUSY_net => NVM_BUSY_net);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    VCC_i : VCC
      port map(Y => VCC_net_1);
    
    GND_i : GND
      port map(Y => \GND\);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity NVM_ADC_init_wrapper is

    port(hbqjhzzrbnr_i : out std_logic_vector(0 to 0); 
        INIT_ADDR_int : out std_logic_vector(8 downto 0); 
        srdtcqsfmmm_i_1, srdtcqsfmmm_i_2, srdtcqsfmmm_i_3, 
        srdtcqsfmmm_i_4, srdtcqsfmmm_i_5, srdtcqsfmmm_i_6, 
        srdtcqsfmmm_i_12, srdtcqsfmmm_i_13, srdtcqsfmmm_i_14, 
        srdtcqsfmmm_i_15, srdtcqsfmmm_i_0, hrgmtcpsdzr : out
         std_logic; \VCC\ : in std_logic; INIT_ACM_WEN_int, 
        INIT_EV_WEN_int, N_10, INIT_ASSC_WEN_int, N_12, 
        N_2046_i_0, twxmgvvpbgm_iv_0_a2_0, un1_wxqqqsndpvg_i_0 : 
        out std_logic; SYS_RESET_global, GLA_c, NVM_BUSY_net : in
         std_logic);

end NVM_ADC_init_wrapper;

architecture DEF_ARCH of NVM_ADC_init_wrapper is 

  component VCC
    port(Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component INITCFG
    port(INIT_ADDR_int : out std_logic_vector(8 downto 0); 
        hbqjhzzrbnr_i : out std_logic_vector(0 to 0); 
        srdtcqsfmmm_i_0, srdtcqsfmmm_i_15, srdtcqsfmmm_i_14, 
        srdtcqsfmmm_i_13, srdtcqsfmmm_i_12, srdtcqsfmmm_i_6, 
        srdtcqsfmmm_i_5, srdtcqsfmmm_i_4, srdtcqsfmmm_i_3, 
        srdtcqsfmmm_i_2, srdtcqsfmmm_i_1 : out std_logic; 
        NVM_BUSY_net, GLA_c, SYS_RESET_global : in
         std_logic := 'U'; un1_wxqqqsndpvg_i_0, 
        twxmgvvpbgm_iv_0_a2_0, N_2046_i_0, N_12, 
        INIT_ASSC_WEN_int, N_10, INIT_EV_WEN_int, 
        INIT_ACM_WEN_int : out std_logic; \VCC\ : in
         std_logic := 'U'; hrgmtcpsdzr : out std_logic);
  end component;

    signal VCC_net_1, \GND\, GND_net_1, VCC_net_2 : std_logic;

    for all : INITCFG
	Use entity work.INITCFG(DEF_ARCH);
begin 

    VCC_net_1 <= \VCC\;

    VCC_i_0 : VCC
      port map(Y => VCC_net_2);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    VCC_i : VCC
      port map(Y => VCC_net_1);
    
    U0 : INITCFG
      port map(INIT_ADDR_int(8) => INIT_ADDR_int(8), 
        INIT_ADDR_int(7) => INIT_ADDR_int(7), INIT_ADDR_int(6)
         => INIT_ADDR_int(6), INIT_ADDR_int(5) => 
        INIT_ADDR_int(5), INIT_ADDR_int(4) => INIT_ADDR_int(4), 
        INIT_ADDR_int(3) => INIT_ADDR_int(3), INIT_ADDR_int(2)
         => INIT_ADDR_int(2), INIT_ADDR_int(1) => 
        INIT_ADDR_int(1), INIT_ADDR_int(0) => INIT_ADDR_int(0), 
        hbqjhzzrbnr_i(0) => hbqjhzzrbnr_i(0), srdtcqsfmmm_i_0 => 
        srdtcqsfmmm_i_0, srdtcqsfmmm_i_15 => srdtcqsfmmm_i_15, 
        srdtcqsfmmm_i_14 => srdtcqsfmmm_i_14, srdtcqsfmmm_i_13
         => srdtcqsfmmm_i_13, srdtcqsfmmm_i_12 => 
        srdtcqsfmmm_i_12, srdtcqsfmmm_i_6 => srdtcqsfmmm_i_6, 
        srdtcqsfmmm_i_5 => srdtcqsfmmm_i_5, srdtcqsfmmm_i_4 => 
        srdtcqsfmmm_i_4, srdtcqsfmmm_i_3 => srdtcqsfmmm_i_3, 
        srdtcqsfmmm_i_2 => srdtcqsfmmm_i_2, srdtcqsfmmm_i_1 => 
        srdtcqsfmmm_i_1, NVM_BUSY_net => NVM_BUSY_net, GLA_c => 
        GLA_c, SYS_RESET_global => SYS_RESET_global, 
        un1_wxqqqsndpvg_i_0 => un1_wxqqqsndpvg_i_0, 
        twxmgvvpbgm_iv_0_a2_0 => twxmgvvpbgm_iv_0_a2_0, 
        N_2046_i_0 => N_2046_i_0, N_12 => N_12, INIT_ASSC_WEN_int
         => INIT_ASSC_WEN_int, N_10 => N_10, INIT_EV_WEN_int => 
        INIT_EV_WEN_int, INIT_ACM_WEN_int => INIT_ACM_WEN_int, 
        \VCC\ => VCC_net_1, hrgmtcpsdzr => hrgmtcpsdzr);
    
    GND_i : GND
      port map(Y => \GND\);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity NVM_ADC is

    port(INIT_ADDR_int : out std_logic_vector(8 downto 0); 
        INIT_DATA_int : out std_logic_vector(8 downto 0); N_12, 
        INIT_ASSC_WEN_int, N_10, INIT_EV_WEN_int, 
        INIT_ACM_WEN_int : out std_logic; \VCC\ : in std_logic; 
        hrgmtcpsdzr : out std_logic; SYS_RESET_global, GLA_c, 
        \GND\ : in std_logic);

end NVM_ADC;

architecture DEF_ARCH of NVM_ADC is 

  component VCC
    port(Y : out std_logic);
  end component;

  component NVM_ADC_init_wrapper
    port(hbqjhzzrbnr_i : out std_logic_vector(0 to 0); 
        INIT_ADDR_int : out std_logic_vector(8 downto 0); 
        srdtcqsfmmm_i_1, srdtcqsfmmm_i_2, srdtcqsfmmm_i_3, 
        srdtcqsfmmm_i_4, srdtcqsfmmm_i_5, srdtcqsfmmm_i_6, 
        srdtcqsfmmm_i_12, srdtcqsfmmm_i_13, srdtcqsfmmm_i_14, 
        srdtcqsfmmm_i_15, srdtcqsfmmm_i_0, hrgmtcpsdzr : out
         std_logic; \VCC\ : in std_logic := 'U'; INIT_ACM_WEN_int, 
        INIT_EV_WEN_int, N_10, INIT_ASSC_WEN_int, N_12, 
        N_2046_i_0, twxmgvvpbgm_iv_0_a2_0, un1_wxqqqsndpvg_i_0 : 
        out std_logic; SYS_RESET_global, GLA_c, NVM_BUSY_net : in
         std_logic := 'U');
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component NVM
    generic (MEMORYFILE:string := "");

    port(RD : out std_logic_vector(31 downto 0); BUSY : out
         std_logic; STATUS : out std_logic_vector(1 downto 0); 
        ADDR : 
        in std_logic_vector(17 downto 0) := (others => 'U'); WD
         : in std_logic_vector(31 downto 0) := (others => 'U'); 
        DATAWIDTH : 
        in std_logic_vector(1 downto 0) := (others => 'U'); REN, 
        WEN, PROGRAM, SPAREPAGE, AUXBLOCK, READNEXT, ERASEPAGE, 
        UNPROTECTPAGE, DISCARDPAGE, OVERWRITEPROTECT, 
        PAGELOSSPROTECT, CLK, RESET, PAGESTATUS, OVERWRITEPAGE, 
        PIPE, LOCKREQUEST : in std_logic := 'U');
  end component;

    signal VCC_net_1, GND_net_1, NVM_BUSY_net, 
        NVM_DAT_FROM_net_net_21, NVM_DAT_FROM_net_net_20, 
        NVM_DAT_FROM_net_net_19, NVM_DAT_FROM_net_net_18, 
        NVM_DAT_FROM_net_net_17, NVM_DAT_FROM_net_net_16, 
        NVM_DAT_FROM_net_net_15, NVM_DAT_FROM_net_net_14, 
        NVM_DAT_FROM_net_net_13, NVM_DAT_FROM_net_net_12, 
        NVM_DAT_FROM_net_net_11, NVM_DAT_FROM_net_net_10, 
        NVM_DAT_FROM_net_net_9, NVM_DAT_FROM_net_net_8, 
        NVM_DAT_FROM_net_net_7, NVM_DAT_FROM_net_net_6, 
        NVM_DAT_FROM_net_net_5, NVM_DAT_FROM_net_net_4, 
        NVM_DAT_FROM_net_net_3, NVM_DAT_FROM_net_net_2, 
        NVM_DAT_FROM_net_net_1, \Z\\NVM_DAT_FROM_net\\\, 
        \NVM_INST_RD[31]\, \Z\\NVM_STATUS_net\\\, 
        \NVM_STATUS_net[1]\, \srdtcqsfmmm_i[0]\, 
        \srdtcqsfmmm_i[1]\, \srdtcqsfmmm_i[2]\, 
        \srdtcqsfmmm_i[3]\, \srdtcqsfmmm_i[4]\, 
        \srdtcqsfmmm_i[5]\, \srdtcqsfmmm_i[6]\, 
        \srdtcqsfmmm_i[12]\, \srdtcqsfmmm_i[13]\, 
        \srdtcqsfmmm_i[14]\, \srdtcqsfmmm_i[15]\, N_2046_i_0, 
        \hbqjhzzrbnr_i[0]\, un1_wxqqqsndpvg_i_0, 
        twxmgvvpbgm_iv_0_a2_0, GND_net_2, VCC_net_2 : std_logic;

    for all : NVM_ADC_init_wrapper
	Use entity work.NVM_ADC_init_wrapper(DEF_ARCH);
begin 

    VCC_net_1 <= \VCC\;
    GND_net_1 <= \GND\;

    VCC_i_0 : VCC
      port map(Y => VCC_net_2);
    
    NVM_ADC_init_wrapper_inst : NVM_ADC_init_wrapper
      port map(hbqjhzzrbnr_i(0) => \hbqjhzzrbnr_i[0]\, 
        INIT_ADDR_int(8) => INIT_ADDR_int(8), INIT_ADDR_int(7)
         => INIT_ADDR_int(7), INIT_ADDR_int(6) => 
        INIT_ADDR_int(6), INIT_ADDR_int(5) => INIT_ADDR_int(5), 
        INIT_ADDR_int(4) => INIT_ADDR_int(4), INIT_ADDR_int(3)
         => INIT_ADDR_int(3), INIT_ADDR_int(2) => 
        INIT_ADDR_int(2), INIT_ADDR_int(1) => INIT_ADDR_int(1), 
        INIT_ADDR_int(0) => INIT_ADDR_int(0), srdtcqsfmmm_i_1 => 
        \srdtcqsfmmm_i[1]\, srdtcqsfmmm_i_2 => \srdtcqsfmmm_i[2]\, 
        srdtcqsfmmm_i_3 => \srdtcqsfmmm_i[3]\, srdtcqsfmmm_i_4
         => \srdtcqsfmmm_i[4]\, srdtcqsfmmm_i_5 => 
        \srdtcqsfmmm_i[5]\, srdtcqsfmmm_i_6 => \srdtcqsfmmm_i[6]\, 
        srdtcqsfmmm_i_12 => \srdtcqsfmmm_i[12]\, srdtcqsfmmm_i_13
         => \srdtcqsfmmm_i[13]\, srdtcqsfmmm_i_14 => 
        \srdtcqsfmmm_i[14]\, srdtcqsfmmm_i_15 => 
        \srdtcqsfmmm_i[15]\, srdtcqsfmmm_i_0 => 
        \srdtcqsfmmm_i[0]\, hrgmtcpsdzr => hrgmtcpsdzr, \VCC\ => 
        VCC_net_1, INIT_ACM_WEN_int => INIT_ACM_WEN_int, 
        INIT_EV_WEN_int => INIT_EV_WEN_int, N_10 => N_10, 
        INIT_ASSC_WEN_int => INIT_ASSC_WEN_int, N_12 => N_12, 
        N_2046_i_0 => N_2046_i_0, twxmgvvpbgm_iv_0_a2_0 => 
        twxmgvvpbgm_iv_0_a2_0, un1_wxqqqsndpvg_i_0 => 
        un1_wxqqqsndpvg_i_0, SYS_RESET_global => SYS_RESET_global, 
        GLA_c => GLA_c, NVM_BUSY_net => NVM_BUSY_net);
    
    GND_i_0 : GND
      port map(Y => GND_net_2);
    
    NVM_INST : NVM
      generic map(MEMORYFILE => "NVM_ADC.mem")

      port map(RD(31) => \NVM_INST_RD[31]\, RD(30) => 
        \Z\\NVM_DAT_FROM_net\\\, RD(29) => NVM_DAT_FROM_net_net_1, 
        RD(28) => NVM_DAT_FROM_net_net_2, RD(27) => 
        NVM_DAT_FROM_net_net_3, RD(26) => NVM_DAT_FROM_net_net_4, 
        RD(25) => NVM_DAT_FROM_net_net_5, RD(24) => 
        NVM_DAT_FROM_net_net_6, RD(23) => NVM_DAT_FROM_net_net_7, 
        RD(22) => NVM_DAT_FROM_net_net_8, RD(21) => 
        NVM_DAT_FROM_net_net_9, RD(20) => NVM_DAT_FROM_net_net_10, 
        RD(19) => NVM_DAT_FROM_net_net_11, RD(18) => 
        NVM_DAT_FROM_net_net_12, RD(17) => 
        NVM_DAT_FROM_net_net_13, RD(16) => 
        NVM_DAT_FROM_net_net_14, RD(15) => 
        NVM_DAT_FROM_net_net_15, RD(14) => 
        NVM_DAT_FROM_net_net_16, RD(13) => 
        NVM_DAT_FROM_net_net_17, RD(12) => 
        NVM_DAT_FROM_net_net_18, RD(11) => 
        NVM_DAT_FROM_net_net_19, RD(10) => 
        NVM_DAT_FROM_net_net_20, RD(9) => NVM_DAT_FROM_net_net_21, 
        RD(8) => INIT_DATA_int(8), RD(7) => INIT_DATA_int(7), 
        RD(6) => INIT_DATA_int(6), RD(5) => INIT_DATA_int(5), 
        RD(4) => INIT_DATA_int(4), RD(3) => INIT_DATA_int(3), 
        RD(2) => INIT_DATA_int(2), RD(1) => INIT_DATA_int(1), 
        RD(0) => INIT_DATA_int(0), BUSY => NVM_BUSY_net, 
        STATUS(1) => \NVM_STATUS_net[1]\, STATUS(0) => 
        \Z\\NVM_STATUS_net\\\, ADDR(17) => GND_net_1, ADDR(16)
         => N_2046_i_0, ADDR(15) => \srdtcqsfmmm_i[15]\, ADDR(14)
         => \srdtcqsfmmm_i[14]\, ADDR(13) => \srdtcqsfmmm_i[13]\, 
        ADDR(12) => \srdtcqsfmmm_i[12]\, ADDR(11) => GND_net_1, 
        ADDR(10) => GND_net_1, ADDR(9) => GND_net_1, ADDR(8) => 
        GND_net_1, ADDR(7) => GND_net_1, ADDR(6) => 
        \srdtcqsfmmm_i[6]\, ADDR(5) => \srdtcqsfmmm_i[5]\, 
        ADDR(4) => \srdtcqsfmmm_i[4]\, ADDR(3) => 
        \srdtcqsfmmm_i[3]\, ADDR(2) => \srdtcqsfmmm_i[2]\, 
        ADDR(1) => \srdtcqsfmmm_i[1]\, ADDR(0) => 
        \srdtcqsfmmm_i[0]\, WD(31) => GND_net_1, WD(30) => 
        GND_net_1, WD(29) => GND_net_1, WD(28) => GND_net_1, 
        WD(27) => GND_net_1, WD(26) => GND_net_1, WD(25) => 
        GND_net_1, WD(24) => GND_net_1, WD(23) => GND_net_1, 
        WD(22) => GND_net_1, WD(21) => GND_net_1, WD(20) => 
        GND_net_1, WD(19) => GND_net_1, WD(18) => GND_net_1, 
        WD(17) => GND_net_1, WD(16) => GND_net_1, WD(15) => 
        GND_net_1, WD(14) => GND_net_1, WD(13) => GND_net_1, 
        WD(12) => GND_net_1, WD(11) => GND_net_1, WD(10) => 
        GND_net_1, WD(9) => GND_net_1, WD(8) => GND_net_1, WD(7)
         => GND_net_1, WD(6) => GND_net_1, WD(5) => GND_net_1, 
        WD(4) => GND_net_1, WD(3) => GND_net_1, WD(2) => 
        GND_net_1, WD(1) => GND_net_1, WD(0) => GND_net_1, 
        DATAWIDTH(1) => GND_net_1, DATAWIDTH(0) => 
        \hbqjhzzrbnr_i[0]\, REN => twxmgvvpbgm_iv_0_a2_0, WEN => 
        GND_net_1, PROGRAM => GND_net_1, SPAREPAGE => 
        un1_wxqqqsndpvg_i_0, AUXBLOCK => GND_net_1, READNEXT => 
        twxmgvvpbgm_iv_0_a2_0, ERASEPAGE => GND_net_1, 
        UNPROTECTPAGE => GND_net_1, DISCARDPAGE => GND_net_1, 
        OVERWRITEPROTECT => GND_net_1, PAGELOSSPROTECT => 
        GND_net_1, CLK => GLA_c, RESET => SYS_RESET_global, 
        PAGESTATUS => GND_net_1, OVERWRITEPAGE => GND_net_1, PIPE
         => GND_net_1, LOCKREQUEST => un1_wxqqqsndpvg_i_0);
    
    VCC_i : VCC
      port map(Y => VCC_net_1);
    
    GND_i : GND
      port map(Y => GND_net_1);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity LCD_interface is

    port(DATA_LCD_c : out std_logic_vector(7 downto 4); 
        formatted_data_14, formatted_data_22, formatted_data_6, 
        formatted_data_9, formatted_data_41, formatted_data_40, 
        formatted_data_39, formatted_data_17, formatted_data_25, 
        formatted_data_16, formatted_data_24, formatted_data_15, 
        formatted_data_23, formatted_data_8, formatted_data_7, 
        formatted_data_38, formatted_data_0, formatted_data_3, 
        EN_LCD_c : in std_logic; RS_LCD_c : out std_logic; 
        SYS_RESET_global, EN_LCD_c_0 : in std_logic);

end LCD_interface;

architecture DEF_ARCH of LCD_interface is 

  component MX2C
    port(A, B, S : in std_logic := 'U'; Y : out std_logic);
  end component;

  component DFN1C0
    port(D, CLK, CLR : in std_logic := 'U'; Q : out std_logic);
  end component;

  component MX2
    port(A, B, S : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR2A
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component MX2B
    port(A, B, S : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR3B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component VCC
    port(Y : out std_logic);
  end component;

  component NOR2B
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR2B
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AND2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component XOR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR2A
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AO1D
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component OR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component DFN1P0
    port(D, CLK, PRE : in std_logic := 'U'; Q : out std_logic);
  end component;

  component NOR3B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

    signal \count_0[0]_net_1\, \count_4[0]_net_1\, 
        \count_0[1]_net_1\, \count_4[1]_net_1\, 
        \DWACT_ADD_CI_0_g_array_1[0]\, \DWACT_ADD_CI_0_TMP[0]\, 
        G_327_0, \count[2]_net_1\, G_328_0, N_103, 
        \va_4_input_data[2]\, \va_4_input_data[1]\, N_285, N_289, 
        \DWACT_ADD_CI_0_partial_sum[0]\, state_0_sqmuxa_i, I_13_1, 
        \un1_state_3_i_a2\, \state[0]_net_1\, 
        \state_ns_i_o2[0]_net_1\, \state_ns_i_a2[5]_net_1\, 
        \state[2]_net_1\, \state[10]_net_1\, N_288, N_224, N_194, 
        N_195, N_206, N_207, N_208, N_222, \count[0]_net_1\, 
        N_223, N_258, \count[1]_net_1\, N_259, N_260, N_196, 
        \va_4_input_data_1[1]\, N_286, \va_4_input_data_1[2]\, 
        N_287, \va_4_input_data_1[3]\, \va_4_input_data[0]\, 
        \state[1]_net_1\, N_138, \va_4_input_data_1[0]\, N_139, 
        N_140, N_123, \state[7]_net_1\, \state[5]_net_1\, N_124, 
        N_125, \state[3]_net_1\, \LCD_data_bus_10[4]\, 
        LCD_data_bus_10_sn_m2, \LCD_data_bus_10[5]\, 
        \LCD_data_bus_10[6]\, \LCD_data_bus_10[7]\, N_126, N_141, 
        \state[4]_net_1\, G_196, G_261, N_205, \state[9]_net_1\, 
        \state[8]_net_1\, \state[6]_net_1\, I_14, \VCC\, \GND\, 
        GND_net_1, VCC_net_1 : std_logic;

begin 


    \drive_LCD_LCD_data_bus_10[4]\ : MX2C
      port map(A => N_123, B => N_138, S => LCD_data_bus_10_sn_m2, 
        Y => \LCD_data_bus_10[4]\);
    
    \LCD_data_bus[4]\ : DFN1C0
      port map(D => \LCD_data_bus_10[4]\, CLK => EN_LCD_c_0, CLR
         => SYS_RESET_global, Q => DATA_LCD_c(4));
    
    \drive_LCD_LCD_data_bus_10_0[4]\ : MX2C
      port map(A => \va_4_input_data[0]\, B => 
        \va_4_input_data_1[0]\, S => \count[2]_net_1\, Y => N_138);
    
    \count[1]\ : DFN1C0
      port map(D => \count_4[1]_net_1\, CLK => EN_LCD_c_0, CLR
         => SYS_RESET_global, Q => \count[1]_net_1\);
    
    drive_LCD_va_4_input_data_1_G_329 : MX2C
      port map(A => N_288, B => N_260, S => \count[2]_net_1\, Y
         => \va_4_input_data_1[3]\);
    
    drive_LCD_va_4_input_data_1_G_230 : MX2
      port map(A => formatted_data_40, B => formatted_data_0, S
         => \count[0]_net_1\, Y => N_223);
    
    \count_4[1]\ : NOR2A
      port map(A => I_13_1, B => state_0_sqmuxa_i, Y => 
        \count_4[1]_net_1\);
    
    \count[0]\ : DFN1C0
      port map(D => \count_4[0]_net_1\, CLK => EN_LCD_c_0, CLR
         => SYS_RESET_global, Q => \count[0]_net_1\);
    
    \count_0[1]\ : DFN1C0
      port map(D => \count_4[1]_net_1\, CLK => EN_LCD_c_0, CLR
         => SYS_RESET_global, Q => \count_0[1]_net_1\);
    
    \drive_LCD_LCD_data_bus_10_0[6]\ : MX2C
      port map(A => \va_4_input_data[2]\, B => 
        \va_4_input_data_1[2]\, S => \state[1]_net_1\, Y => N_140);
    
    \state[7]\ : DFN1C0
      port map(D => \state[8]_net_1\, CLK => EN_LCD_c, CLR => 
        SYS_RESET_global, Q => \state[7]_net_1\);
    
    drive_LCD_va_4_input_data_1_G_326 : MX2B
      port map(A => formatted_data_0, B => G_261, S => 
        \state[1]_net_1\, Y => \va_4_input_data_1[0]\);
    
    drive_LCD_va_4_input_data_1_G_328 : MX2C
      port map(A => N_287, B => N_259, S => \count[2]_net_1\, Y
         => \va_4_input_data_1[2]\);
    
    drive_LCD_va_4_input_data_1_G_264 : MX2C
      port map(A => N_208, B => N_196, S => \count[1]_net_1\, Y
         => N_260);
    
    \drive_LCD_LCD_data_bus_10[6]\ : MX2C
      port map(A => N_125, B => N_140, S => LCD_data_bus_10_sn_m2, 
        Y => \LCD_data_bus_10[6]\);
    
    \state[5]\ : DFN1C0
      port map(D => \state_ns_i_a2[5]_net_1\, CLK => EN_LCD_c, 
        CLR => SYS_RESET_global, Q => \state[5]_net_1\);
    
    \state[4]\ : DFN1C0
      port map(D => \state[5]_net_1\, CLK => EN_LCD_c, CLR => 
        SYS_RESET_global, Q => \state[4]_net_1\);
    
    \state[6]\ : DFN1C0
      port map(D => \state[7]_net_1\, CLK => EN_LCD_c, CLR => 
        SYS_RESET_global, Q => \state[6]_net_1\);
    
    \state[2]\ : DFN1C0
      port map(D => \state[3]_net_1\, CLK => EN_LCD_c, CLR => 
        SYS_RESET_global, Q => \state[2]_net_1\);
    
    drive_LCD_va_4_input_data_1_G_293 : OR3B
      port map(A => \count_0[1]_net_1\, B => formatted_data_38, C
         => \count_0[0]_net_1\, Y => N_285);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    \state_ns_i[1]\ : NOR2B
      port map(A => \state[10]_net_1\, B => N_103, Y => 
        state_0_sqmuxa_i);
    
    drive_LCD_va_4_input_data_G_328_0 : OR2B
      port map(A => formatted_data_0, B => \count[2]_net_1\, Y
         => G_328_0);
    
    \state[3]\ : DFN1C0
      port map(D => \state[6]_net_1\, CLK => EN_LCD_c, CLR => 
        SYS_RESET_global, Q => \state[3]_net_1\);
    
    drive_LCD_va_4_input_data_1_G_229 : MX2
      port map(A => formatted_data_39, B => formatted_data_0, S
         => \count[0]_net_1\, Y => N_222);
    
    drive_LCD_va_4_input_data_1_G_212 : MX2
      port map(A => formatted_data_22, B => formatted_data_14, S
         => \count[0]_net_1\, Y => N_205);
    
    drive_LCD_va_4_input_data_1_G_231 : MX2
      port map(A => formatted_data_41, B => formatted_data_0, S
         => \count[0]_net_1\, Y => N_224);
    
    un1_count_3_I_1 : AND2
      port map(A => \count[0]_net_1\, B => \un1_state_3_i_a2\, Y
         => \DWACT_ADD_CI_0_TMP[0]\);
    
    drive_LCD_va_4_input_data_G_327 : OR3B
      port map(A => \count_0[1]_net_1\, B => \count_0[0]_net_1\, 
        C => G_327_0, Y => \va_4_input_data[1]\);
    
    un1_count_3_I_9 : XOR2
      port map(A => \count[0]_net_1\, B => \un1_state_3_i_a2\, Y
         => \DWACT_ADD_CI_0_partial_sum[0]\);
    
    drive_LCD_va_4_input_data_1_G_263 : MX2C
      port map(A => N_207, B => N_195, S => \count[1]_net_1\, Y
         => N_259);
    
    un1_count_3_I_13 : XOR2
      port map(A => \count_0[1]_net_1\, B => 
        \DWACT_ADD_CI_0_TMP[0]\, Y => I_13_1);
    
    drive_LCD_va_4_input_data_1_G_330 : MX2C
      port map(A => N_289, B => N_285, S => \state[1]_net_1\, Y
         => \va_4_input_data[0]\);
    
    \count_0[0]\ : DFN1C0
      port map(D => \count_4[0]_net_1\, CLK => EN_LCD_c_0, CLR
         => SYS_RESET_global, Q => \count_0[0]_net_1\);
    
    drive_LCD_va_4_input_data_G_327_0 : OR2A
      port map(A => \count[2]_net_1\, B => formatted_data_3, Y
         => G_327_0);
    
    drive_LCD_va_4_input_data_1_G_196 : NOR2A
      port map(A => formatted_data_6, B => \count[0]_net_1\, Y
         => G_196);
    
    \count[2]\ : DFN1C0
      port map(D => I_14, CLK => EN_LCD_c_0, CLR => 
        SYS_RESET_global, Q => \count[2]_net_1\);
    
    drive_LCD_va_4_input_data_1_G_199 : NOR2A
      port map(A => formatted_data_9, B => \count[0]_net_1\, Y
         => N_196);
    
    \state[0]\ : DFN1C0
      port map(D => \state[1]_net_1\, CLK => EN_LCD_c_0, CLR => 
        SYS_RESET_global, Q => \state[0]_net_1\);
    
    \drive_LCD_LCD_data_bus_10_1[7]\ : AO1D
      port map(A => \state_ns_i_a2[5]_net_1\, B => 
        \state[3]_net_1\, C => \state[5]_net_1\, Y => N_126);
    
    GND_i : GND
      port map(Y => \GND\);
    
    drive_LCD_va_4_input_data_1_G_198 : MX2
      port map(A => formatted_data_8, B => formatted_data_0, S
         => \count_0[0]_net_1\, Y => N_195);
    
    drive_LCD_va_4_input_data_G_290 : OR2B
      port map(A => N_222, B => \count[1]_net_1\, Y => N_286);
    
    \count_4[0]\ : NOR2A
      port map(A => \DWACT_ADD_CI_0_partial_sum[0]\, B => 
        state_0_sqmuxa_i, Y => \count_4[0]_net_1\);
    
    un1_state_3_i_a2 : OR2
      port map(A => \state[0]_net_1\, B => 
        \state_ns_i_o2[0]_net_1\, Y => \un1_state_3_i_a2\);
    
    un1_count_3_I_14 : XOR2
      port map(A => \count[2]_net_1\, B => 
        \DWACT_ADD_CI_0_g_array_1[0]\, Y => I_14);
    
    \LCD_data_bus[6]\ : DFN1C0
      port map(D => \LCD_data_bus_10[6]\, CLK => EN_LCD_c_0, CLR
         => SYS_RESET_global, Q => DATA_LCD_c(6));
    
    un1_count_3_I_15 : NOR2B
      port map(A => \DWACT_ADD_CI_0_TMP[0]\, B => 
        \count_0[1]_net_1\, Y => \DWACT_ADD_CI_0_g_array_1[0]\);
    
    \state_ns_i_a2[5]\ : OR2
      port map(A => \state[2]_net_1\, B => \state[0]_net_1\, Y
         => \state_ns_i_a2[5]_net_1\);
    
    \LCD_data_bus[5]\ : DFN1C0
      port map(D => \LCD_data_bus_10[5]\, CLK => EN_LCD_c_0, CLR
         => SYS_RESET_global, Q => DATA_LCD_c(5));
    
    \drive_LCD_LCD_data_bus_10_0[5]\ : MX2C
      port map(A => \va_4_input_data[1]\, B => 
        \va_4_input_data_1[1]\, S => \state[1]_net_1\, Y => N_139);
    
    drive_LCD_va_4_input_data_G_292 : OR2B
      port map(A => N_224, B => \count_0[1]_net_1\, Y => N_288);
    
    \state[10]\ : DFN1P0
      port map(D => \state_ns_i_o2[0]_net_1\, CLK => EN_LCD_c, 
        PRE => SYS_RESET_global, Q => \state[10]_net_1\);
    
    drive_LCD_LCD_data_bus_10_sn_m2 : OR2
      port map(A => \state[4]_net_1\, B => \state[1]_net_1\, Y
         => LCD_data_bus_10_sn_m2);
    
    \drive_LCD_LCD_data_bus_10_1[6]\ : MX2C
      port map(A => \state[3]_net_1\, B => \count[2]_net_1\, S
         => \state[5]_net_1\, Y => N_125);
    
    \drive_LCD_LCD_data_bus_10_0[7]\ : OR2B
      port map(A => \state[1]_net_1\, B => \va_4_input_data_1[3]\, 
        Y => N_141);
    
    \state_ns_i_o2[0]\ : NOR2A
      port map(A => \state[10]_net_1\, B => N_103, Y => 
        \state_ns_i_o2[0]_net_1\);
    
    \state[1]\ : DFN1C0
      port map(D => \state[4]_net_1\, CLK => EN_LCD_c, CLR => 
        SYS_RESET_global, Q => \state[1]_net_1\);
    
    drive_LCD_va_4_input_data_G_293 : OR3B
      port map(A => \count_0[1]_net_1\, B => formatted_data_0, C
         => \count_0[0]_net_1\, Y => N_289);
    
    drive_LCD_va_4_input_data_1_G_262 : MX2C
      port map(A => N_206, B => N_194, S => \count[1]_net_1\, Y
         => N_258);
    
    drive_LCD_va_4_input_data_1_G_214 : MX2
      port map(A => formatted_data_24, B => formatted_data_16, S
         => \count_0[0]_net_1\, Y => N_207);
    
    \state[8]\ : DFN1C0
      port map(D => \state[9]_net_1\, CLK => EN_LCD_c, CLR => 
        SYS_RESET_global, Q => \state[8]_net_1\);
    
    \drive_LCD_LCD_data_bus_10[7]\ : MX2C
      port map(A => N_126, B => N_141, S => LCD_data_bus_10_sn_m2, 
        Y => \LCD_data_bus_10[7]\);
    
    state_0_sqmuxa_i_0_o2 : NOR3B
      port map(A => \count_0[1]_net_1\, B => \count_0[0]_net_1\, 
        C => \count[2]_net_1\, Y => N_103);
    
    \drive_LCD_LCD_data_bus_10[5]\ : MX2C
      port map(A => N_124, B => N_139, S => LCD_data_bus_10_sn_m2, 
        Y => \LCD_data_bus_10[5]\);
    
    \state[9]\ : DFN1C0
      port map(D => state_0_sqmuxa_i, CLK => EN_LCD_c, CLR => 
        SYS_RESET_global, Q => \state[9]_net_1\);
    
    drive_LCD_va_4_input_data_1_G_327 : MX2C
      port map(A => N_286, B => N_258, S => \count[2]_net_1\, Y
         => \va_4_input_data_1[1]\);
    
    drive_LCD_va_4_input_data_1_G_197 : MX2
      port map(A => formatted_data_7, B => formatted_data_0, S
         => \count_0[0]_net_1\, Y => N_194);
    
    \drive_LCD_LCD_data_bus_10_1[4]\ : MX2C
      port map(A => \state[7]_net_1\, B => \count[0]_net_1\, S
         => \state[5]_net_1\, Y => N_123);
    
    LCD_rs : DFN1C0
      port map(D => LCD_data_bus_10_sn_m2, CLK => EN_LCD_c, CLR
         => SYS_RESET_global, Q => RS_LCD_c);
    
    \drive_LCD_LCD_data_bus_10_1[5]\ : MX2C
      port map(A => state_0_sqmuxa_i, B => \count[1]_net_1\, S
         => \state[5]_net_1\, Y => N_124);
    
    drive_LCD_va_4_input_data_G_328 : NOR3B
      port map(A => \count_0[1]_net_1\, B => \count_0[0]_net_1\, 
        C => G_328_0, Y => \va_4_input_data[2]\);
    
    drive_LCD_va_4_input_data_1_G_261 : MX2C
      port map(A => N_205, B => G_196, S => \count[1]_net_1\, Y
         => G_261);
    
    \LCD_data_bus[7]\ : DFN1C0
      port map(D => \LCD_data_bus_10[7]\, CLK => EN_LCD_c_0, CLR
         => SYS_RESET_global, Q => DATA_LCD_c(7));
    
    drive_LCD_va_4_input_data_1_G_215 : MX2
      port map(A => formatted_data_25, B => formatted_data_17, S
         => \count_0[0]_net_1\, Y => N_208);
    
    drive_LCD_va_4_input_data_G_291 : OR2B
      port map(A => N_223, B => \count[1]_net_1\, Y => N_287);
    
    drive_LCD_va_4_input_data_1_G_213 : MX2
      port map(A => formatted_data_23, B => formatted_data_15, S
         => \count_0[0]_net_1\, Y => N_206);
    
    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity BCD_digit is

    port(un11_i_a2 : out std_logic_vector(0 to 0); BCD_input_reg
         : in std_logic_vector(15 to 15); BCD_clear_n_0, GLB_c : 
        in std_logic; N_65, carry_in_i_1, N_64, N_63_i_0 : out
         std_logic);

end BCD_digit;

architecture DEF_ARCH of BCD_digit is 

  component DFN1C0
    port(D, CLK, CLR : in std_logic := 'U'; Q : out std_logic);
  end component;

  component OA1
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR3
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component OA1B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component VCC
    port(Y : out std_logic);
  end component;

  component OR3A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component DFN1P0
    port(D, CLK, PRE : in std_logic := 'U'; Q : out std_logic);
  end component;

  component OR3
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

    signal \carry_in_i_1\, \un11_i_a2_2[3]_net_1\, 
        \digit_int[2]_net_1\, \digit_int[4]_net_1\, 
        \digit_int[0]_net_1\, \digit_int[6]_net_1\, 
        \digit_int[8]_net_1\, \digit_int[7]_net_1\, 
        \un11_i_a2_0[2]_net_1\, \digit_int[5]_net_1\, 
        \digit_int_ns_i[9]_net_1\, \digit_int_ns_i[8]_net_1\, 
        \digit_int_ns_i[7]_net_1\, \digit_int[1]_net_1\, 
        \digit_int_ns_i[6]_net_1\, \digit_int_ns_i[5]_net_1\, 
        \digit_int_ns_i[4]_net_1\, \digit_int_ns_i[3]_net_1\, 
        \digit_int[3]_net_1\, \digit_int_ns_i[2]_net_1\, 
        \digit_int_ns_i[1]_net_1\, \digit_int[9]_net_1\, 
        \digit_int_ns_i[0]_net_1\, \VCC\, \GND\, GND_net_1, 
        VCC_net_1 : std_logic;

begin 

    carry_in_i_1 <= \carry_in_i_1\;

    \digit_int[8]\ : DFN1C0
      port map(D => \digit_int_ns_i[1]_net_1\, CLK => GLB_c, CLR
         => BCD_clear_n_0, Q => \digit_int[8]_net_1\);
    
    \digit_int_ns_i[1]\ : OA1
      port map(A => \digit_int[4]_net_1\, B => 
        \digit_int[9]_net_1\, C => BCD_input_reg(15), Y => 
        \digit_int_ns_i[1]_net_1\);
    
    \digit_int[6]\ : DFN1C0
      port map(D => \digit_int_ns_i[3]_net_1\, CLK => GLB_c, CLR
         => BCD_clear_n_0, Q => \digit_int[6]_net_1\);
    
    \digit_int[1]\ : DFN1C0
      port map(D => \digit_int_ns_i[8]_net_1\, CLK => GLB_c, CLR
         => BCD_clear_n_0, Q => \digit_int[1]_net_1\);
    
    carry_out_1_i_a2_1 : OR2
      port map(A => \digit_int[4]_net_1\, B => 
        \un11_i_a2_0[2]_net_1\, Y => \carry_in_i_1\);
    
    \un11_i_a2_2[3]\ : NOR3
      port map(A => \digit_int[2]_net_1\, B => 
        \digit_int[4]_net_1\, C => \digit_int[0]_net_1\, Y => 
        \un11_i_a2_2[3]_net_1\);
    
    \digit_int_ns_i[9]\ : OA1
      port map(A => \digit_int[0]_net_1\, B => 
        \digit_int[5]_net_1\, C => BCD_input_reg(15), Y => 
        \digit_int_ns_i[9]_net_1\);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    \digit_int_ns_i[0]\ : OA1B
      port map(A => \digit_int[4]_net_1\, B => 
        \digit_int[9]_net_1\, C => BCD_input_reg(15), Y => 
        \digit_int_ns_i[0]_net_1\);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    \un11_i_a2[3]\ : OR3A
      port map(A => \un11_i_a2_2[3]_net_1\, B => 
        \digit_int[6]_net_1\, C => \digit_int[8]_net_1\, Y => 
        N_63_i_0);
    
    \digit_int[7]\ : DFN1C0
      port map(D => \digit_int_ns_i[2]_net_1\, CLK => GLB_c, CLR
         => BCD_clear_n_0, Q => \digit_int[7]_net_1\);
    
    \un11_i_a2_0[2]\ : OR2
      port map(A => \digit_int[3]_net_1\, B => 
        \digit_int[2]_net_1\, Y => \un11_i_a2_0[2]_net_1\);
    
    \digit_int_ns_i[4]\ : OA1B
      port map(A => \digit_int[2]_net_1\, B => 
        \digit_int[7]_net_1\, C => BCD_input_reg(15), Y => 
        \digit_int_ns_i[4]_net_1\);
    
    \digit_int_ns_i[2]\ : OA1B
      port map(A => \digit_int[3]_net_1\, B => 
        \digit_int[8]_net_1\, C => BCD_input_reg(15), Y => 
        \digit_int_ns_i[2]_net_1\);
    
    \un11_i_a2[1]\ : OR2
      port map(A => \carry_in_i_1\, B => \digit_int[5]_net_1\, Y
         => N_65);
    
    \digit_int_ns_i[8]\ : OA1B
      port map(A => \digit_int[0]_net_1\, B => 
        \digit_int[5]_net_1\, C => BCD_input_reg(15), Y => 
        \digit_int_ns_i[8]_net_1\);
    
    \digit_int[9]\ : DFN1P0
      port map(D => \digit_int_ns_i[0]_net_1\, CLK => GLB_c, PRE
         => BCD_clear_n_0, Q => \digit_int[9]_net_1\);
    
    \un11_i_a2[0]\ : OR2
      port map(A => \digit_int[1]_net_1\, B => 
        \digit_int[0]_net_1\, Y => un11_i_a2(0));
    
    GND_i : GND
      port map(Y => \GND\);
    
    \digit_int[3]\ : DFN1C0
      port map(D => \digit_int_ns_i[6]_net_1\, CLK => GLB_c, CLR
         => BCD_clear_n_0, Q => \digit_int[3]_net_1\);
    
    \digit_int[2]\ : DFN1C0
      port map(D => \digit_int_ns_i[7]_net_1\, CLK => GLB_c, CLR
         => BCD_clear_n_0, Q => \digit_int[2]_net_1\);
    
    \digit_int_ns_i[7]\ : OA1
      port map(A => \digit_int[1]_net_1\, B => 
        \digit_int[6]_net_1\, C => BCD_input_reg(15), Y => 
        \digit_int_ns_i[7]_net_1\);
    
    \digit_int[4]\ : DFN1C0
      port map(D => \digit_int_ns_i[5]_net_1\, CLK => GLB_c, CLR
         => BCD_clear_n_0, Q => \digit_int[4]_net_1\);
    
    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    \digit_int_ns_i[5]\ : OA1
      port map(A => \digit_int[2]_net_1\, B => 
        \digit_int[7]_net_1\, C => BCD_input_reg(15), Y => 
        \digit_int_ns_i[5]_net_1\);
    
    \digit_int_ns_i[6]\ : OA1B
      port map(A => \digit_int[1]_net_1\, B => 
        \digit_int[6]_net_1\, C => BCD_input_reg(15), Y => 
        \digit_int_ns_i[6]_net_1\);
    
    \un11_i_a2[2]\ : OR3
      port map(A => \digit_int[6]_net_1\, B => 
        \digit_int[7]_net_1\, C => \un11_i_a2_0[2]_net_1\, Y => 
        N_64);
    
    \digit_int_ns_i[3]\ : OA1
      port map(A => \digit_int[3]_net_1\, B => 
        \digit_int[8]_net_1\, C => BCD_input_reg(15), Y => 
        \digit_int_ns_i[3]_net_1\);
    
    \digit_int[5]\ : DFN1C0
      port map(D => \digit_int_ns_i[4]_net_1\, CLK => GLB_c, CLR
         => BCD_clear_n_0, Q => \digit_int[5]_net_1\);
    
    \digit_int[0]\ : DFN1C0
      port map(D => \digit_int_ns_i[9]_net_1\, CLK => GLB_c, CLR
         => BCD_clear_n_0, Q => \digit_int[0]_net_1\);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity BCD_digit_1 is

    port(un11_i_a2_0 : in std_logic_vector(0 to 0); BCD_clear_n_1, 
        BCD_clear_n_0, GLB_c, carry_in_i_1 : in std_logic; N_73, 
        N_64, N_65, N_63_i_0 : out std_logic);

end BCD_digit_1;

architecture DEF_ARCH of BCD_digit_1 is 

  component OA1B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component DFN1C0
    port(D, CLK, CLR : in std_logic := 'U'; Q : out std_logic);
  end component;

  component NOR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR3
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component VCC
    port(Y : out std_logic);
  end component;

  component OR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR3
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR3A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component DFN1P0
    port(D, CLK, PRE : in std_logic := 'U'; Q : out std_logic);
  end component;

    signal \un11_i_a2_2[3]_net_1\, \digit_int[2]_net_1\, 
        \digit_int[4]_net_1\, \digit_int[0]_net_1\, 
        \digit_int[6]_net_1\, \digit_int[8]_net_1\, 
        \digit_int[5]_net_1\, \un11_i_a2_0_0[2]\, 
        \digit_int[7]_net_1\, \digit_int_ns_i_a2[8]_net_1\, 
        \digit_int[1]_net_1\, \digit_int_ns_i_0[9]\, 
        \digit_int_ns_i_0[8]\, \digit_int_ns_i_0[7]\, 
        \digit_int_ns_i_a2[6]_net_1\, \digit_int_ns_i_0[6]\, 
        \digit_int_ns_i_0[5]\, \digit_int_ns_i_a2[4]_net_1\, 
        \digit_int_ns_i_0[4]\, \digit_int_ns_i_0[3]\, 
        \digit_int_ns_i_a2[2]_net_1\, \digit_int_ns_i_0[2]\, 
        \digit_int_ns_i_0[1]\, \digit_int_ns_i_a2[0]_net_1\, 
        \digit_int_ns_i_0[0]\, \digit_int[3]_net_1\, 
        \digit_int[9]_net_1\, \VCC\, \GND\, GND_net_1, VCC_net_1
         : std_logic;

begin 


    \digit_int_ns_i[7]\ : OA1B
      port map(A => un11_i_a2_0(0), B => carry_in_i_1, C => 
        \digit_int_ns_i_a2[6]_net_1\, Y => \digit_int_ns_i_0[7]\);
    
    \digit_int[8]\ : DFN1C0
      port map(D => \digit_int_ns_i_0[1]\, CLK => GLB_c, CLR => 
        BCD_clear_n_1, Q => \digit_int[8]_net_1\);
    
    \digit_int_ns_i_a2[4]\ : NOR2
      port map(A => \digit_int[7]_net_1\, B => 
        \digit_int[2]_net_1\, Y => \digit_int_ns_i_a2[4]_net_1\);
    
    \digit_int_ns_i[6]\ : NOR3
      port map(A => un11_i_a2_0(0), B => carry_in_i_1, C => 
        \digit_int_ns_i_a2[6]_net_1\, Y => \digit_int_ns_i_0[6]\);
    
    \digit_int[6]\ : DFN1C0
      port map(D => \digit_int_ns_i_0[3]\, CLK => GLB_c, CLR => 
        BCD_clear_n_1, Q => \digit_int[6]_net_1\);
    
    \digit_int[7]\ : DFN1C0
      port map(D => \digit_int_ns_i_0[2]\, CLK => GLB_c, CLR => 
        BCD_clear_n_1, Q => \digit_int[7]_net_1\);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    \un11_i_a2_2[3]\ : NOR3
      port map(A => \digit_int[2]_net_1\, B => 
        \digit_int[4]_net_1\, C => \digit_int[0]_net_1\, Y => 
        \un11_i_a2_2[3]_net_1\);
    
    \digit_int_ns_i_a2[2]\ : NOR2
      port map(A => \digit_int[8]_net_1\, B => 
        \digit_int[3]_net_1\, Y => \digit_int_ns_i_a2[2]_net_1\);
    
    \un11_i_a2[0]\ : OR2
      port map(A => \digit_int[1]_net_1\, B => 
        \digit_int[0]_net_1\, Y => N_73);
    
    \un11_i_a2[2]\ : OR3
      port map(A => \digit_int[6]_net_1\, B => 
        \digit_int[7]_net_1\, C => \un11_i_a2_0_0[2]\, Y => N_64);
    
    \un11_i_a2[3]\ : OR3A
      port map(A => \un11_i_a2_2[3]_net_1\, B => 
        \digit_int[6]_net_1\, C => \digit_int[8]_net_1\, Y => 
        N_63_i_0);
    
    \digit_int[3]\ : DFN1C0
      port map(D => \digit_int_ns_i_0[6]\, CLK => GLB_c, CLR => 
        BCD_clear_n_1, Q => \digit_int[3]_net_1\);
    
    \digit_int_ns_i_a2[8]\ : NOR2
      port map(A => \digit_int[5]_net_1\, B => 
        \digit_int[0]_net_1\, Y => \digit_int_ns_i_a2[8]_net_1\);
    
    \un11_i_a2_0[2]\ : OR2
      port map(A => \digit_int[3]_net_1\, B => 
        \digit_int[2]_net_1\, Y => \un11_i_a2_0_0[2]\);
    
    \un11_i_a2[1]\ : OR3
      port map(A => \digit_int[4]_net_1\, B => 
        \digit_int[5]_net_1\, C => \un11_i_a2_0_0[2]\, Y => N_65);
    
    \digit_int[2]\ : DFN1C0
      port map(D => \digit_int_ns_i_0[7]\, CLK => GLB_c, CLR => 
        BCD_clear_n_1, Q => \digit_int[2]_net_1\);
    
    \digit_int_ns_i[5]\ : OA1B
      port map(A => un11_i_a2_0(0), B => carry_in_i_1, C => 
        \digit_int_ns_i_a2[4]_net_1\, Y => \digit_int_ns_i_0[5]\);
    
    GND_i : GND
      port map(Y => \GND\);
    
    \digit_int_ns_i[1]\ : OA1B
      port map(A => un11_i_a2_0(0), B => carry_in_i_1, C => 
        \digit_int_ns_i_a2[0]_net_1\, Y => \digit_int_ns_i_0[1]\);
    
    \digit_int[1]\ : DFN1C0
      port map(D => \digit_int_ns_i_0[8]\, CLK => GLB_c, CLR => 
        BCD_clear_n_1, Q => \digit_int[1]_net_1\);
    
    \digit_int_ns_i[3]\ : OA1B
      port map(A => un11_i_a2_0(0), B => carry_in_i_1, C => 
        \digit_int_ns_i_a2[2]_net_1\, Y => \digit_int_ns_i_0[3]\);
    
    \digit_int[5]\ : DFN1C0
      port map(D => \digit_int_ns_i_0[4]\, CLK => GLB_c, CLR => 
        BCD_clear_n_1, Q => \digit_int[5]_net_1\);
    
    \digit_int[0]\ : DFN1C0
      port map(D => \digit_int_ns_i_0[9]\, CLK => GLB_c, CLR => 
        BCD_clear_n_1, Q => \digit_int[0]_net_1\);
    
    \digit_int_ns_i[9]\ : OA1B
      port map(A => un11_i_a2_0(0), B => carry_in_i_1, C => 
        \digit_int_ns_i_a2[8]_net_1\, Y => \digit_int_ns_i_0[9]\);
    
    \digit_int_ns_i[0]\ : NOR3
      port map(A => un11_i_a2_0(0), B => carry_in_i_1, C => 
        \digit_int_ns_i_a2[0]_net_1\, Y => \digit_int_ns_i_0[0]\);
    
    \digit_int_ns_i[4]\ : NOR3
      port map(A => un11_i_a2_0(0), B => carry_in_i_1, C => 
        \digit_int_ns_i_a2[4]_net_1\, Y => \digit_int_ns_i_0[4]\);
    
    \digit_int_ns_i[2]\ : NOR3
      port map(A => un11_i_a2_0(0), B => carry_in_i_1, C => 
        \digit_int_ns_i_a2[2]_net_1\, Y => \digit_int_ns_i_0[2]\);
    
    \digit_int_ns_i_a2[0]\ : NOR2
      port map(A => \digit_int[9]_net_1\, B => 
        \digit_int[4]_net_1\, Y => \digit_int_ns_i_a2[0]_net_1\);
    
    \digit_int_ns_i_a2[6]\ : NOR2
      port map(A => \digit_int[6]_net_1\, B => 
        \digit_int[1]_net_1\, Y => \digit_int_ns_i_a2[6]_net_1\);
    
    \digit_int[4]\ : DFN1C0
      port map(D => \digit_int_ns_i_0[5]\, CLK => GLB_c, CLR => 
        BCD_clear_n_1, Q => \digit_int[4]_net_1\);
    
    \digit_int_ns_i[8]\ : NOR3
      port map(A => un11_i_a2_0(0), B => carry_in_i_1, C => 
        \digit_int_ns_i_a2[8]_net_1\, Y => \digit_int_ns_i_0[8]\);
    
    \digit_int[9]\ : DFN1P0
      port map(D => \digit_int_ns_i_0[0]\, CLK => GLB_c, PRE => 
        BCD_clear_n_0, Q => \digit_int[9]_net_1\);
    
    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity BCD_digit_3 is

    port(un11_i_a2_1 : out std_logic_vector(0 to 0); un11_i_a2 : 
        in std_logic_vector(0 to 0); BCD_clear_n, BCD_clear_n_2, 
        GLB_c, carry_in_i_1_0 : in std_logic; N_65, carry_in_i_1, 
        N_64, N_63_i_0 : out std_logic);

end BCD_digit_3;

architecture DEF_ARCH of BCD_digit_3 is 

  component OA1B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component DFN1C0
    port(D, CLK, CLR : in std_logic := 'U'; Q : out std_logic);
  end component;

  component NOR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR3
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component VCC
    port(Y : out std_logic);
  end component;

  component OR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR3
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR3A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component DFN1P0
    port(D, CLK, PRE : in std_logic := 'U'; Q : out std_logic);
  end component;

    signal \carry_in_i_1\, \un11_i_a2_2[3]_net_1\, 
        \digit_int[2]_net_1\, \digit_int[4]_net_1\, 
        \digit_int[0]_net_1\, \digit_int[6]_net_1\, 
        \digit_int[8]_net_1\, \digit_int[7]_net_1\, 
        \un11_i_a2_0_2[2]\, \digit_int[5]_net_1\, 
        \digit_int_ns_i_2[9]\, \digit_int_ns_i_a2_1[8]\, 
        \digit_int_ns_i_2[8]\, \digit_int_ns_i_2[7]\, 
        \digit_int_ns_i_a2_1[6]\, \digit_int_ns_i_2[6]\, 
        \digit_int_ns_i_2[5]\, \digit_int_ns_i_a2_1[4]\, 
        \digit_int_ns_i_2[4]\, \digit_int_ns_i_2[3]\, 
        \digit_int_ns_i_a2_1[2]\, \digit_int_ns_i_2[2]\, 
        \digit_int_ns_i_2[1]\, \digit_int_ns_i_a2_1[0]\, 
        \digit_int_ns_i_2[0]\, \digit_int[1]_net_1\, 
        \digit_int[3]_net_1\, \digit_int[9]_net_1\, \VCC\, \GND\, 
        GND_net_1, VCC_net_1 : std_logic;

begin 

    carry_in_i_1 <= \carry_in_i_1\;

    \digit_int_ns_i[7]\ : OA1B
      port map(A => un11_i_a2(0), B => carry_in_i_1_0, C => 
        \digit_int_ns_i_a2_1[6]\, Y => \digit_int_ns_i_2[7]\);
    
    \digit_int[8]\ : DFN1C0
      port map(D => \digit_int_ns_i_2[1]\, CLK => GLB_c, CLR => 
        BCD_clear_n_2, Q => \digit_int[8]_net_1\);
    
    \digit_int_ns_i_a2[4]\ : NOR2
      port map(A => \digit_int[7]_net_1\, B => 
        \digit_int[2]_net_1\, Y => \digit_int_ns_i_a2_1[4]\);
    
    \digit_int_ns_i[6]\ : NOR3
      port map(A => un11_i_a2(0), B => carry_in_i_1_0, C => 
        \digit_int_ns_i_a2_1[6]\, Y => \digit_int_ns_i_2[6]\);
    
    \digit_int[6]\ : DFN1C0
      port map(D => \digit_int_ns_i_2[3]\, CLK => GLB_c, CLR => 
        BCD_clear_n, Q => \digit_int[6]_net_1\);
    
    \digit_int[7]\ : DFN1C0
      port map(D => \digit_int_ns_i_2[2]\, CLK => GLB_c, CLR => 
        BCD_clear_n_2, Q => \digit_int[7]_net_1\);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    \un11_i_a2_2[3]\ : NOR3
      port map(A => \digit_int[2]_net_1\, B => 
        \digit_int[4]_net_1\, C => \digit_int[0]_net_1\, Y => 
        \un11_i_a2_2[3]_net_1\);
    
    \digit_int_ns_i_a2[2]\ : NOR2
      port map(A => \digit_int[8]_net_1\, B => 
        \digit_int[3]_net_1\, Y => \digit_int_ns_i_a2_1[2]\);
    
    \un11_i_a2[0]\ : OR2
      port map(A => \digit_int[1]_net_1\, B => 
        \digit_int[0]_net_1\, Y => un11_i_a2_1(0));
    
    \un11_i_a2[2]\ : OR3
      port map(A => \digit_int[6]_net_1\, B => 
        \digit_int[7]_net_1\, C => \un11_i_a2_0_2[2]\, Y => N_64);
    
    \un11_i_a2[3]\ : OR3A
      port map(A => \un11_i_a2_2[3]_net_1\, B => 
        \digit_int[6]_net_1\, C => \digit_int[8]_net_1\, Y => 
        N_63_i_0);
    
    \digit_int[3]\ : DFN1C0
      port map(D => \digit_int_ns_i_2[6]\, CLK => GLB_c, CLR => 
        BCD_clear_n, Q => \digit_int[3]_net_1\);
    
    \digit_int_ns_i_a2[8]\ : NOR2
      port map(A => \digit_int[5]_net_1\, B => 
        \digit_int[0]_net_1\, Y => \digit_int_ns_i_a2_1[8]\);
    
    \un11_i_a2_0[2]\ : OR2
      port map(A => \digit_int[3]_net_1\, B => 
        \digit_int[2]_net_1\, Y => \un11_i_a2_0_2[2]\);
    
    \un11_i_a2[1]\ : OR2
      port map(A => \carry_in_i_1\, B => \digit_int[5]_net_1\, Y
         => N_65);
    
    \digit_int[2]\ : DFN1C0
      port map(D => \digit_int_ns_i_2[7]\, CLK => GLB_c, CLR => 
        BCD_clear_n, Q => \digit_int[2]_net_1\);
    
    \digit_int_ns_i[5]\ : OA1B
      port map(A => un11_i_a2(0), B => carry_in_i_1_0, C => 
        \digit_int_ns_i_a2_1[4]\, Y => \digit_int_ns_i_2[5]\);
    
    GND_i : GND
      port map(Y => \GND\);
    
    carry_out_1_i_a2_1 : OR2
      port map(A => \digit_int[4]_net_1\, B => \un11_i_a2_0_2[2]\, 
        Y => \carry_in_i_1\);
    
    \digit_int_ns_i[1]\ : OA1B
      port map(A => un11_i_a2(0), B => carry_in_i_1_0, C => 
        \digit_int_ns_i_a2_1[0]\, Y => \digit_int_ns_i_2[1]\);
    
    \digit_int[1]\ : DFN1C0
      port map(D => \digit_int_ns_i_2[8]\, CLK => GLB_c, CLR => 
        BCD_clear_n, Q => \digit_int[1]_net_1\);
    
    \digit_int_ns_i[3]\ : OA1B
      port map(A => un11_i_a2(0), B => carry_in_i_1_0, C => 
        \digit_int_ns_i_a2_1[2]\, Y => \digit_int_ns_i_2[3]\);
    
    \digit_int[5]\ : DFN1C0
      port map(D => \digit_int_ns_i_2[4]\, CLK => GLB_c, CLR => 
        BCD_clear_n, Q => \digit_int[5]_net_1\);
    
    \digit_int[0]\ : DFN1C0
      port map(D => \digit_int_ns_i_2[9]\, CLK => GLB_c, CLR => 
        BCD_clear_n, Q => \digit_int[0]_net_1\);
    
    \digit_int_ns_i[9]\ : OA1B
      port map(A => un11_i_a2(0), B => carry_in_i_1_0, C => 
        \digit_int_ns_i_a2_1[8]\, Y => \digit_int_ns_i_2[9]\);
    
    \digit_int_ns_i[0]\ : NOR3
      port map(A => un11_i_a2(0), B => carry_in_i_1_0, C => 
        \digit_int_ns_i_a2_1[0]\, Y => \digit_int_ns_i_2[0]\);
    
    \digit_int_ns_i[4]\ : NOR3
      port map(A => un11_i_a2(0), B => carry_in_i_1_0, C => 
        \digit_int_ns_i_a2_1[4]\, Y => \digit_int_ns_i_2[4]\);
    
    \digit_int_ns_i[2]\ : NOR3
      port map(A => un11_i_a2(0), B => carry_in_i_1_0, C => 
        \digit_int_ns_i_a2_1[2]\, Y => \digit_int_ns_i_2[2]\);
    
    \digit_int_ns_i_a2[0]\ : NOR2
      port map(A => \digit_int[9]_net_1\, B => 
        \digit_int[4]_net_1\, Y => \digit_int_ns_i_a2_1[0]\);
    
    \digit_int_ns_i_a2[6]\ : NOR2
      port map(A => \digit_int[6]_net_1\, B => 
        \digit_int[1]_net_1\, Y => \digit_int_ns_i_a2_1[6]\);
    
    \digit_int[4]\ : DFN1C0
      port map(D => \digit_int_ns_i_2[5]\, CLK => GLB_c, CLR => 
        BCD_clear_n, Q => \digit_int[4]_net_1\);
    
    \digit_int_ns_i[8]\ : NOR3
      port map(A => un11_i_a2(0), B => carry_in_i_1_0, C => 
        \digit_int_ns_i_a2_1[8]\, Y => \digit_int_ns_i_2[8]\);
    
    \digit_int[9]\ : DFN1P0
      port map(D => \digit_int_ns_i_2[0]\, CLK => GLB_c, PRE => 
        BCD_clear_n_2, Q => \digit_int[9]_net_1\);
    
    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity BCD_digit_2 is

    port(un11_i_a2_0 : out std_logic_vector(0 to 0); un11_i_a2_1
         : in std_logic_vector(0 to 0); BCD_clear_n_2, 
        BCD_clear_n_1, GLB_c, carry_in_i_1_0 : in std_logic; N_65, 
        carry_in_i_1, N_64, N_63_i_0 : out std_logic);

end BCD_digit_2;

architecture DEF_ARCH of BCD_digit_2 is 

  component OA1B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component DFN1C0
    port(D, CLK, CLR : in std_logic := 'U'; Q : out std_logic);
  end component;

  component NOR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR3
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component VCC
    port(Y : out std_logic);
  end component;

  component OR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR3
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR3A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component DFN1P0
    port(D, CLK, PRE : in std_logic := 'U'; Q : out std_logic);
  end component;

    signal \carry_in_i_1\, \un11_i_a2_2[3]_net_1\, 
        \digit_int[2]_net_1\, \digit_int[4]_net_1\, 
        \digit_int[0]_net_1\, \digit_int[6]_net_1\, 
        \digit_int[8]_net_1\, \digit_int[7]_net_1\, 
        \un11_i_a2_0_1[2]\, \digit_int[5]_net_1\, 
        \digit_int_ns_i_1[9]\, \digit_int_ns_i_a2_0[8]\, 
        \digit_int_ns_i_1[8]\, \digit_int_ns_i_1[7]\, 
        \digit_int_ns_i_a2_0[6]\, \digit_int_ns_i_1[6]\, 
        \digit_int_ns_i_1[5]\, \digit_int_ns_i_a2_0[4]\, 
        \digit_int_ns_i_1[4]\, \digit_int_ns_i_1[3]\, 
        \digit_int_ns_i_a2_0[2]\, \digit_int_ns_i_1[2]\, 
        \digit_int_ns_i_1[1]\, \digit_int_ns_i_a2_0[0]\, 
        \digit_int_ns_i_1[0]\, \digit_int[1]_net_1\, 
        \digit_int[3]_net_1\, \digit_int[9]_net_1\, \VCC\, \GND\, 
        GND_net_1, VCC_net_1 : std_logic;

begin 

    carry_in_i_1 <= \carry_in_i_1\;

    \digit_int_ns_i[7]\ : OA1B
      port map(A => un11_i_a2_1(0), B => carry_in_i_1_0, C => 
        \digit_int_ns_i_a2_0[6]\, Y => \digit_int_ns_i_1[7]\);
    
    \digit_int[8]\ : DFN1C0
      port map(D => \digit_int_ns_i_1[1]\, CLK => GLB_c, CLR => 
        BCD_clear_n_1, Q => \digit_int[8]_net_1\);
    
    \digit_int_ns_i_a2[4]\ : NOR2
      port map(A => \digit_int[7]_net_1\, B => 
        \digit_int[2]_net_1\, Y => \digit_int_ns_i_a2_0[4]\);
    
    \digit_int_ns_i[6]\ : NOR3
      port map(A => un11_i_a2_1(0), B => carry_in_i_1_0, C => 
        \digit_int_ns_i_a2_0[6]\, Y => \digit_int_ns_i_1[6]\);
    
    \digit_int[6]\ : DFN1C0
      port map(D => \digit_int_ns_i_1[3]\, CLK => GLB_c, CLR => 
        BCD_clear_n_2, Q => \digit_int[6]_net_1\);
    
    \digit_int[7]\ : DFN1C0
      port map(D => \digit_int_ns_i_1[2]\, CLK => GLB_c, CLR => 
        BCD_clear_n_2, Q => \digit_int[7]_net_1\);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    \un11_i_a2_2[3]\ : NOR3
      port map(A => \digit_int[2]_net_1\, B => 
        \digit_int[4]_net_1\, C => \digit_int[0]_net_1\, Y => 
        \un11_i_a2_2[3]_net_1\);
    
    \digit_int_ns_i_a2[2]\ : NOR2
      port map(A => \digit_int[8]_net_1\, B => 
        \digit_int[3]_net_1\, Y => \digit_int_ns_i_a2_0[2]\);
    
    \un11_i_a2[0]\ : OR2
      port map(A => \digit_int[1]_net_1\, B => 
        \digit_int[0]_net_1\, Y => un11_i_a2_0(0));
    
    \un11_i_a2[2]\ : OR3
      port map(A => \digit_int[6]_net_1\, B => 
        \digit_int[7]_net_1\, C => \un11_i_a2_0_1[2]\, Y => N_64);
    
    \un11_i_a2[3]\ : OR3A
      port map(A => \un11_i_a2_2[3]_net_1\, B => 
        \digit_int[6]_net_1\, C => \digit_int[8]_net_1\, Y => 
        N_63_i_0);
    
    \digit_int[3]\ : DFN1C0
      port map(D => \digit_int_ns_i_1[6]\, CLK => GLB_c, CLR => 
        BCD_clear_n_2, Q => \digit_int[3]_net_1\);
    
    \digit_int_ns_i_a2[8]\ : NOR2
      port map(A => \digit_int[5]_net_1\, B => 
        \digit_int[0]_net_1\, Y => \digit_int_ns_i_a2_0[8]\);
    
    \un11_i_a2_0[2]\ : OR2
      port map(A => \digit_int[3]_net_1\, B => 
        \digit_int[2]_net_1\, Y => \un11_i_a2_0_1[2]\);
    
    \un11_i_a2[1]\ : OR2
      port map(A => \carry_in_i_1\, B => \digit_int[5]_net_1\, Y
         => N_65);
    
    \digit_int[2]\ : DFN1C0
      port map(D => \digit_int_ns_i_1[7]\, CLK => GLB_c, CLR => 
        BCD_clear_n_2, Q => \digit_int[2]_net_1\);
    
    \digit_int_ns_i[5]\ : OA1B
      port map(A => un11_i_a2_1(0), B => carry_in_i_1_0, C => 
        \digit_int_ns_i_a2_0[4]\, Y => \digit_int_ns_i_1[5]\);
    
    GND_i : GND
      port map(Y => \GND\);
    
    carry_out_1_i_a2_1 : OR2
      port map(A => \digit_int[4]_net_1\, B => \un11_i_a2_0_1[2]\, 
        Y => \carry_in_i_1\);
    
    \digit_int_ns_i[1]\ : OA1B
      port map(A => un11_i_a2_1(0), B => carry_in_i_1_0, C => 
        \digit_int_ns_i_a2_0[0]\, Y => \digit_int_ns_i_1[1]\);
    
    \digit_int[1]\ : DFN1C0
      port map(D => \digit_int_ns_i_1[8]\, CLK => GLB_c, CLR => 
        BCD_clear_n_2, Q => \digit_int[1]_net_1\);
    
    \digit_int_ns_i[3]\ : OA1B
      port map(A => un11_i_a2_1(0), B => carry_in_i_1_0, C => 
        \digit_int_ns_i_a2_0[2]\, Y => \digit_int_ns_i_1[3]\);
    
    \digit_int[5]\ : DFN1C0
      port map(D => \digit_int_ns_i_1[4]\, CLK => GLB_c, CLR => 
        BCD_clear_n_2, Q => \digit_int[5]_net_1\);
    
    \digit_int[0]\ : DFN1C0
      port map(D => \digit_int_ns_i_1[9]\, CLK => GLB_c, CLR => 
        BCD_clear_n_2, Q => \digit_int[0]_net_1\);
    
    \digit_int_ns_i[9]\ : OA1B
      port map(A => un11_i_a2_1(0), B => carry_in_i_1_0, C => 
        \digit_int_ns_i_a2_0[8]\, Y => \digit_int_ns_i_1[9]\);
    
    \digit_int_ns_i[0]\ : NOR3
      port map(A => un11_i_a2_1(0), B => carry_in_i_1_0, C => 
        \digit_int_ns_i_a2_0[0]\, Y => \digit_int_ns_i_1[0]\);
    
    \digit_int_ns_i[4]\ : NOR3
      port map(A => un11_i_a2_1(0), B => carry_in_i_1_0, C => 
        \digit_int_ns_i_a2_0[4]\, Y => \digit_int_ns_i_1[4]\);
    
    \digit_int_ns_i[2]\ : NOR3
      port map(A => un11_i_a2_1(0), B => carry_in_i_1_0, C => 
        \digit_int_ns_i_a2_0[2]\, Y => \digit_int_ns_i_1[2]\);
    
    \digit_int_ns_i_a2[0]\ : NOR2
      port map(A => \digit_int[9]_net_1\, B => 
        \digit_int[4]_net_1\, Y => \digit_int_ns_i_a2_0[0]\);
    
    \digit_int_ns_i_a2[6]\ : NOR2
      port map(A => \digit_int[6]_net_1\, B => 
        \digit_int[1]_net_1\, Y => \digit_int_ns_i_a2_0[6]\);
    
    \digit_int[4]\ : DFN1C0
      port map(D => \digit_int_ns_i_1[5]\, CLK => GLB_c, CLR => 
        BCD_clear_n_2, Q => \digit_int[4]_net_1\);
    
    \digit_int_ns_i[8]\ : NOR3
      port map(A => un11_i_a2_1(0), B => carry_in_i_1_0, C => 
        \digit_int_ns_i_a2_0[8]\, Y => \digit_int_ns_i_1[8]\);
    
    \digit_int[9]\ : DFN1P0
      port map(D => \digit_int_ns_i_1[0]\, CLK => GLB_c, PRE => 
        BCD_clear_n_1, Q => \digit_int[9]_net_1\);
    
    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity formatter is

    port(ADC_counts_bus_c : in std_logic_vector(11 downto 0); 
        formatted_data_0, formatted_data_3, formatted_data_9, 
        formatted_data_8, formatted_data_7, formatted_data_6, 
        formatted_data_41, formatted_data_40, formatted_data_39, 
        formatted_data_38, formatted_data_17, formatted_data_16, 
        formatted_data_15, formatted_data_14, formatted_data_25, 
        formatted_data_24, formatted_data_23, formatted_data_22 : 
        out std_logic; \VCC\, \GND\, SYS_RESET_global, GLB_c : in
         std_logic);

end formatter;

architecture DEF_ARCH of formatter is 

  component INV
    port(A : in std_logic := 'U'; Y : out std_logic);
  end component;

  component DFN1E1C0
    port(D, CLK, CLR, E : in std_logic := 'U'; Q : out std_logic);
        
  end component;

  component DFN1E0C0
    port(D, CLK, CLR, E : in std_logic := 'U'; Q : out std_logic);
        
  end component;

  component OR2A
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component DFN1C0
    port(D, CLK, CLR : in std_logic := 'U'; Q : out std_logic);
  end component;

  component OR2B
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR2B
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component MX2
    port(A, B, S : in std_logic := 'U'; Y : out std_logic);
  end component;

  component BCD_digit
    port(un11_i_a2 : out std_logic_vector(0 to 0); BCD_input_reg
         : in std_logic_vector(15 to 15) := (others => 'U'); 
        BCD_clear_n_0, GLB_c : in std_logic := 'U'; N_65, 
        carry_in_i_1, N_64, N_63_i_0 : out std_logic);
  end component;

  component VCC
    port(Y : out std_logic);
  end component;

  component NOR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AND3
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component XOR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component BCD_digit_1
    port(un11_i_a2_0 : 
        in std_logic_vector(0 to 0) := (others => 'U'); 
        BCD_clear_n_1, BCD_clear_n_0, GLB_c, carry_in_i_1 : in
         std_logic := 'U'; N_73, N_64, N_65, N_63_i_0 : out
         std_logic);
  end component;

  component NOR3B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component BCD_digit_3
    port(un11_i_a2_1 : out std_logic_vector(0 to 0); un11_i_a2 : 
        in std_logic_vector(0 to 0) := (others => 'U'); 
        BCD_clear_n, BCD_clear_n_2, GLB_c, carry_in_i_1_0 : in
         std_logic := 'U'; N_65, carry_in_i_1, N_64, N_63_i_0 : 
        out std_logic);
  end component;

  component BCD_digit_2
    port(un11_i_a2_0 : out std_logic_vector(0 to 0); un11_i_a2_1
         : in std_logic_vector(0 to 0) := (others => 'U'); 
        BCD_clear_n_2, BCD_clear_n_1, GLB_c, carry_in_i_1_0 : in
         std_logic := 'U'; N_65, carry_in_i_1, N_64, N_63_i_0 : 
        out std_logic);
  end component;

  component DFN1P0
    port(D, CLK, PRE : in std_logic := 'U'; Q : out std_logic);
  end component;

  component NOR2A
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR3A
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

    signal VCC_net_1, GND_net_1, un2_bcd_shiftcount_1_0, 
        un2_bcd_shiftcount_0, \BCD_shiftcount[0]_net_1\, 
        \BCD_clear_n_2\, un10_bcd_shiftcount, \BCD_clear_n_1\, 
        \BCD_clear_n_0\, un2_bcd_shiftcount_1, 
        un2_bcd_shiftcount_0_0, un9_bcd_shiftcount_0_0, 
        un9_bcd_shiftcount_1, un9_bcd_shiftcount_0, 
        \BCD_shiftcount[4]_net_1\, \BCD_shiftcount[3]_net_1\, 
        \BCD_shiftcount[2]_net_1\, \BCD_shiftcount[1]_net_1\, 
        un2_bcd_shiftcount, un9_bcd_shiftcount, 
        \BCD_input_reg_4[13]\, \BCD_input_reg[12]_net_1\, 
        \BCD_input_reg_4[12]\, \scaled_input[12]_net_1\, 
        \BCD_input_reg[11]_net_1\, \BCD_input_reg_4[11]\, 
        \scaled_input[11]_net_1\, \BCD_input_reg[10]_net_1\, 
        \BCD_input_reg_4[10]\, \scaled_input[10]_net_1\, 
        \BCD_input_reg[9]_net_1\, \BCD_input_reg_4[9]\, 
        \scaled_input[9]_net_1\, \BCD_input_reg[8]_net_1\, 
        \BCD_input_reg_4[8]\, \scaled_input[8]_net_1\, 
        \BCD_input_reg[7]_net_1\, \BCD_input_reg_4[7]\, 
        \scaled_input[7]_net_1\, \BCD_input_reg[6]_net_1\, 
        \BCD_shiftcount_3[1]_net_1\, I_5_0, 
        \BCD_shiftcount_3[4]_net_1\, I_20_0, \BCD_input_reg_4[6]\, 
        \scaled_input[6]_net_1\, \BCD_input_reg[5]_net_1\, 
        \BCD_input_reg_4[5]\, \scaled_input[5]_net_1\, 
        \BCD_input_reg[4]_net_1\, \BCD_input_reg_4[4]\, 
        \scaled_input[4]_net_1\, \BCD_input_reg[3]_net_1\, 
        \BCD_input_reg_4[3]\, \scaled_input[3]_net_1\, 
        \BCD_input_reg[2]_net_1\, \BCD_input_reg_4[2]\, 
        \scaled_input[2]_net_1\, \BCD_input_reg[1]_net_1\, 
        \BCD_input_reg_4[1]\, \scaled_input[1]_net_1\, 
        \BCD_input_reg[0]_net_1\, \BCD_input_reg_39\, 
        \BCD_input_reg_4[14]\, \BCD_input_reg[13]_net_1\, 
        \BCD_input_reg_4[15]\, \BCD_input_reg[14]_net_1\, 
        \BCD_clear_n\, \BCD_input_reg[15]_net_1\, \data_out_7[8]\, 
        N_63_i_0, \data_out_7[9]\, N_64, \data_out_7[10]\, N_65, 
        \data_out_7[11]\, \un11_i_a2[0]\, \data_out_7[16]\, 
        N_63_i_0_0, \data_out_7[17]\, N_64_0, \data_out_7[18]\, 
        N_65_0, \data_out_7[19]\, \un11_i_a2_1[0]\, 
        \data_out_7[24]\, N_63_i_0_1, \data_out_7[25]\, N_64_1, 
        \data_out_7[26]\, N_65_1, \data_out_7[27]\, 
        \un11_i_a2_0[0]\, \data_out_7[40]\, N_63_i_0_2, 
        \data_out_7[41]\, N_64_2, \data_out_7[42]\, N_65_2, 
        \data_out_7[43]\, N_73, I_4, I_9_0, I_13_0, N_12, N_4, 
        \DWACT_FINC_E[0]\, N_9, carry_in_i_1, carry_in_i_1_0, 
        carry_in_i_1_1, GND_net_2, VCC_net_2 : std_logic;

    for all : BCD_digit
	Use entity work.BCD_digit(DEF_ARCH);
    for all : BCD_digit_1
	Use entity work.BCD_digit_1(DEF_ARCH);
    for all : BCD_digit_3
	Use entity work.BCD_digit_3(DEF_ARCH);
    for all : BCD_digit_2
	Use entity work.BCD_digit_2(DEF_ARCH);
begin 

    VCC_net_1 <= \VCC\;
    GND_net_1 <= \GND\;

    un4_bcd_shiftcount_I_4 : INV
      port map(A => \BCD_shiftcount[0]_net_1\, Y => I_4);
    
    \BCD_input_reg[8]\ : DFN1E1C0
      port map(D => \BCD_input_reg_4[8]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => un9_bcd_shiftcount, Q => 
        \BCD_input_reg[8]_net_1\);
    
    \BCD_input_reg[4]\ : DFN1E1C0
      port map(D => \BCD_input_reg_4[4]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => un9_bcd_shiftcount_0_0, Q => 
        \BCD_input_reg[4]_net_1\);
    
    \BCD_counts_reg[0]\ : DFN1E0C0
      port map(D => N_63_i_0, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => un2_bcd_shiftcount_1, Q => 
        \data_out_7[8]\);
    
    to_BCD_un2_bcd_shiftcount_0_0 : OR2A
      port map(A => un2_bcd_shiftcount_0, B => 
        \BCD_shiftcount[0]_net_1\, Y => un2_bcd_shiftcount_0_0);
    
    \BCD_input_reg[6]\ : DFN1E1C0
      port map(D => \BCD_input_reg_4[6]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => un9_bcd_shiftcount_0_0, Q => 
        \BCD_input_reg[6]_net_1\);
    
    \scaled_input[12]\ : DFN1C0
      port map(D => ADC_counts_bus_c(11), CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => \scaled_input[12]_net_1\);
    
    to_BCD_un10_bcd_shiftcount : OR2B
      port map(A => un9_bcd_shiftcount_0_0, B => 
        un2_bcd_shiftcount_0_0, Y => un10_bcd_shiftcount);
    
    \BCD_shiftcount_3[4]\ : NOR2B
      port map(A => I_20_0, B => un9_bcd_shiftcount_0_0, Y => 
        \BCD_shiftcount_3[4]_net_1\);
    
    to_BCD_un2_bcd_shiftcount_1 : OR2A
      port map(A => un2_bcd_shiftcount_0, B => 
        \BCD_shiftcount[0]_net_1\, Y => un2_bcd_shiftcount_1);
    
    \BCD_counts_reg[1]\ : DFN1E0C0
      port map(D => N_64, CLK => GLB_c, CLR => SYS_RESET_global, 
        E => un2_bcd_shiftcount_1, Q => \data_out_7[9]\);
    
    \to_BCD_BCD_input_reg_4[11]\ : MX2
      port map(A => \scaled_input[11]_net_1\, B => 
        \BCD_input_reg[10]_net_1\, S => un2_bcd_shiftcount_0_0, Y
         => \BCD_input_reg_4[11]\);
    
    \scaled_input[11]\ : DFN1C0
      port map(D => ADC_counts_bus_c(10), CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => \scaled_input[11]_net_1\);
    
    BCD_digit_inst_1_char : BCD_digit
      port map(un11_i_a2(0) => \un11_i_a2[0]\, BCD_input_reg(15)
         => \BCD_input_reg[15]_net_1\, BCD_clear_n_0 => 
        \BCD_clear_n_0\, GLB_c => GLB_c, N_65 => N_65, 
        carry_in_i_1 => carry_in_i_1, N_64 => N_64, N_63_i_0 => 
        N_63_i_0);
    
    \data_out_1[24]\ : DFN1C0
      port map(D => \data_out_7[24]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => formatted_data_22);
    
    to_BCD_un9_bcd_shiftcount : OR2B
      port map(A => un9_bcd_shiftcount_1, B => 
        un9_bcd_shiftcount_0, Y => un9_bcd_shiftcount);
    
    \to_BCD_BCD_input_reg_4[5]\ : MX2
      port map(A => \scaled_input[5]_net_1\, B => 
        \BCD_input_reg[4]_net_1\, S => un2_bcd_shiftcount_0_0, Y
         => \BCD_input_reg_4[5]\);
    
    \scaled_input[10]\ : DFN1C0
      port map(D => ADC_counts_bus_c(9), CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => \scaled_input[10]_net_1\);
    
    \BCD_input_reg[9]\ : DFN1E1C0
      port map(D => \BCD_input_reg_4[9]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => un9_bcd_shiftcount, Q => 
        \BCD_input_reg[9]_net_1\);
    
    \BCD_input_reg[0]\ : DFN1C0
      port map(D => \BCD_input_reg_39\, CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => \BCD_input_reg[0]_net_1\);
    
    \to_BCD_BCD_input_reg_4[8]\ : MX2
      port map(A => \scaled_input[8]_net_1\, B => 
        \BCD_input_reg[7]_net_1\, S => un2_bcd_shiftcount_0_0, Y
         => \BCD_input_reg_4[8]\);
    
    \data_out_1[6]\ : DFN1C0
      port map(D => VCC_net_1, CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => formatted_data_0);
    
    to_BCD_un9_bcd_shiftcount_0_0 : OR2B
      port map(A => un9_bcd_shiftcount_1, B => 
        un9_bcd_shiftcount_0, Y => un9_bcd_shiftcount_0_0);
    
    \data_out_1[18]\ : DFN1C0
      port map(D => \data_out_7[18]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => formatted_data_16);
    
    VCC_i : VCC
      port map(Y => VCC_net_1);
    
    \to_BCD_BCD_input_reg_4[13]\ : NOR2B
      port map(A => un2_bcd_shiftcount_0_0, B => 
        \BCD_input_reg[12]_net_1\, Y => \BCD_input_reg_4[13]\);
    
    \scaled_input[1]\ : DFN1C0
      port map(D => ADC_counts_bus_c(0), CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => \scaled_input[1]_net_1\);
    
    \BCD_input_reg[5]\ : DFN1E1C0
      port map(D => \BCD_input_reg_4[5]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => un9_bcd_shiftcount_0_0, Q => 
        \BCD_input_reg[5]_net_1\);
    
    \BCD_input_reg[13]\ : DFN1E1C0
      port map(D => \BCD_input_reg_4[13]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => un9_bcd_shiftcount, Q => 
        \BCD_input_reg[13]_net_1\);
    
    BCD_clear_n_0 : DFN1E1C0
      port map(D => un2_bcd_shiftcount_1_0, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => un10_bcd_shiftcount, Q => 
        \BCD_clear_n_0\);
    
    \data_out_1[8]\ : DFN1C0
      port map(D => \data_out_7[8]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => formatted_data_6);
    
    \to_BCD_BCD_input_reg_4[12]\ : MX2
      port map(A => \scaled_input[12]_net_1\, B => 
        \BCD_input_reg[11]_net_1\, S => un2_bcd_shiftcount_0_0, Y
         => \BCD_input_reg_4[12]\);
    
    \BCD_counts_reg[8]\ : DFN1E0C0
      port map(D => N_63_i_0_1, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => un2_bcd_shiftcount, Q => 
        \data_out_7[24]\);
    
    to_BCD_un2_bcd_shiftcount : OR2A
      port map(A => un2_bcd_shiftcount_0, B => 
        \BCD_shiftcount[0]_net_1\, Y => un2_bcd_shiftcount);
    
    \scaled_input[3]\ : DFN1C0
      port map(D => ADC_counts_bus_c(2), CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => \scaled_input[3]_net_1\);
    
    \BCD_input_reg[14]\ : DFN1E1C0
      port map(D => \BCD_input_reg_4[14]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => un9_bcd_shiftcount, Q => 
        \BCD_input_reg[14]_net_1\);
    
    \BCD_input_reg[12]\ : DFN1E1C0
      port map(D => \BCD_input_reg_4[12]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => un9_bcd_shiftcount, Q => 
        \BCD_input_reg[12]_net_1\);
    
    \BCD_counts_reg[11]\ : DFN1E0C0
      port map(D => \un11_i_a2_0[0]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => un2_bcd_shiftcount, Q => 
        \data_out_7[27]\);
    
    to_BCD_un9_bcd_shiftcount_0 : NOR2
      port map(A => \BCD_shiftcount[2]_net_1\, B => 
        \BCD_shiftcount[1]_net_1\, Y => un9_bcd_shiftcount_0);
    
    \scaled_input[2]\ : DFN1C0
      port map(D => ADC_counts_bus_c(1), CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => \scaled_input[2]_net_1\);
    
    \BCD_counts_reg[3]\ : DFN1E0C0
      port map(D => \un11_i_a2[0]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => un2_bcd_shiftcount_1_0, Q => 
        \data_out_7[11]\);
    
    \BCD_counts_reg[12]\ : DFN1E0C0
      port map(D => N_63_i_0_2, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => un2_bcd_shiftcount, Q => 
        \data_out_7[40]\);
    
    \to_BCD_BCD_input_reg_4[15]\ : NOR2B
      port map(A => un2_bcd_shiftcount_1, B => 
        \BCD_input_reg[14]_net_1\, Y => \BCD_input_reg_4[15]\);
    
    \data_out_1[25]\ : DFN1C0
      port map(D => \data_out_7[25]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => formatted_data_23);
    
    un4_bcd_shiftcount_I_12 : AND3
      port map(A => \BCD_shiftcount[0]_net_1\, B => 
        \BCD_shiftcount[1]_net_1\, C => \BCD_shiftcount[2]_net_1\, 
        Y => N_9);
    
    \scaled_input[8]\ : DFN1C0
      port map(D => ADC_counts_bus_c(7), CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => \scaled_input[8]_net_1\);
    
    \BCD_counts_reg[10]\ : DFN1E0C0
      port map(D => N_65_1, CLK => GLB_c, CLR => SYS_RESET_global, 
        E => un2_bcd_shiftcount, Q => \data_out_7[26]\);
    
    BCD_clear_n : DFN1E1C0
      port map(D => un2_bcd_shiftcount_1, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => un10_bcd_shiftcount, Q => 
        \BCD_clear_n\);
    
    \BCD_counts_reg[6]\ : DFN1E0C0
      port map(D => N_65_0, CLK => GLB_c, CLR => SYS_RESET_global, 
        E => un2_bcd_shiftcount_1_0, Q => \data_out_7[18]\);
    
    \BCD_counts_reg[13]\ : DFN1E0C0
      port map(D => N_64_2, CLK => GLB_c, CLR => SYS_RESET_global, 
        E => un2_bcd_shiftcount, Q => \data_out_7[41]\);
    
    un4_bcd_shiftcount_I_16 : AND3
      port map(A => \BCD_shiftcount[0]_net_1\, B => 
        \BCD_shiftcount[1]_net_1\, C => \BCD_shiftcount[2]_net_1\, 
        Y => \DWACT_FINC_E[0]\);
    
    to_BCD_un2_bcd_shiftcount_1_0 : OR2A
      port map(A => un2_bcd_shiftcount_0, B => 
        \BCD_shiftcount[0]_net_1\, Y => un2_bcd_shiftcount_1_0);
    
    \BCD_shiftcount[4]\ : DFN1C0
      port map(D => \BCD_shiftcount_3[4]_net_1\, CLK => GLB_c, 
        CLR => SYS_RESET_global, Q => \BCD_shiftcount[4]_net_1\);
    
    un4_bcd_shiftcount_I_5 : XOR2
      port map(A => \BCD_shiftcount[0]_net_1\, B => 
        \BCD_shiftcount[1]_net_1\, Y => I_5_0);
    
    \to_BCD_BCD_input_reg_4[2]\ : MX2
      port map(A => \scaled_input[2]_net_1\, B => 
        \BCD_input_reg[1]_net_1\, S => un2_bcd_shiftcount_1, Y
         => \BCD_input_reg_4[2]\);
    
    \data_out_1[17]\ : DFN1C0
      port map(D => \data_out_7[17]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => formatted_data_15);
    
    \data_out_1[27]\ : DFN1C0
      port map(D => \data_out_7[27]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => formatted_data_25);
    
    \scaled_input[9]\ : DFN1C0
      port map(D => ADC_counts_bus_c(8), CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => \scaled_input[9]_net_1\);
    
    \BCD_shiftcount[0]\ : DFN1C0
      port map(D => I_4, CLK => GLB_c, CLR => SYS_RESET_global, Q
         => \BCD_shiftcount[0]_net_1\);
    
    \scaled_input[4]\ : DFN1C0
      port map(D => ADC_counts_bus_c(3), CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => \scaled_input[4]_net_1\);
    
    \data_out_1[41]\ : DFN1C0
      port map(D => \data_out_7[41]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => formatted_data_39);
    
    BCD_digit_inst_4_char : BCD_digit_1
      port map(un11_i_a2_0(0) => \un11_i_a2_0[0]\, BCD_clear_n_1
         => \BCD_clear_n_1\, BCD_clear_n_0 => \BCD_clear_n_0\, 
        GLB_c => GLB_c, carry_in_i_1 => carry_in_i_1_0, N_73 => 
        N_73, N_64 => N_64_2, N_65 => N_65_2, N_63_i_0 => 
        N_63_i_0_2);
    
    to_BCD_un9_bcd_shiftcount_1 : NOR3B
      port map(A => \BCD_shiftcount[4]_net_1\, B => 
        \BCD_shiftcount[0]_net_1\, C => \BCD_shiftcount[3]_net_1\, 
        Y => un9_bcd_shiftcount_1);
    
    \data_out_1[16]\ : DFN1C0
      port map(D => \data_out_7[16]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => formatted_data_14);
    
    \BCD_counts_reg[9]\ : DFN1E0C0
      port map(D => N_64_1, CLK => GLB_c, CLR => SYS_RESET_global, 
        E => un2_bcd_shiftcount, Q => \data_out_7[25]\);
    
    \data_out_1[26]\ : DFN1C0
      port map(D => \data_out_7[26]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => formatted_data_24);
    
    \BCD_counts_reg[2]\ : DFN1E0C0
      port map(D => N_65, CLK => GLB_c, CLR => SYS_RESET_global, 
        E => un2_bcd_shiftcount_1_0, Q => \data_out_7[10]\);
    
    \to_BCD_BCD_input_reg_4[4]\ : MX2
      port map(A => \scaled_input[4]_net_1\, B => 
        \BCD_input_reg[3]_net_1\, S => un2_bcd_shiftcount_0_0, Y
         => \BCD_input_reg_4[4]\);
    
    GND_i : GND
      port map(Y => GND_net_1);
    
    \BCD_counts_reg[7]\ : DFN1E0C0
      port map(D => \un11_i_a2_1[0]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => un2_bcd_shiftcount, Q => 
        \data_out_7[19]\);
    
    \data_out_1[11]\ : DFN1C0
      port map(D => \data_out_7[11]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => formatted_data_9);
    
    \data_out_1[9]\ : DFN1C0
      port map(D => \data_out_7[9]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => formatted_data_7);
    
    \data_out_1[40]\ : DFN1C0
      port map(D => \data_out_7[40]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => formatted_data_38);
    
    BCD_digit_inst_2_char : BCD_digit_3
      port map(un11_i_a2_1(0) => \un11_i_a2_1[0]\, un11_i_a2(0)
         => \un11_i_a2[0]\, BCD_clear_n => \BCD_clear_n\, 
        BCD_clear_n_2 => \BCD_clear_n_2\, GLB_c => GLB_c, 
        carry_in_i_1_0 => carry_in_i_1, N_65 => N_65_0, 
        carry_in_i_1 => carry_in_i_1_1, N_64 => N_64_0, N_63_i_0
         => N_63_i_0_0);
    
    BCD_digit_inst_3_char : BCD_digit_2
      port map(un11_i_a2_0(0) => \un11_i_a2_0[0]\, un11_i_a2_1(0)
         => \un11_i_a2_1[0]\, BCD_clear_n_2 => \BCD_clear_n_2\, 
        BCD_clear_n_1 => \BCD_clear_n_1\, GLB_c => GLB_c, 
        carry_in_i_1_0 => carry_in_i_1_1, N_65 => N_65_1, 
        carry_in_i_1 => carry_in_i_1_0, N_64 => N_64_1, N_63_i_0
         => N_63_i_0_1);
    
    \data_out_1[42]\ : DFN1C0
      port map(D => \data_out_7[42]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => formatted_data_40);
    
    \data_out_1[10]\ : DFN1C0
      port map(D => \data_out_7[10]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => formatted_data_8);
    
    \BCD_counts_reg[14]\ : DFN1E0C0
      port map(D => N_65_2, CLK => GLB_c, CLR => SYS_RESET_global, 
        E => un2_bcd_shiftcount, Q => \data_out_7[42]\);
    
    \BCD_counts_reg[4]\ : DFN1E0C0
      port map(D => N_63_i_0_0, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => un2_bcd_shiftcount_1_0, Q => 
        \data_out_7[16]\);
    
    un4_bcd_shiftcount_I_13 : XOR2
      port map(A => N_9, B => \BCD_shiftcount[3]_net_1\, Y => 
        I_13_0);
    
    \scaled_input[6]\ : DFN1C0
      port map(D => ADC_counts_bus_c(5), CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => \scaled_input[6]_net_1\);
    
    \data_out_1[5]\ : DFN1P0
      port map(D => GND_net_1, CLK => GLB_c, PRE => 
        SYS_RESET_global, Q => formatted_data_3);
    
    BCD_input_reg_39 : NOR2A
      port map(A => \BCD_input_reg[0]_net_1\, B => 
        un9_bcd_shiftcount_0_0, Y => \BCD_input_reg_39\);
    
    \BCD_input_reg[7]\ : DFN1E1C0
      port map(D => \BCD_input_reg_4[7]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => un9_bcd_shiftcount, Q => 
        \BCD_input_reg[7]_net_1\);
    
    un4_bcd_shiftcount_I_9 : XOR2
      port map(A => N_12, B => \BCD_shiftcount[2]_net_1\, Y => 
        I_9_0);
    
    un4_bcd_shiftcount_I_20 : XOR2
      port map(A => N_4, B => \BCD_shiftcount[4]_net_1\, Y => 
        I_20_0);
    
    \BCD_shiftcount[2]\ : DFN1C0
      port map(D => I_9_0, CLK => GLB_c, CLR => SYS_RESET_global, 
        Q => \BCD_shiftcount[2]_net_1\);
    
    \BCD_input_reg[2]\ : DFN1E1C0
      port map(D => \BCD_input_reg_4[2]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => un9_bcd_shiftcount_0_0, Q => 
        \BCD_input_reg[2]_net_1\);
    
    \scaled_input[5]\ : DFN1C0
      port map(D => ADC_counts_bus_c(4), CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => \scaled_input[5]_net_1\);
    
    \BCD_shiftcount[3]\ : DFN1C0
      port map(D => I_13_0, CLK => GLB_c, CLR => SYS_RESET_global, 
        Q => \BCD_shiftcount[3]_net_1\);
    
    \BCD_input_reg[1]\ : DFN1E1C0
      port map(D => \BCD_input_reg_4[1]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => un9_bcd_shiftcount_0_0, Q => 
        \BCD_input_reg[1]_net_1\);
    
    \to_BCD_BCD_input_reg_4[9]\ : MX2
      port map(A => \scaled_input[9]_net_1\, B => 
        \BCD_input_reg[8]_net_1\, S => un2_bcd_shiftcount_0_0, Y
         => \BCD_input_reg_4[9]\);
    
    un4_bcd_shiftcount_I_8 : NOR2B
      port map(A => \BCD_shiftcount[1]_net_1\, B => 
        \BCD_shiftcount[0]_net_1\, Y => N_12);
    
    \to_BCD_BCD_input_reg_4[6]\ : MX2
      port map(A => \scaled_input[6]_net_1\, B => 
        \BCD_input_reg[5]_net_1\, S => un2_bcd_shiftcount_0_0, Y
         => \BCD_input_reg_4[6]\);
    
    \BCD_shiftcount[1]\ : DFN1C0
      port map(D => \BCD_shiftcount_3[1]_net_1\, CLK => GLB_c, 
        CLR => SYS_RESET_global, Q => \BCD_shiftcount[1]_net_1\);
    
    \data_out_1[19]\ : DFN1C0
      port map(D => \data_out_7[19]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => formatted_data_17);
    
    un4_bcd_shiftcount_I_19 : NOR2B
      port map(A => \BCD_shiftcount[3]_net_1\, B => 
        \DWACT_FINC_E[0]\, Y => N_4);
    
    \BCD_shiftcount_3[1]\ : NOR2B
      port map(A => I_5_0, B => un9_bcd_shiftcount_0_0, Y => 
        \BCD_shiftcount_3[1]_net_1\);
    
    \scaled_input[7]\ : DFN1C0
      port map(D => ADC_counts_bus_c(6), CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => \scaled_input[7]_net_1\);
    
    \to_BCD_BCD_input_reg_4[10]\ : MX2
      port map(A => \scaled_input[10]_net_1\, B => 
        \BCD_input_reg[9]_net_1\, S => un2_bcd_shiftcount_0_0, Y
         => \BCD_input_reg_4[10]\);
    
    to_BCD_un2_bcd_shiftcount_0 : NOR3A
      port map(A => \BCD_shiftcount[4]_net_1\, B => 
        \BCD_shiftcount[3]_net_1\, C => \BCD_shiftcount[2]_net_1\, 
        Y => un2_bcd_shiftcount_0);
    
    BCD_clear_n_1 : DFN1E1C0
      port map(D => un2_bcd_shiftcount_1_0, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => un10_bcd_shiftcount, Q => 
        \BCD_clear_n_1\);
    
    \to_BCD_BCD_input_reg_4[3]\ : MX2
      port map(A => \scaled_input[3]_net_1\, B => 
        \BCD_input_reg[2]_net_1\, S => un2_bcd_shiftcount_0_0, Y
         => \BCD_input_reg_4[3]\);
    
    \to_BCD_BCD_input_reg_4[14]\ : NOR2B
      port map(A => un2_bcd_shiftcount_1, B => 
        \BCD_input_reg[13]_net_1\, Y => \BCD_input_reg_4[14]\);
    
    \to_BCD_BCD_input_reg_4[7]\ : MX2
      port map(A => \scaled_input[7]_net_1\, B => 
        \BCD_input_reg[6]_net_1\, S => un2_bcd_shiftcount_0_0, Y
         => \BCD_input_reg_4[7]\);
    
    \data_out_1[43]\ : DFN1C0
      port map(D => \data_out_7[43]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => formatted_data_41);
    
    \BCD_input_reg[10]\ : DFN1E1C0
      port map(D => \BCD_input_reg_4[10]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => un9_bcd_shiftcount, Q => 
        \BCD_input_reg[10]_net_1\);
    
    \BCD_counts_reg[15]\ : DFN1E0C0
      port map(D => N_73, CLK => GLB_c, CLR => SYS_RESET_global, 
        E => un2_bcd_shiftcount, Q => \data_out_7[43]\);
    
    \BCD_input_reg[3]\ : DFN1E1C0
      port map(D => \BCD_input_reg_4[3]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => un9_bcd_shiftcount_0_0, Q => 
        \BCD_input_reg[3]_net_1\);
    
    \BCD_input_reg[15]\ : DFN1E1C0
      port map(D => \BCD_input_reg_4[15]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => un9_bcd_shiftcount, Q => 
        \BCD_input_reg[15]_net_1\);
    
    \to_BCD_BCD_input_reg_4[1]\ : MX2
      port map(A => \scaled_input[1]_net_1\, B => 
        \BCD_input_reg[0]_net_1\, S => un2_bcd_shiftcount_1, Y
         => \BCD_input_reg_4[1]\);
    
    BCD_clear_n_2 : DFN1E1C0
      port map(D => un2_bcd_shiftcount_1_0, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => un10_bcd_shiftcount, Q => 
        \BCD_clear_n_2\);
    
    \BCD_counts_reg[5]\ : DFN1E0C0
      port map(D => N_64_0, CLK => GLB_c, CLR => SYS_RESET_global, 
        E => un2_bcd_shiftcount_1_0, Q => \data_out_7[17]\);
    
    VCC_i_0 : VCC
      port map(Y => VCC_net_2);
    
    GND_i_0 : GND
      port map(Y => GND_net_2);
    
    \BCD_input_reg[11]\ : DFN1E1C0
      port map(D => \BCD_input_reg_4[11]\, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => un9_bcd_shiftcount, Q => 
        \BCD_input_reg[11]_net_1\);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity LCD_controller is

    port(DATA_LCD_c : out std_logic_vector(7 downto 4); 
        ADC_counts_bus_c : in std_logic_vector(11 downto 0); 
        RS_LCD_c : out std_logic; \GND\, \VCC\, SYS_RESET_global, 
        GLB_c : in std_logic; EN_LCD_c_0 : out std_logic);

end LCD_controller;

architecture DEF_ARCH of LCD_controller is 

  component LCD_interface
    port(DATA_LCD_c : out std_logic_vector(7 downto 4); 
        formatted_data_14, formatted_data_22, formatted_data_6, 
        formatted_data_9, formatted_data_41, formatted_data_40, 
        formatted_data_39, formatted_data_17, formatted_data_25, 
        formatted_data_16, formatted_data_24, formatted_data_15, 
        formatted_data_23, formatted_data_8, formatted_data_7, 
        formatted_data_38, formatted_data_0, formatted_data_3, 
        EN_LCD_c : in std_logic := 'U'; RS_LCD_c : out std_logic; 
        SYS_RESET_global, EN_LCD_c_0 : in std_logic := 'U');
  end component;

  component AND3
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component DFN1C0
    port(D, CLK, CLR : in std_logic := 'U'; Q : out std_logic);
  end component;

  component BUFF
    port(A : in std_logic := 'U'; Y : out std_logic);
  end component;

  component XOR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component VCC
    port(Y : out std_logic);
  end component;

  component AND2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component formatter
    port(ADC_counts_bus_c : 
        in std_logic_vector(11 downto 0) := (others => 'U'); 
        formatted_data_0, formatted_data_3, formatted_data_9, 
        formatted_data_8, formatted_data_7, formatted_data_6, 
        formatted_data_41, formatted_data_40, formatted_data_39, 
        formatted_data_38, formatted_data_17, formatted_data_16, 
        formatted_data_15, formatted_data_14, formatted_data_25, 
        formatted_data_24, formatted_data_23, formatted_data_22 : 
        out std_logic; \VCC\, \GND\, SYS_RESET_global, GLB_c : in
         std_logic := 'U');
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component NOR2B
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component INV
    port(A : in std_logic := 'U'; Y : out std_logic);
  end component;

    signal GND_net_1, VCC_net_1, \EN_LCD_c_0\, EN_LCD_c, 
        \prescale[0]_net_1\, I_4_0, \prescale[1]_net_1\, I_5_1, 
        \prescale[2]_net_1\, I_9_1, \prescale[3]_net_1\, I_13_2, 
        \prescale[4]_net_1\, I_20_1, \prescale[5]_net_1\, I_24, 
        \prescale[6]_net_1\, I_31, \prescale[7]_net_1\, I_38_2, 
        \prescale[8]_net_1\, I_45, \prescale[9]_net_1\, I_52, 
        \prescale[10]_net_1\, I_56, \prescale[11]_net_1\, I_66, 
        I_73, N_50, N_42, \DWACT_FINC_E[0]\, N_19, 
        \DWACT_FINC_E[4]\, N_4, \DWACT_FINC_E[7]\, 
        \DWACT_FINC_E[6]\, N_9, \DWACT_FINC_E[2]\, 
        \DWACT_FINC_E[5]\, N_16, \DWACT_FINC_E[3]\, N_24, N_29, 
        N_34, \DWACT_FINC_E[1]\, N_39, N_47, \formatted_data[2]\, 
        \formatted_data[5]\, \formatted_data[11]\, 
        \formatted_data[10]\, \formatted_data[9]\, 
        \formatted_data[8]\, \formatted_data[43]\, 
        \formatted_data[42]\, \formatted_data[41]\, 
        \formatted_data[40]\, \formatted_data[19]\, 
        \formatted_data[18]\, \formatted_data[17]\, 
        \formatted_data[16]\, \formatted_data[27]\, 
        \formatted_data[26]\, \formatted_data[25]\, 
        \formatted_data[24]\, GND_net_2, VCC_net_2 : std_logic;

    for all : LCD_interface
	Use entity work.LCD_interface(DEF_ARCH);
    for all : formatter
	Use entity work.formatter(DEF_ARCH);
begin 

    GND_net_1 <= \GND\;
    VCC_net_1 <= \VCC\;
    EN_LCD_c_0 <= \EN_LCD_c_0\;

    LCD_inst : LCD_interface
      port map(DATA_LCD_c(7) => DATA_LCD_c(7), DATA_LCD_c(6) => 
        DATA_LCD_c(6), DATA_LCD_c(5) => DATA_LCD_c(5), 
        DATA_LCD_c(4) => DATA_LCD_c(4), formatted_data_14 => 
        \formatted_data[16]\, formatted_data_22 => 
        \formatted_data[24]\, formatted_data_6 => 
        \formatted_data[8]\, formatted_data_9 => 
        \formatted_data[11]\, formatted_data_41 => 
        \formatted_data[43]\, formatted_data_40 => 
        \formatted_data[42]\, formatted_data_39 => 
        \formatted_data[41]\, formatted_data_17 => 
        \formatted_data[19]\, formatted_data_25 => 
        \formatted_data[27]\, formatted_data_16 => 
        \formatted_data[18]\, formatted_data_24 => 
        \formatted_data[26]\, formatted_data_15 => 
        \formatted_data[17]\, formatted_data_23 => 
        \formatted_data[25]\, formatted_data_8 => 
        \formatted_data[10]\, formatted_data_7 => 
        \formatted_data[9]\, formatted_data_38 => 
        \formatted_data[40]\, formatted_data_0 => 
        \formatted_data[2]\, formatted_data_3 => 
        \formatted_data[5]\, EN_LCD_c => EN_LCD_c, RS_LCD_c => 
        RS_LCD_c, SYS_RESET_global => SYS_RESET_global, 
        EN_LCD_c_0 => \EN_LCD_c_0\);
    
    un3_prescale_I_59 : AND3
      port map(A => \prescale[6]_net_1\, B => \prescale[7]_net_1\, 
        C => \prescale[8]_net_1\, Y => \DWACT_FINC_E[5]\);
    
    un3_prescale_I_16 : AND3
      port map(A => \prescale[0]_net_1\, B => \prescale[1]_net_1\, 
        C => \prescale[2]_net_1\, Y => \DWACT_FINC_E[0]\);
    
    un3_prescale_I_37 : AND3
      port map(A => \DWACT_FINC_E[0]\, B => \DWACT_FINC_E[2]\, C
         => \prescale[6]_net_1\, Y => N_29);
    
    \prescale[11]\ : DFN1C0
      port map(D => I_66, CLK => GLB_c, CLR => SYS_RESET_global, 
        Q => \prescale[11]_net_1\);
    
    un3_prescale_I_44 : AND3
      port map(A => \DWACT_FINC_E[0]\, B => \DWACT_FINC_E[2]\, C
         => \DWACT_FINC_E[3]\, Y => N_24);
    
    \prescale_0[12]\ : BUFF
      port map(A => EN_LCD_c, Y => \EN_LCD_c_0\);
    
    un3_prescale_I_23 : AND3
      port map(A => \DWACT_FINC_E[0]\, B => \prescale[3]_net_1\, 
        C => \prescale[4]_net_1\, Y => N_39);
    
    un3_prescale_I_13 : XOR2
      port map(A => N_47, B => \prescale[3]_net_1\, Y => I_13_2);
    
    un3_prescale_I_31 : XOR2
      port map(A => N_34, B => \prescale[6]_net_1\, Y => I_31);
    
    un3_prescale_I_20 : XOR2
      port map(A => N_42, B => \prescale[4]_net_1\, Y => I_20_1);
    
    un3_prescale_I_9 : XOR2
      port map(A => N_50, B => \prescale[2]_net_1\, Y => I_9_1);
    
    VCC_i : VCC
      port map(Y => VCC_net_1);
    
    \prescale[3]\ : DFN1C0
      port map(D => I_13_2, CLK => GLB_c, CLR => SYS_RESET_global, 
        Q => \prescale[3]_net_1\);
    
    un3_prescale_I_69 : AND3
      port map(A => \prescale[9]_net_1\, B => 
        \prescale[10]_net_1\, C => \prescale[11]_net_1\, Y => 
        \DWACT_FINC_E[7]\);
    
    \prescale[12]\ : DFN1C0
      port map(D => I_73, CLK => GLB_c, CLR => SYS_RESET_global, 
        Q => EN_LCD_c);
    
    un3_prescale_I_27 : AND2
      port map(A => \prescale[3]_net_1\, B => \prescale[4]_net_1\, 
        Y => \DWACT_FINC_E[1]\);
    
    \prescale[2]\ : DFN1C0
      port map(D => I_9_1, CLK => GLB_c, CLR => SYS_RESET_global, 
        Q => \prescale[2]_net_1\);
    
    un3_prescale_I_45 : XOR2
      port map(A => N_24, B => \prescale[8]_net_1\, Y => I_45);
    
    \prescale[7]\ : DFN1C0
      port map(D => I_38_2, CLK => GLB_c, CLR => SYS_RESET_global, 
        Q => \prescale[7]_net_1\);
    
    un3_prescale_I_52 : XOR2
      port map(A => N_19, B => \prescale[9]_net_1\, Y => I_52);
    
    formatter_inst : formatter
      port map(ADC_counts_bus_c(11) => ADC_counts_bus_c(11), 
        ADC_counts_bus_c(10) => ADC_counts_bus_c(10), 
        ADC_counts_bus_c(9) => ADC_counts_bus_c(9), 
        ADC_counts_bus_c(8) => ADC_counts_bus_c(8), 
        ADC_counts_bus_c(7) => ADC_counts_bus_c(7), 
        ADC_counts_bus_c(6) => ADC_counts_bus_c(6), 
        ADC_counts_bus_c(5) => ADC_counts_bus_c(5), 
        ADC_counts_bus_c(4) => ADC_counts_bus_c(4), 
        ADC_counts_bus_c(3) => ADC_counts_bus_c(3), 
        ADC_counts_bus_c(2) => ADC_counts_bus_c(2), 
        ADC_counts_bus_c(1) => ADC_counts_bus_c(1), 
        ADC_counts_bus_c(0) => ADC_counts_bus_c(0), 
        formatted_data_0 => \formatted_data[2]\, formatted_data_3
         => \formatted_data[5]\, formatted_data_9 => 
        \formatted_data[11]\, formatted_data_8 => 
        \formatted_data[10]\, formatted_data_7 => 
        \formatted_data[9]\, formatted_data_6 => 
        \formatted_data[8]\, formatted_data_41 => 
        \formatted_data[43]\, formatted_data_40 => 
        \formatted_data[42]\, formatted_data_39 => 
        \formatted_data[41]\, formatted_data_38 => 
        \formatted_data[40]\, formatted_data_17 => 
        \formatted_data[19]\, formatted_data_16 => 
        \formatted_data[18]\, formatted_data_15 => 
        \formatted_data[17]\, formatted_data_14 => 
        \formatted_data[16]\, formatted_data_25 => 
        \formatted_data[27]\, formatted_data_24 => 
        \formatted_data[26]\, formatted_data_23 => 
        \formatted_data[25]\, formatted_data_22 => 
        \formatted_data[24]\, \VCC\ => VCC_net_1, \GND\ => 
        GND_net_1, SYS_RESET_global => SYS_RESET_global, GLB_c
         => GLB_c);
    
    \prescale[10]\ : DFN1C0
      port map(D => I_56, CLK => GLB_c, CLR => SYS_RESET_global, 
        Q => \prescale[10]_net_1\);
    
    \prescale[0]\ : DFN1C0
      port map(D => I_4_0, CLK => GLB_c, CLR => SYS_RESET_global, 
        Q => \prescale[0]_net_1\);
    
    un3_prescale_I_38 : XOR2
      port map(A => N_29, B => \prescale[7]_net_1\, Y => I_38_2);
    
    un3_prescale_I_56 : XOR2
      port map(A => N_16, B => \prescale[10]_net_1\, Y => I_56);
    
    GND_i : GND
      port map(Y => GND_net_1);
    
    un3_prescale_I_41 : AND2
      port map(A => \prescale[6]_net_1\, B => \prescale[7]_net_1\, 
        Y => \DWACT_FINC_E[3]\);
    
    un3_prescale_I_72 : NOR2B
      port map(A => \DWACT_FINC_E[7]\, B => \DWACT_FINC_E[6]\, Y
         => N_4);
    
    un3_prescale_I_62 : AND3
      port map(A => \DWACT_FINC_E[0]\, B => \DWACT_FINC_E[2]\, C
         => \DWACT_FINC_E[5]\, Y => \DWACT_FINC_E[6]\);
    
    \prescale[9]\ : DFN1C0
      port map(D => I_52, CLK => GLB_c, CLR => SYS_RESET_global, 
        Q => \prescale[9]_net_1\);
    
    un3_prescale_I_55 : AND3
      port map(A => \DWACT_FINC_E[4]\, B => \prescale[8]_net_1\, 
        C => \prescale[9]_net_1\, Y => N_16);
    
    \prescale[4]\ : DFN1C0
      port map(D => I_20_1, CLK => GLB_c, CLR => SYS_RESET_global, 
        Q => \prescale[4]_net_1\);
    
    un3_prescale_I_4 : INV
      port map(A => \prescale[0]_net_1\, Y => I_4_0);
    
    un3_prescale_I_19 : NOR2B
      port map(A => \prescale[3]_net_1\, B => \DWACT_FINC_E[0]\, 
        Y => N_42);
    
    \prescale[6]\ : DFN1C0
      port map(D => I_31, CLK => GLB_c, CLR => SYS_RESET_global, 
        Q => \prescale[6]_net_1\);
    
    un3_prescale_I_8 : NOR2B
      port map(A => \prescale[1]_net_1\, B => \prescale[0]_net_1\, 
        Y => N_50);
    
    un3_prescale_I_66 : XOR2
      port map(A => N_9, B => \prescale[11]_net_1\, Y => I_66);
    
    \prescale[8]\ : DFN1C0
      port map(D => I_45, CLK => GLB_c, CLR => SYS_RESET_global, 
        Q => \prescale[8]_net_1\);
    
    \prescale[1]\ : DFN1C0
      port map(D => I_5_1, CLK => GLB_c, CLR => SYS_RESET_global, 
        Q => \prescale[1]_net_1\);
    
    un3_prescale_I_34 : AND3
      port map(A => \prescale[3]_net_1\, B => \prescale[4]_net_1\, 
        C => \prescale[5]_net_1\, Y => \DWACT_FINC_E[2]\);
    
    \prescale[5]\ : DFN1C0
      port map(D => I_24, CLK => GLB_c, CLR => SYS_RESET_global, 
        Q => \prescale[5]_net_1\);
    
    un3_prescale_I_73 : XOR2
      port map(A => N_4, B => \EN_LCD_c_0\, Y => I_73);
    
    un3_prescale_I_65 : AND3
      port map(A => \DWACT_FINC_E[6]\, B => \prescale[9]_net_1\, 
        C => \prescale[10]_net_1\, Y => N_9);
    
    un3_prescale_I_51 : NOR2B
      port map(A => \prescale[8]_net_1\, B => \DWACT_FINC_E[4]\, 
        Y => N_19);
    
    un3_prescale_I_48 : AND3
      port map(A => \DWACT_FINC_E[0]\, B => \DWACT_FINC_E[2]\, C
         => \DWACT_FINC_E[3]\, Y => \DWACT_FINC_E[4]\);
    
    un3_prescale_I_5 : XOR2
      port map(A => \prescale[0]_net_1\, B => \prescale[1]_net_1\, 
        Y => I_5_1);
    
    un3_prescale_I_24 : XOR2
      port map(A => N_39, B => \prescale[5]_net_1\, Y => I_24);
    
    un3_prescale_I_30 : AND3
      port map(A => \DWACT_FINC_E[0]\, B => \DWACT_FINC_E[1]\, C
         => \prescale[5]_net_1\, Y => N_34);
    
    un3_prescale_I_12 : AND3
      port map(A => \prescale[0]_net_1\, B => \prescale[1]_net_1\, 
        C => \prescale[2]_net_1\, Y => N_47);
    
    VCC_i_0 : VCC
      port map(Y => VCC_net_2);
    
    GND_i_0 : GND
      port map(Y => GND_net_2);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity RCO is

    port(clk_int : out std_logic);

end RCO;

architecture DEF_ARCH of RCO is 

  component VCC
    port(Y : out std_logic);
  end component;

  component RCOSC
    port(CLKOUT : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component CLKSRC
    port(A : in std_logic := 'U'; Y : out std_logic);
  end component;

    signal CLKOUTTEMP, \VCC\, \GND\, GND_net_1, VCC_net_1
         : std_logic;

begin 


    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    RCOSC1 : RCOSC
      port map(CLKOUT => CLKOUTTEMP);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    clksrc1 : CLKSRC
      port map(A => CLKOUTTEMP, Y => clk_int);
    
    GND_i : GND
      port map(Y => \GND\);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity Analogblock1_top_level is

    port(DATA_LCD : out std_logic_vector(7 downto 4); ADC_counts
         : out std_logic_vector(11 downto 0); SYS_RESET : in
         std_logic; VAREF : inout std_logic := 'Z'; AV0_pin : in
         std_logic; RS_LCD, EN_LCD, R_nW_LCD, DATAVALID, 
        INIT_DONE, ASSC_DONE, ASSC_RAM_WR_BUSY_B, GLA, GLB : out
         std_logic);

end Analogblock1_top_level;

architecture DEF_ARCH of Analogblock1_top_level is 

  component OUTBUF
    port(D : in std_logic := 'U'; PAD : out std_logic);
  end component;

  component DFN1C0
    port(D, CLK, CLR : in std_logic := 'U'; Q : out std_logic);
  end component;

  component OA1C
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component MX2
    port(A, B, S : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component CLKINT
    port(A : in std_logic := 'U'; Y : out std_logic);
  end component;

  component XOR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component VCC
    port(Y : out std_logic);
  end component;

  component INV
    port(A : in std_logic := 'U'; Y : out std_logic);
  end component;

  component DFN1E1C0
    port(D, CLK, CLR, E : in std_logic := 'U'; Q : out std_logic);
        
  end component;

  component AXO1
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OA1B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component PLL_6_1
    port(SYS_RESET_int_i, \VCC\, \GND\, clk_int : in
         std_logic := 'U'; GLB_c, GLA_c : out std_logic);
  end component;

  component NOR2B
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component ADC
    port(rdgwgtpkbgc_0 : 
        in std_logic_vector(3 to 3) := (others => 'U'); 
        rdgwgtpkbgc : out std_logic_vector(3 to 3); 
        ASSC_RAM_DOUT_bus : out std_logic_vector(8 downto 0); 
        USER_ASSC_ADDR_bus : 
        in std_logic_vector(8 downto 0) := (others => 'U'); 
        INIT_DATA_int : 
        in std_logic_vector(8 downto 0) := (others => 'U'); 
        INIT_ADDR_int : 
        in std_logic_vector(8 downto 0) := (others => 'U'); N_10, 
        N_12, INIT_EV_WEN_int, \VCC\ : in std_logic := 'U'; 
        USER_ASSC_RAM_BUSY_net : out std_logic; INIT_DONE_c : in
         std_logic := 'U'; ASSC_RAM_WR_BUSY_B_c, ASSC_DONE_c : 
        out std_logic; USER_ASSC_RD_net, INIT_ASSC_WEN_int, 
        INIT_ACM_WEN_int, AV0_pin, SYS_RESET_global, GLA_c, \GND\ : 
        in std_logic := 'U'; DATAVALID_c : out std_logic; VAREF : 
        inout std_logic);
  end component;

  component NVM_ADC
    port(INIT_ADDR_int : out std_logic_vector(8 downto 0); 
        INIT_DATA_int : out std_logic_vector(8 downto 0); N_12, 
        INIT_ASSC_WEN_int, N_10, INIT_EV_WEN_int, 
        INIT_ACM_WEN_int : out std_logic; \VCC\ : in
         std_logic := 'U'; hrgmtcpsdzr : out std_logic; 
        SYS_RESET_global, GLA_c, \GND\ : in std_logic := 'U');
  end component;

  component OA1
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AND2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component LCD_controller
    port(DATA_LCD_c : out std_logic_vector(7 downto 4); 
        ADC_counts_bus_c : 
        in std_logic_vector(11 downto 0) := (others => 'U'); 
        RS_LCD_c : out std_logic; \GND\, \VCC\, SYS_RESET_global, 
        GLB_c : in std_logic := 'U'; EN_LCD_c_0 : out std_logic);

          end component;

  component RCO
    port(clk_int : out std_logic);
  end component;

  component INBUF
    port(PAD : in std_logic := 'U'; Y : out std_logic);
  end component;

  component OR2A
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AO1D
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

  component NOR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component AOI1B
    port(A, B, C : in std_logic := 'U'; Y : out std_logic);
  end component;

    signal \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_g_array_2[0]\, 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_g_array_1[0]\, 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_pog_array_1[0]\, 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_g_array_11[0]\, 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_pog_array_1_1[0]\, 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_TMP[0]\, 
        \USER_ASSC_ADDR_bus[1]_net_1\, I_50, 
        \USER_ASSC_ADDR_bus[6]_net_1\, 
        \USER_ASSC_ADDR_bus_6_i[7]\, \step_0[0]_net_1\, 
        \step_0[1]_net_1\, I_34, \un9_0_a2_0_a3\, \step[0]_net_1\, 
        USER_ASSC_RAM_BUSY_net, \USER_ASSC_ADDR_bus[7]_net_1\, 
        \USER_ASSC_ADDR_bus[0]_net_1\, GLB_c, SYS_RESET_global, 
        \step_ns_i_x2_i[0]_net_1\, \step_ns_0_i[1]_net_1\, 
        \ADC_inst.ADC_smev_wrapper_inst.U0.u_nbnjbfrkqwq.rdgwgtpkbgc[3]\, 
        \rdgwgtpkbgc[3]\, INIT_DONE_c, hrgmtcpsdzr, 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_g_array_3[0]\, 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_pog_array_2[0]\, 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_g_array_12_1[0]\, 
        \USER_ASSC_ADDR_bus[4]_net_1\, 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_g_array_12[0]\, 
        \USER_ASSC_ADDR_bus[2]_net_1\, \SYS_RESET_int_i\, 
        SYS_RESET_int, \step_i[1]_net_1\, 
        \fetch_data.ADC_counts_bus_9_i_0[11]\, N_126, 
        \ADC_counts_bus_c[11]\, N_101, \ASSC_RAM_DOUT_bus[2]\, 
        N_128, N_79, \ASSC_RAM_DOUT_bus[0]\, 
        \ADC_counts_bus_c[0]\, N_127, N_81, 
        \ASSC_RAM_DOUT_bus[1]\, \ADC_counts_bus_c[1]\, N_83, 
        \ADC_counts_bus_c[2]\, N_85, \ASSC_RAM_DOUT_bus[3]\, 
        \ADC_counts_bus_c[3]\, N_87, \ASSC_RAM_DOUT_bus[4]\, 
        \ADC_counts_bus_c[4]\, N_89, \ASSC_RAM_DOUT_bus[5]\, 
        \ADC_counts_bus_c[5]\, N_91, \ASSC_RAM_DOUT_bus[6]\, 
        \ADC_counts_bus_c[6]\, N_93, \ASSC_RAM_DOUT_bus[7]\, 
        \ADC_counts_bus_c[7]\, N_95, \ASSC_RAM_DOUT_bus[8]\, 
        \ADC_counts_bus_c[8]\, N_97, \ADC_counts_bus_c[9]\, N_99, 
        \ADC_counts_bus_c[10]\, 
        \fetch_data.USER_ASSC_ADDR_bus_6[0]\, 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_partial_sum[0]\, 
        \fetch_data.USER_ASSC_ADDR_bus_6[1]\, I_32_2, 
        \USER_ASSC_ADDR_bus_6_i[2]\, I_35_2, 
        \USER_ASSC_ADDR_bus_6_i[3]\, I_37_2, 
        \USER_ASSC_ADDR_bus_6_i[4]\, I_30_2, 
        \USER_ASSC_ADDR_bus_6_i[5]\, I_33_2, 
        \USER_ASSC_ADDR_bus_6_i[6]\, I_38_3, 
        \USER_ASSC_ADDR_bus_6_i[8]\, \step[1]_net_1\, I_36_2, 
        N_156, \USER_ASSC_RD_net\, \USER_ASSC_ADDR_bus[3]_net_1\, 
        \USER_ASSC_ADDR_bus[5]_net_1\, 
        \USER_ASSC_ADDR_bus[8]_net_1\, GLA_c, 
        ASSC_RAM_WR_BUSY_B_c, ASSC_DONE_c, DATAVALID_c, \GND\, 
        EN_LCD_c_0, \DATA_LCD_c[7]\, \DATA_LCD_c[6]\, 
        \DATA_LCD_c[5]\, \DATA_LCD_c[4]\, RS_LCD_c, 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_pog_array_1_2[0]\, 
        clk_int, \VCC\, \INIT_DATA_int[0]\, \INIT_DATA_int[1]\, 
        \INIT_DATA_int[2]\, \INIT_DATA_int[3]\, 
        \INIT_DATA_int[4]\, \INIT_DATA_int[5]\, 
        \INIT_DATA_int[6]\, \INIT_DATA_int[7]\, 
        \INIT_DATA_int[8]\, \INIT_ADDR_int[0]\, 
        \INIT_ADDR_int[1]\, \INIT_ADDR_int[2]\, 
        \INIT_ADDR_int[3]\, \INIT_ADDR_int[4]\, 
        \INIT_ADDR_int[5]\, \INIT_ADDR_int[6]\, 
        \INIT_ADDR_int[7]\, \INIT_ADDR_int[8]\, 
        \NVM_ADC_inst.NVM_ADC_init_wrapper_inst.U0.u_grwzcnqmqzm.valid_client.u_gpbdjfttbjd.N_10\, 
        \NVM_ADC_inst.NVM_ADC_init_wrapper_inst.U0.u_grwzcnqmqzm.valid_client.u_gpbdjfttbjd.N_12\, 
        INIT_EV_WEN_int, INIT_ASSC_WEN_int, INIT_ACM_WEN_int, 
        GND_net_1, VCC_net_1 : std_logic;

    for all : PLL_6_1
	Use entity work.PLL_6_1(DEF_ARCH);
    for all : ADC
	Use entity work.ADC(DEF_ARCH);
    for all : NVM_ADC
	Use entity work.NVM_ADC(DEF_ARCH);
    for all : LCD_controller
	Use entity work.LCD_controller(DEF_ARCH);
    for all : RCO
	Use entity work.RCO(DEF_ARCH);
begin 


    \ADC_counts_pad[3]\ : OUTBUF
      port map(D => \ADC_counts_bus_c[3]\, PAD => ADC_counts(3));
    
    \ADC_counts_bus[4]\ : DFN1C0
      port map(D => N_87, CLK => GLB_c, CLR => SYS_RESET_global, 
        Q => \ADC_counts_bus_c[4]\);
    
    \step_ns_i_x2_i[0]\ : OA1C
      port map(A => USER_ASSC_RAM_BUSY_net, B => N_126, C => 
        N_156, Y => \step_ns_i_x2_i[0]_net_1\);
    
    \ADC_counts_bus[8]\ : DFN1C0
      port map(D => N_95, CLK => GLB_c, CLR => SYS_RESET_global, 
        Q => \ADC_counts_bus_c[8]\);
    
    \USER_ASSC_ADDR_bus[4]\ : DFN1C0
      port map(D => \USER_ASSC_ADDR_bus_6_i[4]\, CLK => GLB_c, 
        CLR => SYS_RESET_global, Q => 
        \USER_ASSC_ADDR_bus[4]_net_1\);
    
    \fetch_data_ADC_counts_bus_9_i[3]\ : MX2
      port map(A => \ASSC_RAM_DOUT_bus[3]\, B => 
        \ADC_counts_bus_c[3]\, S => N_127, Y => N_85);
    
    \fetch_data_ADC_counts_bus_9_i_o3[0]\ : OR2
      port map(A => USER_ASSC_RAM_BUSY_net, B => N_126, Y => 
        N_127);
    
    I_338 : CLKINT
      port map(A => \rdgwgtpkbgc[3]\, Y => 
        \ADC_inst.ADC_smev_wrapper_inst.U0.u_nbnjbfrkqwq.rdgwgtpkbgc[3]\);
    
    \step[0]\ : DFN1C0
      port map(D => \step_ns_i_x2_i[0]_net_1\, CLK => GLB_c, CLR
         => SYS_RESET_global, Q => \step[0]_net_1\);
    
    ASSC_DONE_pad : OUTBUF
      port map(D => ASSC_DONE_c, PAD => ASSC_DONE);
    
    \DATA_LCD_pad[4]\ : OUTBUF
      port map(D => \DATA_LCD_c[4]\, PAD => DATA_LCD(4));
    
    ASSC_RAM_WR_BUSY_B_pad : OUTBUF
      port map(D => ASSC_RAM_WR_BUSY_B_c, PAD => 
        ASSC_RAM_WR_BUSY_B);
    
    GLB_pad : OUTBUF
      port map(D => GLB_c, PAD => GLB);
    
    un1_USER_ASSC_ADDR_bus_I_32 : XOR2
      port map(A => \USER_ASSC_ADDR_bus[1]_net_1\, B => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_TMP[0]\, Y => 
        I_32_2);
    
    INIT_DONE_pad : OUTBUF
      port map(D => INIT_DONE_c, PAD => INIT_DONE);
    
    VCC_i : VCC
      port map(Y => \VCC\);
    
    \step_i[1]\ : INV
      port map(A => \step_0[1]_net_1\, Y => \step_i[1]_net_1\);
    
    \ADC_counts_bus[9]\ : DFN1E1C0
      port map(D => N_97, CLK => GLB_c, CLR => SYS_RESET_global, 
        E => \step[1]_net_1\, Q => \ADC_counts_bus_c[9]\);
    
    \step_ns_0_i[1]\ : AXO1
      port map(A => USER_ASSC_RAM_BUSY_net, B => \step[0]_net_1\, 
        C => \step[1]_net_1\, Y => \step_ns_0_i[1]_net_1\);
    
    un1_USER_ASSC_ADDR_bus_I_21 : XOR2
      port map(A => \USER_ASSC_ADDR_bus[0]_net_1\, B => 
        \un9_0_a2_0_a3\, Y => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_partial_sum[0]\);
    
    \fetch_data_ADC_counts_bus_9_i[11]\ : OA1B
      port map(A => \ASSC_RAM_DOUT_bus[2]\, B => N_128, C => 
        \fetch_data.ADC_counts_bus_9_i_0[11]\, Y => N_101);
    
    \ADC_counts_pad[7]\ : OUTBUF
      port map(D => \ADC_counts_bus_c[7]\, PAD => ADC_counts(7));
    
    \fetch_data_ADC_counts_bus_9_i[9]\ : MX2
      port map(A => \ASSC_RAM_DOUT_bus[0]\, B => 
        \ADC_counts_bus_c[9]\, S => N_128, Y => N_97);
    
    \ADC_counts_pad[1]\ : OUTBUF
      port map(D => \ADC_counts_bus_c[1]\, PAD => ADC_counts(1));
    
    PLL_6_1_inst : PLL_6_1
      port map(SYS_RESET_int_i => \SYS_RESET_int_i\, \VCC\ => 
        \VCC\, \GND\ => \GND\, clk_int => clk_int, GLB_c => GLB_c, 
        GLA_c => GLA_c);
    
    \fetch_data_ADC_counts_bus_9_i_0[11]\ : OA1C
      port map(A => N_126, B => USER_ASSC_RAM_BUSY_net, C => 
        \ADC_counts_bus_c[11]\, Y => 
        \fetch_data.ADC_counts_bus_9_i_0[11]\);
    
    RS_LCD_pad : OUTBUF
      port map(D => RS_LCD_c, PAD => RS_LCD);
    
    un1_USER_ASSC_ADDR_bus_I_47 : NOR2B
      port map(A => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_g_array_2[0]\, B
         => \USER_ASSC_ADDR_bus[4]_net_1\, Y => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_g_array_12_1[0]\);
    
    ADC_inst : ADC
      port map(rdgwgtpkbgc_0(3) => 
        \ADC_inst.ADC_smev_wrapper_inst.U0.u_nbnjbfrkqwq.rdgwgtpkbgc[3]\, 
        rdgwgtpkbgc(3) => \rdgwgtpkbgc[3]\, ASSC_RAM_DOUT_bus(8)
         => \ASSC_RAM_DOUT_bus[8]\, ASSC_RAM_DOUT_bus(7) => 
        \ASSC_RAM_DOUT_bus[7]\, ASSC_RAM_DOUT_bus(6) => 
        \ASSC_RAM_DOUT_bus[6]\, ASSC_RAM_DOUT_bus(5) => 
        \ASSC_RAM_DOUT_bus[5]\, ASSC_RAM_DOUT_bus(4) => 
        \ASSC_RAM_DOUT_bus[4]\, ASSC_RAM_DOUT_bus(3) => 
        \ASSC_RAM_DOUT_bus[3]\, ASSC_RAM_DOUT_bus(2) => 
        \ASSC_RAM_DOUT_bus[2]\, ASSC_RAM_DOUT_bus(1) => 
        \ASSC_RAM_DOUT_bus[1]\, ASSC_RAM_DOUT_bus(0) => 
        \ASSC_RAM_DOUT_bus[0]\, USER_ASSC_ADDR_bus(8) => 
        \USER_ASSC_ADDR_bus[8]_net_1\, USER_ASSC_ADDR_bus(7) => 
        \USER_ASSC_ADDR_bus[7]_net_1\, USER_ASSC_ADDR_bus(6) => 
        \USER_ASSC_ADDR_bus[6]_net_1\, USER_ASSC_ADDR_bus(5) => 
        \USER_ASSC_ADDR_bus[5]_net_1\, USER_ASSC_ADDR_bus(4) => 
        \USER_ASSC_ADDR_bus[4]_net_1\, USER_ASSC_ADDR_bus(3) => 
        \USER_ASSC_ADDR_bus[3]_net_1\, USER_ASSC_ADDR_bus(2) => 
        \USER_ASSC_ADDR_bus[2]_net_1\, USER_ASSC_ADDR_bus(1) => 
        \USER_ASSC_ADDR_bus[1]_net_1\, USER_ASSC_ADDR_bus(0) => 
        \USER_ASSC_ADDR_bus[0]_net_1\, INIT_DATA_int(8) => 
        \INIT_DATA_int[8]\, INIT_DATA_int(7) => 
        \INIT_DATA_int[7]\, INIT_DATA_int(6) => 
        \INIT_DATA_int[6]\, INIT_DATA_int(5) => 
        \INIT_DATA_int[5]\, INIT_DATA_int(4) => 
        \INIT_DATA_int[4]\, INIT_DATA_int(3) => 
        \INIT_DATA_int[3]\, INIT_DATA_int(2) => 
        \INIT_DATA_int[2]\, INIT_DATA_int(1) => 
        \INIT_DATA_int[1]\, INIT_DATA_int(0) => 
        \INIT_DATA_int[0]\, INIT_ADDR_int(8) => 
        \INIT_ADDR_int[8]\, INIT_ADDR_int(7) => 
        \INIT_ADDR_int[7]\, INIT_ADDR_int(6) => 
        \INIT_ADDR_int[6]\, INIT_ADDR_int(5) => 
        \INIT_ADDR_int[5]\, INIT_ADDR_int(4) => 
        \INIT_ADDR_int[4]\, INIT_ADDR_int(3) => 
        \INIT_ADDR_int[3]\, INIT_ADDR_int(2) => 
        \INIT_ADDR_int[2]\, INIT_ADDR_int(1) => 
        \INIT_ADDR_int[1]\, INIT_ADDR_int(0) => 
        \INIT_ADDR_int[0]\, N_10 => 
        \NVM_ADC_inst.NVM_ADC_init_wrapper_inst.U0.u_grwzcnqmqzm.valid_client.u_gpbdjfttbjd.N_10\, 
        N_12 => 
        \NVM_ADC_inst.NVM_ADC_init_wrapper_inst.U0.u_grwzcnqmqzm.valid_client.u_gpbdjfttbjd.N_12\, 
        INIT_EV_WEN_int => INIT_EV_WEN_int, \VCC\ => \VCC\, 
        USER_ASSC_RAM_BUSY_net => USER_ASSC_RAM_BUSY_net, 
        INIT_DONE_c => INIT_DONE_c, ASSC_RAM_WR_BUSY_B_c => 
        ASSC_RAM_WR_BUSY_B_c, ASSC_DONE_c => ASSC_DONE_c, 
        USER_ASSC_RD_net => \USER_ASSC_RD_net\, INIT_ASSC_WEN_int
         => INIT_ASSC_WEN_int, INIT_ACM_WEN_int => 
        INIT_ACM_WEN_int, AV0_pin => AV0_pin, SYS_RESET_global
         => SYS_RESET_global, GLA_c => GLA_c, \GND\ => \GND\, 
        DATAVALID_c => DATAVALID_c, VAREF => VAREF);
    
    \USER_ASSC_ADDR_bus[6]\ : DFN1C0
      port map(D => \USER_ASSC_ADDR_bus_6_i[6]\, CLK => GLB_c, 
        CLR => SYS_RESET_global, Q => 
        \USER_ASSC_ADDR_bus[6]_net_1\);
    
    un1_USER_ASSC_ADDR_bus_I_34 : XOR2
      port map(A => \USER_ASSC_ADDR_bus[7]_net_1\, B => I_50, Y
         => I_34);
    
    SYS_RESET_int_i : INV
      port map(A => SYS_RESET_int, Y => \SYS_RESET_int_i\);
    
    un1_USER_ASSC_ADDR_bus_I_36 : XOR2
      port map(A => \USER_ASSC_ADDR_bus[8]_net_1\, B => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_g_array_3[0]\, Y
         => I_36_2);
    
    \ADC_counts_pad[6]\ : OUTBUF
      port map(D => \ADC_counts_bus_c[6]\, PAD => ADC_counts(6));
    
    \ADC_counts_pad[5]\ : OUTBUF
      port map(D => \ADC_counts_bus_c[5]\, PAD => ADC_counts(5));
    
    \ADC_counts_bus[2]\ : DFN1C0
      port map(D => N_83, CLK => GLB_c, CLR => SYS_RESET_global, 
        Q => \ADC_counts_bus_c[2]\);
    
    \step_0[0]\ : DFN1C0
      port map(D => \step_ns_i_x2_i[0]_net_1\, CLK => GLB_c, CLR
         => SYS_RESET_global, Q => \step_0[0]_net_1\);
    
    NVM_ADC_inst : NVM_ADC
      port map(INIT_ADDR_int(8) => \INIT_ADDR_int[8]\, 
        INIT_ADDR_int(7) => \INIT_ADDR_int[7]\, INIT_ADDR_int(6)
         => \INIT_ADDR_int[6]\, INIT_ADDR_int(5) => 
        \INIT_ADDR_int[5]\, INIT_ADDR_int(4) => 
        \INIT_ADDR_int[4]\, INIT_ADDR_int(3) => 
        \INIT_ADDR_int[3]\, INIT_ADDR_int(2) => 
        \INIT_ADDR_int[2]\, INIT_ADDR_int(1) => 
        \INIT_ADDR_int[1]\, INIT_ADDR_int(0) => 
        \INIT_ADDR_int[0]\, INIT_DATA_int(8) => 
        \INIT_DATA_int[8]\, INIT_DATA_int(7) => 
        \INIT_DATA_int[7]\, INIT_DATA_int(6) => 
        \INIT_DATA_int[6]\, INIT_DATA_int(5) => 
        \INIT_DATA_int[5]\, INIT_DATA_int(4) => 
        \INIT_DATA_int[4]\, INIT_DATA_int(3) => 
        \INIT_DATA_int[3]\, INIT_DATA_int(2) => 
        \INIT_DATA_int[2]\, INIT_DATA_int(1) => 
        \INIT_DATA_int[1]\, INIT_DATA_int(0) => 
        \INIT_DATA_int[0]\, N_12 => 
        \NVM_ADC_inst.NVM_ADC_init_wrapper_inst.U0.u_grwzcnqmqzm.valid_client.u_gpbdjfttbjd.N_12\, 
        INIT_ASSC_WEN_int => INIT_ASSC_WEN_int, N_10 => 
        \NVM_ADC_inst.NVM_ADC_init_wrapper_inst.U0.u_grwzcnqmqzm.valid_client.u_gpbdjfttbjd.N_10\, 
        INIT_EV_WEN_int => INIT_EV_WEN_int, INIT_ACM_WEN_int => 
        INIT_ACM_WEN_int, \VCC\ => \VCC\, hrgmtcpsdzr => 
        hrgmtcpsdzr, SYS_RESET_global => SYS_RESET_global, GLA_c
         => GLA_c, \GND\ => \GND\);
    
    \fetch_data_USER_ASSC_ADDR_bus_6_i[3]\ : OA1
      port map(A => \step_0[0]_net_1\, B => \step_0[1]_net_1\, C
         => I_37_2, Y => \USER_ASSC_ADDR_bus_6_i[3]\);
    
    un1_USER_ASSC_ADDR_bus_I_35 : XOR2
      port map(A => \USER_ASSC_ADDR_bus[2]_net_1\, B => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_g_array_1[0]\, Y
         => I_35_2);
    
    \fetch_data_USER_ASSC_ADDR_bus_6_i[7]\ : OA1
      port map(A => \step_0[0]_net_1\, B => \step_0[1]_net_1\, C
         => I_34, Y => \USER_ASSC_ADDR_bus_6_i[7]\);
    
    \ADC_counts_pad[8]\ : OUTBUF
      port map(D => \ADC_counts_bus_c[8]\, PAD => ADC_counts(8));
    
    \ADC_counts_bus[0]\ : DFN1C0
      port map(D => N_79, CLK => GLB_c, CLR => SYS_RESET_global, 
        Q => \ADC_counts_bus_c[0]\);
    
    un1_USER_ASSC_ADDR_bus_I_30 : XOR2
      port map(A => \USER_ASSC_ADDR_bus[4]_net_1\, B => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_g_array_2[0]\, Y
         => I_30_2);
    
    \fetch_data_ADC_counts_bus_9_i[2]\ : MX2
      port map(A => \ASSC_RAM_DOUT_bus[2]\, B => 
        \ADC_counts_bus_c[2]\, S => N_127, Y => N_83);
    
    \ADC_counts_bus[3]\ : DFN1C0
      port map(D => N_85, CLK => GLB_c, CLR => SYS_RESET_global, 
        Q => \ADC_counts_bus_c[3]\);
    
    \USER_ASSC_ADDR_bus[8]\ : DFN1C0
      port map(D => \USER_ASSC_ADDR_bus_6_i[8]\, CLK => GLB_c, 
        CLR => SYS_RESET_global, Q => 
        \USER_ASSC_ADDR_bus[8]_net_1\);
    
    un1_USER_ASSC_ADDR_bus_I_33 : XOR2
      port map(A => \USER_ASSC_ADDR_bus[5]_net_1\, B => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_g_array_12_1[0]\, 
        Y => I_33_2);
    
    \fetch_data_ADC_counts_bus_9_i[5]\ : MX2
      port map(A => \ASSC_RAM_DOUT_bus[5]\, B => 
        \ADC_counts_bus_c[5]\, S => N_127, Y => N_89);
    
    EN_LCD_pad : OUTBUF
      port map(D => EN_LCD_c_0, PAD => EN_LCD);
    
    \ADC_counts_pad[11]\ : OUTBUF
      port map(D => \ADC_counts_bus_c[11]\, PAD => ADC_counts(11));
    
    un1_USER_ASSC_ADDR_bus_I_52 : AND2
      port map(A => \USER_ASSC_ADDR_bus[2]_net_1\, B => 
        \USER_ASSC_ADDR_bus[3]_net_1\, Y => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_pog_array_1[0]\);
    
    \DATA_LCD_pad[5]\ : OUTBUF
      port map(D => \DATA_LCD_c[5]\, PAD => DATA_LCD(5));
    
    \ADC_counts_pad[10]\ : OUTBUF
      port map(D => \ADC_counts_bus_c[10]\, PAD => ADC_counts(10));
    
    un1_USER_ASSC_ADDR_bus_I_42 : NOR2B
      port map(A => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_g_array_2[0]\, B
         => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_pog_array_1_1[0]\, 
        Y => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_g_array_11[0]\);
    
    GND_i : GND
      port map(Y => \GND\);
    
    LCD_controller_inst : LCD_controller
      port map(DATA_LCD_c(7) => \DATA_LCD_c[7]\, DATA_LCD_c(6)
         => \DATA_LCD_c[6]\, DATA_LCD_c(5) => \DATA_LCD_c[5]\, 
        DATA_LCD_c(4) => \DATA_LCD_c[4]\, ADC_counts_bus_c(11)
         => \ADC_counts_bus_c[11]\, ADC_counts_bus_c(10) => 
        \ADC_counts_bus_c[10]\, ADC_counts_bus_c(9) => 
        \ADC_counts_bus_c[9]\, ADC_counts_bus_c(8) => 
        \ADC_counts_bus_c[8]\, ADC_counts_bus_c(7) => 
        \ADC_counts_bus_c[7]\, ADC_counts_bus_c(6) => 
        \ADC_counts_bus_c[6]\, ADC_counts_bus_c(5) => 
        \ADC_counts_bus_c[5]\, ADC_counts_bus_c(4) => 
        \ADC_counts_bus_c[4]\, ADC_counts_bus_c(3) => 
        \ADC_counts_bus_c[3]\, ADC_counts_bus_c(2) => 
        \ADC_counts_bus_c[2]\, ADC_counts_bus_c(1) => 
        \ADC_counts_bus_c[1]\, ADC_counts_bus_c(0) => 
        \ADC_counts_bus_c[0]\, RS_LCD_c => RS_LCD_c, \GND\ => 
        \GND\, \VCC\ => \VCC\, SYS_RESET_global => 
        SYS_RESET_global, GLB_c => GLB_c, EN_LCD_c_0 => 
        EN_LCD_c_0);
    
    \fetch_data_ADC_counts_bus_9_i[0]\ : MX2
      port map(A => \ASSC_RAM_DOUT_bus[0]\, B => 
        \ADC_counts_bus_c[0]\, S => N_127, Y => N_79);
    
    RCO_inst : RCO
      port map(clk_int => clk_int);
    
    \fetch_data_ADC_counts_bus_9_i[1]\ : MX2
      port map(A => \ASSC_RAM_DOUT_bus[1]\, B => 
        \ADC_counts_bus_c[1]\, S => N_127, Y => N_81);
    
    un1_USER_ASSC_ADDR_bus_I_1 : AND2
      port map(A => \USER_ASSC_ADDR_bus[0]_net_1\, B => 
        \un9_0_a2_0_a3\, Y => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_TMP[0]\);
    
    INBUF_inst : INBUF
      port map(PAD => SYS_RESET, Y => SYS_RESET_int);
    
    \USER_ASSC_ADDR_bus[3]\ : DFN1C0
      port map(D => \USER_ASSC_ADDR_bus_6_i[3]\, CLK => GLB_c, 
        CLR => SYS_RESET_global, Q => 
        \USER_ASSC_ADDR_bus[3]_net_1\);
    
    \DATA_LCD_pad[7]\ : OUTBUF
      port map(D => \DATA_LCD_c[7]\, PAD => DATA_LCD(7));
    
    \step[1]\ : DFN1C0
      port map(D => \step_ns_0_i[1]_net_1\, CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => \step[1]_net_1\);
    
    \fetch_data_ADC_counts_bus_9_i[8]\ : MX2
      port map(A => \ASSC_RAM_DOUT_bus[8]\, B => 
        \ADC_counts_bus_c[8]\, S => N_127, Y => N_95);
    
    \fetch_data_ADC_counts_bus_9_i[10]\ : MX2
      port map(A => \ASSC_RAM_DOUT_bus[1]\, B => 
        \ADC_counts_bus_c[10]\, S => N_128, Y => N_99);
    
    \ADC_counts_bus[7]\ : DFN1C0
      port map(D => N_93, CLK => GLB_c, CLR => SYS_RESET_global, 
        Q => \ADC_counts_bus_c[7]\);
    
    un1_USER_ASSC_ADDR_bus_I_51 : AND2
      port map(A => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_pog_array_1_1[0]\, 
        B => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_pog_array_1_2[0]\, 
        Y => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_pog_array_2[0]\);
    
    \ADC_counts_bus[1]\ : DFN1C0
      port map(D => N_81, CLK => GLB_c, CLR => SYS_RESET_global, 
        Q => \ADC_counts_bus_c[1]\);
    
    un1_USER_ASSC_ADDR_bus_I_54 : AND2
      port map(A => \USER_ASSC_ADDR_bus[6]_net_1\, B => 
        \USER_ASSC_ADDR_bus[7]_net_1\, Y => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_pog_array_1_2[0]\);
    
    \fetch_data_USER_ASSC_ADDR_bus_6_i[4]\ : OA1
      port map(A => \step_0[0]_net_1\, B => \step_0[1]_net_1\, C
         => I_30_2, Y => \USER_ASSC_ADDR_bus_6_i[4]\);
    
    \fetch_data_USER_ASSC_ADDR_bus_6_i[2]\ : OA1
      port map(A => \step_0[0]_net_1\, B => \step_0[1]_net_1\, C
         => I_35_2, Y => \USER_ASSC_ADDR_bus_6_i[2]\);
    
    \ADC_counts_bus[11]\ : DFN1E1C0
      port map(D => N_101, CLK => GLB_c, CLR => SYS_RESET_global, 
        E => \step[1]_net_1\, Q => \ADC_counts_bus_c[11]\);
    
    \step_0[1]\ : DFN1C0
      port map(D => \step_ns_0_i[1]_net_1\, CLK => GLB_c, CLR => 
        SYS_RESET_global, Q => \step_0[1]_net_1\);
    
    \ADC_counts_bus[10]\ : DFN1E1C0
      port map(D => N_99, CLK => GLB_c, CLR => SYS_RESET_global, 
        E => \step[1]_net_1\, Q => \ADC_counts_bus_c[10]\);
    
    un1_USER_ASSC_ADDR_bus_I_50 : NOR2B
      port map(A => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_g_array_11[0]\, B
         => \USER_ASSC_ADDR_bus[6]_net_1\, Y => I_50);
    
    \USER_ASSC_ADDR_bus[1]\ : DFN1C0
      port map(D => \fetch_data.USER_ASSC_ADDR_bus_6[1]\, CLK => 
        GLB_c, CLR => SYS_RESET_global, Q => 
        \USER_ASSC_ADDR_bus[1]_net_1\);
    
    USER_ASSC_RD_net : DFN1E1C0
      port map(D => \step_i[1]_net_1\, CLK => GLB_c, CLR => 
        SYS_RESET_global, E => N_156, Q => \USER_ASSC_RD_net\);
    
    un1_USER_ASSC_ADDR_bus_I_53 : AND2
      port map(A => \USER_ASSC_ADDR_bus[4]_net_1\, B => 
        \USER_ASSC_ADDR_bus[5]_net_1\, Y => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_pog_array_1_1[0]\);
    
    un1_USER_ASSC_ADDR_bus_I_44 : NOR2B
      port map(A => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_TMP[0]\, B => 
        \USER_ASSC_ADDR_bus[1]_net_1\, Y => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_g_array_1[0]\);
    
    \fetch_data_ADC_counts_bus_9_i[7]\ : MX2
      port map(A => \ASSC_RAM_DOUT_bus[7]\, B => 
        \ADC_counts_bus_c[7]\, S => N_127, Y => N_93);
    
    un1_USER_ASSC_ADDR_bus_I_46 : NOR2B
      port map(A => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_g_array_2[0]\, B
         => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_pog_array_2[0]\, Y
         => \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_g_array_3[0]\);
    
    \fetch_data_USER_ASSC_ADDR_bus_6_i[8]\ : OA1
      port map(A => \step[0]_net_1\, B => \step[1]_net_1\, C => 
        I_36_2, Y => \USER_ASSC_ADDR_bus_6_i[8]\);
    
    \ADC_counts_bus[6]\ : DFN1C0
      port map(D => N_91, CLK => GLB_c, CLR => SYS_RESET_global, 
        Q => \ADC_counts_bus_c[6]\);
    
    \fetch_data_USER_ASSC_ADDR_bus_6_i[6]\ : OA1
      port map(A => \step_0[0]_net_1\, B => \step_0[1]_net_1\, C
         => I_38_3, Y => \USER_ASSC_ADDR_bus_6_i[6]\);
    
    un1_USER_ASSC_ADDR_bus_I_43 : NOR2B
      port map(A => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_g_array_1[0]\, B
         => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_pog_array_1[0]\, Y
         => \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_g_array_2[0]\);
    
    \DATA_LCD_pad[6]\ : OUTBUF
      port map(D => \DATA_LCD_c[6]\, PAD => DATA_LCD(6));
    
    \ADC_counts_pad[0]\ : OUTBUF
      port map(D => \ADC_counts_bus_c[0]\, PAD => ADC_counts(0));
    
    \ADC_counts_pad[2]\ : OUTBUF
      port map(D => \ADC_counts_bus_c[2]\, PAD => ADC_counts(2));
    
    \USER_ASSC_ADDR_bus[2]\ : DFN1C0
      port map(D => \USER_ASSC_ADDR_bus_6_i[2]\, CLK => GLB_c, 
        CLR => SYS_RESET_global, Q => 
        \USER_ASSC_ADDR_bus[2]_net_1\);
    
    \fetch_data_ADC_counts_bus_9_i_o3[9]\ : OR2A
      port map(A => \step[0]_net_1\, B => USER_ASSC_RAM_BUSY_net, 
        Y => N_128);
    
    \fetch_data_ADC_counts_bus_9_i[6]\ : MX2
      port map(A => \ASSC_RAM_DOUT_bus[6]\, B => 
        \ADC_counts_bus_c[6]\, S => N_127, Y => N_91);
    
    \ADC_counts_pad[4]\ : OUTBUF
      port map(D => \ADC_counts_bus_c[4]\, PAD => ADC_counts(4));
    
    DATAVALID_pad : OUTBUF
      port map(D => DATAVALID_c, PAD => DATAVALID);
    
    \USER_ASSC_ADDR_bus[0]\ : DFN1C0
      port map(D => \fetch_data.USER_ASSC_ADDR_bus_6[0]\, CLK => 
        GLB_c, CLR => SYS_RESET_global, Q => 
        \USER_ASSC_ADDR_bus[0]_net_1\);
    
    \fetch_data_USER_ASSC_ADDR_bus_6_i[5]\ : OA1
      port map(A => \step_0[0]_net_1\, B => \step_0[1]_net_1\, C
         => I_33_2, Y => \USER_ASSC_ADDR_bus_6_i[5]\);
    
    GLA_pad : OUTBUF
      port map(D => GLA_c, PAD => GLA);
    
    \fetch_data_USER_ASSC_ADDR_bus_6_0[1]\ : AO1D
      port map(A => \step_0[0]_net_1\, B => \step_0[1]_net_1\, C
         => I_32_2, Y => \fetch_data.USER_ASSC_ADDR_bus_6[1]\);
    
    un1_USER_ASSC_ADDR_bus_I_49 : NOR2B
      port map(A => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_g_array_1[0]\, B
         => \USER_ASSC_ADDR_bus[2]_net_1\, Y => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_g_array_12[0]\);
    
    un1_USER_ASSC_ADDR_bus_I_38 : XOR2
      port map(A => \USER_ASSC_ADDR_bus[6]_net_1\, B => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_g_array_11[0]\, Y
         => I_38_3);
    
    SYS_RESET_CLKINT_inst : CLKINT
      port map(A => \SYS_RESET_int_i\, Y => SYS_RESET_global);
    
    I_337 : CLKINT
      port map(A => hrgmtcpsdzr, Y => INIT_DONE_c);
    
    \ADC_counts_pad[9]\ : OUTBUF
      port map(D => \ADC_counts_bus_c[9]\, PAD => ADC_counts(9));
    
    \fetch_data_ADC_counts_bus_9_i_o3[11]\ : OR2A
      port map(A => \step[1]_net_1\, B => \step[0]_net_1\, Y => 
        N_126);
    
    \fetch_data_USER_ASSC_ADDR_bus_6_0[0]\ : AO1D
      port map(A => \step_0[0]_net_1\, B => \step_0[1]_net_1\, C
         => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_partial_sum[0]\, Y
         => \fetch_data.USER_ASSC_ADDR_bus_6[0]\);
    
    \fetch_data_ADC_counts_bus_9_i[4]\ : MX2
      port map(A => \ASSC_RAM_DOUT_bus[4]\, B => 
        \ADC_counts_bus_c[4]\, S => N_127, Y => N_87);
    
    \USER_ASSC_ADDR_bus[7]\ : DFN1C0
      port map(D => \USER_ASSC_ADDR_bus_6_i[7]\, CLK => GLB_c, 
        CLR => SYS_RESET_global, Q => 
        \USER_ASSC_ADDR_bus[7]_net_1\);
    
    \USER_ASSC_ADDR_bus[5]\ : DFN1C0
      port map(D => \USER_ASSC_ADDR_bus_6_i[5]\, CLK => GLB_c, 
        CLR => SYS_RESET_global, Q => 
        \USER_ASSC_ADDR_bus[5]_net_1\);
    
    \ADC_counts_bus[5]\ : DFN1C0
      port map(D => N_89, CLK => GLB_c, CLR => SYS_RESET_global, 
        Q => \ADC_counts_bus_c[5]\);
    
    R_nW_LCD_pad : OUTBUF
      port map(D => \GND\, PAD => R_nW_LCD);
    
    un9_0_a2_0_a3 : NOR2
      port map(A => \step[0]_net_1\, B => USER_ASSC_RAM_BUSY_net, 
        Y => \un9_0_a2_0_a3\);
    
    un11_i_i_a3 : AOI1B
      port map(A => USER_ASSC_RAM_BUSY_net, B => \step[1]_net_1\, 
        C => \step[0]_net_1\, Y => N_156);
    
    VCC_i_0 : VCC
      port map(Y => VCC_net_1);
    
    un1_USER_ASSC_ADDR_bus_I_37 : XOR2
      port map(A => \USER_ASSC_ADDR_bus[3]_net_1\, B => 
        \un1_USER_ASSC_ADDR_bus.DWACT_ADD_CI_0_g_array_12[0]\, Y
         => I_37_2);
    
    GND_i_0 : GND
      port map(Y => GND_net_1);
    

end DEF_ARCH; 
